/* A Bison parser, made by GNU Bison 3.8.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018-2021 Free Software Foundation,
   Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* DO NOT RELY ON FEATURES THAT ARE NOT DOCUMENTED in the manual,
   especially those whose name start with YY_ or yy_.  They are
   private implementation details that can be changed or removed.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output, and Bison version.  */
#define YYBISON 30802

/* Bison version string.  */
#define YYBISON_VERSION "3.8.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1




/* First part of user prologue.  */
#line 1 "configparser.yy"

/* parser for config file (bison generated)
 * This file belongs to Worker, a file manager for UN*X/X11.
 * Copyright (C) 2003-2022 Ralf Hoffmann.
 * You can contact me at: ralf@boomerangsworld.de
 *   or http://www.boomerangsworld.de/worker
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

#include "wdefines.h"
#include "wconfig.h"
#include "wcdoubleshortkey.hh"
#include "wcpath.hh"
#include "wcfiletype.hh"
#include "wchotkey.hh"
#include "wcbutton.hh"
#include <stdlib.h>
#include <string.h>
#include "worker_commands.h"
#include "configheader.h"
#include <list>
#include "verzeichnis.hh"
#include <map>
#include "dirfiltersettings.hh"
#include "layoutsettings.hh"
#include "simplelist.hh"
#include "worker_types.h"
#include "wconfig_types.hh"

using namespace CopyParams;

int lconfig_side;
int lconfig_pos;
List *lconfig_listp,
     *lconfig_listb,
     *lconfig_listft,
     *lconfig_listh,
     *lconfig_listsk,
     *lconfig_ignorelist;
command_list_t lconfig_listcom;
std::list< std::string > lconfig_pathjump_allow;
std::map< std::string, struct directory_presets > dir_presets;
std::string path;
struct directory_presets dir_preset;
NM_Filter dir_preset_filter;
WCButton *lconfig_bt1;
WCFiletype *lconfig_ft1, *old_lconfig_ft1;
std::list<WCFiletype*> filetypehier;
WCHotkey *lconfig_hk1;
WCDoubleShortkey *lconfig_dk;
WCPath *lconfig_p1;
int lconfig_id;
KeySym lconfig_nkeysym;
unsigned int lconfig_keymod;
char *lconfig_tstr;
std::shared_ptr< FunctionProto > lconfig_fp1;
char lconfig_error[256];
std::map<std::string, WConfig::ColorDef::label_colors_t> lconfig_labelcolors;
WConfig::ColorDef::label_colors_t lconfig_labelcolor;
std::string lconfig_labelcolor_name;
LayoutSettings layout_sets;
std::string lconfig_face_name;
int lconfig_face_color;
std::list< std::pair< std::string, int > > lconfig_faces_list;
std::vector< WorkerTypes::listcol_t > columns;

extern WConfig *lconfig;

extern int yyerror( const char *s );

void lconfig_parseinit(void)
{
  lconfig_listp = NULL;
  lconfig_listb = NULL;
  lconfig_listft = NULL;
  lconfig_listh = NULL;
  lconfig_listsk = NULL;
  lconfig_listcom = {};
  lconfig_ignorelist = NULL;
  lconfig_bt1 = NULL;
  lconfig_ft1 = NULL;
  lconfig_hk1 = NULL;
  lconfig_dk = NULL;
  lconfig_p1 = NULL;
  lconfig_tstr = NULL;
  lconfig_fp1 = NULL;
}

void lconfig_cleanup(void)
{
  // free all stuff in the list
  if ( lconfig_fp1 ) {
    lconfig_fp1.reset();
  }
  if ( lconfig_tstr != NULL ) {
    _freesafe( lconfig_tstr );
    lconfig_tstr = NULL;
  }
  if ( lconfig_p1 != NULL ) {
    delete lconfig_p1;
    lconfig_p1 = NULL;
  }
  if ( lconfig_dk != NULL ) {
    delete lconfig_dk;
    lconfig_dk = NULL;
  }
  if ( lconfig_hk1 != NULL ) {
    delete lconfig_hk1;
    lconfig_hk1 = NULL;
  }
  if ( lconfig_ft1 != NULL ) {
    delete lconfig_ft1;
    lconfig_ft1 = NULL;
  }
  if ( lconfig_bt1 != NULL ) {
    delete lconfig_bt1;
    lconfig_bt1 = NULL;
  }
  if ( lconfig_listp != NULL ) {
    lconfig_id = lconfig_listp->initEnum();
    lconfig_p1 = (WCPath*)lconfig_listp->getFirstElement( lconfig_id );
    while ( lconfig_p1 != NULL ) {
      delete lconfig_p1;
      lconfig_p1 = (WCPath*)lconfig_listp->getNextElement( lconfig_id );
    }
    lconfig_listp->closeEnum( lconfig_id );
    delete lconfig_listp;
    lconfig_listp = NULL;
  }
  if ( lconfig_listb != NULL ) {
    lconfig_id = lconfig_listb->initEnum();
    lconfig_bt1 = (WCButton*)lconfig_listb->getFirstElement( lconfig_id );
    while ( lconfig_bt1 != NULL ) {
      delete lconfig_bt1;
      lconfig_bt1 = (WCButton*)lconfig_listb->getNextElement( lconfig_id );
    }
    lconfig_listb->closeEnum( lconfig_id );
    delete lconfig_listb;
    lconfig_listb = NULL;
  }
  if ( lconfig_listft != NULL ) {
    lconfig_id = lconfig_listft->initEnum();
    lconfig_ft1 = (WCFiletype*)lconfig_listft->getFirstElement( lconfig_id );
    while ( lconfig_ft1 != NULL ) {
      delete lconfig_ft1;
      lconfig_ft1 = (WCFiletype*)lconfig_listft->getNextElement( lconfig_id );
    }
    lconfig_listft->closeEnum( lconfig_id );
    delete lconfig_listft;
    lconfig_listft = NULL;
  }

  while ( filetypehier.size() > 0 ) {
      lconfig_ft1 = filetypehier.back();
      filetypehier.pop_back();
      delete lconfig_ft1;
      lconfig_ft1 = NULL;
  }

  if ( lconfig_listh != NULL ) {
    lconfig_id = lconfig_listh->initEnum();
    lconfig_hk1 = (WCHotkey*)lconfig_listh->getFirstElement( lconfig_id );
    while ( lconfig_hk1 != NULL ) {
      delete lconfig_hk1;
      lconfig_hk1 = (WCHotkey*)lconfig_listh->getNextElement( lconfig_id );
    }
    lconfig_listh->closeEnum( lconfig_id );
    delete lconfig_listh;
    lconfig_listh = NULL;
  }
  if ( lconfig_listsk != NULL ) {
    lconfig_id = lconfig_listsk->initEnum();
    lconfig_dk = (WCDoubleShortkey*)lconfig_listsk->getFirstElement( lconfig_id );
    while ( lconfig_dk != NULL ) {
      delete lconfig_dk;
      lconfig_listsk->removeFirstElement();
      lconfig_dk = (WCDoubleShortkey*)lconfig_listsk->getFirstElement( lconfig_id );
    }
    lconfig_listsk->closeEnum( lconfig_id );
    delete lconfig_listsk;
    lconfig_listsk = NULL;
  }
  lconfig_listcom.clear();
  if ( lconfig_ignorelist != NULL ) {
    lconfig_id = lconfig_ignorelist->initEnum();
    lconfig_tstr = (char*)lconfig_ignorelist->getFirstElement( lconfig_id );
    while ( lconfig_tstr != NULL ) {
      _freesafe( lconfig_tstr );
      lconfig_tstr = (char*)lconfig_ignorelist->getNextElement( lconfig_id );
    }
    lconfig_ignorelist->closeEnum( lconfig_id );
    delete lconfig_ignorelist;
    lconfig_ignorelist = NULL;
  }
}

/*#define YYERROR_VERBOSE*/


#line 284 "configparser.cc"

# ifndef YY_CAST
#  ifdef __cplusplus
#   define YY_CAST(Type, Val) static_cast<Type> (Val)
#   define YY_REINTERPRET_CAST(Type, Val) reinterpret_cast<Type> (Val)
#  else
#   define YY_CAST(Type, Val) ((Type) (Val))
#   define YY_REINTERPRET_CAST(Type, Val) ((Type) (Val))
#  endif
# endif
# ifndef YY_NULLPTR
#  if defined __cplusplus
#   if 201103L <= __cplusplus
#    define YY_NULLPTR nullptr
#   else
#    define YY_NULLPTR 0
#   endif
#  else
#   define YY_NULLPTR ((void*)0)
#  endif
# endif

/* Use api.header.include to #include this header
   instead of duplicating it here.  */
#ifndef YY_YY_CONFIGPARSER_HH_INCLUDED
# define YY_YY_CONFIGPARSER_HH_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int yydebug;
#endif

/* Token kinds.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    YYEMPTY = -2,
    YYEOF = 0,                     /* "end of file"  */
    YYerror = 256,                 /* error  */
    YYUNDEF = 257,                 /* "invalid token"  */
    LEFTBRACE_WCP = 258,           /* LEFTBRACE_WCP  */
    RIGHTBRACE_WCP = 259,          /* RIGHTBRACE_WCP  */
    GLOBAL_WCP = 260,              /* GLOBAL_WCP  */
    COLORS_WCP = 261,              /* COLORS_WCP  */
    LANG_WCP = 262,                /* LANG_WCP  */
    PALETTE_WCP = 263,             /* PALETTE_WCP  */
    OWNOP_WCP = 264,               /* OWNOP_WCP  */
    LISTERSETS_WCP = 265,          /* LISTERSETS_WCP  */
    YES_WCP = 266,                 /* YES_WCP  */
    NO_WCP = 267,                  /* NO_WCP  */
    LEFT_WCP = 268,                /* LEFT_WCP  */
    RIGHT_WCP = 269,               /* RIGHT_WCP  */
    HBARTOP_WCP = 270,             /* HBARTOP_WCP  */
    HBARHEIGHT_WCP = 271,          /* HBARHEIGHT_WCP  */
    VBARLEFT_WCP = 272,            /* VBARLEFT_WCP  */
    VBARWIDTH_WCP = 273,           /* VBARWIDTH_WCP  */
    DISPLAYSETS_WCP = 274,         /* DISPLAYSETS_WCP  */
    NAME_WCP = 275,                /* NAME_WCP  */
    SIZE_WCP = 276,                /* SIZE_WCP  */
    TYPE_WCP = 277,                /* TYPE_WCP  */
    PERMISSION_WCP = 278,          /* PERMISSION_WCP  */
    OWNER_WCP = 279,               /* OWNER_WCP  */
    DESTINATION_WCP = 280,         /* DESTINATION_WCP  */
    MODTIME_WCP = 281,             /* MODTIME_WCP  */
    ACCTIME_WCP = 282,             /* ACCTIME_WCP  */
    CHGTIME_WCP = 283,             /* CHGTIME_WCP  */
    ROWS_WCP = 284,                /* ROWS_WCP  */
    COLUMNS_WCP = 285,             /* COLUMNS_WCP  */
    CACHESIZE_WCP = 286,           /* CACHESIZE_WCP  */
    OWNERSTYLE_WCP = 287,          /* OWNERSTYLE_WCP  */
    TERMINAL_WCP = 288,            /* TERMINAL_WCP  */
    USESTRINGFORDIRSIZE_WCP = 289, /* USESTRINGFORDIRSIZE_WCP  */
    TIMESETS_WCP = 290,            /* TIMESETS_WCP  */
    STYLE1_WCP = 291,              /* STYLE1_WCP  */
    STYLE2_WCP = 292,              /* STYLE2_WCP  */
    STYLE3_WCP = 293,              /* STYLE3_WCP  */
    DATE_WCP = 294,                /* DATE_WCP  */
    TIME_WCP = 295,                /* TIME_WCP  */
    DATESUBSTITUTION_WCP = 296,    /* DATESUBSTITUTION_WCP  */
    DATEBEFORETIME_WCP = 297,      /* DATEBEFORETIME_WCP  */
    STATEBAR_WCP = 298,            /* STATEBAR_WCP  */
    SELLVBAR_WCP = 299,            /* SELLVBAR_WCP  */
    UNSELLVBAR_WCP = 300,          /* UNSELLVBAR_WCP  */
    CLOCKBAR_WCP = 301,            /* CLOCKBAR_WCP  */
    REQUESTER_WCP = 302,           /* REQUESTER_WCP  */
    UNSELDIR_WCP = 303,            /* UNSELDIR_WCP  */
    SELDIR_WCP = 304,              /* SELDIR_WCP  */
    UNSELFILE_WCP = 305,           /* UNSELFILE_WCP  */
    SELFILE_WCP = 306,             /* SELFILE_WCP  */
    UNSELACTDIR_WCP = 307,         /* UNSELACTDIR_WCP  */
    SELACTDIR_WCP = 308,           /* SELACTDIR_WCP  */
    UNSELACTFILE_WCP = 309,        /* UNSELACTFILE_WCP  */
    SELACTFILE_WCP = 310,          /* SELACTFILE_WCP  */
    LVBG_WCP = 311,                /* LVBG_WCP  */
    STARTUP_WCP = 312,             /* STARTUP_WCP  */
    BUTTON_WCP = 313,              /* BUTTON_WCP  */
    BUTTONS_WCP = 314,             /* BUTTONS_WCP  */
    POSITION_WCP = 315,            /* POSITION_WCP  */
    TITLE_WCP = 316,               /* TITLE_WCP  */
    COMMANDS_WCP = 317,            /* COMMANDS_WCP  */
    SHORTKEYS_WCP = 318,           /* SHORTKEYS_WCP  */
    PATHS_WCP = 319,               /* PATHS_WCP  */
    PATH_WCP = 320,                /* PATH_WCP  */
    FILETYPES_WCP = 321,           /* FILETYPES_WCP  */
    FILETYPE_WCP = 322,            /* FILETYPE_WCP  */
    NORMAL_WCP = 323,              /* NORMAL_WCP  */
    NOTYETCHECKED_WCP = 324,       /* NOTYETCHECKED_WCP  */
    UNKNOWN_WCP = 325,             /* UNKNOWN_WCP  */
    NOSELECT_WCP = 326,            /* NOSELECT_WCP  */
    DIR_WCP = 327,                 /* DIR_WCP  */
    USEPATTERN_WCP = 328,          /* USEPATTERN_WCP  */
    USECONTENT_WCP = 329,          /* USECONTENT_WCP  */
    PATTERN_WCP = 330,             /* PATTERN_WCP  */
    CONTENT_WCP = 331,             /* CONTENT_WCP  */
    FTCOMMANDS_WCP = 332,          /* FTCOMMANDS_WCP  */
    DND_WCP = 333,                 /* DND_WCP  */
    DC_WCP = 334,                  /* DC_WCP  */
    SHOW_WCP = 335,                /* SHOW_WCP  */
    RAWSHOW_WCP = 336,             /* RAWSHOW_WCP  */
    USER_WCP = 337,                /* USER_WCP  */
    FLAGS_WCP = 338,               /* FLAGS_WCP  */
    IGNOREDIRS_WCP = 339,          /* IGNOREDIRS_WCP  */
    HOTKEYS_WCP = 340,             /* HOTKEYS_WCP  */
    HOTKEY_WCP = 341,              /* HOTKEY_WCP  */
    FONTS_WCP = 342,               /* FONTS_WCP  */
    GLOBALFONT_WCP = 343,          /* GLOBALFONT_WCP  */
    BUTTONFONT_WCP = 344,          /* BUTTONFONT_WCP  */
    LEFTFONT_WCP = 345,            /* LEFTFONT_WCP  */
    RIGHTFONT_WCP = 346,           /* RIGHTFONT_WCP  */
    TEXTVIEWFONT_WCP = 347,        /* TEXTVIEWFONT_WCP  */
    STATEBARFONT_WCP = 348,        /* STATEBARFONT_WCP  */
    CLOCKBARSETS_WCP = 349,        /* CLOCKBARSETS_WCP  */
    MODUS_WCP = 350,               /* MODUS_WCP  */
    TIMESPACE_WCP = 351,           /* TIMESPACE_WCP  */
    VERSION_WCP = 352,             /* VERSION_WCP  */
    EXTERN_WCP = 353,              /* EXTERN_WCP  */
    UPDATETIME_WCP = 354,          /* UPDATETIME_WCP  */
    PROGRAM_WCP = 355,             /* PROGRAM_WCP  */
    SHOWHINTS_WCP = 356,           /* SHOWHINTS_WCP  */
    KEY_WCP = 357,                 /* KEY_WCP  */
    DOUBLE_WCP = 358,              /* DOUBLE_WCP  */
    MOD_WCP = 359,                 /* MOD_WCP  */
    CONTROL_WCP = 360,             /* CONTROL_WCP  */
    SHIFT_WCP = 361,               /* SHIFT_WCP  */
    LOCK_WCP = 362,                /* LOCK_WCP  */
    MOD1_WCP = 363,                /* MOD1_WCP  */
    MOD2_WCP = 364,                /* MOD2_WCP  */
    MOD3_WCP = 365,                /* MOD3_WCP  */
    MOD4_WCP = 366,                /* MOD4_WCP  */
    MOD5_WCP = 367,                /* MOD5_WCP  */
    DNDACTION_WCP = 368,           /* DNDACTION_WCP  */
    DCACTION_WCP = 369,            /* DCACTION_WCP  */
    SHOWACTION_WCP = 370,          /* SHOWACTION_WCP  */
    RSHOWACTION_WCP = 371,         /* RSHOWACTION_WCP  */
    USERACTION_WCP = 372,          /* USERACTION_WCP  */
    ROWUP_WCP = 373,               /* ROWUP_WCP  */
    ROWDOWN_WCP = 374,             /* ROWDOWN_WCP  */
    CHANGEHIDDENFLAG_WCP = 375,    /* CHANGEHIDDENFLAG_WCP  */
    COPYOP_WCP = 376,              /* COPYOP_WCP  */
    FIRSTROW_WCP = 377,            /* FIRSTROW_WCP  */
    LASTROW_WCP = 378,             /* LASTROW_WCP  */
    PAGEUP_WCP = 379,              /* PAGEUP_WCP  */
    PAGEDOWN_WCP = 380,            /* PAGEDOWN_WCP  */
    SELECTOP_WCP = 381,            /* SELECTOP_WCP  */
    SELECTALLOP_WCP = 382,         /* SELECTALLOP_WCP  */
    SELECTNONEOP_WCP = 383,        /* SELECTNONEOP_WCP  */
    INVERTALLOP_WCP = 384,         /* INVERTALLOP_WCP  */
    PARENTDIROP_WCP = 385,         /* PARENTDIROP_WCP  */
    ENTERDIROP_WCP = 386,          /* ENTERDIROP_WCP  */
    CHANGELISTERSETOP_WCP = 387,   /* CHANGELISTERSETOP_WCP  */
    SWITCHLISTEROP_WCP = 388,      /* SWITCHLISTEROP_WCP  */
    FILTERSELECTOP_WCP = 389,      /* FILTERSELECTOP_WCP  */
    FILTERUNSELECTOP_WCP = 390,    /* FILTERUNSELECTOP_WCP  */
    PATHTOOTHERSIDEOP_WCP = 391,   /* PATHTOOTHERSIDEOP_WCP  */
    QUITOP_WCP = 392,              /* QUITOP_WCP  */
    DELETEOP_WCP = 393,            /* DELETEOP_WCP  */
    RELOADOP_WCP = 394,            /* RELOADOP_WCP  */
    MAKEDIROP_WCP = 395,           /* MAKEDIROP_WCP  */
    RENAMEOP_WCP = 396,            /* RENAMEOP_WCP  */
    DIRSIZEOP_WCP = 397,           /* DIRSIZEOP_WCP  */
    SIMDDOP_WCP = 398,             /* SIMDDOP_WCP  */
    STARTPROGOP_WCP = 399,         /* STARTPROGOP_WCP  */
    SEARCHENTRYOP_WCP = 400,       /* SEARCHENTRYOP_WCP  */
    ENTERPATHOP_WCP = 401,         /* ENTERPATHOP_WCP  */
    SCROLLLISTEROP_WCP = 402,      /* SCROLLLISTEROP_WCP  */
    CREATESYMLINKOP_WCP = 403,     /* CREATESYMLINKOP_WCP  */
    CHANGESYMLINKOP_WCP = 404,     /* CHANGESYMLINKOP_WCP  */
    CHMODOP_WCP = 405,             /* CHMODOP_WCP  */
    TOGGLELISTERMODEOP_WCP = 406,  /* TOGGLELISTERMODEOP_WCP  */
    SETSORTMODEOP_WCP = 407,       /* SETSORTMODEOP_WCP  */
    SETFILTEROP_WCP = 408,         /* SETFILTEROP_WCP  */
    SHORTKEYFROMLISTOP_WCP = 409,  /* SHORTKEYFROMLISTOP_WCP  */
    CHOWNOP_WCP = 410,             /* CHOWNOP_WCP  */
    WORKERCONFIG_WCP = 411,        /* WORKERCONFIG_WCP  */
    USERSTYLE_WCP = 412,           /* USERSTYLE_WCP  */
    DATESTRING_WCP = 413,          /* DATESTRING_WCP  */
    TIMESTRING_WCP = 414,          /* TIMESTRING_WCP  */
    COLOR_WCP = 415,               /* COLOR_WCP  */
    PATTERNIGNORECASE_WCP = 416,   /* PATTERNIGNORECASE_WCP  */
    PATTERNUSEREGEXP_WCP = 417,    /* PATTERNUSEREGEXP_WCP  */
    PATTERNUSEFULLNAME_WCP = 418,  /* PATTERNUSEFULLNAME_WCP  */
    COM_WCP = 419,                 /* COM_WCP  */
    SEPARATEEACHENTRY_WCP = 420,   /* SEPARATEEACHENTRY_WCP  */
    RECURSIVE_WCP = 421,           /* RECURSIVE_WCP  */
    START_WCP = 422,               /* START_WCP  */
    TERMINALWAIT_WCP = 423,        /* TERMINALWAIT_WCP  */
    SHOWOUTPUT_WCP = 424,          /* SHOWOUTPUT_WCP  */
    VIEWSTR_WCP = 425,             /* VIEWSTR_WCP  */
    SHOWOUTPUTINT_WCP = 426,       /* SHOWOUTPUTINT_WCP  */
    INBACKGROUND_WCP = 427,        /* INBACKGROUND_WCP  */
    TAKEDIRS_WCP = 428,            /* TAKEDIRS_WCP  */
    ACTIONNUMBER_WCP = 429,        /* ACTIONNUMBER_WCP  */
    HIDDENFILES_WCP = 430,         /* HIDDENFILES_WCP  */
    HIDE_WCP = 431,                /* HIDE_WCP  */
    TOGGLE_WCP = 432,              /* TOGGLE_WCP  */
    FOLLOWSYMLINKS_WCP = 433,      /* FOLLOWSYMLINKS_WCP  */
    MOVE_WCP = 434,                /* MOVE_WCP  */
    RENAME_WCP = 435,              /* RENAME_WCP  */
    SAMEDIR_WCP = 436,             /* SAMEDIR_WCP  */
    REQUESTDEST_WCP = 437,         /* REQUESTDEST_WCP  */
    REQUESTFLAGS_WCP = 438,        /* REQUESTFLAGS_WCP  */
    OVERWRITE_WCP = 439,           /* OVERWRITE_WCP  */
    ALWAYS_WCP = 440,              /* ALWAYS_WCP  */
    NEVER_WCP = 441,               /* NEVER_WCP  */
    COPYMODE_WCP = 442,            /* COPYMODE_WCP  */
    FAST_WCP = 443,                /* FAST_WCP  */
    PRESERVEATTR_WCP = 444,        /* PRESERVEATTR_WCP  */
    MODE_WCP = 445,                /* MODE_WCP  */
    ACTIVE_WCP = 446,              /* ACTIVE_WCP  */
    ACTIVE2OTHER_WCP = 447,        /* ACTIVE2OTHER_WCP  */
    SPECIAL_WCP = 448,             /* SPECIAL_WCP  */
    REQUEST_WCP = 449,             /* REQUEST_WCP  */
    CURRENT_WCP = 450,             /* CURRENT_WCP  */
    OTHER_WCP = 451,               /* OTHER_WCP  */
    FILTER_WCP = 452,              /* FILTER_WCP  */
    QUICK_WCP = 453,               /* QUICK_WCP  */
    ALSOACTIVE_WCP = 454,          /* ALSOACTIVE_WCP  */
    RESETDIRSIZES_WCP = 455,       /* RESETDIRSIZES_WCP  */
    KEEPFILETYPES_WCP = 456,       /* KEEPFILETYPES_WCP  */
    RELATIVE_WCP = 457,            /* RELATIVE_WCP  */
    ONFILES_WCP = 458,             /* ONFILES_WCP  */
    ONDIRS_WCP = 459,              /* ONDIRS_WCP  */
    SORTBY_WCP = 460,              /* SORTBY_WCP  */
    SORTFLAG_WCP = 461,            /* SORTFLAG_WCP  */
    REVERSE_WCP = 462,             /* REVERSE_WCP  */
    DIRLAST_WCP = 463,             /* DIRLAST_WCP  */
    DIRMIXED_WCP = 464,            /* DIRMIXED_WCP  */
    EXCLUDE_WCP = 465,             /* EXCLUDE_WCP  */
    INCLUDE_WCP = 466,             /* INCLUDE_WCP  */
    UNSET_WCP = 467,               /* UNSET_WCP  */
    UNSETALL_WCP = 468,            /* UNSETALL_WCP  */
    SCRIPTOP_WCP = 469,            /* SCRIPTOP_WCP  */
    NOP_WCP = 470,                 /* NOP_WCP  */
    PUSH_WCP = 471,                /* PUSH_WCP  */
    LABEL_WCP = 472,               /* LABEL_WCP  */
    IF_WCP = 473,                  /* IF_WCP  */
    END_WCP = 474,                 /* END_WCP  */
    POP_WCP = 475,                 /* POP_WCP  */
    SETTINGS_WCP = 476,            /* SETTINGS_WCP  */
    WINDOW_WCP = 477,              /* WINDOW_WCP  */
    GOTO_WCP = 478,                /* GOTO_WCP  */
    PUSHUSEOUTPUT_WCP = 479,       /* PUSHUSEOUTPUT_WCP  */
    DODEBUG_WCP = 480,             /* DODEBUG_WCP  */
    WPURECURSIVE_WCP = 481,        /* WPURECURSIVE_WCP  */
    WPUTAKEDIRS_WCP = 482,         /* WPUTAKEDIRS_WCP  */
    STACKNR_WCP = 483,             /* STACKNR_WCP  */
    PUSHSTRING_WCP = 484,          /* PUSHSTRING_WCP  */
    IFTEST_WCP = 485,              /* IFTEST_WCP  */
    IFLABEL_WCP = 486,             /* IFLABEL_WCP  */
    WINTYPE_WCP = 487,             /* WINTYPE_WCP  */
    OPEN_WCP = 488,                /* OPEN_WCP  */
    CLOSE_WCP = 489,               /* CLOSE_WCP  */
    LEAVE_WCP = 490,               /* LEAVE_WCP  */
    CHANGEPROGRESS_WCP = 491,      /* CHANGEPROGRESS_WCP  */
    CHANGETEXT_WCP = 492,          /* CHANGETEXT_WCP  */
    PROGRESSUSEOUTPUT_WCP = 493,   /* PROGRESSUSEOUTPUT_WCP  */
    WINTEXTUSEOUTPUT_WCP = 494,    /* WINTEXTUSEOUTPUT_WCP  */
    PROGRESS_WCP = 495,            /* PROGRESS_WCP  */
    WINTEXT_WCP = 496,             /* WINTEXT_WCP  */
    SHOWDIRCACHEOP_WCP = 497,      /* SHOWDIRCACHEOP_WCP  */
    INODE_WCP = 498,               /* INODE_WCP  */
    NLINK_WCP = 499,               /* NLINK_WCP  */
    BLOCKS_WCP = 500,              /* BLOCKS_WCP  */
    SHOWHEADER_WCP = 501,          /* SHOWHEADER_WCP  */
    LVHEADER_WCP = 502,            /* LVHEADER_WCP  */
    IGNORECASE_WCP = 503,          /* IGNORECASE_WCP  */
    LISTVIEWS_WCP = 504,           /* LISTVIEWS_WCP  */
    BLL_WCP = 505,                 /* BLL_WCP  */
    LBL_WCP = 506,                 /* LBL_WCP  */
    LLB_WCP = 507,                 /* LLB_WCP  */
    BL_WCP = 508,                  /* BL_WCP  */
    LB_WCP = 509,                  /* LB_WCP  */
    LAYOUT_WCP = 510,              /* LAYOUT_WCP  */
    BUTTONSVERT_WCP = 511,         /* BUTTONSVERT_WCP  */
    LISTVIEWSVERT_WCP = 512,       /* LISTVIEWSVERT_WCP  */
    LISTVIEWWEIGHT_WCP = 513,      /* LISTVIEWWEIGHT_WCP  */
    WEIGHTTOACTIVE_WCP = 514,      /* WEIGHTTOACTIVE_WCP  */
    EXTCOND_WCP = 515,             /* EXTCOND_WCP  */
    USEEXTCOND_WCP = 516,          /* USEEXTCOND_WCP  */
    SUBTYPE_WCP = 517,             /* SUBTYPE_WCP  */
    PARENTACTIONOP_WCP = 518,      /* PARENTACTIONOP_WCP  */
    NOOPERATIONOP_WCP = 519,       /* NOOPERATIONOP_WCP  */
    COLORMODE_WCP = 520,           /* COLORMODE_WCP  */
    DEFAULT_WCP = 521,             /* DEFAULT_WCP  */
    CUSTOM_WCP = 522,              /* CUSTOM_WCP  */
    UNSELECTCOLOR_WCP = 523,       /* UNSELECTCOLOR_WCP  */
    SELECTCOLOR_WCP = 524,         /* SELECTCOLOR_WCP  */
    UNSELECTACTIVECOLOR_WCP = 525, /* UNSELECTACTIVECOLOR_WCP  */
    SELECTACTIVECOLOR_WCP = 526,   /* SELECTACTIVECOLOR_WCP  */
    COLOREXTERNPROG_WCP = 527,     /* COLOREXTERNPROG_WCP  */
    PARENT_WCP = 528,              /* PARENT_WCP  */
    DONTCD_WCP = 529,              /* DONTCD_WCP  */
    DONTCHECKVIRTUAL_WCP = 530,    /* DONTCHECKVIRTUAL_WCP  */
    GOFTPOP_WCP = 531,             /* GOFTPOP_WCP  */
    HOSTNAME_WCP = 532,            /* HOSTNAME_WCP  */
    USERNAME_WCP = 533,            /* USERNAME_WCP  */
    PASSWORD_WCP = 534,            /* PASSWORD_WCP  */
    DONTENTERFTP_WCP = 535,        /* DONTENTERFTP_WCP  */
    ALWAYSSTOREPW_WCP = 536,       /* ALWAYSSTOREPW_WCP  */
    INTERNALVIEWOP_WCP = 537,      /* INTERNALVIEWOP_WCP  */
    CUSTOMFILES_WCP = 538,         /* CUSTOMFILES_WCP  */
    SHOWMODE_WCP = 539,            /* SHOWMODE_WCP  */
    SELECTED_WCP = 540,            /* SELECTED_WCP  */
    REVERSESEARCH_WCP = 541,       /* REVERSESEARCH_WCP  */
    MOUSECONF_WCP = 542,           /* MOUSECONF_WCP  */
    SELECTBUTTON_WCP = 543,        /* SELECTBUTTON_WCP  */
    ACTIVATEBUTTON_WCP = 544,      /* ACTIVATEBUTTON_WCP  */
    SCROLLBUTTON_WCP = 545,        /* SCROLLBUTTON_WCP  */
    SELECTMETHOD_WCP = 546,        /* SELECTMETHOD_WCP  */
    ALTERNATIVE_WCP = 547,         /* ALTERNATIVE_WCP  */
    SEARCHOP_WCP = 548,            /* SEARCHOP_WCP  */
    EDITCOMMAND_WCP = 549,         /* EDITCOMMAND_WCP  */
    SHOWPREVRESULTS_WCP = 550,     /* SHOWPREVRESULTS_WCP  */
    TEXTVIEW_WCP = 551,            /* TEXTVIEW_WCP  */
    TEXTVIEWHIGHLIGHTED_WCP = 552, /* TEXTVIEWHIGHLIGHTED_WCP  */
    TEXTVIEWSELECTION_WCP = 553,   /* TEXTVIEWSELECTION_WCP  */
    DIRBOOKMARKOP_WCP = 554,       /* DIRBOOKMARKOP_WCP  */
    OPENCONTEXTMENUOP_WCP = 555,   /* OPENCONTEXTMENUOP_WCP  */
    RUNCUSTOMACTION_WCP = 556,     /* RUNCUSTOMACTION_WCP  */
    CUSTOMNAME_WCP = 557,          /* CUSTOMNAME_WCP  */
    CONTEXTBUTTON_WCP = 558,       /* CONTEXTBUTTON_WCP  */
    ACTIVATEMOD_WCP = 559,         /* ACTIVATEMOD_WCP  */
    SCROLLMOD_WCP = 560,           /* SCROLLMOD_WCP  */
    CONTEXTMOD_WCP = 561,          /* CONTEXTMOD_WCP  */
    NONE_WCP = 562,                /* NONE_WCP  */
    CUSTOMACTION_WCP = 563,        /* CUSTOMACTION_WCP  */
    SAVE_WORKER_STATE_ON_EXIT_WCP = 564, /* SAVE_WORKER_STATE_ON_EXIT_WCP  */
    OPENWORKERMENUOP_WCP = 565,    /* OPENWORKERMENUOP_WCP  */
    CHANGELABELOP_WCP = 566,       /* CHANGELABELOP_WCP  */
    ASKFORLABEL_WCP = 567,         /* ASKFORLABEL_WCP  */
    LABELCOLORS_WCP = 568,         /* LABELCOLORS_WCP  */
    BOOKMARKLABEL_WCP = 569,       /* BOOKMARKLABEL_WCP  */
    BOOKMARKFILTER_WCP = 570,      /* BOOKMARKFILTER_WCP  */
    SHOWONLYBOOKMARKS_WCP = 571,   /* SHOWONLYBOOKMARKS_WCP  */
    SHOWONLYLABEL_WCP = 572,       /* SHOWONLYLABEL_WCP  */
    SHOWALL_WCP = 573,             /* SHOWALL_WCP  */
    OPTIONMODE_WCP = 574,          /* OPTIONMODE_WCP  */
    INVERT_WCP = 575,              /* INVERT_WCP  */
    SET_WCP = 576,                 /* SET_WCP  */
    CHANGEFILTERS_WCP = 577,       /* CHANGEFILTERS_WCP  */
    CHANGEBOOKMARKS_WCP = 578,     /* CHANGEBOOKMARKS_WCP  */
    QUERYLABEL_WCP = 579,          /* QUERYLABEL_WCP  */
    MODIFYTABSOP_WCP = 580,        /* MODIFYTABSOP_WCP  */
    TABACTION_WCP = 581,           /* TABACTION_WCP  */
    NEWTAB_WCP = 582,              /* NEWTAB_WCP  */
    CLOSECURRENTTAB_WCP = 583,     /* CLOSECURRENTTAB_WCP  */
    NEXTTAB_WCP = 584,             /* NEXTTAB_WCP  */
    PREVTAB_WCP = 585,             /* PREVTAB_WCP  */
    TOGGLELOCKSTATE_WCP = 586,     /* TOGGLELOCKSTATE_WCP  */
    MOVETABLEFT_WCP = 587,         /* MOVETABLEFT_WCP  */
    MOVETABRIGHT_WCP = 588,        /* MOVETABRIGHT_WCP  */
    CHANGELAYOUTOP_WCP = 589,      /* CHANGELAYOUTOP_WCP  */
    INFIXSEARCH_WCP = 590,         /* INFIXSEARCH_WCP  */
    VOLUMEMANAGEROP_WCP = 591,     /* VOLUMEMANAGEROP_WCP  */
    ERROR = 592,                   /* ERROR  */
    ACTIVESIDE_WCP = 593,          /* ACTIVESIDE_WCP  */
    SHOWFREESPACE_WCP = 594,       /* SHOWFREESPACE_WCP  */
    ACTIVEMODE_WCP = 595,          /* ACTIVEMODE_WCP  */
    ASK_WCP = 596,                 /* ASK_WCP  */
    SSHALLOW_WCP = 597,            /* SSHALLOW_WCP  */
    FIELD_WIDTH_WCP = 598,         /* FIELD_WIDTH_WCP  */
    QUICKSEARCHENABLED_WCP = 599,  /* QUICKSEARCHENABLED_WCP  */
    FILTEREDSEARCHENABLED_WCP = 600, /* FILTEREDSEARCHENABLED_WCP  */
    XFTFONTS_WCP = 601,            /* XFTFONTS_WCP  */
    USEMAGIC_WCP = 602,            /* USEMAGIC_WCP  */
    MAGICPATTERN_WCP = 603,        /* MAGICPATTERN_WCP  */
    MAGICCOMPRESSED_WCP = 604,     /* MAGICCOMPRESSED_WCP  */
    MAGICMIME_WCP = 605,           /* MAGICMIME_WCP  */
    VOLUMEMANAGER_WCP = 606,       /* VOLUMEMANAGER_WCP  */
    MOUNTCOMMAND_WCP = 607,        /* MOUNTCOMMAND_WCP  */
    UNMOUNTCOMMAND_WCP = 608,      /* UNMOUNTCOMMAND_WCP  */
    FSTABFILE_WCP = 609,           /* FSTABFILE_WCP  */
    MTABFILE_WCP = 610,            /* MTABFILE_WCP  */
    PARTFILE_WCP = 611,            /* PARTFILE_WCP  */
    REQUESTACTION_WCP = 612,       /* REQUESTACTION_WCP  */
    SIZEH_WCP = 613,               /* SIZEH_WCP  */
    NEXTAGING_WCP = 614,           /* NEXTAGING_WCP  */
    ENTRY_WCP = 615,               /* ENTRY_WCP  */
    PREFIX_WCP = 616,              /* PREFIX_WCP  */
    VALUE_WCP = 617,               /* VALUE_WCP  */
    EXTENSION_WCP = 618,           /* EXTENSION_WCP  */
    EJECTCOMMAND_WCP = 619,        /* EJECTCOMMAND_WCP  */
    CLOSETRAYCOMMAND_WCP = 620,    /* CLOSETRAYCOMMAND_WCP  */
    AVFSMODULE_WCP = 621,          /* AVFSMODULE_WCP  */
    FLEXIBLEMATCH_WCP = 622,       /* FLEXIBLEMATCH_WCP  */
    USE_VERSION_STRING_COMPARE_WCP = 623, /* USE_VERSION_STRING_COMPARE_WCP  */
    SWITCHBUTTONBANKOP_WCP = 624,  /* SWITCHBUTTONBANKOP_WCP  */
    SWITCHTONEXTBANK_WCP = 625,    /* SWITCHTONEXTBANK_WCP  */
    SWITCHTOPREVBANK_WCP = 626,    /* SWITCHTOPREVBANK_WCP  */
    SWITCHTOBANKNR_WCP = 627,      /* SWITCHTOBANKNR_WCP  */
    BANKNR_WCP = 628,              /* BANKNR_WCP  */
    USE_VIRTUAL_TEMP_COPIES_WCP = 629, /* USE_VIRTUAL_TEMP_COPIES_WCP  */
    PATHJUMPOP_WCP = 630,          /* PATHJUMPOP_WCP  */
    PATHJUMPALLOWDIRS_WCP = 631,   /* PATHJUMPALLOWDIRS_WCP  */
    CLIPBOARDOP_WCP = 632,         /* CLIPBOARDOP_WCP  */
    CLIPBOARDSTRING_WCP = 633,     /* CLIPBOARDSTRING_WCP  */
    COMMANDSTRING_WCP = 634,       /* COMMANDSTRING_WCP  */
    EVALCOMMAND_WCP = 635,         /* EVALCOMMAND_WCP  */
    WATCHMODE_WCP = 636,           /* WATCHMODE_WCP  */
    APPLY_WINDOW_DIALOG_TYPE_WCP = 637, /* APPLY_WINDOW_DIALOG_TYPE_WCP  */
    FLAGS_ARE_RELATIVE_TO_BASEDIR_WCP = 638, /* FLAGS_ARE_RELATIVE_TO_BASEDIR_WCP  */
    COMMANDMENUOP_WCP = 639,       /* COMMANDMENUOP_WCP  */
    SEARCHMODEONKEYPRESS_WCP = 640, /* SEARCHMODEONKEYPRESS_WCP  */
    PATHENTRYONTOP_WCP = 641,      /* PATHENTRYONTOP_WCP  */
    STORE_FILES_ALWAYS_WCP = 642,  /* STORE_FILES_ALWAYS_WCP  */
    PATHJUMPSETS_WCP = 643,        /* PATHJUMPSETS_WCP  */
    SHOWDOTDOT_WCP = 644,          /* SHOWDOTDOT_WCP  */
    SHOWBREADCRUMB_WCP = 645,      /* SHOWBREADCRUMB_WCP  */
    FACES_WCP = 646,               /* FACES_WCP  */
    FACE_WCP = 647,                /* FACE_WCP  */
    ENABLE_INFO_LINE_WCP = 648,    /* ENABLE_INFO_LINE_WCP  */
    INFO_LINE_LUA_MODE_WCP = 649,  /* INFO_LINE_LUA_MODE_WCP  */
    INFO_LINE_CONTENT_WCP = 650,   /* INFO_LINE_CONTENT_WCP  */
    RESTORE_TABS_MODE_WCP = 651,   /* RESTORE_TABS_MODE_WCP  */
    STORE_TABS_MODE_WCP = 652,     /* STORE_TABS_MODE_WCP  */
    AS_EXIT_STATE_WCP = 653,       /* AS_EXIT_STATE_WCP  */
    USE_EXTENDED_REGEX_WCP = 654,  /* USE_EXTENDED_REGEX_WCP  */
    HIGHLIGHT_USER_ACTION_WCP = 655, /* HIGHLIGHT_USER_ACTION_WCP  */
    CHTIMEOP_WCP = 656,            /* CHTIMEOP_WCP  */
    ADJUSTRELATIVESYMLINKS_WCP = 657, /* ADJUSTRELATIVESYMLINKS_WCP  */
    OUTSIDE_WCP = 658,             /* OUTSIDE_WCP  */
    EDIT_WCP = 659,                /* EDIT_WCP  */
    MAKEABSOLUTE_WCP = 660,        /* MAKEABSOLUTE_WCP  */
    MAKERELATIVE_WCP = 661,        /* MAKERELATIVE_WCP  */
    MAGICIGNORECASE_WCP = 662,     /* MAGICIGNORECASE_WCP  */
    ENSURE_FILE_PERMISSIONS_WCP = 663, /* ENSURE_FILE_PERMISSIONS_WCP  */
    USER_RW_WCP = 664,             /* USER_RW_WCP  */
    USER_RW_GROUP_R_WCP = 665,     /* USER_RW_GROUP_R_WCP  */
    USER_RW_ALL_R_WCP = 666,       /* USER_RW_ALL_R_WCP  */
    LEAVE_UNMODIFIED_WCP = 667,    /* LEAVE_UNMODIFIED_WCP  */
    PREFERUDISKSVERSION_WCP = 668, /* PREFERUDISKSVERSION_WCP  */
    CHANGECOLUMNSOP_WCP = 669,     /* CHANGECOLUMNSOP_WCP  */
    PATTERNISCOMMASEPARATED_WCP = 670, /* PATTERNISCOMMASEPARATED_WCP  */
    STRCASECMP_WCP = 671,          /* STRCASECMP_WCP  */
    USE_STRING_COMPARE_MODE_WCP = 672, /* USE_STRING_COMPARE_MODE_WCP  */
    VIEWNEWESTFILESOP_WCP = 673,   /* VIEWNEWESTFILESOP_WCP  */
    SHOWRECENT_WCP = 674,          /* SHOWRECENT_WCP  */
    DIRCOMPAREOP_WCP = 675,        /* DIRCOMPAREOP_WCP  */
    TABPROFILESOP_WCP = 676,       /* TABPROFILESOP_WCP  */
    EXTERNALVDIROP_WCP = 677,      /* EXTERNALVDIROP_WCP  */
    VDIR_PRESERVE_DIR_STRUCTURE_WCP = 678, /* VDIR_PRESERVE_DIR_STRUCTURE_WCP  */
    OPENTABMENUOP_WCP = 679,       /* OPENTABMENUOP_WCP  */
    INITIALTAB_WCP = 680,          /* INITIALTAB_WCP  */
    SHOWBYTIME_WCP = 681,          /* SHOWBYTIME_WCP  */
    SHOWBYFILTER_WCP = 682,        /* SHOWBYFILTER_WCP  */
    SHOWBYPROGRAM_WCP = 683,       /* SHOWBYPROGRAM_WCP  */
    TERMINAL_RETURNS_EARLY_WCP = 684, /* TERMINAL_RETURNS_EARLY_WCP  */
    DIRECTORYPRESETS_WCP = 685,    /* DIRECTORYPRESETS_WCP  */
    DIRECTORYPRESET_WCP = 686,     /* DIRECTORYPRESET_WCP  */
    HELPOP_WCP = 687,              /* HELPOP_WCP  */
    PRIORITY_WCP = 688,            /* PRIORITY_WCP  */
    AUTOFILTER_WCP = 689,          /* AUTOFILTER_WCP  */
    ENABLE_CUSTOM_LVB_LINE_WCP = 690, /* ENABLE_CUSTOM_LVB_LINE_WCP  */
    CUSTOM_LVB_LINE_WCP = 691,     /* CUSTOM_LVB_LINE_WCP  */
    CUSTOM_DIRECTORY_INFO_COMMAND_WCP = 692, /* CUSTOM_DIRECTORY_INFO_COMMAND_WCP  */
    IMMEDIATE_FILTER_APPLY_WCP = 693, /* IMMEDIATE_FILTER_APPLY_WCP  */
    DISABLEBGCHECKPREFIX_WCP = 694, /* DISABLEBGCHECKPREFIX_WCP  */
    DISPLAYMODE_WCP = 695,         /* DISPLAYMODE_WCP  */
    SHOWSUBDIRS_WCP = 696,         /* SHOWSUBDIRS_WCP  */
    SHOWDIRECTSUBDIRS_WCP = 697,   /* SHOWDIRECTSUBDIRS_WCP  */
    INCLUDEALL_WCP = 698,          /* INCLUDEALL_WCP  */
    APPLYMODE_WCP = 699,           /* APPLYMODE_WCP  */
    ADD_WCP = 700,                 /* ADD_WCP  */
    REMOVE_WCP = 701,              /* REMOVE_WCP  */
    HIDENONEXISTING_WCP = 702,     /* HIDENONEXISTING_WCP  */
    VIEWCOMMANDLOGOP_WCP = 703,    /* VIEWCOMMANDLOGOP_WCP  */
    LOCKONCURRENTDIR_WCP = 704,    /* LOCKONCURRENTDIR_WCP  */
    STRING_WCP = 705,              /* STRING_WCP  */
    NUM_WCP = 706                  /* NUM_WCP  */
  };
  typedef enum yytokentype yytoken_kind_t;
#endif
/* Token kinds.  */
#define YYEMPTY -2
#define YYEOF 0
#define YYerror 256
#define YYUNDEF 257
#define LEFTBRACE_WCP 258
#define RIGHTBRACE_WCP 259
#define GLOBAL_WCP 260
#define COLORS_WCP 261
#define LANG_WCP 262
#define PALETTE_WCP 263
#define OWNOP_WCP 264
#define LISTERSETS_WCP 265
#define YES_WCP 266
#define NO_WCP 267
#define LEFT_WCP 268
#define RIGHT_WCP 269
#define HBARTOP_WCP 270
#define HBARHEIGHT_WCP 271
#define VBARLEFT_WCP 272
#define VBARWIDTH_WCP 273
#define DISPLAYSETS_WCP 274
#define NAME_WCP 275
#define SIZE_WCP 276
#define TYPE_WCP 277
#define PERMISSION_WCP 278
#define OWNER_WCP 279
#define DESTINATION_WCP 280
#define MODTIME_WCP 281
#define ACCTIME_WCP 282
#define CHGTIME_WCP 283
#define ROWS_WCP 284
#define COLUMNS_WCP 285
#define CACHESIZE_WCP 286
#define OWNERSTYLE_WCP 287
#define TERMINAL_WCP 288
#define USESTRINGFORDIRSIZE_WCP 289
#define TIMESETS_WCP 290
#define STYLE1_WCP 291
#define STYLE2_WCP 292
#define STYLE3_WCP 293
#define DATE_WCP 294
#define TIME_WCP 295
#define DATESUBSTITUTION_WCP 296
#define DATEBEFORETIME_WCP 297
#define STATEBAR_WCP 298
#define SELLVBAR_WCP 299
#define UNSELLVBAR_WCP 300
#define CLOCKBAR_WCP 301
#define REQUESTER_WCP 302
#define UNSELDIR_WCP 303
#define SELDIR_WCP 304
#define UNSELFILE_WCP 305
#define SELFILE_WCP 306
#define UNSELACTDIR_WCP 307
#define SELACTDIR_WCP 308
#define UNSELACTFILE_WCP 309
#define SELACTFILE_WCP 310
#define LVBG_WCP 311
#define STARTUP_WCP 312
#define BUTTON_WCP 313
#define BUTTONS_WCP 314
#define POSITION_WCP 315
#define TITLE_WCP 316
#define COMMANDS_WCP 317
#define SHORTKEYS_WCP 318
#define PATHS_WCP 319
#define PATH_WCP 320
#define FILETYPES_WCP 321
#define FILETYPE_WCP 322
#define NORMAL_WCP 323
#define NOTYETCHECKED_WCP 324
#define UNKNOWN_WCP 325
#define NOSELECT_WCP 326
#define DIR_WCP 327
#define USEPATTERN_WCP 328
#define USECONTENT_WCP 329
#define PATTERN_WCP 330
#define CONTENT_WCP 331
#define FTCOMMANDS_WCP 332
#define DND_WCP 333
#define DC_WCP 334
#define SHOW_WCP 335
#define RAWSHOW_WCP 336
#define USER_WCP 337
#define FLAGS_WCP 338
#define IGNOREDIRS_WCP 339
#define HOTKEYS_WCP 340
#define HOTKEY_WCP 341
#define FONTS_WCP 342
#define GLOBALFONT_WCP 343
#define BUTTONFONT_WCP 344
#define LEFTFONT_WCP 345
#define RIGHTFONT_WCP 346
#define TEXTVIEWFONT_WCP 347
#define STATEBARFONT_WCP 348
#define CLOCKBARSETS_WCP 349
#define MODUS_WCP 350
#define TIMESPACE_WCP 351
#define VERSION_WCP 352
#define EXTERN_WCP 353
#define UPDATETIME_WCP 354
#define PROGRAM_WCP 355
#define SHOWHINTS_WCP 356
#define KEY_WCP 357
#define DOUBLE_WCP 358
#define MOD_WCP 359
#define CONTROL_WCP 360
#define SHIFT_WCP 361
#define LOCK_WCP 362
#define MOD1_WCP 363
#define MOD2_WCP 364
#define MOD3_WCP 365
#define MOD4_WCP 366
#define MOD5_WCP 367
#define DNDACTION_WCP 368
#define DCACTION_WCP 369
#define SHOWACTION_WCP 370
#define RSHOWACTION_WCP 371
#define USERACTION_WCP 372
#define ROWUP_WCP 373
#define ROWDOWN_WCP 374
#define CHANGEHIDDENFLAG_WCP 375
#define COPYOP_WCP 376
#define FIRSTROW_WCP 377
#define LASTROW_WCP 378
#define PAGEUP_WCP 379
#define PAGEDOWN_WCP 380
#define SELECTOP_WCP 381
#define SELECTALLOP_WCP 382
#define SELECTNONEOP_WCP 383
#define INVERTALLOP_WCP 384
#define PARENTDIROP_WCP 385
#define ENTERDIROP_WCP 386
#define CHANGELISTERSETOP_WCP 387
#define SWITCHLISTEROP_WCP 388
#define FILTERSELECTOP_WCP 389
#define FILTERUNSELECTOP_WCP 390
#define PATHTOOTHERSIDEOP_WCP 391
#define QUITOP_WCP 392
#define DELETEOP_WCP 393
#define RELOADOP_WCP 394
#define MAKEDIROP_WCP 395
#define RENAMEOP_WCP 396
#define DIRSIZEOP_WCP 397
#define SIMDDOP_WCP 398
#define STARTPROGOP_WCP 399
#define SEARCHENTRYOP_WCP 400
#define ENTERPATHOP_WCP 401
#define SCROLLLISTEROP_WCP 402
#define CREATESYMLINKOP_WCP 403
#define CHANGESYMLINKOP_WCP 404
#define CHMODOP_WCP 405
#define TOGGLELISTERMODEOP_WCP 406
#define SETSORTMODEOP_WCP 407
#define SETFILTEROP_WCP 408
#define SHORTKEYFROMLISTOP_WCP 409
#define CHOWNOP_WCP 410
#define WORKERCONFIG_WCP 411
#define USERSTYLE_WCP 412
#define DATESTRING_WCP 413
#define TIMESTRING_WCP 414
#define COLOR_WCP 415
#define PATTERNIGNORECASE_WCP 416
#define PATTERNUSEREGEXP_WCP 417
#define PATTERNUSEFULLNAME_WCP 418
#define COM_WCP 419
#define SEPARATEEACHENTRY_WCP 420
#define RECURSIVE_WCP 421
#define START_WCP 422
#define TERMINALWAIT_WCP 423
#define SHOWOUTPUT_WCP 424
#define VIEWSTR_WCP 425
#define SHOWOUTPUTINT_WCP 426
#define INBACKGROUND_WCP 427
#define TAKEDIRS_WCP 428
#define ACTIONNUMBER_WCP 429
#define HIDDENFILES_WCP 430
#define HIDE_WCP 431
#define TOGGLE_WCP 432
#define FOLLOWSYMLINKS_WCP 433
#define MOVE_WCP 434
#define RENAME_WCP 435
#define SAMEDIR_WCP 436
#define REQUESTDEST_WCP 437
#define REQUESTFLAGS_WCP 438
#define OVERWRITE_WCP 439
#define ALWAYS_WCP 440
#define NEVER_WCP 441
#define COPYMODE_WCP 442
#define FAST_WCP 443
#define PRESERVEATTR_WCP 444
#define MODE_WCP 445
#define ACTIVE_WCP 446
#define ACTIVE2OTHER_WCP 447
#define SPECIAL_WCP 448
#define REQUEST_WCP 449
#define CURRENT_WCP 450
#define OTHER_WCP 451
#define FILTER_WCP 452
#define QUICK_WCP 453
#define ALSOACTIVE_WCP 454
#define RESETDIRSIZES_WCP 455
#define KEEPFILETYPES_WCP 456
#define RELATIVE_WCP 457
#define ONFILES_WCP 458
#define ONDIRS_WCP 459
#define SORTBY_WCP 460
#define SORTFLAG_WCP 461
#define REVERSE_WCP 462
#define DIRLAST_WCP 463
#define DIRMIXED_WCP 464
#define EXCLUDE_WCP 465
#define INCLUDE_WCP 466
#define UNSET_WCP 467
#define UNSETALL_WCP 468
#define SCRIPTOP_WCP 469
#define NOP_WCP 470
#define PUSH_WCP 471
#define LABEL_WCP 472
#define IF_WCP 473
#define END_WCP 474
#define POP_WCP 475
#define SETTINGS_WCP 476
#define WINDOW_WCP 477
#define GOTO_WCP 478
#define PUSHUSEOUTPUT_WCP 479
#define DODEBUG_WCP 480
#define WPURECURSIVE_WCP 481
#define WPUTAKEDIRS_WCP 482
#define STACKNR_WCP 483
#define PUSHSTRING_WCP 484
#define IFTEST_WCP 485
#define IFLABEL_WCP 486
#define WINTYPE_WCP 487
#define OPEN_WCP 488
#define CLOSE_WCP 489
#define LEAVE_WCP 490
#define CHANGEPROGRESS_WCP 491
#define CHANGETEXT_WCP 492
#define PROGRESSUSEOUTPUT_WCP 493
#define WINTEXTUSEOUTPUT_WCP 494
#define PROGRESS_WCP 495
#define WINTEXT_WCP 496
#define SHOWDIRCACHEOP_WCP 497
#define INODE_WCP 498
#define NLINK_WCP 499
#define BLOCKS_WCP 500
#define SHOWHEADER_WCP 501
#define LVHEADER_WCP 502
#define IGNORECASE_WCP 503
#define LISTVIEWS_WCP 504
#define BLL_WCP 505
#define LBL_WCP 506
#define LLB_WCP 507
#define BL_WCP 508
#define LB_WCP 509
#define LAYOUT_WCP 510
#define BUTTONSVERT_WCP 511
#define LISTVIEWSVERT_WCP 512
#define LISTVIEWWEIGHT_WCP 513
#define WEIGHTTOACTIVE_WCP 514
#define EXTCOND_WCP 515
#define USEEXTCOND_WCP 516
#define SUBTYPE_WCP 517
#define PARENTACTIONOP_WCP 518
#define NOOPERATIONOP_WCP 519
#define COLORMODE_WCP 520
#define DEFAULT_WCP 521
#define CUSTOM_WCP 522
#define UNSELECTCOLOR_WCP 523
#define SELECTCOLOR_WCP 524
#define UNSELECTACTIVECOLOR_WCP 525
#define SELECTACTIVECOLOR_WCP 526
#define COLOREXTERNPROG_WCP 527
#define PARENT_WCP 528
#define DONTCD_WCP 529
#define DONTCHECKVIRTUAL_WCP 530
#define GOFTPOP_WCP 531
#define HOSTNAME_WCP 532
#define USERNAME_WCP 533
#define PASSWORD_WCP 534
#define DONTENTERFTP_WCP 535
#define ALWAYSSTOREPW_WCP 536
#define INTERNALVIEWOP_WCP 537
#define CUSTOMFILES_WCP 538
#define SHOWMODE_WCP 539
#define SELECTED_WCP 540
#define REVERSESEARCH_WCP 541
#define MOUSECONF_WCP 542
#define SELECTBUTTON_WCP 543
#define ACTIVATEBUTTON_WCP 544
#define SCROLLBUTTON_WCP 545
#define SELECTMETHOD_WCP 546
#define ALTERNATIVE_WCP 547
#define SEARCHOP_WCP 548
#define EDITCOMMAND_WCP 549
#define SHOWPREVRESULTS_WCP 550
#define TEXTVIEW_WCP 551
#define TEXTVIEWHIGHLIGHTED_WCP 552
#define TEXTVIEWSELECTION_WCP 553
#define DIRBOOKMARKOP_WCP 554
#define OPENCONTEXTMENUOP_WCP 555
#define RUNCUSTOMACTION_WCP 556
#define CUSTOMNAME_WCP 557
#define CONTEXTBUTTON_WCP 558
#define ACTIVATEMOD_WCP 559
#define SCROLLMOD_WCP 560
#define CONTEXTMOD_WCP 561
#define NONE_WCP 562
#define CUSTOMACTION_WCP 563
#define SAVE_WORKER_STATE_ON_EXIT_WCP 564
#define OPENWORKERMENUOP_WCP 565
#define CHANGELABELOP_WCP 566
#define ASKFORLABEL_WCP 567
#define LABELCOLORS_WCP 568
#define BOOKMARKLABEL_WCP 569
#define BOOKMARKFILTER_WCP 570
#define SHOWONLYBOOKMARKS_WCP 571
#define SHOWONLYLABEL_WCP 572
#define SHOWALL_WCP 573
#define OPTIONMODE_WCP 574
#define INVERT_WCP 575
#define SET_WCP 576
#define CHANGEFILTERS_WCP 577
#define CHANGEBOOKMARKS_WCP 578
#define QUERYLABEL_WCP 579
#define MODIFYTABSOP_WCP 580
#define TABACTION_WCP 581
#define NEWTAB_WCP 582
#define CLOSECURRENTTAB_WCP 583
#define NEXTTAB_WCP 584
#define PREVTAB_WCP 585
#define TOGGLELOCKSTATE_WCP 586
#define MOVETABLEFT_WCP 587
#define MOVETABRIGHT_WCP 588
#define CHANGELAYOUTOP_WCP 589
#define INFIXSEARCH_WCP 590
#define VOLUMEMANAGEROP_WCP 591
#define ERROR 592
#define ACTIVESIDE_WCP 593
#define SHOWFREESPACE_WCP 594
#define ACTIVEMODE_WCP 595
#define ASK_WCP 596
#define SSHALLOW_WCP 597
#define FIELD_WIDTH_WCP 598
#define QUICKSEARCHENABLED_WCP 599
#define FILTEREDSEARCHENABLED_WCP 600
#define XFTFONTS_WCP 601
#define USEMAGIC_WCP 602
#define MAGICPATTERN_WCP 603
#define MAGICCOMPRESSED_WCP 604
#define MAGICMIME_WCP 605
#define VOLUMEMANAGER_WCP 606
#define MOUNTCOMMAND_WCP 607
#define UNMOUNTCOMMAND_WCP 608
#define FSTABFILE_WCP 609
#define MTABFILE_WCP 610
#define PARTFILE_WCP 611
#define REQUESTACTION_WCP 612
#define SIZEH_WCP 613
#define NEXTAGING_WCP 614
#define ENTRY_WCP 615
#define PREFIX_WCP 616
#define VALUE_WCP 617
#define EXTENSION_WCP 618
#define EJECTCOMMAND_WCP 619
#define CLOSETRAYCOMMAND_WCP 620
#define AVFSMODULE_WCP 621
#define FLEXIBLEMATCH_WCP 622
#define USE_VERSION_STRING_COMPARE_WCP 623
#define SWITCHBUTTONBANKOP_WCP 624
#define SWITCHTONEXTBANK_WCP 625
#define SWITCHTOPREVBANK_WCP 626
#define SWITCHTOBANKNR_WCP 627
#define BANKNR_WCP 628
#define USE_VIRTUAL_TEMP_COPIES_WCP 629
#define PATHJUMPOP_WCP 630
#define PATHJUMPALLOWDIRS_WCP 631
#define CLIPBOARDOP_WCP 632
#define CLIPBOARDSTRING_WCP 633
#define COMMANDSTRING_WCP 634
#define EVALCOMMAND_WCP 635
#define WATCHMODE_WCP 636
#define APPLY_WINDOW_DIALOG_TYPE_WCP 637
#define FLAGS_ARE_RELATIVE_TO_BASEDIR_WCP 638
#define COMMANDMENUOP_WCP 639
#define SEARCHMODEONKEYPRESS_WCP 640
#define PATHENTRYONTOP_WCP 641
#define STORE_FILES_ALWAYS_WCP 642
#define PATHJUMPSETS_WCP 643
#define SHOWDOTDOT_WCP 644
#define SHOWBREADCRUMB_WCP 645
#define FACES_WCP 646
#define FACE_WCP 647
#define ENABLE_INFO_LINE_WCP 648
#define INFO_LINE_LUA_MODE_WCP 649
#define INFO_LINE_CONTENT_WCP 650
#define RESTORE_TABS_MODE_WCP 651
#define STORE_TABS_MODE_WCP 652
#define AS_EXIT_STATE_WCP 653
#define USE_EXTENDED_REGEX_WCP 654
#define HIGHLIGHT_USER_ACTION_WCP 655
#define CHTIMEOP_WCP 656
#define ADJUSTRELATIVESYMLINKS_WCP 657
#define OUTSIDE_WCP 658
#define EDIT_WCP 659
#define MAKEABSOLUTE_WCP 660
#define MAKERELATIVE_WCP 661
#define MAGICIGNORECASE_WCP 662
#define ENSURE_FILE_PERMISSIONS_WCP 663
#define USER_RW_WCP 664
#define USER_RW_GROUP_R_WCP 665
#define USER_RW_ALL_R_WCP 666
#define LEAVE_UNMODIFIED_WCP 667
#define PREFERUDISKSVERSION_WCP 668
#define CHANGECOLUMNSOP_WCP 669
#define PATTERNISCOMMASEPARATED_WCP 670
#define STRCASECMP_WCP 671
#define USE_STRING_COMPARE_MODE_WCP 672
#define VIEWNEWESTFILESOP_WCP 673
#define SHOWRECENT_WCP 674
#define DIRCOMPAREOP_WCP 675
#define TABPROFILESOP_WCP 676
#define EXTERNALVDIROP_WCP 677
#define VDIR_PRESERVE_DIR_STRUCTURE_WCP 678
#define OPENTABMENUOP_WCP 679
#define INITIALTAB_WCP 680
#define SHOWBYTIME_WCP 681
#define SHOWBYFILTER_WCP 682
#define SHOWBYPROGRAM_WCP 683
#define TERMINAL_RETURNS_EARLY_WCP 684
#define DIRECTORYPRESETS_WCP 685
#define DIRECTORYPRESET_WCP 686
#define HELPOP_WCP 687
#define PRIORITY_WCP 688
#define AUTOFILTER_WCP 689
#define ENABLE_CUSTOM_LVB_LINE_WCP 690
#define CUSTOM_LVB_LINE_WCP 691
#define CUSTOM_DIRECTORY_INFO_COMMAND_WCP 692
#define IMMEDIATE_FILTER_APPLY_WCP 693
#define DISABLEBGCHECKPREFIX_WCP 694
#define DISPLAYMODE_WCP 695
#define SHOWSUBDIRS_WCP 696
#define SHOWDIRECTSUBDIRS_WCP 697
#define INCLUDEALL_WCP 698
#define APPLYMODE_WCP 699
#define ADD_WCP 700
#define REMOVE_WCP 701
#define HIDENONEXISTING_WCP 702
#define VIEWCOMMANDLOGOP_WCP 703
#define LOCKONCURRENTDIR_WCP 704
#define STRING_WCP 705
#define NUM_WCP 706

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
union YYSTYPE
{
#line 214 "configparser.yy"

  int num;
  char *strptr;

#line 1244 "configparser.cc"

};
typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif


extern YYSTYPE yylval;


int yyparse (void);


#endif /* !YY_YY_CONFIGPARSER_HH_INCLUDED  */
/* Symbol kind.  */
enum yysymbol_kind_t
{
  YYSYMBOL_YYEMPTY = -2,
  YYSYMBOL_YYEOF = 0,                      /* "end of file"  */
  YYSYMBOL_YYerror = 1,                    /* error  */
  YYSYMBOL_YYUNDEF = 2,                    /* "invalid token"  */
  YYSYMBOL_LEFTBRACE_WCP = 3,              /* LEFTBRACE_WCP  */
  YYSYMBOL_RIGHTBRACE_WCP = 4,             /* RIGHTBRACE_WCP  */
  YYSYMBOL_GLOBAL_WCP = 5,                 /* GLOBAL_WCP  */
  YYSYMBOL_COLORS_WCP = 6,                 /* COLORS_WCP  */
  YYSYMBOL_LANG_WCP = 7,                   /* LANG_WCP  */
  YYSYMBOL_PALETTE_WCP = 8,                /* PALETTE_WCP  */
  YYSYMBOL_OWNOP_WCP = 9,                  /* OWNOP_WCP  */
  YYSYMBOL_LISTERSETS_WCP = 10,            /* LISTERSETS_WCP  */
  YYSYMBOL_YES_WCP = 11,                   /* YES_WCP  */
  YYSYMBOL_NO_WCP = 12,                    /* NO_WCP  */
  YYSYMBOL_LEFT_WCP = 13,                  /* LEFT_WCP  */
  YYSYMBOL_RIGHT_WCP = 14,                 /* RIGHT_WCP  */
  YYSYMBOL_HBARTOP_WCP = 15,               /* HBARTOP_WCP  */
  YYSYMBOL_HBARHEIGHT_WCP = 16,            /* HBARHEIGHT_WCP  */
  YYSYMBOL_VBARLEFT_WCP = 17,              /* VBARLEFT_WCP  */
  YYSYMBOL_VBARWIDTH_WCP = 18,             /* VBARWIDTH_WCP  */
  YYSYMBOL_DISPLAYSETS_WCP = 19,           /* DISPLAYSETS_WCP  */
  YYSYMBOL_NAME_WCP = 20,                  /* NAME_WCP  */
  YYSYMBOL_SIZE_WCP = 21,                  /* SIZE_WCP  */
  YYSYMBOL_TYPE_WCP = 22,                  /* TYPE_WCP  */
  YYSYMBOL_PERMISSION_WCP = 23,            /* PERMISSION_WCP  */
  YYSYMBOL_OWNER_WCP = 24,                 /* OWNER_WCP  */
  YYSYMBOL_DESTINATION_WCP = 25,           /* DESTINATION_WCP  */
  YYSYMBOL_MODTIME_WCP = 26,               /* MODTIME_WCP  */
  YYSYMBOL_ACCTIME_WCP = 27,               /* ACCTIME_WCP  */
  YYSYMBOL_CHGTIME_WCP = 28,               /* CHGTIME_WCP  */
  YYSYMBOL_ROWS_WCP = 29,                  /* ROWS_WCP  */
  YYSYMBOL_COLUMNS_WCP = 30,               /* COLUMNS_WCP  */
  YYSYMBOL_CACHESIZE_WCP = 31,             /* CACHESIZE_WCP  */
  YYSYMBOL_OWNERSTYLE_WCP = 32,            /* OWNERSTYLE_WCP  */
  YYSYMBOL_TERMINAL_WCP = 33,              /* TERMINAL_WCP  */
  YYSYMBOL_USESTRINGFORDIRSIZE_WCP = 34,   /* USESTRINGFORDIRSIZE_WCP  */
  YYSYMBOL_TIMESETS_WCP = 35,              /* TIMESETS_WCP  */
  YYSYMBOL_STYLE1_WCP = 36,                /* STYLE1_WCP  */
  YYSYMBOL_STYLE2_WCP = 37,                /* STYLE2_WCP  */
  YYSYMBOL_STYLE3_WCP = 38,                /* STYLE3_WCP  */
  YYSYMBOL_DATE_WCP = 39,                  /* DATE_WCP  */
  YYSYMBOL_TIME_WCP = 40,                  /* TIME_WCP  */
  YYSYMBOL_DATESUBSTITUTION_WCP = 41,      /* DATESUBSTITUTION_WCP  */
  YYSYMBOL_DATEBEFORETIME_WCP = 42,        /* DATEBEFORETIME_WCP  */
  YYSYMBOL_STATEBAR_WCP = 43,              /* STATEBAR_WCP  */
  YYSYMBOL_SELLVBAR_WCP = 44,              /* SELLVBAR_WCP  */
  YYSYMBOL_UNSELLVBAR_WCP = 45,            /* UNSELLVBAR_WCP  */
  YYSYMBOL_CLOCKBAR_WCP = 46,              /* CLOCKBAR_WCP  */
  YYSYMBOL_REQUESTER_WCP = 47,             /* REQUESTER_WCP  */
  YYSYMBOL_UNSELDIR_WCP = 48,              /* UNSELDIR_WCP  */
  YYSYMBOL_SELDIR_WCP = 49,                /* SELDIR_WCP  */
  YYSYMBOL_UNSELFILE_WCP = 50,             /* UNSELFILE_WCP  */
  YYSYMBOL_SELFILE_WCP = 51,               /* SELFILE_WCP  */
  YYSYMBOL_UNSELACTDIR_WCP = 52,           /* UNSELACTDIR_WCP  */
  YYSYMBOL_SELACTDIR_WCP = 53,             /* SELACTDIR_WCP  */
  YYSYMBOL_UNSELACTFILE_WCP = 54,          /* UNSELACTFILE_WCP  */
  YYSYMBOL_SELACTFILE_WCP = 55,            /* SELACTFILE_WCP  */
  YYSYMBOL_LVBG_WCP = 56,                  /* LVBG_WCP  */
  YYSYMBOL_STARTUP_WCP = 57,               /* STARTUP_WCP  */
  YYSYMBOL_BUTTON_WCP = 58,                /* BUTTON_WCP  */
  YYSYMBOL_BUTTONS_WCP = 59,               /* BUTTONS_WCP  */
  YYSYMBOL_POSITION_WCP = 60,              /* POSITION_WCP  */
  YYSYMBOL_TITLE_WCP = 61,                 /* TITLE_WCP  */
  YYSYMBOL_COMMANDS_WCP = 62,              /* COMMANDS_WCP  */
  YYSYMBOL_SHORTKEYS_WCP = 63,             /* SHORTKEYS_WCP  */
  YYSYMBOL_PATHS_WCP = 64,                 /* PATHS_WCP  */
  YYSYMBOL_PATH_WCP = 65,                  /* PATH_WCP  */
  YYSYMBOL_FILETYPES_WCP = 66,             /* FILETYPES_WCP  */
  YYSYMBOL_FILETYPE_WCP = 67,              /* FILETYPE_WCP  */
  YYSYMBOL_NORMAL_WCP = 68,                /* NORMAL_WCP  */
  YYSYMBOL_NOTYETCHECKED_WCP = 69,         /* NOTYETCHECKED_WCP  */
  YYSYMBOL_UNKNOWN_WCP = 70,               /* UNKNOWN_WCP  */
  YYSYMBOL_NOSELECT_WCP = 71,              /* NOSELECT_WCP  */
  YYSYMBOL_DIR_WCP = 72,                   /* DIR_WCP  */
  YYSYMBOL_USEPATTERN_WCP = 73,            /* USEPATTERN_WCP  */
  YYSYMBOL_USECONTENT_WCP = 74,            /* USECONTENT_WCP  */
  YYSYMBOL_PATTERN_WCP = 75,               /* PATTERN_WCP  */
  YYSYMBOL_CONTENT_WCP = 76,               /* CONTENT_WCP  */
  YYSYMBOL_FTCOMMANDS_WCP = 77,            /* FTCOMMANDS_WCP  */
  YYSYMBOL_DND_WCP = 78,                   /* DND_WCP  */
  YYSYMBOL_DC_WCP = 79,                    /* DC_WCP  */
  YYSYMBOL_SHOW_WCP = 80,                  /* SHOW_WCP  */
  YYSYMBOL_RAWSHOW_WCP = 81,               /* RAWSHOW_WCP  */
  YYSYMBOL_USER_WCP = 82,                  /* USER_WCP  */
  YYSYMBOL_FLAGS_WCP = 83,                 /* FLAGS_WCP  */
  YYSYMBOL_IGNOREDIRS_WCP = 84,            /* IGNOREDIRS_WCP  */
  YYSYMBOL_HOTKEYS_WCP = 85,               /* HOTKEYS_WCP  */
  YYSYMBOL_HOTKEY_WCP = 86,                /* HOTKEY_WCP  */
  YYSYMBOL_FONTS_WCP = 87,                 /* FONTS_WCP  */
  YYSYMBOL_GLOBALFONT_WCP = 88,            /* GLOBALFONT_WCP  */
  YYSYMBOL_BUTTONFONT_WCP = 89,            /* BUTTONFONT_WCP  */
  YYSYMBOL_LEFTFONT_WCP = 90,              /* LEFTFONT_WCP  */
  YYSYMBOL_RIGHTFONT_WCP = 91,             /* RIGHTFONT_WCP  */
  YYSYMBOL_TEXTVIEWFONT_WCP = 92,          /* TEXTVIEWFONT_WCP  */
  YYSYMBOL_STATEBARFONT_WCP = 93,          /* STATEBARFONT_WCP  */
  YYSYMBOL_CLOCKBARSETS_WCP = 94,          /* CLOCKBARSETS_WCP  */
  YYSYMBOL_MODUS_WCP = 95,                 /* MODUS_WCP  */
  YYSYMBOL_TIMESPACE_WCP = 96,             /* TIMESPACE_WCP  */
  YYSYMBOL_VERSION_WCP = 97,               /* VERSION_WCP  */
  YYSYMBOL_EXTERN_WCP = 98,                /* EXTERN_WCP  */
  YYSYMBOL_UPDATETIME_WCP = 99,            /* UPDATETIME_WCP  */
  YYSYMBOL_PROGRAM_WCP = 100,              /* PROGRAM_WCP  */
  YYSYMBOL_SHOWHINTS_WCP = 101,            /* SHOWHINTS_WCP  */
  YYSYMBOL_KEY_WCP = 102,                  /* KEY_WCP  */
  YYSYMBOL_DOUBLE_WCP = 103,               /* DOUBLE_WCP  */
  YYSYMBOL_MOD_WCP = 104,                  /* MOD_WCP  */
  YYSYMBOL_CONTROL_WCP = 105,              /* CONTROL_WCP  */
  YYSYMBOL_SHIFT_WCP = 106,                /* SHIFT_WCP  */
  YYSYMBOL_LOCK_WCP = 107,                 /* LOCK_WCP  */
  YYSYMBOL_MOD1_WCP = 108,                 /* MOD1_WCP  */
  YYSYMBOL_MOD2_WCP = 109,                 /* MOD2_WCP  */
  YYSYMBOL_MOD3_WCP = 110,                 /* MOD3_WCP  */
  YYSYMBOL_MOD4_WCP = 111,                 /* MOD4_WCP  */
  YYSYMBOL_MOD5_WCP = 112,                 /* MOD5_WCP  */
  YYSYMBOL_DNDACTION_WCP = 113,            /* DNDACTION_WCP  */
  YYSYMBOL_DCACTION_WCP = 114,             /* DCACTION_WCP  */
  YYSYMBOL_SHOWACTION_WCP = 115,           /* SHOWACTION_WCP  */
  YYSYMBOL_RSHOWACTION_WCP = 116,          /* RSHOWACTION_WCP  */
  YYSYMBOL_USERACTION_WCP = 117,           /* USERACTION_WCP  */
  YYSYMBOL_ROWUP_WCP = 118,                /* ROWUP_WCP  */
  YYSYMBOL_ROWDOWN_WCP = 119,              /* ROWDOWN_WCP  */
  YYSYMBOL_CHANGEHIDDENFLAG_WCP = 120,     /* CHANGEHIDDENFLAG_WCP  */
  YYSYMBOL_COPYOP_WCP = 121,               /* COPYOP_WCP  */
  YYSYMBOL_FIRSTROW_WCP = 122,             /* FIRSTROW_WCP  */
  YYSYMBOL_LASTROW_WCP = 123,              /* LASTROW_WCP  */
  YYSYMBOL_PAGEUP_WCP = 124,               /* PAGEUP_WCP  */
  YYSYMBOL_PAGEDOWN_WCP = 125,             /* PAGEDOWN_WCP  */
  YYSYMBOL_SELECTOP_WCP = 126,             /* SELECTOP_WCP  */
  YYSYMBOL_SELECTALLOP_WCP = 127,          /* SELECTALLOP_WCP  */
  YYSYMBOL_SELECTNONEOP_WCP = 128,         /* SELECTNONEOP_WCP  */
  YYSYMBOL_INVERTALLOP_WCP = 129,          /* INVERTALLOP_WCP  */
  YYSYMBOL_PARENTDIROP_WCP = 130,          /* PARENTDIROP_WCP  */
  YYSYMBOL_ENTERDIROP_WCP = 131,           /* ENTERDIROP_WCP  */
  YYSYMBOL_CHANGELISTERSETOP_WCP = 132,    /* CHANGELISTERSETOP_WCP  */
  YYSYMBOL_SWITCHLISTEROP_WCP = 133,       /* SWITCHLISTEROP_WCP  */
  YYSYMBOL_FILTERSELECTOP_WCP = 134,       /* FILTERSELECTOP_WCP  */
  YYSYMBOL_FILTERUNSELECTOP_WCP = 135,     /* FILTERUNSELECTOP_WCP  */
  YYSYMBOL_PATHTOOTHERSIDEOP_WCP = 136,    /* PATHTOOTHERSIDEOP_WCP  */
  YYSYMBOL_QUITOP_WCP = 137,               /* QUITOP_WCP  */
  YYSYMBOL_DELETEOP_WCP = 138,             /* DELETEOP_WCP  */
  YYSYMBOL_RELOADOP_WCP = 139,             /* RELOADOP_WCP  */
  YYSYMBOL_MAKEDIROP_WCP = 140,            /* MAKEDIROP_WCP  */
  YYSYMBOL_RENAMEOP_WCP = 141,             /* RENAMEOP_WCP  */
  YYSYMBOL_DIRSIZEOP_WCP = 142,            /* DIRSIZEOP_WCP  */
  YYSYMBOL_SIMDDOP_WCP = 143,              /* SIMDDOP_WCP  */
  YYSYMBOL_STARTPROGOP_WCP = 144,          /* STARTPROGOP_WCP  */
  YYSYMBOL_SEARCHENTRYOP_WCP = 145,        /* SEARCHENTRYOP_WCP  */
  YYSYMBOL_ENTERPATHOP_WCP = 146,          /* ENTERPATHOP_WCP  */
  YYSYMBOL_SCROLLLISTEROP_WCP = 147,       /* SCROLLLISTEROP_WCP  */
  YYSYMBOL_CREATESYMLINKOP_WCP = 148,      /* CREATESYMLINKOP_WCP  */
  YYSYMBOL_CHANGESYMLINKOP_WCP = 149,      /* CHANGESYMLINKOP_WCP  */
  YYSYMBOL_CHMODOP_WCP = 150,              /* CHMODOP_WCP  */
  YYSYMBOL_TOGGLELISTERMODEOP_WCP = 151,   /* TOGGLELISTERMODEOP_WCP  */
  YYSYMBOL_SETSORTMODEOP_WCP = 152,        /* SETSORTMODEOP_WCP  */
  YYSYMBOL_SETFILTEROP_WCP = 153,          /* SETFILTEROP_WCP  */
  YYSYMBOL_SHORTKEYFROMLISTOP_WCP = 154,   /* SHORTKEYFROMLISTOP_WCP  */
  YYSYMBOL_CHOWNOP_WCP = 155,              /* CHOWNOP_WCP  */
  YYSYMBOL_WORKERCONFIG_WCP = 156,         /* WORKERCONFIG_WCP  */
  YYSYMBOL_USERSTYLE_WCP = 157,            /* USERSTYLE_WCP  */
  YYSYMBOL_DATESTRING_WCP = 158,           /* DATESTRING_WCP  */
  YYSYMBOL_TIMESTRING_WCP = 159,           /* TIMESTRING_WCP  */
  YYSYMBOL_COLOR_WCP = 160,                /* COLOR_WCP  */
  YYSYMBOL_PATTERNIGNORECASE_WCP = 161,    /* PATTERNIGNORECASE_WCP  */
  YYSYMBOL_PATTERNUSEREGEXP_WCP = 162,     /* PATTERNUSEREGEXP_WCP  */
  YYSYMBOL_PATTERNUSEFULLNAME_WCP = 163,   /* PATTERNUSEFULLNAME_WCP  */
  YYSYMBOL_COM_WCP = 164,                  /* COM_WCP  */
  YYSYMBOL_SEPARATEEACHENTRY_WCP = 165,    /* SEPARATEEACHENTRY_WCP  */
  YYSYMBOL_RECURSIVE_WCP = 166,            /* RECURSIVE_WCP  */
  YYSYMBOL_START_WCP = 167,                /* START_WCP  */
  YYSYMBOL_TERMINALWAIT_WCP = 168,         /* TERMINALWAIT_WCP  */
  YYSYMBOL_SHOWOUTPUT_WCP = 169,           /* SHOWOUTPUT_WCP  */
  YYSYMBOL_VIEWSTR_WCP = 170,              /* VIEWSTR_WCP  */
  YYSYMBOL_SHOWOUTPUTINT_WCP = 171,        /* SHOWOUTPUTINT_WCP  */
  YYSYMBOL_INBACKGROUND_WCP = 172,         /* INBACKGROUND_WCP  */
  YYSYMBOL_TAKEDIRS_WCP = 173,             /* TAKEDIRS_WCP  */
  YYSYMBOL_ACTIONNUMBER_WCP = 174,         /* ACTIONNUMBER_WCP  */
  YYSYMBOL_HIDDENFILES_WCP = 175,          /* HIDDENFILES_WCP  */
  YYSYMBOL_HIDE_WCP = 176,                 /* HIDE_WCP  */
  YYSYMBOL_TOGGLE_WCP = 177,               /* TOGGLE_WCP  */
  YYSYMBOL_FOLLOWSYMLINKS_WCP = 178,       /* FOLLOWSYMLINKS_WCP  */
  YYSYMBOL_MOVE_WCP = 179,                 /* MOVE_WCP  */
  YYSYMBOL_RENAME_WCP = 180,               /* RENAME_WCP  */
  YYSYMBOL_SAMEDIR_WCP = 181,              /* SAMEDIR_WCP  */
  YYSYMBOL_REQUESTDEST_WCP = 182,          /* REQUESTDEST_WCP  */
  YYSYMBOL_REQUESTFLAGS_WCP = 183,         /* REQUESTFLAGS_WCP  */
  YYSYMBOL_OVERWRITE_WCP = 184,            /* OVERWRITE_WCP  */
  YYSYMBOL_ALWAYS_WCP = 185,               /* ALWAYS_WCP  */
  YYSYMBOL_NEVER_WCP = 186,                /* NEVER_WCP  */
  YYSYMBOL_COPYMODE_WCP = 187,             /* COPYMODE_WCP  */
  YYSYMBOL_FAST_WCP = 188,                 /* FAST_WCP  */
  YYSYMBOL_PRESERVEATTR_WCP = 189,         /* PRESERVEATTR_WCP  */
  YYSYMBOL_MODE_WCP = 190,                 /* MODE_WCP  */
  YYSYMBOL_ACTIVE_WCP = 191,               /* ACTIVE_WCP  */
  YYSYMBOL_ACTIVE2OTHER_WCP = 192,         /* ACTIVE2OTHER_WCP  */
  YYSYMBOL_SPECIAL_WCP = 193,              /* SPECIAL_WCP  */
  YYSYMBOL_REQUEST_WCP = 194,              /* REQUEST_WCP  */
  YYSYMBOL_CURRENT_WCP = 195,              /* CURRENT_WCP  */
  YYSYMBOL_OTHER_WCP = 196,                /* OTHER_WCP  */
  YYSYMBOL_FILTER_WCP = 197,               /* FILTER_WCP  */
  YYSYMBOL_QUICK_WCP = 198,                /* QUICK_WCP  */
  YYSYMBOL_ALSOACTIVE_WCP = 199,           /* ALSOACTIVE_WCP  */
  YYSYMBOL_RESETDIRSIZES_WCP = 200,        /* RESETDIRSIZES_WCP  */
  YYSYMBOL_KEEPFILETYPES_WCP = 201,        /* KEEPFILETYPES_WCP  */
  YYSYMBOL_RELATIVE_WCP = 202,             /* RELATIVE_WCP  */
  YYSYMBOL_ONFILES_WCP = 203,              /* ONFILES_WCP  */
  YYSYMBOL_ONDIRS_WCP = 204,               /* ONDIRS_WCP  */
  YYSYMBOL_SORTBY_WCP = 205,               /* SORTBY_WCP  */
  YYSYMBOL_SORTFLAG_WCP = 206,             /* SORTFLAG_WCP  */
  YYSYMBOL_REVERSE_WCP = 207,              /* REVERSE_WCP  */
  YYSYMBOL_DIRLAST_WCP = 208,              /* DIRLAST_WCP  */
  YYSYMBOL_DIRMIXED_WCP = 209,             /* DIRMIXED_WCP  */
  YYSYMBOL_EXCLUDE_WCP = 210,              /* EXCLUDE_WCP  */
  YYSYMBOL_INCLUDE_WCP = 211,              /* INCLUDE_WCP  */
  YYSYMBOL_UNSET_WCP = 212,                /* UNSET_WCP  */
  YYSYMBOL_UNSETALL_WCP = 213,             /* UNSETALL_WCP  */
  YYSYMBOL_SCRIPTOP_WCP = 214,             /* SCRIPTOP_WCP  */
  YYSYMBOL_NOP_WCP = 215,                  /* NOP_WCP  */
  YYSYMBOL_PUSH_WCP = 216,                 /* PUSH_WCP  */
  YYSYMBOL_LABEL_WCP = 217,                /* LABEL_WCP  */
  YYSYMBOL_IF_WCP = 218,                   /* IF_WCP  */
  YYSYMBOL_END_WCP = 219,                  /* END_WCP  */
  YYSYMBOL_POP_WCP = 220,                  /* POP_WCP  */
  YYSYMBOL_SETTINGS_WCP = 221,             /* SETTINGS_WCP  */
  YYSYMBOL_WINDOW_WCP = 222,               /* WINDOW_WCP  */
  YYSYMBOL_GOTO_WCP = 223,                 /* GOTO_WCP  */
  YYSYMBOL_PUSHUSEOUTPUT_WCP = 224,        /* PUSHUSEOUTPUT_WCP  */
  YYSYMBOL_DODEBUG_WCP = 225,              /* DODEBUG_WCP  */
  YYSYMBOL_WPURECURSIVE_WCP = 226,         /* WPURECURSIVE_WCP  */
  YYSYMBOL_WPUTAKEDIRS_WCP = 227,          /* WPUTAKEDIRS_WCP  */
  YYSYMBOL_STACKNR_WCP = 228,              /* STACKNR_WCP  */
  YYSYMBOL_PUSHSTRING_WCP = 229,           /* PUSHSTRING_WCP  */
  YYSYMBOL_IFTEST_WCP = 230,               /* IFTEST_WCP  */
  YYSYMBOL_IFLABEL_WCP = 231,              /* IFLABEL_WCP  */
  YYSYMBOL_WINTYPE_WCP = 232,              /* WINTYPE_WCP  */
  YYSYMBOL_OPEN_WCP = 233,                 /* OPEN_WCP  */
  YYSYMBOL_CLOSE_WCP = 234,                /* CLOSE_WCP  */
  YYSYMBOL_LEAVE_WCP = 235,                /* LEAVE_WCP  */
  YYSYMBOL_CHANGEPROGRESS_WCP = 236,       /* CHANGEPROGRESS_WCP  */
  YYSYMBOL_CHANGETEXT_WCP = 237,           /* CHANGETEXT_WCP  */
  YYSYMBOL_PROGRESSUSEOUTPUT_WCP = 238,    /* PROGRESSUSEOUTPUT_WCP  */
  YYSYMBOL_WINTEXTUSEOUTPUT_WCP = 239,     /* WINTEXTUSEOUTPUT_WCP  */
  YYSYMBOL_PROGRESS_WCP = 240,             /* PROGRESS_WCP  */
  YYSYMBOL_WINTEXT_WCP = 241,              /* WINTEXT_WCP  */
  YYSYMBOL_SHOWDIRCACHEOP_WCP = 242,       /* SHOWDIRCACHEOP_WCP  */
  YYSYMBOL_INODE_WCP = 243,                /* INODE_WCP  */
  YYSYMBOL_NLINK_WCP = 244,                /* NLINK_WCP  */
  YYSYMBOL_BLOCKS_WCP = 245,               /* BLOCKS_WCP  */
  YYSYMBOL_SHOWHEADER_WCP = 246,           /* SHOWHEADER_WCP  */
  YYSYMBOL_LVHEADER_WCP = 247,             /* LVHEADER_WCP  */
  YYSYMBOL_IGNORECASE_WCP = 248,           /* IGNORECASE_WCP  */
  YYSYMBOL_LISTVIEWS_WCP = 249,            /* LISTVIEWS_WCP  */
  YYSYMBOL_BLL_WCP = 250,                  /* BLL_WCP  */
  YYSYMBOL_LBL_WCP = 251,                  /* LBL_WCP  */
  YYSYMBOL_LLB_WCP = 252,                  /* LLB_WCP  */
  YYSYMBOL_BL_WCP = 253,                   /* BL_WCP  */
  YYSYMBOL_LB_WCP = 254,                   /* LB_WCP  */
  YYSYMBOL_LAYOUT_WCP = 255,               /* LAYOUT_WCP  */
  YYSYMBOL_BUTTONSVERT_WCP = 256,          /* BUTTONSVERT_WCP  */
  YYSYMBOL_LISTVIEWSVERT_WCP = 257,        /* LISTVIEWSVERT_WCP  */
  YYSYMBOL_LISTVIEWWEIGHT_WCP = 258,       /* LISTVIEWWEIGHT_WCP  */
  YYSYMBOL_WEIGHTTOACTIVE_WCP = 259,       /* WEIGHTTOACTIVE_WCP  */
  YYSYMBOL_EXTCOND_WCP = 260,              /* EXTCOND_WCP  */
  YYSYMBOL_USEEXTCOND_WCP = 261,           /* USEEXTCOND_WCP  */
  YYSYMBOL_SUBTYPE_WCP = 262,              /* SUBTYPE_WCP  */
  YYSYMBOL_PARENTACTIONOP_WCP = 263,       /* PARENTACTIONOP_WCP  */
  YYSYMBOL_NOOPERATIONOP_WCP = 264,        /* NOOPERATIONOP_WCP  */
  YYSYMBOL_COLORMODE_WCP = 265,            /* COLORMODE_WCP  */
  YYSYMBOL_DEFAULT_WCP = 266,              /* DEFAULT_WCP  */
  YYSYMBOL_CUSTOM_WCP = 267,               /* CUSTOM_WCP  */
  YYSYMBOL_UNSELECTCOLOR_WCP = 268,        /* UNSELECTCOLOR_WCP  */
  YYSYMBOL_SELECTCOLOR_WCP = 269,          /* SELECTCOLOR_WCP  */
  YYSYMBOL_UNSELECTACTIVECOLOR_WCP = 270,  /* UNSELECTACTIVECOLOR_WCP  */
  YYSYMBOL_SELECTACTIVECOLOR_WCP = 271,    /* SELECTACTIVECOLOR_WCP  */
  YYSYMBOL_COLOREXTERNPROG_WCP = 272,      /* COLOREXTERNPROG_WCP  */
  YYSYMBOL_PARENT_WCP = 273,               /* PARENT_WCP  */
  YYSYMBOL_DONTCD_WCP = 274,               /* DONTCD_WCP  */
  YYSYMBOL_DONTCHECKVIRTUAL_WCP = 275,     /* DONTCHECKVIRTUAL_WCP  */
  YYSYMBOL_GOFTPOP_WCP = 276,              /* GOFTPOP_WCP  */
  YYSYMBOL_HOSTNAME_WCP = 277,             /* HOSTNAME_WCP  */
  YYSYMBOL_USERNAME_WCP = 278,             /* USERNAME_WCP  */
  YYSYMBOL_PASSWORD_WCP = 279,             /* PASSWORD_WCP  */
  YYSYMBOL_DONTENTERFTP_WCP = 280,         /* DONTENTERFTP_WCP  */
  YYSYMBOL_ALWAYSSTOREPW_WCP = 281,        /* ALWAYSSTOREPW_WCP  */
  YYSYMBOL_INTERNALVIEWOP_WCP = 282,       /* INTERNALVIEWOP_WCP  */
  YYSYMBOL_CUSTOMFILES_WCP = 283,          /* CUSTOMFILES_WCP  */
  YYSYMBOL_SHOWMODE_WCP = 284,             /* SHOWMODE_WCP  */
  YYSYMBOL_SELECTED_WCP = 285,             /* SELECTED_WCP  */
  YYSYMBOL_REVERSESEARCH_WCP = 286,        /* REVERSESEARCH_WCP  */
  YYSYMBOL_MOUSECONF_WCP = 287,            /* MOUSECONF_WCP  */
  YYSYMBOL_SELECTBUTTON_WCP = 288,         /* SELECTBUTTON_WCP  */
  YYSYMBOL_ACTIVATEBUTTON_WCP = 289,       /* ACTIVATEBUTTON_WCP  */
  YYSYMBOL_SCROLLBUTTON_WCP = 290,         /* SCROLLBUTTON_WCP  */
  YYSYMBOL_SELECTMETHOD_WCP = 291,         /* SELECTMETHOD_WCP  */
  YYSYMBOL_ALTERNATIVE_WCP = 292,          /* ALTERNATIVE_WCP  */
  YYSYMBOL_SEARCHOP_WCP = 293,             /* SEARCHOP_WCP  */
  YYSYMBOL_EDITCOMMAND_WCP = 294,          /* EDITCOMMAND_WCP  */
  YYSYMBOL_SHOWPREVRESULTS_WCP = 295,      /* SHOWPREVRESULTS_WCP  */
  YYSYMBOL_TEXTVIEW_WCP = 296,             /* TEXTVIEW_WCP  */
  YYSYMBOL_TEXTVIEWHIGHLIGHTED_WCP = 297,  /* TEXTVIEWHIGHLIGHTED_WCP  */
  YYSYMBOL_TEXTVIEWSELECTION_WCP = 298,    /* TEXTVIEWSELECTION_WCP  */
  YYSYMBOL_DIRBOOKMARKOP_WCP = 299,        /* DIRBOOKMARKOP_WCP  */
  YYSYMBOL_OPENCONTEXTMENUOP_WCP = 300,    /* OPENCONTEXTMENUOP_WCP  */
  YYSYMBOL_RUNCUSTOMACTION_WCP = 301,      /* RUNCUSTOMACTION_WCP  */
  YYSYMBOL_CUSTOMNAME_WCP = 302,           /* CUSTOMNAME_WCP  */
  YYSYMBOL_CONTEXTBUTTON_WCP = 303,        /* CONTEXTBUTTON_WCP  */
  YYSYMBOL_ACTIVATEMOD_WCP = 304,          /* ACTIVATEMOD_WCP  */
  YYSYMBOL_SCROLLMOD_WCP = 305,            /* SCROLLMOD_WCP  */
  YYSYMBOL_CONTEXTMOD_WCP = 306,           /* CONTEXTMOD_WCP  */
  YYSYMBOL_NONE_WCP = 307,                 /* NONE_WCP  */
  YYSYMBOL_CUSTOMACTION_WCP = 308,         /* CUSTOMACTION_WCP  */
  YYSYMBOL_SAVE_WORKER_STATE_ON_EXIT_WCP = 309, /* SAVE_WORKER_STATE_ON_EXIT_WCP  */
  YYSYMBOL_OPENWORKERMENUOP_WCP = 310,     /* OPENWORKERMENUOP_WCP  */
  YYSYMBOL_CHANGELABELOP_WCP = 311,        /* CHANGELABELOP_WCP  */
  YYSYMBOL_ASKFORLABEL_WCP = 312,          /* ASKFORLABEL_WCP  */
  YYSYMBOL_LABELCOLORS_WCP = 313,          /* LABELCOLORS_WCP  */
  YYSYMBOL_BOOKMARKLABEL_WCP = 314,        /* BOOKMARKLABEL_WCP  */
  YYSYMBOL_BOOKMARKFILTER_WCP = 315,       /* BOOKMARKFILTER_WCP  */
  YYSYMBOL_SHOWONLYBOOKMARKS_WCP = 316,    /* SHOWONLYBOOKMARKS_WCP  */
  YYSYMBOL_SHOWONLYLABEL_WCP = 317,        /* SHOWONLYLABEL_WCP  */
  YYSYMBOL_SHOWALL_WCP = 318,              /* SHOWALL_WCP  */
  YYSYMBOL_OPTIONMODE_WCP = 319,           /* OPTIONMODE_WCP  */
  YYSYMBOL_INVERT_WCP = 320,               /* INVERT_WCP  */
  YYSYMBOL_SET_WCP = 321,                  /* SET_WCP  */
  YYSYMBOL_CHANGEFILTERS_WCP = 322,        /* CHANGEFILTERS_WCP  */
  YYSYMBOL_CHANGEBOOKMARKS_WCP = 323,      /* CHANGEBOOKMARKS_WCP  */
  YYSYMBOL_QUERYLABEL_WCP = 324,           /* QUERYLABEL_WCP  */
  YYSYMBOL_MODIFYTABSOP_WCP = 325,         /* MODIFYTABSOP_WCP  */
  YYSYMBOL_TABACTION_WCP = 326,            /* TABACTION_WCP  */
  YYSYMBOL_NEWTAB_WCP = 327,               /* NEWTAB_WCP  */
  YYSYMBOL_CLOSECURRENTTAB_WCP = 328,      /* CLOSECURRENTTAB_WCP  */
  YYSYMBOL_NEXTTAB_WCP = 329,              /* NEXTTAB_WCP  */
  YYSYMBOL_PREVTAB_WCP = 330,              /* PREVTAB_WCP  */
  YYSYMBOL_TOGGLELOCKSTATE_WCP = 331,      /* TOGGLELOCKSTATE_WCP  */
  YYSYMBOL_MOVETABLEFT_WCP = 332,          /* MOVETABLEFT_WCP  */
  YYSYMBOL_MOVETABRIGHT_WCP = 333,         /* MOVETABRIGHT_WCP  */
  YYSYMBOL_CHANGELAYOUTOP_WCP = 334,       /* CHANGELAYOUTOP_WCP  */
  YYSYMBOL_INFIXSEARCH_WCP = 335,          /* INFIXSEARCH_WCP  */
  YYSYMBOL_VOLUMEMANAGEROP_WCP = 336,      /* VOLUMEMANAGEROP_WCP  */
  YYSYMBOL_ERROR = 337,                    /* ERROR  */
  YYSYMBOL_ACTIVESIDE_WCP = 338,           /* ACTIVESIDE_WCP  */
  YYSYMBOL_SHOWFREESPACE_WCP = 339,        /* SHOWFREESPACE_WCP  */
  YYSYMBOL_ACTIVEMODE_WCP = 340,           /* ACTIVEMODE_WCP  */
  YYSYMBOL_ASK_WCP = 341,                  /* ASK_WCP  */
  YYSYMBOL_SSHALLOW_WCP = 342,             /* SSHALLOW_WCP  */
  YYSYMBOL_FIELD_WIDTH_WCP = 343,          /* FIELD_WIDTH_WCP  */
  YYSYMBOL_QUICKSEARCHENABLED_WCP = 344,   /* QUICKSEARCHENABLED_WCP  */
  YYSYMBOL_FILTEREDSEARCHENABLED_WCP = 345, /* FILTEREDSEARCHENABLED_WCP  */
  YYSYMBOL_XFTFONTS_WCP = 346,             /* XFTFONTS_WCP  */
  YYSYMBOL_USEMAGIC_WCP = 347,             /* USEMAGIC_WCP  */
  YYSYMBOL_MAGICPATTERN_WCP = 348,         /* MAGICPATTERN_WCP  */
  YYSYMBOL_MAGICCOMPRESSED_WCP = 349,      /* MAGICCOMPRESSED_WCP  */
  YYSYMBOL_MAGICMIME_WCP = 350,            /* MAGICMIME_WCP  */
  YYSYMBOL_VOLUMEMANAGER_WCP = 351,        /* VOLUMEMANAGER_WCP  */
  YYSYMBOL_MOUNTCOMMAND_WCP = 352,         /* MOUNTCOMMAND_WCP  */
  YYSYMBOL_UNMOUNTCOMMAND_WCP = 353,       /* UNMOUNTCOMMAND_WCP  */
  YYSYMBOL_FSTABFILE_WCP = 354,            /* FSTABFILE_WCP  */
  YYSYMBOL_MTABFILE_WCP = 355,             /* MTABFILE_WCP  */
  YYSYMBOL_PARTFILE_WCP = 356,             /* PARTFILE_WCP  */
  YYSYMBOL_REQUESTACTION_WCP = 357,        /* REQUESTACTION_WCP  */
  YYSYMBOL_SIZEH_WCP = 358,                /* SIZEH_WCP  */
  YYSYMBOL_NEXTAGING_WCP = 359,            /* NEXTAGING_WCP  */
  YYSYMBOL_ENTRY_WCP = 360,                /* ENTRY_WCP  */
  YYSYMBOL_PREFIX_WCP = 361,               /* PREFIX_WCP  */
  YYSYMBOL_VALUE_WCP = 362,                /* VALUE_WCP  */
  YYSYMBOL_EXTENSION_WCP = 363,            /* EXTENSION_WCP  */
  YYSYMBOL_EJECTCOMMAND_WCP = 364,         /* EJECTCOMMAND_WCP  */
  YYSYMBOL_CLOSETRAYCOMMAND_WCP = 365,     /* CLOSETRAYCOMMAND_WCP  */
  YYSYMBOL_AVFSMODULE_WCP = 366,           /* AVFSMODULE_WCP  */
  YYSYMBOL_FLEXIBLEMATCH_WCP = 367,        /* FLEXIBLEMATCH_WCP  */
  YYSYMBOL_USE_VERSION_STRING_COMPARE_WCP = 368, /* USE_VERSION_STRING_COMPARE_WCP  */
  YYSYMBOL_SWITCHBUTTONBANKOP_WCP = 369,   /* SWITCHBUTTONBANKOP_WCP  */
  YYSYMBOL_SWITCHTONEXTBANK_WCP = 370,     /* SWITCHTONEXTBANK_WCP  */
  YYSYMBOL_SWITCHTOPREVBANK_WCP = 371,     /* SWITCHTOPREVBANK_WCP  */
  YYSYMBOL_SWITCHTOBANKNR_WCP = 372,       /* SWITCHTOBANKNR_WCP  */
  YYSYMBOL_BANKNR_WCP = 373,               /* BANKNR_WCP  */
  YYSYMBOL_USE_VIRTUAL_TEMP_COPIES_WCP = 374, /* USE_VIRTUAL_TEMP_COPIES_WCP  */
  YYSYMBOL_PATHJUMPOP_WCP = 375,           /* PATHJUMPOP_WCP  */
  YYSYMBOL_PATHJUMPALLOWDIRS_WCP = 376,    /* PATHJUMPALLOWDIRS_WCP  */
  YYSYMBOL_CLIPBOARDOP_WCP = 377,          /* CLIPBOARDOP_WCP  */
  YYSYMBOL_CLIPBOARDSTRING_WCP = 378,      /* CLIPBOARDSTRING_WCP  */
  YYSYMBOL_COMMANDSTRING_WCP = 379,        /* COMMANDSTRING_WCP  */
  YYSYMBOL_EVALCOMMAND_WCP = 380,          /* EVALCOMMAND_WCP  */
  YYSYMBOL_WATCHMODE_WCP = 381,            /* WATCHMODE_WCP  */
  YYSYMBOL_APPLY_WINDOW_DIALOG_TYPE_WCP = 382, /* APPLY_WINDOW_DIALOG_TYPE_WCP  */
  YYSYMBOL_FLAGS_ARE_RELATIVE_TO_BASEDIR_WCP = 383, /* FLAGS_ARE_RELATIVE_TO_BASEDIR_WCP  */
  YYSYMBOL_COMMANDMENUOP_WCP = 384,        /* COMMANDMENUOP_WCP  */
  YYSYMBOL_SEARCHMODEONKEYPRESS_WCP = 385, /* SEARCHMODEONKEYPRESS_WCP  */
  YYSYMBOL_PATHENTRYONTOP_WCP = 386,       /* PATHENTRYONTOP_WCP  */
  YYSYMBOL_STORE_FILES_ALWAYS_WCP = 387,   /* STORE_FILES_ALWAYS_WCP  */
  YYSYMBOL_PATHJUMPSETS_WCP = 388,         /* PATHJUMPSETS_WCP  */
  YYSYMBOL_SHOWDOTDOT_WCP = 389,           /* SHOWDOTDOT_WCP  */
  YYSYMBOL_SHOWBREADCRUMB_WCP = 390,       /* SHOWBREADCRUMB_WCP  */
  YYSYMBOL_FACES_WCP = 391,                /* FACES_WCP  */
  YYSYMBOL_FACE_WCP = 392,                 /* FACE_WCP  */
  YYSYMBOL_ENABLE_INFO_LINE_WCP = 393,     /* ENABLE_INFO_LINE_WCP  */
  YYSYMBOL_INFO_LINE_LUA_MODE_WCP = 394,   /* INFO_LINE_LUA_MODE_WCP  */
  YYSYMBOL_INFO_LINE_CONTENT_WCP = 395,    /* INFO_LINE_CONTENT_WCP  */
  YYSYMBOL_RESTORE_TABS_MODE_WCP = 396,    /* RESTORE_TABS_MODE_WCP  */
  YYSYMBOL_STORE_TABS_MODE_WCP = 397,      /* STORE_TABS_MODE_WCP  */
  YYSYMBOL_AS_EXIT_STATE_WCP = 398,        /* AS_EXIT_STATE_WCP  */
  YYSYMBOL_USE_EXTENDED_REGEX_WCP = 399,   /* USE_EXTENDED_REGEX_WCP  */
  YYSYMBOL_HIGHLIGHT_USER_ACTION_WCP = 400, /* HIGHLIGHT_USER_ACTION_WCP  */
  YYSYMBOL_CHTIMEOP_WCP = 401,             /* CHTIMEOP_WCP  */
  YYSYMBOL_ADJUSTRELATIVESYMLINKS_WCP = 402, /* ADJUSTRELATIVESYMLINKS_WCP  */
  YYSYMBOL_OUTSIDE_WCP = 403,              /* OUTSIDE_WCP  */
  YYSYMBOL_EDIT_WCP = 404,                 /* EDIT_WCP  */
  YYSYMBOL_MAKEABSOLUTE_WCP = 405,         /* MAKEABSOLUTE_WCP  */
  YYSYMBOL_MAKERELATIVE_WCP = 406,         /* MAKERELATIVE_WCP  */
  YYSYMBOL_MAGICIGNORECASE_WCP = 407,      /* MAGICIGNORECASE_WCP  */
  YYSYMBOL_ENSURE_FILE_PERMISSIONS_WCP = 408, /* ENSURE_FILE_PERMISSIONS_WCP  */
  YYSYMBOL_USER_RW_WCP = 409,              /* USER_RW_WCP  */
  YYSYMBOL_USER_RW_GROUP_R_WCP = 410,      /* USER_RW_GROUP_R_WCP  */
  YYSYMBOL_USER_RW_ALL_R_WCP = 411,        /* USER_RW_ALL_R_WCP  */
  YYSYMBOL_LEAVE_UNMODIFIED_WCP = 412,     /* LEAVE_UNMODIFIED_WCP  */
  YYSYMBOL_PREFERUDISKSVERSION_WCP = 413,  /* PREFERUDISKSVERSION_WCP  */
  YYSYMBOL_CHANGECOLUMNSOP_WCP = 414,      /* CHANGECOLUMNSOP_WCP  */
  YYSYMBOL_PATTERNISCOMMASEPARATED_WCP = 415, /* PATTERNISCOMMASEPARATED_WCP  */
  YYSYMBOL_STRCASECMP_WCP = 416,           /* STRCASECMP_WCP  */
  YYSYMBOL_USE_STRING_COMPARE_MODE_WCP = 417, /* USE_STRING_COMPARE_MODE_WCP  */
  YYSYMBOL_VIEWNEWESTFILESOP_WCP = 418,    /* VIEWNEWESTFILESOP_WCP  */
  YYSYMBOL_SHOWRECENT_WCP = 419,           /* SHOWRECENT_WCP  */
  YYSYMBOL_DIRCOMPAREOP_WCP = 420,         /* DIRCOMPAREOP_WCP  */
  YYSYMBOL_TABPROFILESOP_WCP = 421,        /* TABPROFILESOP_WCP  */
  YYSYMBOL_EXTERNALVDIROP_WCP = 422,       /* EXTERNALVDIROP_WCP  */
  YYSYMBOL_VDIR_PRESERVE_DIR_STRUCTURE_WCP = 423, /* VDIR_PRESERVE_DIR_STRUCTURE_WCP  */
  YYSYMBOL_OPENTABMENUOP_WCP = 424,        /* OPENTABMENUOP_WCP  */
  YYSYMBOL_INITIALTAB_WCP = 425,           /* INITIALTAB_WCP  */
  YYSYMBOL_SHOWBYTIME_WCP = 426,           /* SHOWBYTIME_WCP  */
  YYSYMBOL_SHOWBYFILTER_WCP = 427,         /* SHOWBYFILTER_WCP  */
  YYSYMBOL_SHOWBYPROGRAM_WCP = 428,        /* SHOWBYPROGRAM_WCP  */
  YYSYMBOL_TERMINAL_RETURNS_EARLY_WCP = 429, /* TERMINAL_RETURNS_EARLY_WCP  */
  YYSYMBOL_DIRECTORYPRESETS_WCP = 430,     /* DIRECTORYPRESETS_WCP  */
  YYSYMBOL_DIRECTORYPRESET_WCP = 431,      /* DIRECTORYPRESET_WCP  */
  YYSYMBOL_HELPOP_WCP = 432,               /* HELPOP_WCP  */
  YYSYMBOL_PRIORITY_WCP = 433,             /* PRIORITY_WCP  */
  YYSYMBOL_AUTOFILTER_WCP = 434,           /* AUTOFILTER_WCP  */
  YYSYMBOL_ENABLE_CUSTOM_LVB_LINE_WCP = 435, /* ENABLE_CUSTOM_LVB_LINE_WCP  */
  YYSYMBOL_CUSTOM_LVB_LINE_WCP = 436,      /* CUSTOM_LVB_LINE_WCP  */
  YYSYMBOL_CUSTOM_DIRECTORY_INFO_COMMAND_WCP = 437, /* CUSTOM_DIRECTORY_INFO_COMMAND_WCP  */
  YYSYMBOL_IMMEDIATE_FILTER_APPLY_WCP = 438, /* IMMEDIATE_FILTER_APPLY_WCP  */
  YYSYMBOL_DISABLEBGCHECKPREFIX_WCP = 439, /* DISABLEBGCHECKPREFIX_WCP  */
  YYSYMBOL_DISPLAYMODE_WCP = 440,          /* DISPLAYMODE_WCP  */
  YYSYMBOL_SHOWSUBDIRS_WCP = 441,          /* SHOWSUBDIRS_WCP  */
  YYSYMBOL_SHOWDIRECTSUBDIRS_WCP = 442,    /* SHOWDIRECTSUBDIRS_WCP  */
  YYSYMBOL_INCLUDEALL_WCP = 443,           /* INCLUDEALL_WCP  */
  YYSYMBOL_APPLYMODE_WCP = 444,            /* APPLYMODE_WCP  */
  YYSYMBOL_ADD_WCP = 445,                  /* ADD_WCP  */
  YYSYMBOL_REMOVE_WCP = 446,               /* REMOVE_WCP  */
  YYSYMBOL_HIDENONEXISTING_WCP = 447,      /* HIDENONEXISTING_WCP  */
  YYSYMBOL_VIEWCOMMANDLOGOP_WCP = 448,     /* VIEWCOMMANDLOGOP_WCP  */
  YYSYMBOL_LOCKONCURRENTDIR_WCP = 449,     /* LOCKONCURRENTDIR_WCP  */
  YYSYMBOL_STRING_WCP = 450,               /* STRING_WCP  */
  YYSYMBOL_NUM_WCP = 451,                  /* NUM_WCP  */
  YYSYMBOL_452_ = 452,                     /* '.'  */
  YYSYMBOL_453_ = 453,                     /* ';'  */
  YYSYMBOL_454_ = 454,                     /* '='  */
  YYSYMBOL_455_ = 455,                     /* ','  */
  YYSYMBOL_YYACCEPT = 456,                 /* $accept  */
  YYSYMBOL_S = 457,                        /* S  */
  YYSYMBOL_458_1 = 458,                    /* $@1  */
  YYSYMBOL_459_2 = 459,                    /* $@2  */
  YYSYMBOL_start = 460,                    /* start  */
  YYSYMBOL_461_3 = 461,                    /* $@3  */
  YYSYMBOL_462_4 = 462,                    /* $@4  */
  YYSYMBOL_463_5 = 463,                    /* $@5  */
  YYSYMBOL_464_6 = 464,                    /* $@6  */
  YYSYMBOL_465_7 = 465,                    /* $@7  */
  YYSYMBOL_466_8 = 466,                    /* $@8  */
  YYSYMBOL_467_9 = 467,                    /* $@9  */
  YYSYMBOL_468_10 = 468,                   /* $@10  */
  YYSYMBOL_469_11 = 469,                   /* $@11  */
  YYSYMBOL_470_12 = 470,                   /* $@12  */
  YYSYMBOL_471_13 = 471,                   /* $@13  */
  YYSYMBOL_472_14 = 472,                   /* $@14  */
  YYSYMBOL_473_15 = 473,                   /* $@15  */
  YYSYMBOL_474_16 = 474,                   /* $@16  */
  YYSYMBOL_pjallowdirs = 475,              /* pjallowdirs  */
  YYSYMBOL_476_17 = 476,                   /* $@17  */
  YYSYMBOL_pathjumpsets = 477,             /* pathjumpsets  */
  YYSYMBOL_478_18 = 478,                   /* $@18  */
  YYSYMBOL_glb = 479,                      /* glb  */
  YYSYMBOL_480_19 = 480,                   /* $@19  */
  YYSYMBOL_481_20 = 481,                   /* $@20  */
  YYSYMBOL_482_21 = 482,                   /* $@21  */
  YYSYMBOL_483_22 = 483,                   /* $@22  */
  YYSYMBOL_484_23 = 484,                   /* $@23  */
  YYSYMBOL_485_24 = 485,                   /* $@24  */
  YYSYMBOL_486_25 = 486,                   /* $@25  */
  YYSYMBOL_487_26 = 487,                   /* $@26  */
  YYSYMBOL_488_27 = 488,                   /* $@27  */
  YYSYMBOL_489_28 = 489,                   /* $@28  */
  YYSYMBOL_490_29 = 490,                   /* $@29  */
  YYSYMBOL_491_30 = 491,                   /* $@30  */
  YYSYMBOL_492_31 = 492,                   /* $@31  */
  YYSYMBOL_493_32 = 493,                   /* $@32  */
  YYSYMBOL_494_33 = 494,                   /* $@33  */
  YYSYMBOL_495_34 = 495,                   /* $@34  */
  YYSYMBOL_496_35 = 496,                   /* $@35  */
  YYSYMBOL_layout = 497,                   /* layout  */
  YYSYMBOL_498_36 = 498,                   /* $@36  */
  YYSYMBOL_499_37 = 499,                   /* $@37  */
  YYSYMBOL_500_38 = 500,                   /* $@38  */
  YYSYMBOL_501_39 = 501,                   /* $@39  */
  YYSYMBOL_502_40 = 502,                   /* $@40  */
  YYSYMBOL_503_41 = 503,                   /* $@41  */
  YYSYMBOL_504_42 = 504,                   /* $@42  */
  YYSYMBOL_505_43 = 505,                   /* $@43  */
  YYSYMBOL_506_44 = 506,                   /* $@44  */
  YYSYMBOL_507_45 = 507,                   /* $@45  */
  YYSYMBOL_508_46 = 508,                   /* $@46  */
  YYSYMBOL_509_47 = 509,                   /* $@47  */
  YYSYMBOL_510_48 = 510,                   /* $@48  */
  YYSYMBOL_pal = 511,                      /* pal  */
  YYSYMBOL_512_49 = 512,                   /* $@49  */
  YYSYMBOL_listersets = 513,               /* listersets  */
  YYSYMBOL_514_50 = 514,                   /* $@50  */
  YYSYMBOL_515_51 = 515,                   /* $@51  */
  YYSYMBOL_listersets2 = 516,              /* listersets2  */
  YYSYMBOL_517_52 = 517,                   /* $@52  */
  YYSYMBOL_518_53 = 518,                   /* $@53  */
  YYSYMBOL_519_54 = 519,                   /* $@54  */
  YYSYMBOL_520_55 = 520,                   /* $@55  */
  YYSYMBOL_521_56 = 521,                   /* $@56  */
  YYSYMBOL_522_57 = 522,                   /* $@57  */
  YYSYMBOL_523_58 = 523,                   /* $@58  */
  YYSYMBOL_displaysets = 524,              /* displaysets  */
  YYSYMBOL_525_59 = 525,                   /* $@59  */
  YYSYMBOL_526_60 = 526,                   /* $@60  */
  YYSYMBOL_527_61 = 527,                   /* $@61  */
  YYSYMBOL_528_62 = 528,                   /* $@62  */
  YYSYMBOL_529_63 = 529,                   /* $@63  */
  YYSYMBOL_530_64 = 530,                   /* $@64  */
  YYSYMBOL_531_65 = 531,                   /* $@65  */
  YYSYMBOL_532_66 = 532,                   /* $@66  */
  YYSYMBOL_533_67 = 533,                   /* $@67  */
  YYSYMBOL_534_68 = 534,                   /* $@68  */
  YYSYMBOL_535_69 = 535,                   /* $@69  */
  YYSYMBOL_536_70 = 536,                   /* $@70  */
  YYSYMBOL_537_71 = 537,                   /* $@71  */
  YYSYMBOL_538_72 = 538,                   /* $@72  */
  YYSYMBOL_timesets = 539,                 /* timesets  */
  YYSYMBOL_540_73 = 540,                   /* $@73  */
  YYSYMBOL_541_74 = 541,                   /* $@74  */
  YYSYMBOL_542_75 = 542,                   /* $@75  */
  YYSYMBOL_543_76 = 543,                   /* $@76  */
  YYSYMBOL_544_77 = 544,                   /* $@77  */
  YYSYMBOL_545_78 = 545,                   /* $@78  */
  YYSYMBOL_546_79 = 546,                   /* $@79  */
  YYSYMBOL_547_80 = 547,                   /* $@80  */
  YYSYMBOL_548_81 = 548,                   /* $@81  */
  YYSYMBOL_549_82 = 549,                   /* $@82  */
  YYSYMBOL_550_83 = 550,                   /* $@83  */
  YYSYMBOL_mouseconf = 551,                /* mouseconf  */
  YYSYMBOL_552_84 = 552,                   /* $@84  */
  YYSYMBOL_553_85 = 553,                   /* $@85  */
  YYSYMBOL_554_86 = 554,                   /* $@86  */
  YYSYMBOL_555_87 = 555,                   /* $@87  */
  YYSYMBOL_556_88 = 556,                   /* $@88  */
  YYSYMBOL_557_89 = 557,                   /* $@89  */
  YYSYMBOL_558_90 = 558,                   /* $@90  */
  YYSYMBOL_559_91 = 559,                   /* $@91  */
  YYSYMBOL_560_92 = 560,                   /* $@92  */
  YYSYMBOL_561_93 = 561,                   /* $@93  */
  YYSYMBOL_562_94 = 562,                   /* $@94  */
  YYSYMBOL_563_95 = 563,                   /* $@95  */
  YYSYMBOL_cols = 564,                     /* cols  */
  YYSYMBOL_565_96 = 565,                   /* $@96  */
  YYSYMBOL_566_97 = 566,                   /* $@97  */
  YYSYMBOL_567_98 = 567,                   /* $@98  */
  YYSYMBOL_568_99 = 568,                   /* $@99  */
  YYSYMBOL_569_100 = 569,                  /* $@100  */
  YYSYMBOL_570_101 = 570,                  /* $@101  */
  YYSYMBOL_571_102 = 571,                  /* $@102  */
  YYSYMBOL_572_103 = 572,                  /* $@103  */
  YYSYMBOL_573_104 = 573,                  /* $@104  */
  YYSYMBOL_574_105 = 574,                  /* $@105  */
  YYSYMBOL_575_106 = 575,                  /* $@106  */
  YYSYMBOL_576_107 = 576,                  /* $@107  */
  YYSYMBOL_577_108 = 577,                  /* $@108  */
  YYSYMBOL_578_109 = 578,                  /* $@109  */
  YYSYMBOL_579_110 = 579,                  /* $@110  */
  YYSYMBOL_580_111 = 580,                  /* $@111  */
  YYSYMBOL_581_112 = 581,                  /* $@112  */
  YYSYMBOL_582_113 = 582,                  /* $@113  */
  YYSYMBOL_583_114 = 583,                  /* $@114  */
  YYSYMBOL_584_115 = 584,                  /* $@115  */
  YYSYMBOL_labelcolors = 585,              /* labelcolors  */
  YYSYMBOL_586_116 = 586,                  /* $@116  */
  YYSYMBOL_587_117 = 587,                  /* $@117  */
  YYSYMBOL_labelcolor = 588,               /* labelcolor  */
  YYSYMBOL_589_118 = 589,                  /* $@118  */
  YYSYMBOL_590_119 = 590,                  /* $@119  */
  YYSYMBOL_591_120 = 591,                  /* $@120  */
  YYSYMBOL_faces = 592,                    /* faces  */
  YYSYMBOL_593_121 = 593,                  /* $@121  */
  YYSYMBOL_594_122 = 594,                  /* $@122  */
  YYSYMBOL_face = 595,                     /* face  */
  YYSYMBOL_596_123 = 596,                  /* $@123  */
  YYSYMBOL_597_124 = 597,                  /* $@124  */
  YYSYMBOL_startup = 598,                  /* startup  */
  YYSYMBOL_599_125 = 599,                  /* $@125  */
  YYSYMBOL_600_126 = 600,                  /* $@126  */
  YYSYMBOL_601_127 = 601,                  /* $@127  */
  YYSYMBOL_602_128 = 602,                  /* $@128  */
  YYSYMBOL_603_129 = 603,                  /* $@129  */
  YYSYMBOL_604_130 = 604,                  /* $@130  */
  YYSYMBOL_605_131 = 605,                  /* $@131  */
  YYSYMBOL_606_132 = 606,                  /* $@132  */
  YYSYMBOL_607_133 = 607,                  /* $@133  */
  YYSYMBOL_paths = 608,                    /* paths  */
  YYSYMBOL_609_134 = 609,                  /* $@134  */
  YYSYMBOL_610_135 = 610,                  /* $@135  */
  YYSYMBOL_path = 611,                     /* path  */
  YYSYMBOL_612_136 = 612,                  /* $@136  */
  YYSYMBOL_613_137 = 613,                  /* $@137  */
  YYSYMBOL_614_138 = 614,                  /* $@138  */
  YYSYMBOL_615_139 = 615,                  /* $@139  */
  YYSYMBOL_616_140 = 616,                  /* $@140  */
  YYSYMBOL_617_141 = 617,                  /* $@141  */
  YYSYMBOL_keylist = 618,                  /* keylist  */
  YYSYMBOL_619_142 = 619,                  /* $@142  */
  YYSYMBOL_620_143 = 620,                  /* $@143  */
  YYSYMBOL_621_144 = 621,                  /* $@144  */
  YYSYMBOL_622_145 = 622,                  /* $@145  */
  YYSYMBOL_623_146 = 623,                  /* $@146  */
  YYSYMBOL_624_147 = 624,                  /* $@147  */
  YYSYMBOL_625_148 = 625,                  /* $@148  */
  YYSYMBOL_626_149 = 626,                  /* $@149  */
  YYSYMBOL_627_150 = 627,                  /* $@150  */
  YYSYMBOL_628_151 = 628,                  /* $@151  */
  YYSYMBOL_mods = 629,                     /* mods  */
  YYSYMBOL_630_152 = 630,                  /* $@152  */
  YYSYMBOL_631_153 = 631,                  /* $@153  */
  YYSYMBOL_632_154 = 632,                  /* $@154  */
  YYSYMBOL_633_155 = 633,                  /* $@155  */
  YYSYMBOL_634_156 = 634,                  /* $@156  */
  YYSYMBOL_635_157 = 635,                  /* $@157  */
  YYSYMBOL_636_158 = 636,                  /* $@158  */
  YYSYMBOL_637_159 = 637,                  /* $@159  */
  YYSYMBOL_filetypes = 638,                /* filetypes  */
  YYSYMBOL_639_160 = 639,                  /* $@160  */
  YYSYMBOL_640_161 = 640,                  /* $@161  */
  YYSYMBOL_641_162 = 641,                  /* $@162  */
  YYSYMBOL_642_163 = 642,                  /* $@163  */
  YYSYMBOL_643_164 = 643,                  /* $@164  */
  YYSYMBOL_ignoredirs = 644,               /* ignoredirs  */
  YYSYMBOL_645_165 = 645,                  /* $@165  */
  YYSYMBOL_subfiletypes = 646,             /* subfiletypes  */
  YYSYMBOL_647_166 = 647,                  /* $@166  */
  YYSYMBOL_648_167 = 648,                  /* $@167  */
  YYSYMBOL_filetype = 649,                 /* filetype  */
  YYSYMBOL_650_168 = 650,                  /* $@168  */
  YYSYMBOL_651_169 = 651,                  /* $@169  */
  YYSYMBOL_652_170 = 652,                  /* $@170  */
  YYSYMBOL_653_171 = 653,                  /* $@171  */
  YYSYMBOL_654_172 = 654,                  /* $@172  */
  YYSYMBOL_655_173 = 655,                  /* $@173  */
  YYSYMBOL_656_174 = 656,                  /* $@174  */
  YYSYMBOL_657_175 = 657,                  /* $@175  */
  YYSYMBOL_658_176 = 658,                  /* $@176  */
  YYSYMBOL_659_177 = 659,                  /* $@177  */
  YYSYMBOL_660_178 = 660,                  /* $@178  */
  YYSYMBOL_661_179 = 661,                  /* $@179  */
  YYSYMBOL_662_180 = 662,                  /* $@180  */
  YYSYMBOL_663_181 = 663,                  /* $@181  */
  YYSYMBOL_664_182 = 664,                  /* $@182  */
  YYSYMBOL_665_183 = 665,                  /* $@183  */
  YYSYMBOL_666_184 = 666,                  /* $@184  */
  YYSYMBOL_667_185 = 667,                  /* $@185  */
  YYSYMBOL_668_186 = 668,                  /* $@186  */
  YYSYMBOL_669_187 = 669,                  /* $@187  */
  YYSYMBOL_670_188 = 670,                  /* $@188  */
  YYSYMBOL_671_189 = 671,                  /* $@189  */
  YYSYMBOL_672_190 = 672,                  /* $@190  */
  YYSYMBOL_673_191 = 673,                  /* $@191  */
  YYSYMBOL_674_192 = 674,                  /* $@192  */
  YYSYMBOL_675_193 = 675,                  /* $@193  */
  YYSYMBOL_676_194 = 676,                  /* $@194  */
  YYSYMBOL_filecontent = 677,              /* filecontent  */
  YYSYMBOL_678_195 = 678,                  /* $@195  */
  YYSYMBOL_ft_type = 679,                  /* ft_type  */
  YYSYMBOL_ftcommands = 680,               /* ftcommands  */
  YYSYMBOL_681_196 = 681,                  /* $@196  */
  YYSYMBOL_682_197 = 682,                  /* $@197  */
  YYSYMBOL_683_198 = 683,                  /* $@198  */
  YYSYMBOL_684_199 = 684,                  /* $@199  */
  YYSYMBOL_685_200 = 685,                  /* $@200  */
  YYSYMBOL_686_201 = 686,                  /* $@201  */
  YYSYMBOL_687_202 = 687,                  /* $@202  */
  YYSYMBOL_688_203 = 688,                  /* $@203  */
  YYSYMBOL_689_204 = 689,                  /* $@204  */
  YYSYMBOL_690_205 = 690,                  /* $@205  */
  YYSYMBOL_691_206 = 691,                  /* $@206  */
  YYSYMBOL_692_207 = 692,                  /* $@207  */
  YYSYMBOL_commands = 693,                 /* commands  */
  YYSYMBOL_flags = 694,                    /* flags  */
  YYSYMBOL_hotkeys = 695,                  /* hotkeys  */
  YYSYMBOL_696_208 = 696,                  /* $@208  */
  YYSYMBOL_697_209 = 697,                  /* $@209  */
  YYSYMBOL_hotkey = 698,                   /* hotkey  */
  YYSYMBOL_699_210 = 699,                  /* $@210  */
  YYSYMBOL_700_211 = 700,                  /* $@211  */
  YYSYMBOL_701_212 = 701,                  /* $@212  */
  YYSYMBOL_702_213 = 702,                  /* $@213  */
  YYSYMBOL_703_214 = 703,                  /* $@214  */
  YYSYMBOL_buttons = 704,                  /* buttons  */
  YYSYMBOL_705_215 = 705,                  /* $@215  */
  YYSYMBOL_706_216 = 706,                  /* $@216  */
  YYSYMBOL_button = 707,                   /* button  */
  YYSYMBOL_708_217 = 708,                  /* $@217  */
  YYSYMBOL_709_218 = 709,                  /* $@218  */
  YYSYMBOL_710_219 = 710,                  /* $@219  */
  YYSYMBOL_711_220 = 711,                  /* $@220  */
  YYSYMBOL_712_221 = 712,                  /* $@221  */
  YYSYMBOL_713_222 = 713,                  /* $@222  */
  YYSYMBOL_714_223 = 714,                  /* $@223  */
  YYSYMBOL_fonts = 715,                    /* fonts  */
  YYSYMBOL_716_224 = 716,                  /* $@224  */
  YYSYMBOL_717_225 = 717,                  /* $@225  */
  YYSYMBOL_718_226 = 718,                  /* $@226  */
  YYSYMBOL_719_227 = 719,                  /* $@227  */
  YYSYMBOL_720_228 = 720,                  /* $@228  */
  YYSYMBOL_721_229 = 721,                  /* $@229  */
  YYSYMBOL_xftfonts = 722,                 /* xftfonts  */
  YYSYMBOL_723_230 = 723,                  /* $@230  */
  YYSYMBOL_724_231 = 724,                  /* $@231  */
  YYSYMBOL_725_232 = 725,                  /* $@232  */
  YYSYMBOL_726_233 = 726,                  /* $@233  */
  YYSYMBOL_727_234 = 727,                  /* $@234  */
  YYSYMBOL_728_235 = 728,                  /* $@235  */
  YYSYMBOL_volumemanager = 729,            /* volumemanager  */
  YYSYMBOL_730_236 = 730,                  /* $@236  */
  YYSYMBOL_731_237 = 731,                  /* $@237  */
  YYSYMBOL_732_238 = 732,                  /* $@238  */
  YYSYMBOL_733_239 = 733,                  /* $@239  */
  YYSYMBOL_734_240 = 734,                  /* $@240  */
  YYSYMBOL_735_241 = 735,                  /* $@241  */
  YYSYMBOL_736_242 = 736,                  /* $@242  */
  YYSYMBOL_737_243 = 737,                  /* $@243  */
  YYSYMBOL_738_244 = 738,                  /* $@244  */
  YYSYMBOL_clockbarsets = 739,             /* clockbarsets  */
  YYSYMBOL_740_245 = 740,                  /* $@245  */
  YYSYMBOL_741_246 = 741,                  /* $@246  */
  YYSYMBOL_742_247 = 742,                  /* $@247  */
  YYSYMBOL_743_248 = 743,                  /* $@248  */
  YYSYMBOL_744_249 = 744,                  /* $@249  */
  YYSYMBOL_745_250 = 745,                  /* $@250  */
  YYSYMBOL_746_251 = 746,                  /* $@251  */
  YYSYMBOL_bool = 747,                     /* bool  */
  YYSYMBOL_command = 748,                  /* command  */
  YYSYMBOL_ownop = 749,                    /* ownop  */
  YYSYMBOL_750_252 = 750,                  /* $@252  */
  YYSYMBOL_ownopbody = 751,                /* ownopbody  */
  YYSYMBOL_752_253 = 752,                  /* $@253  */
  YYSYMBOL_753_254 = 753,                  /* $@254  */
  YYSYMBOL_754_255 = 754,                  /* $@255  */
  YYSYMBOL_755_256 = 755,                  /* $@256  */
  YYSYMBOL_756_257 = 756,                  /* $@257  */
  YYSYMBOL_757_258 = 757,                  /* $@258  */
  YYSYMBOL_758_259 = 758,                  /* $@259  */
  YYSYMBOL_759_260 = 759,                  /* $@260  */
  YYSYMBOL_760_261 = 760,                  /* $@261  */
  YYSYMBOL_761_262 = 761,                  /* $@262  */
  YYSYMBOL_762_263 = 762,                  /* $@263  */
  YYSYMBOL_763_264 = 763,                  /* $@264  */
  YYSYMBOL_764_265 = 764,                  /* $@265  */
  YYSYMBOL_765_266 = 765,                  /* $@266  */
  YYSYMBOL_dndaction = 766,                /* dndaction  */
  YYSYMBOL_767_267 = 767,                  /* $@267  */
  YYSYMBOL_dcaction = 768,                 /* dcaction  */
  YYSYMBOL_769_268 = 769,                  /* $@268  */
  YYSYMBOL_showaction = 770,               /* showaction  */
  YYSYMBOL_771_269 = 771,                  /* $@269  */
  YYSYMBOL_rshowaction = 772,              /* rshowaction  */
  YYSYMBOL_773_270 = 773,                  /* $@270  */
  YYSYMBOL_useraction = 774,               /* useraction  */
  YYSYMBOL_775_271 = 775,                  /* $@271  */
  YYSYMBOL_useractionbody = 776,           /* useractionbody  */
  YYSYMBOL_777_272 = 777,                  /* $@272  */
  YYSYMBOL_rowup = 778,                    /* rowup  */
  YYSYMBOL_779_273 = 779,                  /* $@273  */
  YYSYMBOL_rowdown = 780,                  /* rowdown  */
  YYSYMBOL_781_274 = 781,                  /* $@274  */
  YYSYMBOL_changehiddenflag = 782,         /* changehiddenflag  */
  YYSYMBOL_783_275 = 783,                  /* $@275  */
  YYSYMBOL_changehiddenflagbody = 784,     /* changehiddenflagbody  */
  YYSYMBOL_785_276 = 785,                  /* $@276  */
  YYSYMBOL_786_277 = 786,                  /* $@277  */
  YYSYMBOL_787_278 = 787,                  /* $@278  */
  YYSYMBOL_copyop = 788,                   /* copyop  */
  YYSYMBOL_789_279 = 789,                  /* $@279  */
  YYSYMBOL_copyopbody = 790,               /* copyopbody  */
  YYSYMBOL_791_280 = 791,                  /* $@280  */
  YYSYMBOL_792_281 = 792,                  /* $@281  */
  YYSYMBOL_793_282 = 793,                  /* $@282  */
  YYSYMBOL_794_283 = 794,                  /* $@283  */
  YYSYMBOL_795_284 = 795,                  /* $@284  */
  YYSYMBOL_796_285 = 796,                  /* $@285  */
  YYSYMBOL_797_286 = 797,                  /* $@286  */
  YYSYMBOL_798_287 = 798,                  /* $@287  */
  YYSYMBOL_799_288 = 799,                  /* $@288  */
  YYSYMBOL_800_289 = 800,                  /* $@289  */
  YYSYMBOL_801_290 = 801,                  /* $@290  */
  YYSYMBOL_802_291 = 802,                  /* $@291  */
  YYSYMBOL_803_292 = 803,                  /* $@292  */
  YYSYMBOL_804_293 = 804,                  /* $@293  */
  YYSYMBOL_805_294 = 805,                  /* $@294  */
  YYSYMBOL_806_295 = 806,                  /* $@295  */
  YYSYMBOL_807_296 = 807,                  /* $@296  */
  YYSYMBOL_808_297 = 808,                  /* $@297  */
  YYSYMBOL_809_298 = 809,                  /* $@298  */
  YYSYMBOL_810_299 = 810,                  /* $@299  */
  YYSYMBOL_firstrow = 811,                 /* firstrow  */
  YYSYMBOL_812_300 = 812,                  /* $@300  */
  YYSYMBOL_lastrow = 813,                  /* lastrow  */
  YYSYMBOL_814_301 = 814,                  /* $@301  */
  YYSYMBOL_pageup = 815,                   /* pageup  */
  YYSYMBOL_816_302 = 816,                  /* $@302  */
  YYSYMBOL_pagedown = 817,                 /* pagedown  */
  YYSYMBOL_818_303 = 818,                  /* $@303  */
  YYSYMBOL_selectop = 819,                 /* selectop  */
  YYSYMBOL_820_304 = 820,                  /* $@304  */
  YYSYMBOL_selectallop = 821,              /* selectallop  */
  YYSYMBOL_822_305 = 822,                  /* $@305  */
  YYSYMBOL_selectnoneop = 823,             /* selectnoneop  */
  YYSYMBOL_824_306 = 824,                  /* $@306  */
  YYSYMBOL_invertallop = 825,              /* invertallop  */
  YYSYMBOL_826_307 = 826,                  /* $@307  */
  YYSYMBOL_parentdirop = 827,              /* parentdirop  */
  YYSYMBOL_828_308 = 828,                  /* $@308  */
  YYSYMBOL_enterdirop = 829,               /* enterdirop  */
  YYSYMBOL_830_309 = 830,                  /* $@309  */
  YYSYMBOL_enterdiropbody = 831,           /* enterdiropbody  */
  YYSYMBOL_832_310 = 832,                  /* $@310  */
  YYSYMBOL_833_311 = 833,                  /* $@311  */
  YYSYMBOL_834_312 = 834,                  /* $@312  */
  YYSYMBOL_835_313 = 835,                  /* $@313  */
  YYSYMBOL_836_314 = 836,                  /* $@314  */
  YYSYMBOL_changelistersetop = 837,        /* changelistersetop  */
  YYSYMBOL_838_315 = 838,                  /* $@315  */
  YYSYMBOL_changelistersetopbody = 839,    /* changelistersetopbody  */
  YYSYMBOL_840_316 = 840,                  /* $@316  */
  YYSYMBOL_841_317 = 841,                  /* $@317  */
  YYSYMBOL_842_318 = 842,                  /* $@318  */
  YYSYMBOL_843_319 = 843,                  /* $@319  */
  YYSYMBOL_switchlisterop = 844,           /* switchlisterop  */
  YYSYMBOL_845_320 = 845,                  /* $@320  */
  YYSYMBOL_filterselectop = 846,           /* filterselectop  */
  YYSYMBOL_847_321 = 847,                  /* $@321  */
  YYSYMBOL_filterselectopbody = 848,       /* filterselectopbody  */
  YYSYMBOL_849_322 = 849,                  /* $@322  */
  YYSYMBOL_850_323 = 850,                  /* $@323  */
  YYSYMBOL_851_324 = 851,                  /* $@324  */
  YYSYMBOL_filterunselectop = 852,         /* filterunselectop  */
  YYSYMBOL_853_325 = 853,                  /* $@325  */
  YYSYMBOL_filterunselectopbody = 854,     /* filterunselectopbody  */
  YYSYMBOL_855_326 = 855,                  /* $@326  */
  YYSYMBOL_856_327 = 856,                  /* $@327  */
  YYSYMBOL_857_328 = 857,                  /* $@328  */
  YYSYMBOL_pathtoothersideop = 858,        /* pathtoothersideop  */
  YYSYMBOL_859_329 = 859,                  /* $@329  */
  YYSYMBOL_quitop = 860,                   /* quitop  */
  YYSYMBOL_861_330 = 861,                  /* $@330  */
  YYSYMBOL_quitopbody = 862,               /* quitopbody  */
  YYSYMBOL_863_331 = 863,                  /* $@331  */
  YYSYMBOL_864_332 = 864,                  /* $@332  */
  YYSYMBOL_deleteop = 865,                 /* deleteop  */
  YYSYMBOL_866_333 = 866,                  /* $@333  */
  YYSYMBOL_deleteopbody = 867,             /* deleteopbody  */
  YYSYMBOL_868_334 = 868,                  /* $@334  */
  YYSYMBOL_reloadop = 869,                 /* reloadop  */
  YYSYMBOL_870_335 = 870,                  /* $@335  */
  YYSYMBOL_reloadopbody = 871,             /* reloadopbody  */
  YYSYMBOL_872_336 = 872,                  /* $@336  */
  YYSYMBOL_873_337 = 873,                  /* $@337  */
  YYSYMBOL_874_338 = 874,                  /* $@338  */
  YYSYMBOL_875_339 = 875,                  /* $@339  */
  YYSYMBOL_876_340 = 876,                  /* $@340  */
  YYSYMBOL_877_341 = 877,                  /* $@341  */
  YYSYMBOL_makedirop = 878,                /* makedirop  */
  YYSYMBOL_879_342 = 879,                  /* $@342  */
  YYSYMBOL_renameop = 880,                 /* renameop  */
  YYSYMBOL_881_343 = 881,                  /* $@343  */
  YYSYMBOL_dirsizeop = 882,                /* dirsizeop  */
  YYSYMBOL_883_344 = 883,                  /* $@344  */
  YYSYMBOL_simddop = 884,                  /* simddop  */
  YYSYMBOL_885_345 = 885,                  /* $@345  */
  YYSYMBOL_startprogop = 886,              /* startprogop  */
  YYSYMBOL_887_346 = 887,                  /* $@346  */
  YYSYMBOL_startprogopbody = 888,          /* startprogopbody  */
  YYSYMBOL_889_347 = 889,                  /* $@347  */
  YYSYMBOL_890_348 = 890,                  /* $@348  */
  YYSYMBOL_891_349 = 891,                  /* $@349  */
  YYSYMBOL_892_350 = 892,                  /* $@350  */
  YYSYMBOL_893_351 = 893,                  /* $@351  */
  YYSYMBOL_894_352 = 894,                  /* $@352  */
  YYSYMBOL_895_353 = 895,                  /* $@353  */
  YYSYMBOL_896_354 = 896,                  /* $@354  */
  YYSYMBOL_897_355 = 897,                  /* $@355  */
  YYSYMBOL_898_356 = 898,                  /* $@356  */
  YYSYMBOL_searchentryop = 899,            /* searchentryop  */
  YYSYMBOL_900_357 = 900,                  /* $@357  */
  YYSYMBOL_searchentryopbody = 901,        /* searchentryopbody  */
  YYSYMBOL_902_358 = 902,                  /* $@358  */
  YYSYMBOL_903_359 = 903,                  /* $@359  */
  YYSYMBOL_904_360 = 904,                  /* $@360  */
  YYSYMBOL_905_361 = 905,                  /* $@361  */
  YYSYMBOL_enterpathop = 906,              /* enterpathop  */
  YYSYMBOL_907_362 = 907,                  /* $@362  */
  YYSYMBOL_enterpathopbody = 908,          /* enterpathopbody  */
  YYSYMBOL_909_363 = 909,                  /* $@363  */
  YYSYMBOL_910_364 = 910,                  /* $@364  */
  YYSYMBOL_911_365 = 911,                  /* $@365  */
  YYSYMBOL_912_366 = 912,                  /* $@366  */
  YYSYMBOL_scrolllisterop = 913,           /* scrolllisterop  */
  YYSYMBOL_914_367 = 914,                  /* $@367  */
  YYSYMBOL_scrolllisteropbody = 915,       /* scrolllisteropbody  */
  YYSYMBOL_916_368 = 916,                  /* $@368  */
  YYSYMBOL_917_369 = 917,                  /* $@369  */
  YYSYMBOL_createsymlinkop = 918,          /* createsymlinkop  */
  YYSYMBOL_919_370 = 919,                  /* $@370  */
  YYSYMBOL_createsymlinkopbody = 920,      /* createsymlinkopbody  */
  YYSYMBOL_921_371 = 921,                  /* $@371  */
  YYSYMBOL_922_372 = 922,                  /* $@372  */
  YYSYMBOL_923_373 = 923,                  /* $@373  */
  YYSYMBOL_changesymlinkop = 924,          /* changesymlinkop  */
  YYSYMBOL_925_374 = 925,                  /* $@374  */
  YYSYMBOL_changesymlinkopbody = 926,      /* changesymlinkopbody  */
  YYSYMBOL_927_375 = 927,                  /* $@375  */
  YYSYMBOL_928_376 = 928,                  /* $@376  */
  YYSYMBOL_929_377 = 929,                  /* $@377  */
  YYSYMBOL_chmodop = 930,                  /* chmodop  */
  YYSYMBOL_931_378 = 931,                  /* $@378  */
  YYSYMBOL_chmodopbody = 932,              /* chmodopbody  */
  YYSYMBOL_933_379 = 933,                  /* $@379  */
  YYSYMBOL_934_380 = 934,                  /* $@380  */
  YYSYMBOL_935_381 = 935,                  /* $@381  */
  YYSYMBOL_936_382 = 936,                  /* $@382  */
  YYSYMBOL_937_383 = 937,                  /* $@383  */
  YYSYMBOL_938_384 = 938,                  /* $@384  */
  YYSYMBOL_939_385 = 939,                  /* $@385  */
  YYSYMBOL_940_386 = 940,                  /* $@386  */
  YYSYMBOL_941_387 = 941,                  /* $@387  */
  YYSYMBOL_chtimeop = 942,                 /* chtimeop  */
  YYSYMBOL_943_388 = 943,                  /* $@388  */
  YYSYMBOL_chtimeopbody = 944,             /* chtimeopbody  */
  YYSYMBOL_945_389 = 945,                  /* $@389  */
  YYSYMBOL_946_390 = 946,                  /* $@390  */
  YYSYMBOL_947_391 = 947,                  /* $@391  */
  YYSYMBOL_948_392 = 948,                  /* $@392  */
  YYSYMBOL_togglelistermodeop = 949,       /* togglelistermodeop  */
  YYSYMBOL_950_393 = 950,                  /* $@393  */
  YYSYMBOL_togglelistermodeopbody = 951,   /* togglelistermodeopbody  */
  YYSYMBOL_952_394 = 952,                  /* $@394  */
  YYSYMBOL_setsortmodeop = 953,            /* setsortmodeop  */
  YYSYMBOL_954_395 = 954,                  /* $@395  */
  YYSYMBOL_setsortmodeopbody = 955,        /* setsortmodeopbody  */
  YYSYMBOL_956_396 = 956,                  /* $@396  */
  YYSYMBOL_957_397 = 957,                  /* $@397  */
  YYSYMBOL_958_398 = 958,                  /* $@398  */
  YYSYMBOL_959_399 = 959,                  /* $@399  */
  YYSYMBOL_960_400 = 960,                  /* $@400  */
  YYSYMBOL_961_401 = 961,                  /* $@401  */
  YYSYMBOL_962_402 = 962,                  /* $@402  */
  YYSYMBOL_963_403 = 963,                  /* $@403  */
  YYSYMBOL_964_404 = 964,                  /* $@404  */
  YYSYMBOL_965_405 = 965,                  /* $@405  */
  YYSYMBOL_966_406 = 966,                  /* $@406  */
  YYSYMBOL_967_407 = 967,                  /* $@407  */
  YYSYMBOL_968_408 = 968,                  /* $@408  */
  YYSYMBOL_969_409 = 969,                  /* $@409  */
  YYSYMBOL_setfilterop = 970,              /* setfilterop  */
  YYSYMBOL_971_410 = 971,                  /* $@410  */
  YYSYMBOL_setfilteropbody = 972,          /* setfilteropbody  */
  YYSYMBOL_973_411 = 973,                  /* $@411  */
  YYSYMBOL_974_412 = 974,                  /* $@412  */
  YYSYMBOL_975_413 = 975,                  /* $@413  */
  YYSYMBOL_976_414 = 976,                  /* $@414  */
  YYSYMBOL_977_415 = 977,                  /* $@415  */
  YYSYMBOL_978_416 = 978,                  /* $@416  */
  YYSYMBOL_979_417 = 979,                  /* $@417  */
  YYSYMBOL_980_418 = 980,                  /* $@418  */
  YYSYMBOL_981_419 = 981,                  /* $@419  */
  YYSYMBOL_982_420 = 982,                  /* $@420  */
  YYSYMBOL_983_421 = 983,                  /* $@421  */
  YYSYMBOL_984_422 = 984,                  /* $@422  */
  YYSYMBOL_985_423 = 985,                  /* $@423  */
  YYSYMBOL_986_424 = 986,                  /* $@424  */
  YYSYMBOL_987_425 = 987,                  /* $@425  */
  YYSYMBOL_shortkeyfromlistop = 988,       /* shortkeyfromlistop  */
  YYSYMBOL_989_426 = 989,                  /* $@426  */
  YYSYMBOL_chownop = 990,                  /* chownop  */
  YYSYMBOL_991_427 = 991,                  /* $@427  */
  YYSYMBOL_chownopbody = 992,              /* chownopbody  */
  YYSYMBOL_993_428 = 993,                  /* $@428  */
  YYSYMBOL_994_429 = 994,                  /* $@429  */
  YYSYMBOL_995_430 = 995,                  /* $@430  */
  YYSYMBOL_996_431 = 996,                  /* $@431  */
  YYSYMBOL_scriptop = 997,                 /* scriptop  */
  YYSYMBOL_998_432 = 998,                  /* $@432  */
  YYSYMBOL_scriptopbody = 999,             /* scriptopbody  */
  YYSYMBOL_1000_433 = 1000,                /* $@433  */
  YYSYMBOL_1001_434 = 1001,                /* $@434  */
  YYSYMBOL_1002_435 = 1002,                /* $@435  */
  YYSYMBOL_1003_436 = 1003,                /* $@436  */
  YYSYMBOL_1004_437 = 1004,                /* $@437  */
  YYSYMBOL_1005_438 = 1005,                /* $@438  */
  YYSYMBOL_1006_439 = 1006,                /* $@439  */
  YYSYMBOL_1007_440 = 1007,                /* $@440  */
  YYSYMBOL_1008_441 = 1008,                /* $@441  */
  YYSYMBOL_1009_442 = 1009,                /* $@442  */
  YYSYMBOL_1010_443 = 1010,                /* $@443  */
  YYSYMBOL_1011_444 = 1011,                /* $@444  */
  YYSYMBOL_1012_445 = 1012,                /* $@445  */
  YYSYMBOL_1013_446 = 1013,                /* $@446  */
  YYSYMBOL_1014_447 = 1014,                /* $@447  */
  YYSYMBOL_1015_448 = 1015,                /* $@448  */
  YYSYMBOL_1016_449 = 1016,                /* $@449  */
  YYSYMBOL_1017_450 = 1017,                /* $@450  */
  YYSYMBOL_1018_451 = 1018,                /* $@451  */
  YYSYMBOL_1019_452 = 1019,                /* $@452  */
  YYSYMBOL_1020_453 = 1020,                /* $@453  */
  YYSYMBOL_1021_454 = 1021,                /* $@454  */
  YYSYMBOL_1022_455 = 1022,                /* $@455  */
  YYSYMBOL_1023_456 = 1023,                /* $@456  */
  YYSYMBOL_1024_457 = 1024,                /* $@457  */
  YYSYMBOL_1025_458 = 1025,                /* $@458  */
  YYSYMBOL_1026_459 = 1026,                /* $@459  */
  YYSYMBOL_1027_460 = 1027,                /* $@460  */
  YYSYMBOL_1028_461 = 1028,                /* $@461  */
  YYSYMBOL_showdircacheop = 1029,          /* showdircacheop  */
  YYSYMBOL_1030_462 = 1030,                /* $@462  */
  YYSYMBOL_parentactionop = 1031,          /* parentactionop  */
  YYSYMBOL_1032_463 = 1032,                /* $@463  */
  YYSYMBOL_nooperationop = 1033,           /* nooperationop  */
  YYSYMBOL_1034_464 = 1034,                /* $@464  */
  YYSYMBOL_goftpop = 1035,                 /* goftpop  */
  YYSYMBOL_1036_465 = 1036,                /* $@465  */
  YYSYMBOL_goftpopbody = 1037,             /* goftpopbody  */
  YYSYMBOL_1038_466 = 1038,                /* $@466  */
  YYSYMBOL_1039_467 = 1039,                /* $@467  */
  YYSYMBOL_1040_468 = 1040,                /* $@468  */
  YYSYMBOL_1041_469 = 1041,                /* $@469  */
  YYSYMBOL_1042_470 = 1042,                /* $@470  */
  YYSYMBOL_1043_471 = 1043,                /* $@471  */
  YYSYMBOL_1044_472 = 1044,                /* $@472  */
  YYSYMBOL_internalviewop = 1045,          /* internalviewop  */
  YYSYMBOL_1046_473 = 1046,                /* $@473  */
  YYSYMBOL_internalviewopbody = 1047,      /* internalviewopbody  */
  YYSYMBOL_1048_474 = 1048,                /* $@474  */
  YYSYMBOL_1049_475 = 1049,                /* $@475  */
  YYSYMBOL_1050_476 = 1050,                /* $@476  */
  YYSYMBOL_1051_477 = 1051,                /* $@477  */
  YYSYMBOL_clipboardop = 1052,             /* clipboardop  */
  YYSYMBOL_1053_478 = 1053,                /* $@478  */
  YYSYMBOL_clipboardopbody = 1054,         /* clipboardopbody  */
  YYSYMBOL_1055_479 = 1055,                /* $@479  */
  YYSYMBOL_searchop = 1056,                /* searchop  */
  YYSYMBOL_1057_480 = 1057,                /* $@480  */
  YYSYMBOL_searchopbody = 1058,            /* searchopbody  */
  YYSYMBOL_1059_481 = 1059,                /* $@481  */
  YYSYMBOL_1060_482 = 1060,                /* $@482  */
  YYSYMBOL_dirbookmarkop = 1061,           /* dirbookmarkop  */
  YYSYMBOL_1062_483 = 1062,                /* $@483  */
  YYSYMBOL_opencontextmenuop = 1063,       /* opencontextmenuop  */
  YYSYMBOL_1064_484 = 1064,                /* $@484  */
  YYSYMBOL_opencontextmenuopbody = 1065,   /* opencontextmenuopbody  */
  YYSYMBOL_1066_485 = 1066,                /* $@485  */
  YYSYMBOL_runcustomaction = 1067,         /* runcustomaction  */
  YYSYMBOL_1068_486 = 1068,                /* $@486  */
  YYSYMBOL_runcustomactionbody = 1069,     /* runcustomactionbody  */
  YYSYMBOL_1070_487 = 1070,                /* $@487  */
  YYSYMBOL_openworkermenuop = 1071,        /* openworkermenuop  */
  YYSYMBOL_1072_488 = 1072,                /* $@488  */
  YYSYMBOL_changelabelop = 1073,           /* changelabelop  */
  YYSYMBOL_1074_489 = 1074,                /* $@489  */
  YYSYMBOL_changelabelopbody = 1075,       /* changelabelopbody  */
  YYSYMBOL_1076_490 = 1076,                /* $@490  */
  YYSYMBOL_1077_491 = 1077,                /* $@491  */
  YYSYMBOL_modifytabsop = 1078,            /* modifytabsop  */
  YYSYMBOL_1079_492 = 1079,                /* $@492  */
  YYSYMBOL_modifytabsopbody = 1080,        /* modifytabsopbody  */
  YYSYMBOL_1081_493 = 1081,                /* $@493  */
  YYSYMBOL_1082_494 = 1082,                /* $@494  */
  YYSYMBOL_1083_495 = 1083,                /* $@495  */
  YYSYMBOL_1084_496 = 1084,                /* $@496  */
  YYSYMBOL_1085_497 = 1085,                /* $@497  */
  YYSYMBOL_1086_498 = 1086,                /* $@498  */
  YYSYMBOL_1087_499 = 1087,                /* $@499  */
  YYSYMBOL_changelayoutop = 1088,          /* changelayoutop  */
  YYSYMBOL_1089_500 = 1089,                /* $@500  */
  YYSYMBOL_changelayoutopbody = 1090,      /* changelayoutopbody  */
  YYSYMBOL_1091_501 = 1091,                /* $@501  */
  YYSYMBOL_1092_502 = 1092,                /* $@502  */
  YYSYMBOL_1093_503 = 1093,                /* $@503  */
  YYSYMBOL_1094_504 = 1094,                /* $@504  */
  YYSYMBOL_1095_505 = 1095,                /* $@505  */
  YYSYMBOL_1096_506 = 1096,                /* $@506  */
  YYSYMBOL_1097_507 = 1097,                /* $@507  */
  YYSYMBOL_1098_508 = 1098,                /* $@508  */
  YYSYMBOL_1099_509 = 1099,                /* $@509  */
  YYSYMBOL_1100_510 = 1100,                /* $@510  */
  YYSYMBOL_1101_511 = 1101,                /* $@511  */
  YYSYMBOL_1102_512 = 1102,                /* $@512  */
  YYSYMBOL_1103_513 = 1103,                /* $@513  */
  YYSYMBOL_changecolumnsop = 1104,         /* changecolumnsop  */
  YYSYMBOL_1105_514 = 1105,                /* $@514  */
  YYSYMBOL_changecolumnsopbody = 1106,     /* changecolumnsopbody  */
  YYSYMBOL_1107_515 = 1107,                /* $@515  */
  YYSYMBOL_1108_516 = 1108,                /* $@516  */
  YYSYMBOL_1109_517 = 1109,                /* $@517  */
  YYSYMBOL_1110_518 = 1110,                /* $@518  */
  YYSYMBOL_1111_519 = 1111,                /* $@519  */
  YYSYMBOL_1112_520 = 1112,                /* $@520  */
  YYSYMBOL_1113_521 = 1113,                /* $@521  */
  YYSYMBOL_1114_522 = 1114,                /* $@522  */
  YYSYMBOL_1115_523 = 1115,                /* $@523  */
  YYSYMBOL_1116_524 = 1116,                /* $@524  */
  YYSYMBOL_1117_525 = 1117,                /* $@525  */
  YYSYMBOL_1118_526 = 1118,                /* $@526  */
  YYSYMBOL_1119_527 = 1119,                /* $@527  */
  YYSYMBOL_1120_528 = 1120,                /* $@528  */
  YYSYMBOL_volumemanagerop = 1121,         /* volumemanagerop  */
  YYSYMBOL_1122_529 = 1122,                /* $@529  */
  YYSYMBOL_switchbuttonbankop = 1123,      /* switchbuttonbankop  */
  YYSYMBOL_1124_530 = 1124,                /* $@530  */
  YYSYMBOL_switchbuttonbankopbody = 1125,  /* switchbuttonbankopbody  */
  YYSYMBOL_1126_531 = 1126,                /* $@531  */
  YYSYMBOL_1127_532 = 1127,                /* $@532  */
  YYSYMBOL_1128_533 = 1128,                /* $@533  */
  YYSYMBOL_1129_534 = 1129,                /* $@534  */
  YYSYMBOL_pathjumpop = 1130,              /* pathjumpop  */
  YYSYMBOL_1131_535 = 1131,                /* $@535  */
  YYSYMBOL_pathjumpopbody = 1132,          /* pathjumpopbody  */
  YYSYMBOL_1133_536 = 1133,                /* $@536  */
  YYSYMBOL_1134_537 = 1134,                /* $@537  */
  YYSYMBOL_1135_538 = 1135,                /* $@538  */
  YYSYMBOL_1136_539 = 1136,                /* $@539  */
  YYSYMBOL_1137_540 = 1137,                /* $@540  */
  YYSYMBOL_1138_541 = 1138,                /* $@541  */
  YYSYMBOL_1139_542 = 1139,                /* $@542  */
  YYSYMBOL_1140_543 = 1140,                /* $@543  */
  YYSYMBOL_1141_544 = 1141,                /* $@544  */
  YYSYMBOL_commandmenuop = 1142,           /* commandmenuop  */
  YYSYMBOL_1143_545 = 1143,                /* $@545  */
  YYSYMBOL_commandmenuopbody = 1144,       /* commandmenuopbody  */
  YYSYMBOL_1145_546 = 1145,                /* $@546  */
  YYSYMBOL_viewnewestfilesop = 1146,       /* viewnewestfilesop  */
  YYSYMBOL_1147_547 = 1147,                /* $@547  */
  YYSYMBOL_dircompareop = 1148,            /* dircompareop  */
  YYSYMBOL_1149_548 = 1149,                /* $@548  */
  YYSYMBOL_tabprofilesop = 1150,           /* tabprofilesop  */
  YYSYMBOL_1151_549 = 1151,                /* $@549  */
  YYSYMBOL_externalvdirop = 1152,          /* externalvdirop  */
  YYSYMBOL_1153_550 = 1153,                /* $@550  */
  YYSYMBOL_externalvdiropbody = 1154,      /* externalvdiropbody  */
  YYSYMBOL_1155_551 = 1155,                /* $@551  */
  YYSYMBOL_opentabmenuop = 1156,           /* opentabmenuop  */
  YYSYMBOL_1157_552 = 1157,                /* $@552  */
  YYSYMBOL_directorypresets = 1158,        /* directorypresets  */
  YYSYMBOL_1159_553 = 1159,                /* $@553  */
  YYSYMBOL_1160_554 = 1160,                /* $@554  */
  YYSYMBOL_directorypreset = 1161,         /* directorypreset  */
  YYSYMBOL_1162_555 = 1162,                /* $@555  */
  YYSYMBOL_1163_556 = 1163,                /* $@556  */
  YYSYMBOL_1164_557 = 1164,                /* $@557  */
  YYSYMBOL_1165_558 = 1165,                /* $@558  */
  YYSYMBOL_1166_559 = 1166,                /* $@559  */
  YYSYMBOL_1167_560 = 1167,                /* $@560  */
  YYSYMBOL_1168_561 = 1168,                /* $@561  */
  YYSYMBOL_1169_562 = 1169,                /* $@562  */
  YYSYMBOL_1170_563 = 1170,                /* $@563  */
  YYSYMBOL_1171_564 = 1171,                /* $@564  */
  YYSYMBOL_1172_565 = 1172,                /* $@565  */
  YYSYMBOL_1173_566 = 1173,                /* $@566  */
  YYSYMBOL_1174_567 = 1174,                /* $@567  */
  YYSYMBOL_1175_568 = 1175,                /* $@568  */
  YYSYMBOL_1176_569 = 1176,                /* $@569  */
  YYSYMBOL_1177_570 = 1177,                /* $@570  */
  YYSYMBOL_1178_571 = 1178,                /* $@571  */
  YYSYMBOL_1179_572 = 1179,                /* $@572  */
  YYSYMBOL_1180_573 = 1180,                /* $@573  */
  YYSYMBOL_directorypreset_filter = 1181,  /* directorypreset_filter  */
  YYSYMBOL_1182_574 = 1182,                /* $@574  */
  YYSYMBOL_1183_575 = 1183,                /* $@575  */
  YYSYMBOL_1184_576 = 1184,                /* $@576  */
  YYSYMBOL_helpop = 1185,                  /* helpop  */
  YYSYMBOL_1186_577 = 1186,                /* $@577  */
  YYSYMBOL_viewcommandlogop = 1187,        /* viewcommandlogop  */
  YYSYMBOL_1188_578 = 1188                 /* $@578  */
};
typedef enum yysymbol_kind_t yysymbol_kind_t;




#ifdef short
# undef short
#endif

/* On compilers that do not define __PTRDIFF_MAX__ etc., make sure
   <limits.h> and (if available) <stdint.h> are included
   so that the code can choose integer types of a good width.  */

#ifndef __PTRDIFF_MAX__
# include <limits.h> /* INFRINGES ON USER NAME SPACE */
# if defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stdint.h> /* INFRINGES ON USER NAME SPACE */
#  define YY_STDINT_H
# endif
#endif

/* Narrow types that promote to a signed type and that can represent a
   signed or unsigned integer of at least N bits.  In tables they can
   save space and decrease cache pressure.  Promoting to a signed type
   helps avoid bugs in integer arithmetic.  */

#ifdef __INT_LEAST8_MAX__
typedef __INT_LEAST8_TYPE__ yytype_int8;
#elif defined YY_STDINT_H
typedef int_least8_t yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef __INT_LEAST16_MAX__
typedef __INT_LEAST16_TYPE__ yytype_int16;
#elif defined YY_STDINT_H
typedef int_least16_t yytype_int16;
#else
typedef short yytype_int16;
#endif

/* Work around bug in HP-UX 11.23, which defines these macros
   incorrectly for preprocessor constants.  This workaround can likely
   be removed in 2023, as HPE has promised support for HP-UX 11.23
   (aka HP-UX 11i v2) only through the end of 2022; see Table 2 of
   <https://h20195.www2.hpe.com/V2/getpdf.aspx/4AA4-7673ENW.pdf>.  */
#ifdef __hpux
# undef UINT_LEAST8_MAX
# undef UINT_LEAST16_MAX
# define UINT_LEAST8_MAX 255
# define UINT_LEAST16_MAX 65535
#endif

#if defined __UINT_LEAST8_MAX__ && __UINT_LEAST8_MAX__ <= __INT_MAX__
typedef __UINT_LEAST8_TYPE__ yytype_uint8;
#elif (!defined __UINT_LEAST8_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST8_MAX <= INT_MAX)
typedef uint_least8_t yytype_uint8;
#elif !defined __UINT_LEAST8_MAX__ && UCHAR_MAX <= INT_MAX
typedef unsigned char yytype_uint8;
#else
typedef short yytype_uint8;
#endif

#if defined __UINT_LEAST16_MAX__ && __UINT_LEAST16_MAX__ <= __INT_MAX__
typedef __UINT_LEAST16_TYPE__ yytype_uint16;
#elif (!defined __UINT_LEAST16_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST16_MAX <= INT_MAX)
typedef uint_least16_t yytype_uint16;
#elif !defined __UINT_LEAST16_MAX__ && USHRT_MAX <= INT_MAX
typedef unsigned short yytype_uint16;
#else
typedef int yytype_uint16;
#endif

#ifndef YYPTRDIFF_T
# if defined __PTRDIFF_TYPE__ && defined __PTRDIFF_MAX__
#  define YYPTRDIFF_T __PTRDIFF_TYPE__
#  define YYPTRDIFF_MAXIMUM __PTRDIFF_MAX__
# elif defined PTRDIFF_MAX
#  ifndef ptrdiff_t
#   include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  endif
#  define YYPTRDIFF_T ptrdiff_t
#  define YYPTRDIFF_MAXIMUM PTRDIFF_MAX
# else
#  define YYPTRDIFF_T long
#  define YYPTRDIFF_MAXIMUM LONG_MAX
# endif
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned
# endif
#endif

#define YYSIZE_MAXIMUM                                  \
  YY_CAST (YYPTRDIFF_T,                                 \
           (YYPTRDIFF_MAXIMUM < YY_CAST (YYSIZE_T, -1)  \
            ? YYPTRDIFF_MAXIMUM                         \
            : YY_CAST (YYSIZE_T, -1)))

#define YYSIZEOF(X) YY_CAST (YYPTRDIFF_T, sizeof (X))


/* Stored state numbers (used for stacks). */
typedef yytype_int16 yy_state_t;

/* State numbers in computations.  */
typedef int yy_state_fast_t;

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif


#ifndef YY_ATTRIBUTE_PURE
# if defined __GNUC__ && 2 < __GNUC__ + (96 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_PURE __attribute__ ((__pure__))
# else
#  define YY_ATTRIBUTE_PURE
# endif
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# if defined __GNUC__ && 2 < __GNUC__ + (7 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_UNUSED __attribute__ ((__unused__))
# else
#  define YY_ATTRIBUTE_UNUSED
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YY_USE(E) ((void) (E))
#else
# define YY_USE(E) /* empty */
#endif

/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
#if defined __GNUC__ && ! defined __ICC && 406 <= __GNUC__ * 100 + __GNUC_MINOR__
# if __GNUC__ * 100 + __GNUC_MINOR__ < 407
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")
# else
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")              \
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# endif
# define YY_IGNORE_MAYBE_UNINITIALIZED_END      \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif

#if defined __cplusplus && defined __GNUC__ && ! defined __ICC && 6 <= __GNUC__
# define YY_IGNORE_USELESS_CAST_BEGIN                          \
    _Pragma ("GCC diagnostic push")                            \
    _Pragma ("GCC diagnostic ignored \"-Wuseless-cast\"")
# define YY_IGNORE_USELESS_CAST_END            \
    _Pragma ("GCC diagnostic pop")
#endif
#ifndef YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_END
#endif


#define YY_ASSERT(E) ((void) (0 && (E)))

#if !defined yyoverflow

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* !defined yyoverflow */

#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yy_state_t yyss_alloc;
  YYSTYPE yyvs_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (YYSIZEOF (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (YYSIZEOF (yy_state_t) + YYSIZEOF (YYSTYPE)) \
      + YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYPTRDIFF_T yynewbytes;                                         \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * YYSIZEOF (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / YYSIZEOF (*yyptr);                        \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, YY_CAST (YYSIZE_T, (Count)) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYPTRDIFF_T yyi;                      \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  3
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   2587

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  456
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  733
/* YYNRULES -- Number of rules.  */
#define YYNRULES  1288
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  3057

/* YYMAXUTOK -- Last valid token kind.  */
#define YYMAXUTOK   706


/* YYTRANSLATE(TOKEN-NUM) -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, with out-of-bounds checking.  */
#define YYTRANSLATE(YYX)                                \
  (0 <= (YYX) && (YYX) <= YYMAXUTOK                     \
   ? YY_CAST (yysymbol_kind_t, yytranslate[YYX])        \
   : YYSYMBOL_YYUNDEF)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex.  */
static const yytype_int16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,   455,     2,   452,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,   453,
       2,   454,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451
};

#if YYDEBUG
/* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_int16 yyrline[] =
{
       0,   332,   332,   332,   332,   335,   336,   337,   336,   340,
     341,   342,   341,   353,   354,   353,   365,   366,   365,   377,
     378,   377,   389,   390,   391,   392,   393,   394,   393,   397,
     398,   397,   400,   402,   402,   403,   405,   405,   406,   408,
     408,   409,   409,   410,   410,   411,   411,   412,   413,   413,
     414,   414,   415,   415,   416,   416,   417,   417,   419,   420,
     420,   421,   421,   422,   423,   423,   424,   424,   425,   425,
     426,   426,   427,   427,   428,   429,   429,   430,   432,   432,
     433,   433,   434,   434,   435,   435,   436,   436,   437,   437,
     438,   438,   439,   439,   440,   440,   441,   441,   442,   442,
     443,   443,   444,   444,   445,   447,   447,   448,   450,   450,
     451,   451,   452,   454,   454,   455,   455,   456,   456,   457,
     457,   458,   458,   459,   459,   460,   460,   461,   463,   463,
     464,   464,   465,   465,   466,   466,   467,   467,   468,   468,
     469,   469,   470,   470,   471,   471,   472,   472,   473,   473,
     474,   474,   475,   475,   476,   476,   477,   479,   479,   480,
     480,   481,   481,   482,   482,   483,   483,   484,   484,   485,
     485,   486,   486,   487,   487,   488,   488,   489,   489,   490,
     492,   492,   493,   493,   494,   494,   495,   495,   496,   496,
     497,   497,   498,   499,   498,   500,   501,   500,   502,   503,
     502,   504,   506,   506,   510,   510,   514,   514,   518,   518,
     522,   522,   526,   526,   530,   530,   534,   534,   538,   538,
     542,   542,   546,   546,   550,   550,   554,   554,   558,   558,
     562,   562,   565,   565,   569,   569,   573,   573,   577,   578,
     577,   583,   585,   587,   594,   587,   597,   599,   599,   603,
     603,   607,   607,   608,   610,   614,   610,   617,   619,   619,
     622,   622,   623,   625,   625,   626,   626,   627,   627,   628,
     628,   629,   629,   630,   630,   631,   631,   632,   632,   633,
     633,   634,   636,   637,   636,   643,   645,   645,   649,   649,
     650,   650,   653,   653,   654,   655,   654,   667,   669,   672,
     677,   678,   669,   680,   683,   688,   689,   694,   695,   680,
     697,   699,   699,   700,   700,   701,   701,   702,   702,   703,
     703,   704,   704,   705,   705,   706,   706,   707,   709,   710,
     709,   713,   714,   713,   725,   725,   726,   728,   728,   729,
     731,   734,   731,   743,   745,   745,   746,   746,   747,   747,
     748,   748,   749,   749,   751,   751,   752,   752,   753,   753,
     754,   754,   755,   756,   756,   757,   757,   758,   759,   759,
     762,   762,   765,   765,   768,   768,   771,   771,   772,   772,
     773,   773,   774,   774,   775,   775,   776,   776,   777,   777,
     778,   778,   779,   779,   780,   780,   781,   781,   782,   782,
     783,   785,   785,   786,   788,   789,   790,   791,   792,   795,
     796,   795,   799,   800,   799,   803,   804,   803,   807,   808,
     807,   811,   812,   811,   815,   818,   815,   821,   823,   824,
     825,   827,   829,   830,   829,   833,   835,   835,   836,   837,
     836,   840,   841,   840,   853,   855,   856,   855,   862,   864,
     864,   868,   868,   869,   869,   872,   873,   872,   876,   877,
     876,   889,   892,   891,   899,   898,   906,   905,   913,   912,
     920,   919,   927,   926,   933,   936,   935,   943,   942,   950,
     949,   957,   956,   964,   963,   971,   970,   977,   980,   979,
     984,   983,   988,   987,   992,   991,   996,   995,  1000,   999,
    1004,  1003,  1008,  1007,  1012,  1011,  1015,  1017,  1017,  1018,
    1018,  1019,  1019,  1020,  1020,  1021,  1021,  1022,  1022,  1023,
    1023,  1024,  1026,  1027,  1029,  1030,  1031,  1032,  1033,  1034,
    1035,  1036,  1037,  1038,  1039,  1040,  1041,  1042,  1043,  1044,
    1045,  1046,  1047,  1048,  1049,  1050,  1051,  1052,  1053,  1054,
    1055,  1056,  1057,  1058,  1059,  1060,  1061,  1062,  1063,  1064,
    1065,  1066,  1067,  1068,  1069,  1070,  1071,  1072,  1073,  1074,
    1075,  1076,  1077,  1078,  1079,  1080,  1081,  1082,  1083,  1084,
    1085,  1086,  1087,  1088,  1089,  1090,  1091,  1092,  1093,  1094,
    1095,  1096,  1097,  1098,  1099,  1100,  1102,  1102,  1105,  1105,
    1106,  1106,  1107,  1107,  1108,  1108,  1109,  1109,  1110,  1110,
    1111,  1111,  1112,  1112,  1113,  1113,  1114,  1114,  1115,  1115,
    1116,  1116,  1117,  1117,  1118,  1118,  1119,  1121,  1121,  1124,
    1124,  1127,  1127,  1130,  1130,  1133,  1133,  1136,  1136,  1137,
    1139,  1139,  1146,  1146,  1153,  1153,  1156,  1156,  1157,  1157,
    1158,  1158,  1159,  1161,  1161,  1164,  1164,  1165,  1165,  1166,
    1166,  1167,  1167,  1168,  1168,  1169,  1169,  1170,  1170,  1171,
    1171,  1172,  1172,  1173,  1173,  1174,  1174,  1175,  1175,  1176,
    1176,  1177,  1177,  1178,  1178,  1179,  1179,  1180,  1180,  1181,
    1181,  1182,  1182,  1183,  1183,  1184,  1186,  1186,  1193,  1193,
    1200,  1200,  1207,  1207,  1214,  1214,  1221,  1221,  1228,  1228,
    1235,  1235,  1242,  1242,  1249,  1249,  1252,  1252,  1253,  1253,
    1254,  1254,  1255,  1255,  1256,  1256,  1257,  1259,  1259,  1262,
    1262,  1263,  1263,  1264,  1264,  1265,  1265,  1266,  1268,  1268,
    1271,  1271,  1274,  1274,  1275,  1275,  1276,  1276,  1277,  1279,
    1279,  1282,  1282,  1283,  1283,  1284,  1284,  1285,  1287,  1287,
    1290,  1290,  1293,  1293,  1294,  1294,  1295,  1297,  1297,  1300,
    1300,  1301,  1303,  1303,  1306,  1306,  1307,  1307,  1308,  1308,
    1309,  1309,  1310,  1310,  1311,  1311,  1312,  1314,  1314,  1317,
    1317,  1320,  1320,  1323,  1323,  1330,  1330,  1333,  1333,  1334,
    1334,  1335,  1335,  1336,  1336,  1337,  1337,  1338,  1338,  1339,
    1339,  1340,  1340,  1341,  1341,  1342,  1342,  1343,  1345,  1345,
    1348,  1348,  1349,  1349,  1350,  1350,  1351,  1351,  1352,  1354,
    1354,  1357,  1357,  1358,  1358,  1359,  1359,  1360,  1360,  1361,
    1363,  1363,  1366,  1366,  1367,  1367,  1368,  1370,  1370,  1373,
    1373,  1374,  1374,  1375,  1375,  1376,  1378,  1378,  1381,  1381,
    1382,  1382,  1383,  1383,  1384,  1386,  1386,  1389,  1389,  1390,
    1390,  1391,  1391,  1392,  1392,  1393,  1393,  1394,  1394,  1395,
    1395,  1396,  1396,  1397,  1397,  1398,  1400,  1400,  1403,  1403,
    1404,  1404,  1405,  1405,  1406,  1406,  1407,  1409,  1409,  1412,
    1412,  1413,  1415,  1415,  1420,  1420,  1421,  1421,  1422,  1422,
    1423,  1423,  1424,  1424,  1425,  1425,  1426,  1426,  1427,  1427,
    1428,  1428,  1429,  1429,  1430,  1430,  1431,  1431,  1432,  1432,
    1433,  1433,  1434,  1436,  1436,  1439,  1439,  1440,  1440,  1441,
    1441,  1442,  1442,  1443,  1443,  1444,  1444,  1445,  1445,  1446,
    1446,  1447,  1447,  1448,  1448,  1449,  1449,  1450,  1450,  1451,
    1451,  1452,  1452,  1453,  1453,  1454,  1456,  1456,  1459,  1459,
    1462,  1462,  1463,  1463,  1464,  1464,  1465,  1465,  1466,  1468,
    1468,  1471,  1471,  1472,  1472,  1473,  1473,  1474,  1474,  1475,
    1475,  1476,  1476,  1477,  1477,  1478,  1478,  1479,  1479,  1480,
    1480,  1481,  1481,  1482,  1482,  1483,  1483,  1484,  1484,  1485,
    1485,  1486,  1486,  1487,  1487,  1488,  1488,  1489,  1489,  1490,
    1490,  1491,  1491,  1492,  1492,  1493,  1493,  1494,  1494,  1495,
    1495,  1496,  1496,  1497,  1497,  1498,  1498,  1499,  1499,  1500,
    1502,  1502,  1505,  1505,  1508,  1508,  1511,  1511,  1514,  1514,
    1515,  1515,  1516,  1516,  1517,  1517,  1518,  1518,  1519,  1519,
    1520,  1520,  1521,  1523,  1523,  1526,  1526,  1527,  1527,  1528,
    1528,  1529,  1529,  1531,  1533,  1533,  1536,  1536,  1537,  1539,
    1539,  1542,  1542,  1543,  1543,  1544,  1546,  1546,  1549,  1549,
    1552,  1552,  1553,  1555,  1555,  1558,  1558,  1559,  1561,  1561,
    1564,  1564,  1567,  1567,  1568,  1568,  1569,  1571,  1571,  1574,
    1574,  1575,  1575,  1576,  1576,  1577,  1577,  1578,  1578,  1579,
    1579,  1580,  1580,  1581,  1583,  1583,  1591,  1591,  1592,  1592,
    1593,  1593,  1594,  1594,  1595,  1595,  1596,  1596,  1597,  1597,
    1598,  1598,  1599,  1599,  1600,  1600,  1601,  1601,  1602,  1602,
    1603,  1603,  1604,  1606,  1606,  1614,  1614,  1615,  1615,  1616,
    1616,  1617,  1617,  1618,  1618,  1619,  1619,  1620,  1620,  1621,
    1621,  1622,  1622,  1623,  1623,  1624,  1624,  1625,  1625,  1626,
    1626,  1627,  1627,  1628,  1630,  1630,  1633,  1633,  1636,  1636,
    1637,  1637,  1638,  1638,  1639,  1639,  1640,  1642,  1642,  1645,
    1645,  1646,  1646,  1647,  1647,  1648,  1648,  1649,  1649,  1650,
    1650,  1651,  1651,  1652,  1652,  1653,  1653,  1654,  1656,  1656,
    1659,  1659,  1660,  1662,  1662,  1665,  1665,  1668,  1668,  1671,
    1671,  1674,  1674,  1675,  1677,  1677,  1684,  1685,  1684,  1687,
    1689,  1689,  1690,  1690,  1691,  1691,  1692,  1692,  1693,  1693,
    1694,  1694,  1695,  1695,  1696,  1696,  1697,  1697,  1698,  1698,
    1699,  1699,  1700,  1700,  1701,  1701,  1702,  1702,  1703,  1703,
    1704,  1704,  1705,  1705,  1706,  1707,  1706,  1708,  1710,  1710,
    1711,  1711,  1712,  1712,  1713,  1715,  1715,  1720,  1720
};
#endif

/** Accessing symbol of state STATE.  */
#define YY_ACCESSING_SYMBOL(State) YY_CAST (yysymbol_kind_t, yystos[State])

#if YYDEBUG || 0
/* The user-facing name of the symbol whose (internal) number is
   YYSYMBOL.  No bounds checking.  */
static const char *yysymbol_name (yysymbol_kind_t yysymbol) YY_ATTRIBUTE_UNUSED;

/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "\"end of file\"", "error", "\"invalid token\"", "LEFTBRACE_WCP",
  "RIGHTBRACE_WCP", "GLOBAL_WCP", "COLORS_WCP", "LANG_WCP", "PALETTE_WCP",
  "OWNOP_WCP", "LISTERSETS_WCP", "YES_WCP", "NO_WCP", "LEFT_WCP",
  "RIGHT_WCP", "HBARTOP_WCP", "HBARHEIGHT_WCP", "VBARLEFT_WCP",
  "VBARWIDTH_WCP", "DISPLAYSETS_WCP", "NAME_WCP", "SIZE_WCP", "TYPE_WCP",
  "PERMISSION_WCP", "OWNER_WCP", "DESTINATION_WCP", "MODTIME_WCP",
  "ACCTIME_WCP", "CHGTIME_WCP", "ROWS_WCP", "COLUMNS_WCP", "CACHESIZE_WCP",
  "OWNERSTYLE_WCP", "TERMINAL_WCP", "USESTRINGFORDIRSIZE_WCP",
  "TIMESETS_WCP", "STYLE1_WCP", "STYLE2_WCP", "STYLE3_WCP", "DATE_WCP",
  "TIME_WCP", "DATESUBSTITUTION_WCP", "DATEBEFORETIME_WCP", "STATEBAR_WCP",
  "SELLVBAR_WCP", "UNSELLVBAR_WCP", "CLOCKBAR_WCP", "REQUESTER_WCP",
  "UNSELDIR_WCP", "SELDIR_WCP", "UNSELFILE_WCP", "SELFILE_WCP",
  "UNSELACTDIR_WCP", "SELACTDIR_WCP", "UNSELACTFILE_WCP", "SELACTFILE_WCP",
  "LVBG_WCP", "STARTUP_WCP", "BUTTON_WCP", "BUTTONS_WCP", "POSITION_WCP",
  "TITLE_WCP", "COMMANDS_WCP", "SHORTKEYS_WCP", "PATHS_WCP", "PATH_WCP",
  "FILETYPES_WCP", "FILETYPE_WCP", "NORMAL_WCP", "NOTYETCHECKED_WCP",
  "UNKNOWN_WCP", "NOSELECT_WCP", "DIR_WCP", "USEPATTERN_WCP",
  "USECONTENT_WCP", "PATTERN_WCP", "CONTENT_WCP", "FTCOMMANDS_WCP",
  "DND_WCP", "DC_WCP", "SHOW_WCP", "RAWSHOW_WCP", "USER_WCP", "FLAGS_WCP",
  "IGNOREDIRS_WCP", "HOTKEYS_WCP", "HOTKEY_WCP", "FONTS_WCP",
  "GLOBALFONT_WCP", "BUTTONFONT_WCP", "LEFTFONT_WCP", "RIGHTFONT_WCP",
  "TEXTVIEWFONT_WCP", "STATEBARFONT_WCP", "CLOCKBARSETS_WCP", "MODUS_WCP",
  "TIMESPACE_WCP", "VERSION_WCP", "EXTERN_WCP", "UPDATETIME_WCP",
  "PROGRAM_WCP", "SHOWHINTS_WCP", "KEY_WCP", "DOUBLE_WCP", "MOD_WCP",
  "CONTROL_WCP", "SHIFT_WCP", "LOCK_WCP", "MOD1_WCP", "MOD2_WCP",
  "MOD3_WCP", "MOD4_WCP", "MOD5_WCP", "DNDACTION_WCP", "DCACTION_WCP",
  "SHOWACTION_WCP", "RSHOWACTION_WCP", "USERACTION_WCP", "ROWUP_WCP",
  "ROWDOWN_WCP", "CHANGEHIDDENFLAG_WCP", "COPYOP_WCP", "FIRSTROW_WCP",
  "LASTROW_WCP", "PAGEUP_WCP", "PAGEDOWN_WCP", "SELECTOP_WCP",
  "SELECTALLOP_WCP", "SELECTNONEOP_WCP", "INVERTALLOP_WCP",
  "PARENTDIROP_WCP", "ENTERDIROP_WCP", "CHANGELISTERSETOP_WCP",
  "SWITCHLISTEROP_WCP", "FILTERSELECTOP_WCP", "FILTERUNSELECTOP_WCP",
  "PATHTOOTHERSIDEOP_WCP", "QUITOP_WCP", "DELETEOP_WCP", "RELOADOP_WCP",
  "MAKEDIROP_WCP", "RENAMEOP_WCP", "DIRSIZEOP_WCP", "SIMDDOP_WCP",
  "STARTPROGOP_WCP", "SEARCHENTRYOP_WCP", "ENTERPATHOP_WCP",
  "SCROLLLISTEROP_WCP", "CREATESYMLINKOP_WCP", "CHANGESYMLINKOP_WCP",
  "CHMODOP_WCP", "TOGGLELISTERMODEOP_WCP", "SETSORTMODEOP_WCP",
  "SETFILTEROP_WCP", "SHORTKEYFROMLISTOP_WCP", "CHOWNOP_WCP",
  "WORKERCONFIG_WCP", "USERSTYLE_WCP", "DATESTRING_WCP", "TIMESTRING_WCP",
  "COLOR_WCP", "PATTERNIGNORECASE_WCP", "PATTERNUSEREGEXP_WCP",
  "PATTERNUSEFULLNAME_WCP", "COM_WCP", "SEPARATEEACHENTRY_WCP",
  "RECURSIVE_WCP", "START_WCP", "TERMINALWAIT_WCP", "SHOWOUTPUT_WCP",
  "VIEWSTR_WCP", "SHOWOUTPUTINT_WCP", "INBACKGROUND_WCP", "TAKEDIRS_WCP",
  "ACTIONNUMBER_WCP", "HIDDENFILES_WCP", "HIDE_WCP", "TOGGLE_WCP",
  "FOLLOWSYMLINKS_WCP", "MOVE_WCP", "RENAME_WCP", "SAMEDIR_WCP",
  "REQUESTDEST_WCP", "REQUESTFLAGS_WCP", "OVERWRITE_WCP", "ALWAYS_WCP",
  "NEVER_WCP", "COPYMODE_WCP", "FAST_WCP", "PRESERVEATTR_WCP", "MODE_WCP",
  "ACTIVE_WCP", "ACTIVE2OTHER_WCP", "SPECIAL_WCP", "REQUEST_WCP",
  "CURRENT_WCP", "OTHER_WCP", "FILTER_WCP", "QUICK_WCP", "ALSOACTIVE_WCP",
  "RESETDIRSIZES_WCP", "KEEPFILETYPES_WCP", "RELATIVE_WCP", "ONFILES_WCP",
  "ONDIRS_WCP", "SORTBY_WCP", "SORTFLAG_WCP", "REVERSE_WCP", "DIRLAST_WCP",
  "DIRMIXED_WCP", "EXCLUDE_WCP", "INCLUDE_WCP", "UNSET_WCP",
  "UNSETALL_WCP", "SCRIPTOP_WCP", "NOP_WCP", "PUSH_WCP", "LABEL_WCP",
  "IF_WCP", "END_WCP", "POP_WCP", "SETTINGS_WCP", "WINDOW_WCP", "GOTO_WCP",
  "PUSHUSEOUTPUT_WCP", "DODEBUG_WCP", "WPURECURSIVE_WCP",
  "WPUTAKEDIRS_WCP", "STACKNR_WCP", "PUSHSTRING_WCP", "IFTEST_WCP",
  "IFLABEL_WCP", "WINTYPE_WCP", "OPEN_WCP", "CLOSE_WCP", "LEAVE_WCP",
  "CHANGEPROGRESS_WCP", "CHANGETEXT_WCP", "PROGRESSUSEOUTPUT_WCP",
  "WINTEXTUSEOUTPUT_WCP", "PROGRESS_WCP", "WINTEXT_WCP",
  "SHOWDIRCACHEOP_WCP", "INODE_WCP", "NLINK_WCP", "BLOCKS_WCP",
  "SHOWHEADER_WCP", "LVHEADER_WCP", "IGNORECASE_WCP", "LISTVIEWS_WCP",
  "BLL_WCP", "LBL_WCP", "LLB_WCP", "BL_WCP", "LB_WCP", "LAYOUT_WCP",
  "BUTTONSVERT_WCP", "LISTVIEWSVERT_WCP", "LISTVIEWWEIGHT_WCP",
  "WEIGHTTOACTIVE_WCP", "EXTCOND_WCP", "USEEXTCOND_WCP", "SUBTYPE_WCP",
  "PARENTACTIONOP_WCP", "NOOPERATIONOP_WCP", "COLORMODE_WCP",
  "DEFAULT_WCP", "CUSTOM_WCP", "UNSELECTCOLOR_WCP", "SELECTCOLOR_WCP",
  "UNSELECTACTIVECOLOR_WCP", "SELECTACTIVECOLOR_WCP",
  "COLOREXTERNPROG_WCP", "PARENT_WCP", "DONTCD_WCP",
  "DONTCHECKVIRTUAL_WCP", "GOFTPOP_WCP", "HOSTNAME_WCP", "USERNAME_WCP",
  "PASSWORD_WCP", "DONTENTERFTP_WCP", "ALWAYSSTOREPW_WCP",
  "INTERNALVIEWOP_WCP", "CUSTOMFILES_WCP", "SHOWMODE_WCP", "SELECTED_WCP",
  "REVERSESEARCH_WCP", "MOUSECONF_WCP", "SELECTBUTTON_WCP",
  "ACTIVATEBUTTON_WCP", "SCROLLBUTTON_WCP", "SELECTMETHOD_WCP",
  "ALTERNATIVE_WCP", "SEARCHOP_WCP", "EDITCOMMAND_WCP",
  "SHOWPREVRESULTS_WCP", "TEXTVIEW_WCP", "TEXTVIEWHIGHLIGHTED_WCP",
  "TEXTVIEWSELECTION_WCP", "DIRBOOKMARKOP_WCP", "OPENCONTEXTMENUOP_WCP",
  "RUNCUSTOMACTION_WCP", "CUSTOMNAME_WCP", "CONTEXTBUTTON_WCP",
  "ACTIVATEMOD_WCP", "SCROLLMOD_WCP", "CONTEXTMOD_WCP", "NONE_WCP",
  "CUSTOMACTION_WCP", "SAVE_WORKER_STATE_ON_EXIT_WCP",
  "OPENWORKERMENUOP_WCP", "CHANGELABELOP_WCP", "ASKFORLABEL_WCP",
  "LABELCOLORS_WCP", "BOOKMARKLABEL_WCP", "BOOKMARKFILTER_WCP",
  "SHOWONLYBOOKMARKS_WCP", "SHOWONLYLABEL_WCP", "SHOWALL_WCP",
  "OPTIONMODE_WCP", "INVERT_WCP", "SET_WCP", "CHANGEFILTERS_WCP",
  "CHANGEBOOKMARKS_WCP", "QUERYLABEL_WCP", "MODIFYTABSOP_WCP",
  "TABACTION_WCP", "NEWTAB_WCP", "CLOSECURRENTTAB_WCP", "NEXTTAB_WCP",
  "PREVTAB_WCP", "TOGGLELOCKSTATE_WCP", "MOVETABLEFT_WCP",
  "MOVETABRIGHT_WCP", "CHANGELAYOUTOP_WCP", "INFIXSEARCH_WCP",
  "VOLUMEMANAGEROP_WCP", "ERROR", "ACTIVESIDE_WCP", "SHOWFREESPACE_WCP",
  "ACTIVEMODE_WCP", "ASK_WCP", "SSHALLOW_WCP", "FIELD_WIDTH_WCP",
  "QUICKSEARCHENABLED_WCP", "FILTEREDSEARCHENABLED_WCP", "XFTFONTS_WCP",
  "USEMAGIC_WCP", "MAGICPATTERN_WCP", "MAGICCOMPRESSED_WCP",
  "MAGICMIME_WCP", "VOLUMEMANAGER_WCP", "MOUNTCOMMAND_WCP",
  "UNMOUNTCOMMAND_WCP", "FSTABFILE_WCP", "MTABFILE_WCP", "PARTFILE_WCP",
  "REQUESTACTION_WCP", "SIZEH_WCP", "NEXTAGING_WCP", "ENTRY_WCP",
  "PREFIX_WCP", "VALUE_WCP", "EXTENSION_WCP", "EJECTCOMMAND_WCP",
  "CLOSETRAYCOMMAND_WCP", "AVFSMODULE_WCP", "FLEXIBLEMATCH_WCP",
  "USE_VERSION_STRING_COMPARE_WCP", "SWITCHBUTTONBANKOP_WCP",
  "SWITCHTONEXTBANK_WCP", "SWITCHTOPREVBANK_WCP", "SWITCHTOBANKNR_WCP",
  "BANKNR_WCP", "USE_VIRTUAL_TEMP_COPIES_WCP", "PATHJUMPOP_WCP",
  "PATHJUMPALLOWDIRS_WCP", "CLIPBOARDOP_WCP", "CLIPBOARDSTRING_WCP",
  "COMMANDSTRING_WCP", "EVALCOMMAND_WCP", "WATCHMODE_WCP",
  "APPLY_WINDOW_DIALOG_TYPE_WCP", "FLAGS_ARE_RELATIVE_TO_BASEDIR_WCP",
  "COMMANDMENUOP_WCP", "SEARCHMODEONKEYPRESS_WCP", "PATHENTRYONTOP_WCP",
  "STORE_FILES_ALWAYS_WCP", "PATHJUMPSETS_WCP", "SHOWDOTDOT_WCP",
  "SHOWBREADCRUMB_WCP", "FACES_WCP", "FACE_WCP", "ENABLE_INFO_LINE_WCP",
  "INFO_LINE_LUA_MODE_WCP", "INFO_LINE_CONTENT_WCP",
  "RESTORE_TABS_MODE_WCP", "STORE_TABS_MODE_WCP", "AS_EXIT_STATE_WCP",
  "USE_EXTENDED_REGEX_WCP", "HIGHLIGHT_USER_ACTION_WCP", "CHTIMEOP_WCP",
  "ADJUSTRELATIVESYMLINKS_WCP", "OUTSIDE_WCP", "EDIT_WCP",
  "MAKEABSOLUTE_WCP", "MAKERELATIVE_WCP", "MAGICIGNORECASE_WCP",
  "ENSURE_FILE_PERMISSIONS_WCP", "USER_RW_WCP", "USER_RW_GROUP_R_WCP",
  "USER_RW_ALL_R_WCP", "LEAVE_UNMODIFIED_WCP", "PREFERUDISKSVERSION_WCP",
  "CHANGECOLUMNSOP_WCP", "PATTERNISCOMMASEPARATED_WCP", "STRCASECMP_WCP",
  "USE_STRING_COMPARE_MODE_WCP", "VIEWNEWESTFILESOP_WCP", "SHOWRECENT_WCP",
  "DIRCOMPAREOP_WCP", "TABPROFILESOP_WCP", "EXTERNALVDIROP_WCP",
  "VDIR_PRESERVE_DIR_STRUCTURE_WCP", "OPENTABMENUOP_WCP", "INITIALTAB_WCP",
  "SHOWBYTIME_WCP", "SHOWBYFILTER_WCP", "SHOWBYPROGRAM_WCP",
  "TERMINAL_RETURNS_EARLY_WCP", "DIRECTORYPRESETS_WCP",
  "DIRECTORYPRESET_WCP", "HELPOP_WCP", "PRIORITY_WCP", "AUTOFILTER_WCP",
  "ENABLE_CUSTOM_LVB_LINE_WCP", "CUSTOM_LVB_LINE_WCP",
  "CUSTOM_DIRECTORY_INFO_COMMAND_WCP", "IMMEDIATE_FILTER_APPLY_WCP",
  "DISABLEBGCHECKPREFIX_WCP", "DISPLAYMODE_WCP", "SHOWSUBDIRS_WCP",
  "SHOWDIRECTSUBDIRS_WCP", "INCLUDEALL_WCP", "APPLYMODE_WCP", "ADD_WCP",
  "REMOVE_WCP", "HIDENONEXISTING_WCP", "VIEWCOMMANDLOGOP_WCP",
  "LOCKONCURRENTDIR_WCP", "STRING_WCP", "NUM_WCP", "'.'", "';'", "'='",
  "','", "$accept", "S", "$@1", "$@2", "start", "$@3", "$@4", "$@5", "$@6",
  "$@7", "$@8", "$@9", "$@10", "$@11", "$@12", "$@13", "$@14", "$@15",
  "$@16", "pjallowdirs", "$@17", "pathjumpsets", "$@18", "glb", "$@19",
  "$@20", "$@21", "$@22", "$@23", "$@24", "$@25", "$@26", "$@27", "$@28",
  "$@29", "$@30", "$@31", "$@32", "$@33", "$@34", "$@35", "layout", "$@36",
  "$@37", "$@38", "$@39", "$@40", "$@41", "$@42", "$@43", "$@44", "$@45",
  "$@46", "$@47", "$@48", "pal", "$@49", "listersets", "$@50", "$@51",
  "listersets2", "$@52", "$@53", "$@54", "$@55", "$@56", "$@57", "$@58",
  "displaysets", "$@59", "$@60", "$@61", "$@62", "$@63", "$@64", "$@65",
  "$@66", "$@67", "$@68", "$@69", "$@70", "$@71", "$@72", "timesets",
  "$@73", "$@74", "$@75", "$@76", "$@77", "$@78", "$@79", "$@80", "$@81",
  "$@82", "$@83", "mouseconf", "$@84", "$@85", "$@86", "$@87", "$@88",
  "$@89", "$@90", "$@91", "$@92", "$@93", "$@94", "$@95", "cols", "$@96",
  "$@97", "$@98", "$@99", "$@100", "$@101", "$@102", "$@103", "$@104",
  "$@105", "$@106", "$@107", "$@108", "$@109", "$@110", "$@111", "$@112",
  "$@113", "$@114", "$@115", "labelcolors", "$@116", "$@117", "labelcolor",
  "$@118", "$@119", "$@120", "faces", "$@121", "$@122", "face", "$@123",
  "$@124", "startup", "$@125", "$@126", "$@127", "$@128", "$@129", "$@130",
  "$@131", "$@132", "$@133", "paths", "$@134", "$@135", "path", "$@136",
  "$@137", "$@138", "$@139", "$@140", "$@141", "keylist", "$@142", "$@143",
  "$@144", "$@145", "$@146", "$@147", "$@148", "$@149", "$@150", "$@151",
  "mods", "$@152", "$@153", "$@154", "$@155", "$@156", "$@157", "$@158",
  "$@159", "filetypes", "$@160", "$@161", "$@162", "$@163", "$@164",
  "ignoredirs", "$@165", "subfiletypes", "$@166", "$@167", "filetype",
  "$@168", "$@169", "$@170", "$@171", "$@172", "$@173", "$@174", "$@175",
  "$@176", "$@177", "$@178", "$@179", "$@180", "$@181", "$@182", "$@183",
  "$@184", "$@185", "$@186", "$@187", "$@188", "$@189", "$@190", "$@191",
  "$@192", "$@193", "$@194", "filecontent", "$@195", "ft_type",
  "ftcommands", "$@196", "$@197", "$@198", "$@199", "$@200", "$@201",
  "$@202", "$@203", "$@204", "$@205", "$@206", "$@207", "commands",
  "flags", "hotkeys", "$@208", "$@209", "hotkey", "$@210", "$@211",
  "$@212", "$@213", "$@214", "buttons", "$@215", "$@216", "button",
  "$@217", "$@218", "$@219", "$@220", "$@221", "$@222", "$@223", "fonts",
  "$@224", "$@225", "$@226", "$@227", "$@228", "$@229", "xftfonts",
  "$@230", "$@231", "$@232", "$@233", "$@234", "$@235", "volumemanager",
  "$@236", "$@237", "$@238", "$@239", "$@240", "$@241", "$@242", "$@243",
  "$@244", "clockbarsets", "$@245", "$@246", "$@247", "$@248", "$@249",
  "$@250", "$@251", "bool", "command", "ownop", "$@252", "ownopbody",
  "$@253", "$@254", "$@255", "$@256", "$@257", "$@258", "$@259", "$@260",
  "$@261", "$@262", "$@263", "$@264", "$@265", "$@266", "dndaction",
  "$@267", "dcaction", "$@268", "showaction", "$@269", "rshowaction",
  "$@270", "useraction", "$@271", "useractionbody", "$@272", "rowup",
  "$@273", "rowdown", "$@274", "changehiddenflag", "$@275",
  "changehiddenflagbody", "$@276", "$@277", "$@278", "copyop", "$@279",
  "copyopbody", "$@280", "$@281", "$@282", "$@283", "$@284", "$@285",
  "$@286", "$@287", "$@288", "$@289", "$@290", "$@291", "$@292", "$@293",
  "$@294", "$@295", "$@296", "$@297", "$@298", "$@299", "firstrow",
  "$@300", "lastrow", "$@301", "pageup", "$@302", "pagedown", "$@303",
  "selectop", "$@304", "selectallop", "$@305", "selectnoneop", "$@306",
  "invertallop", "$@307", "parentdirop", "$@308", "enterdirop", "$@309",
  "enterdiropbody", "$@310", "$@311", "$@312", "$@313", "$@314",
  "changelistersetop", "$@315", "changelistersetopbody", "$@316", "$@317",
  "$@318", "$@319", "switchlisterop", "$@320", "filterselectop", "$@321",
  "filterselectopbody", "$@322", "$@323", "$@324", "filterunselectop",
  "$@325", "filterunselectopbody", "$@326", "$@327", "$@328",
  "pathtoothersideop", "$@329", "quitop", "$@330", "quitopbody", "$@331",
  "$@332", "deleteop", "$@333", "deleteopbody", "$@334", "reloadop",
  "$@335", "reloadopbody", "$@336", "$@337", "$@338", "$@339", "$@340",
  "$@341", "makedirop", "$@342", "renameop", "$@343", "dirsizeop", "$@344",
  "simddop", "$@345", "startprogop", "$@346", "startprogopbody", "$@347",
  "$@348", "$@349", "$@350", "$@351", "$@352", "$@353", "$@354", "$@355",
  "$@356", "searchentryop", "$@357", "searchentryopbody", "$@358", "$@359",
  "$@360", "$@361", "enterpathop", "$@362", "enterpathopbody", "$@363",
  "$@364", "$@365", "$@366", "scrolllisterop", "$@367",
  "scrolllisteropbody", "$@368", "$@369", "createsymlinkop", "$@370",
  "createsymlinkopbody", "$@371", "$@372", "$@373", "changesymlinkop",
  "$@374", "changesymlinkopbody", "$@375", "$@376", "$@377", "chmodop",
  "$@378", "chmodopbody", "$@379", "$@380", "$@381", "$@382", "$@383",
  "$@384", "$@385", "$@386", "$@387", "chtimeop", "$@388", "chtimeopbody",
  "$@389", "$@390", "$@391", "$@392", "togglelistermodeop", "$@393",
  "togglelistermodeopbody", "$@394", "setsortmodeop", "$@395",
  "setsortmodeopbody", "$@396", "$@397", "$@398", "$@399", "$@400",
  "$@401", "$@402", "$@403", "$@404", "$@405", "$@406", "$@407", "$@408",
  "$@409", "setfilterop", "$@410", "setfilteropbody", "$@411", "$@412",
  "$@413", "$@414", "$@415", "$@416", "$@417", "$@418", "$@419", "$@420",
  "$@421", "$@422", "$@423", "$@424", "$@425", "shortkeyfromlistop",
  "$@426", "chownop", "$@427", "chownopbody", "$@428", "$@429", "$@430",
  "$@431", "scriptop", "$@432", "scriptopbody", "$@433", "$@434", "$@435",
  "$@436", "$@437", "$@438", "$@439", "$@440", "$@441", "$@442", "$@443",
  "$@444", "$@445", "$@446", "$@447", "$@448", "$@449", "$@450", "$@451",
  "$@452", "$@453", "$@454", "$@455", "$@456", "$@457", "$@458", "$@459",
  "$@460", "$@461", "showdircacheop", "$@462", "parentactionop", "$@463",
  "nooperationop", "$@464", "goftpop", "$@465", "goftpopbody", "$@466",
  "$@467", "$@468", "$@469", "$@470", "$@471", "$@472", "internalviewop",
  "$@473", "internalviewopbody", "$@474", "$@475", "$@476", "$@477",
  "clipboardop", "$@478", "clipboardopbody", "$@479", "searchop", "$@480",
  "searchopbody", "$@481", "$@482", "dirbookmarkop", "$@483",
  "opencontextmenuop", "$@484", "opencontextmenuopbody", "$@485",
  "runcustomaction", "$@486", "runcustomactionbody", "$@487",
  "openworkermenuop", "$@488", "changelabelop", "$@489",
  "changelabelopbody", "$@490", "$@491", "modifytabsop", "$@492",
  "modifytabsopbody", "$@493", "$@494", "$@495", "$@496", "$@497", "$@498",
  "$@499", "changelayoutop", "$@500", "changelayoutopbody", "$@501",
  "$@502", "$@503", "$@504", "$@505", "$@506", "$@507", "$@508", "$@509",
  "$@510", "$@511", "$@512", "$@513", "changecolumnsop", "$@514",
  "changecolumnsopbody", "$@515", "$@516", "$@517", "$@518", "$@519",
  "$@520", "$@521", "$@522", "$@523", "$@524", "$@525", "$@526", "$@527",
  "$@528", "volumemanagerop", "$@529", "switchbuttonbankop", "$@530",
  "switchbuttonbankopbody", "$@531", "$@532", "$@533", "$@534",
  "pathjumpop", "$@535", "pathjumpopbody", "$@536", "$@537", "$@538",
  "$@539", "$@540", "$@541", "$@542", "$@543", "$@544", "commandmenuop",
  "$@545", "commandmenuopbody", "$@546", "viewnewestfilesop", "$@547",
  "dircompareop", "$@548", "tabprofilesop", "$@549", "externalvdirop",
  "$@550", "externalvdiropbody", "$@551", "opentabmenuop", "$@552",
  "directorypresets", "$@553", "$@554", "directorypreset", "$@555",
  "$@556", "$@557", "$@558", "$@559", "$@560", "$@561", "$@562", "$@563",
  "$@564", "$@565", "$@566", "$@567", "$@568", "$@569", "$@570", "$@571",
  "$@572", "$@573", "directorypreset_filter", "$@574", "$@575", "$@576",
  "helpop", "$@577", "viewcommandlogop", "$@578", YY_NULLPTR
};

static const char *
yysymbol_name (yysymbol_kind_t yysymbol)
{
  return yytname[yysymbol];
}
#endif

#define YYPACT_NINF (-2371)

#define yypact_value_is_default(Yyn) \
  ((Yyn) == YYPACT_NINF)

#define YYTABLE_NINF (-1)

#define yytable_value_is_error(Yyn) \
  0

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
static const yytype_int16 yypact[] =
{
   -2371,   150,   -81, -2371,  -316,  -284,  -277,  -274,  -270,  -267,
   -2371,   250,   180,   185,   187,   201,   215,   230,   254,   283,
     291,   300,   310,   312,   330, -2371,   267, -2371,    19, -2371,
   -2371, -2371, -2371,   551,   511,   672, -2371,  -188, -2371,  -148,
     333,   338,  -111,   -97,   -86,   -73,   -46,   -31,   367,   422,
     427,   -21,   517,    59,    79,    85,    90,   106,   107,   519,
      33,   112,   113,   115,   118,   531,   505,   509,   -10,   492,
     134,   141,   144,   146,   148,   192,   600,   193,   200,   204,
     220,   628,   222,   229,   234,   235,   243,   245,   633,   206,
     247,   677,   292,   272, -2371,   126,   276,   278,   287,   125,
     290,   183,   359, -2371,   547,   183,   477,   183,   183,   183,
     326,   183,   296,   250,   294,   325,   328,   329,   344,   351,
     352,   356,   373,   385,   386,   407,   408,   435,   620,   686,
     691,   715,   723,   777, -2371,   362,   374,   -91,   -49,   250,
    1167,  1168,  1170,  1171,  1173,  1174,   717,  1175,  1177,  1178,
     724,   728,   731,   733,   734,   735,   250,    51,   736,   738,
     183,   250,   739,   741,   742,   743,   744,   745,   250,   737,
    1182,   183,   250,  1193,  1194,   746,   749, -2371, -2371,  1197,
     750,   751,   752,   753,   754,   755, -2371, -2371,   756,   748,
     757,   758,   759,   760,   761,  1206,   299,   762,   763,   764,
     765,   766,  1218,  1219,  1220,  1221,   771,   772,   773,   774,
     775,   776,   778,   779,   780,   781,  1227,   783,   784,   785,
     786,   787,   788, -2371,   791,   792,   793,   794,   795,   796,
     797,   798,   799,   800,   801,   802,   803,   804,   805,   806,
     807,   808, -2371,   868,  1257,   809,   810,   811,   812,   813,
     814,   815,   816,   817, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371,   183, -2371, -2371, -2371,   818,   819,   820,   821,   822,
     823, -2371,   824,   825,   826,   827,   828,   829,   830, -2371,
     831,   832,   833,   834,   835,   836, -2371, -2371, -2371,   837,
   -2371, -2371, -2371, -2371,   838,  1287,  1290,  1291,   267, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371,   105,    81,   183,   183,
     747,   845,   267,   843,   844,   846,   847,   848,   849,   850,
     851,   852,   853,   854,   855,   856,  1294,   860,   861,   862,
     -33,   863, -2371, -2371, -2371,   267, -2371,   865,   866,   867,
     869,   870,   183,   871,   872,   873,   267, -2371, -2371, -2371,
   -2371, -2371, -2371,   874,   875,   876,   877,   878,   879,   880,
     881,   882,   883,   884,   885,   886,   889,   888,   890,   891,
     892,  1146,  1315,  1319,   250, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371,   227,   250,   510,   250,   516,   894,
     895,   250,    91,   250, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371,   206,   250, -2371,   456,   250,   267,   898,
     267,    21,    21, -2371,   267,   267,   267,   267,   267,   267,
     267,   897,   899,   900,   901,   902,   903,   904,   905,   906,
     907,   908, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371,   183,   183,   911,   183,   267,   910,   912,   913,
     914,   915,   916,  1222,  1222,  1222, -2371,   267,   917,   918,
     919,   920,   921,   922,   923,   924,   925, -2371,   267,   267,
     267,   267,   267,   267,   928,   929,   930,   931,   932,   933,
     934,   935,   936,   937,   938,   939,   940, -2371,   941,   942,
     943,   944,  1322,  1323, -2371,    33, -2371,    19,    19,    19,
      19,    19,    19,    19,    19,    19,   945,   946,  1325,  1348,
     947,  1360, -2371,   948,   949,  1393,   950,   951,  1394, -2371,
     952,   953,   954,   955,   956,  1408,  1409,   959,   960,   961,
     962,   963,  1415,   965,   966,   967,   968,   969,   970,   971,
     972,   973,   974,   975,   976,   977,  1428,   980,  1430, -2371,
   -2371,   981,  1433,  1434,  1435, -2371,   551,   551,   551,   551,
     551,   551,   511,   511,   511,   511,   511,   511,   511,   672,
     672,   672,   672,   672,   672, -2371, -2371,  -188,   984,   986,
    1438,   988,   989,  1440, -2371, -2371,   990, -2371,   992,   993,
     994,   995,  1447,   998,   999,  1450,  1451, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371,   299,   299,   299,   299,   299,
     299,   299,   299,   299,  1003,  1004,  1005,  1006, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371,  1007,  1456,  1458,  1459, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371,  1011,  1012,  1013,  1014,  1015,
    1016,  1017,  1018,  1019,  1020,  1021,  1022,  1023,    33,  1024,
    1025,  1026,  1027, -2371, -2371,    25, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371,  1000,  1031, -2371, -2371,
    1032, -2371,  1033,  1035, -2371,  1036,  1037, -2371,  1062,  1039,
     183,   183,  1040, -2371,    48,   183,   183,   183,  1041,   183,
    1330,   -64,  1042,  1043,  1044,  1045,  1047,   183,  1048,   183,
     183,   183,   183,  1049, -2371, -2371, -2371,   -10,  1051, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371,  1052,    29, -2371,    28,    61, -2371,  1053,   183,
    1054,   183,  1055, -2371,   183,   183,   126,   126,   359,   359,
     359,   359,   359,   359,   359,   359,   359,   359,   359, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371,   547,   547,   547,   547,   547,   547,   997, -2371,
   -2371, -2371,   477,   477,   477,   477,   477,   477,   477,   477,
     477, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,    70,
      33,  1028,  1038,  1483,  1046,  1050,   323,    52,  1056,   505,
    1057,  1059,    52,  1060,  1061,   509, -2371, -2371, -2371, -2371,
   -2371,  1064,  1065,  1066,  1067,  1068,  1058,  1504,  1505,  1511,
    1512,  1071,  1520,  1521,  1073,  1074,  1075,  1076,  1077,  1528,
    1529,  1079,  1081,  1082,  1083,  1069,  1084,  1085,  1086,  1089,
    1090,  1091,  1092,  1093,  1094,  1095,  1096,   -10,   894,   -10,
   -2371,  1097,   323,    52,   492,  1098,  1099,  1100,    49,  1101,
    1102,  1103,  1104,  1105,  1106,  1107,  1108,  1109,  1110,  1111,
    1112,  1113,  1114,   292,  1115,  1116,  1118,  1119,  1120,    39,
    1121,  1122, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371,   299,   299,   299,   299, -2371,
   -2371, -2371, -2371, -2371, -2371,  1123,  1124,  1125,  1126,  1127,
    1128,  1129,  1130,   547,   547,   547, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371,    33,    33,    33,    33,    33,
      33,    33,    33,    33,    33,    33,    33,    33,    33,    33,
      33,    33,  1131,  1132,  1133,  1533, -2371,  1088,  1117, -2371,
   -2371, -2371,  1581,  1585,  1586,  1587,  1588,  1589,  1590,  1591,
    1592,  1593,  1594,  1595,  1596,  1597,  1598,  1599,  1600,  1601,
    1602,  1603,  1604,  1605,  1606,  1607,  1608,  1609,  1610,  1611,
    1612,  1613,  1614,  1615,  1616,  1617,  1618,  1619,  1620,  1621,
    1622,  1623,  1624,  1625,  1626,  1627,  1628,  1629,  1630,  1631,
    1632,  1633,  1634,  1635,  1636,  1637,  1638,  1639,  1640,  1641,
    1642,  1643,  1644,  1645,  1646,  1647,  1648,  1649,  1650,  1651,
    1652,  1653,  1654,  1655,  1656,  1657,   323, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,  1659,
    1660,  1661,  1209, -2371, -2371, -2371,  1662, -2371,  1213, -2371,
   -2371, -2371, -2371, -2371, -2371,  1214,  1663, -2371, -2371, -2371,
   -2371,  1666, -2371,   516, -2371, -2371, -2371, -2371, -2371, -2371,
     516, -2371, -2371, -2371, -2371,  1223,  1224,  1225,  1226, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371,  1667,  1668, -2371, -2371, -2371, -2371,  1216,  1228,  1669,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371,  1229, -2371, -2371, -2371, -2371,
    1230,  1231,  1232,  1233,  1234,  1235,  1236,  1237,  1238,  1239,
    1240,  1241,  1242,  1243,  1674, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,  1247,
    1248,  1249, -2371,  1245,  1250,   868,   227,   227, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371,  1251,   510,   510, -2371,
     510,  1252,   516,   516,   516,   516,   516,  1255,   516,   323,
     323,   323,   323, -2371,  1681, -2371,   516,   516,   516,   516,
     516,   516, -2371,   516,   516,   516,   516,  1254,  1256,  1258,
    1259,   516,   516,   516,   516,   516,   516,   516,   516,    91,
   -2371, -2371,   456,   456,   456,  1260,    12, -2371,   456,   456,
     456,   456,   456,   456,   456,   456,   456,   456,   456,   456,
     456,   456,  1261,    21,    21,    21,    21, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371,    21,    21,    21,  1222,  1222,  1222,  1222,  1222,  1222,
    1222,  1222,  1262,  1253,  1263,  1146, -2371, -2371, -2371, -2371,
   -2371,   262,  1675,  1677,  1698,  1709,  1712,  1543,  1715,  1716,
    1546,   -68,  1718,  1719,  1720,  1721,  1722,  1723,  1724,  1725,
    1726,   -26,  1541,  1728,  -153,  -126,  1729,  1544,  1536,   138,
    1732,  1733,  1734,  1735,    17,  -155,  1550,  1551,   -23,  1552,
      75,  1553,   178,   485,  1740,   379,   135,  1741,  1742,  1743,
     202,   -58,   -84,  1744,  1349,  1448,  1747,  -121,  1426,   500,
    1749,  -149,   154,  1376,  1336,   381,   297,  1752,  1753,  1754,
    1380,  1756,  1757,  1758,   227,  1664,  1665,   227, -2371, -2371,
   -2371,   510, -2371, -2371, -2371, -2371, -2371, -2371, -2371,  1310,
   -2371,  1760,  1761,  1764,  1765,   323,  1316, -2371, -2371, -2371,
   -2371, -2371,  1767, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
      91,    91, -2371, -2371, -2371,  1320,  1321,  1324,   456, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,    39,    39,
      39,    39,    39,    39,    39,    39,    39,    39,    39,    39,
      39,    39, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371,  1327,  1328, -2371,    25,    25,  1318,
    1326,  1329,  1331,  1332,  1333,  1334,  1335,  1337,  1338,  1771,
     323, -2371, -2371, -2371, -2371,  1339,  1772, -2371, -2371,  1340,
    1777,  1341,  1342,  1343,  1344,  1345,  1346,  1347,  1350,  1351,
    1352,  1353,  1354,  1778, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371,  1355,  1356,  1780,  1357,  1786, -2371,  1358,
    1359,  1361,  1798,  1362,  1363,  1366,  1799, -2371,  1367,  1810,
    1373,  1824,  1375,  1377,  1378,  1826, -2371, -2371, -2371, -2371,
    1385,  1386,  1388,  1389,  1391,  1392,  1843,  1395,  1396,  1397,
    1400,  1844,  1401,  1854,  1405,  1856,  1412,  1414,  1419,  1858,
    1424,  1859,  1425,  1427,  1432,  1441,  1442,  1443,  1865,  1444,
    1876,  1445,  1446,  1878,  1449,  1452,  1461,  1462,  1463,  1468,
    1469,  1470,  1471,  1883, -2371,  1472,  1477,  1479,  1480,  1884,
    1482,  1484,  1487,  1488,  1490,  1491,  1492,  1493,  1495,  1497,
    1498,  1499,  1500,  1502,  1503,  1506,  1507,  1508,  1885, -2371,
   -2371, -2371,  1509,  1510,  1513,  1516,  1518,  1519,  1522,  1890,
    1523,  1527,  1531,  1898,  1537,  1538,  1900, -2371,  1539,  1901,
    1540,  1906, -2371,  1542,  1545,  1933,  1547,  1954,  1530,  1549,
    1554,  1555,  1556,  1557,  1558,  1559,  1560,  1561,  1562,  1563,
    1564,  1955, -2371,  1565,  1566,  1961,  1567,  1568,  1569,  1570,
    1571,  1962,  1572,  1970,  1573,  1971,  1574,  1575,  1576,  1577,
    1978,  1579,  1580,  1582,  1583,  1584,  1658,  1670,  1671,  1672,
    1673,  1676,  1678,  1679,  1680,  1986, -2371, -2371, -2371,  1682,
    1991, -2371, -2371, -2371, -2371,  1683,  1684, -2371,   227, -2371,
     510, -2371, -2371, -2371, -2371, -2371,  1993,  1548, -2371,   516,
     516,   516,   516, -2371, -2371, -2371, -2371, -2371, -2371,   749,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371,    70,  1686,  1687, -2371, -2371,  1685,
     183,   183,   363,  1691,   183,   183,   183,   183,   183, -2371,
   -2371,  1692, -2371,   404, -2371,   183,   183,   183,   183,   183,
     183,    78,     5,   183,  -143,   358,   183, -2371,  1694,   581,
   -2371,   109, -2371,  1695,   183,   183, -2371,  1696,   183,   183,
   -2371,     0, -2371,   183, -2371,   131,   183,   183, -2371,   183,
     657,  1697,   183,   183,   183, -2371,   183,   183,   183,   183,
   -2371,   152, -2371,   240, -2371,   183,   183,   183, -2371,   -27,
   -2371,  1699,   183,   183,   183,   183,  -249, -2371,  1700, -2371,
     149,   196, -2371,   183,   740,  1701,  1702,   303,    69,   183,
     183,   183, -2371,   183,   183,   183,   183, -2371,   574,  1703,
     183,   183,   183,   183,  1704,  1706,  1707,  1708,   417,   183,
     183,   183,   183,  1710,  1711,  1713, -2371,   183,  1714,  1717,
    1727,   183,   183,  1730, -2371,   183,  1731,   -59, -2371,  1736,
     183, -2371,   183, -2371,  1737, -2371,  1738,   183, -2371,   597,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
     183,   183,  1739,   183, -2371,   293,  1745, -2371,   308,  -221,
     183,   183,   183, -2371,  1748, -2371,   183, -2371,   183,   183,
     183,   183, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,  1750, -2371,
    1751,  1759, -2371, -2371,  1058,    48,    48,    48,    48, -2371,
    1689,  1330, -2371, -2371, -2371, -2371,    49,    49,    49, -2371,
   -2371, -2371, -2371,  1746,  1755,  1762,  1763,  1766,  1768,  1769,
    1770,  1773,  1774,  1775,  1776,  1779,  1781,  1782,  1783,  1784,
    1785,  1787,  1788,  1789,  1790,  1791,  1792,  1793,  1794,  1795,
    1796,  1797,  1800,  1801,  1802,  1803,  1804,  1805,  1806,  1807,
    1808,  1809,  1811,  1812,  1813,  1814,  1815,  1816,  1817,  1818,
    1819,  1820,  1821,  1822,  1823,  1825,  1827,  1828,  1829,  1830,
    1831,  1832,  1833,  1834,  1835,  1836,  1837,  1838,  1839,  1840,
    1841,  1842,  1845,  1846,  1847,  1848,  1849,  1850,  1851,  1852,
    1853,  1855,  1857,  1860,  1861,  1862,  1863,  1864,  1866,  1867,
    1868,  1869,  1870,  1871,  1872,  1873,  1874,  1875,  1877,  1879,
    1880,  1881,  1882,  1886,  1887,  1888,  1889,  1891,  1892,  1893,
    1894,  1895,  1896,  1897,  1899,  1902,  1903,  1904,  1905,  1909,
    1910,  1911,  1912,  1913,  1914,  1915,  1916,  1917,  1918,  1919,
    1920,  1921,  1922,  1923,  1924,  1925,  1926,  1927,  1928,  1929,
    1930,  1931,  1932,  1934,  1935,  1936,  1937,  1938,  1939,  1940,
    1941,  1942,  1943,  1944,  1945,  1946,  1947,  1948,  1949,  1950,
    1951,  1952,  1953,  1956,  1957,  1958,  1959,  1960,  1963,  1964,
    1965,  1966,  1967,  1968,  1969,  1972,  1973,  1974,  1975,  1976,
    1977,  1979,  1980,  1981,  1982,  1983,  1984,   500,   500,   500,
     500,   500,   500,   500,   500,   500,  1985,  1987,  1988,  1989,
    1990,  1992,  1994,  1995,  1996,  1997,  1998,  1999,  2000,  2001,
    2002,  2003,  2004,  2005,  2006,  2007,  2008,  2009,  2010,   297,
     297,   297,   297,   297,   297,   297,   297,   297,   297,   297,
     297,   297,   297,  2011,  2012,  2013, -2371, -2371, -2371, -2371,
   -2371,    48,  2014, -2371, -2371, -2371, -2371,    70,    70, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371,  2031, -2371, -2371,   262,   262,   262,   262,
     262,   262,   262,   262,   262,   262,   262,   262,   262,   262,
    1543,  1546,  1546,  1546,   -68,   -68,   -68,   -68,   -68,   -68,
     -68,   -68,   -68,   -68,   -68,   -68,   -68,   -68,   -68,   -68,
     -68,   -68,   -68,   -68,   -26,   -26,   -26,   -26,   -26,  1541,
    1541,  1541,  1541,  -153,  -153,  -153,  -126,  -126,  -126,  1544,
    1544,  1536,   138,   138,   138,   138,   138,   138,    17,    17,
      17,    17,    17,    17,    17,    17,    17,    17,  -155,  -155,
    -155,  -155,  1550,  1550,  1550,  1550,  1551,  1551,   -23,   -23,
     -23,  1552,  1552,  1552,    75,    75,    75,    75,    75,    75,
      75,    75,    75,  1553,   178,   178,   178,   178,   178,   178,
     178,   178,   178,   178,   178,   178,   178,   178,   485,   485,
     485,   485,   485,   485,   485,   485,   485,   485,   485,   485,
     485,   485,   485,   379,   379,   379,   379,   135,   135,   135,
     135,   135,   135,   135,   135,   135,   135,   135,   135,   135,
     135,   135,   135,   135,   135,   135,   135,   135,   135,   135,
     135,   135,   135,   135,   135,   135,   202,   202,   202,   202,
     202,   202,   202,   -58,   -58,   -58,   -58,   -84,   -84,  1349,
    1448,  -121,  -121,  1426,  1426,  1426,  1426,  1426,  1426,  1426,
     500,   500,   500,   500,  -149,  -149,  -149,  -149,   154,   154,
     154,   154,   154,   154,   154,   154,   154,  1376,  1336,   381,
     381,   381,   381,  1380,  1222,  1222,   323, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371,  2034,  2035,  2015,
    2036, -2371,  1705, -2371,    52,  2017,    48, -2371,  2016, -2371,
   -2371,  1222, -2371,  2037, -2371,    52, -2371
};

/* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
   Performed when YYTABLE does not specify something else to do.  Zero
   means the default is an error.  */
static const yytype_int16 yydefact[] =
{
       2,     0,     0,     1,     0,     0,     0,     0,     0,     0,
       3,    32,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     4,    77,     6,   281,    19,
      10,    13,    16,   474,   521,   487,    26,    38,    29,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     242,     0,     0,     0,     0,     0,   448,   285,   336,   435,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    35,
       0,     0,  1239,     0,    59,   112,     0,     0,     0,     0,
       0,     0,   179,    61,   201,     0,   506,     0,     0,     0,
       0,     0,     0,    32,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     7,     0,     0,     0,     0,    32,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    32,     0,     0,     0,
       0,    32,     0,     0,     0,     0,     0,     0,    32,     0,
       0,     0,    32,     0,     0,     0,   107,   108,   110,     0,
       0,     0,     0,     0,     0,     0,   522,   523,     0,     0,
       0,     0,     0,     0,     0,     0,   104,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     5,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   238,   257,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     9,   445,    20,   282,    11,   328,
     331,     0,    14,   432,    17,     0,     0,     0,     0,     0,
       0,    22,     0,     0,     0,     0,     0,     0,     0,    24,
       0,     0,     0,     0,     0,     0,    23,    33,    27,     0,
      25,  1236,    30,    39,     0,     0,     0,     0,    77,    41,
      43,    45,    48,    50,    52,    56,     0,     0,     0,     0,
       0,     0,    77,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   192,   195,   198,    77,    64,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    77,    66,    70,    72,
      68,    54,    75,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   246,     0,     0,    32,   263,   265,   269,   267,   271,
     275,   273,   279,   277,   461,    32,   297,    32,   400,   339,
       0,    32,   444,    32,   462,   464,   466,   468,   470,   472,
     509,   507,   511,   513,   515,   517,   519,   475,   477,   479,
     481,   483,   485,    35,    32,    36,  1277,    32,    77,     0,
      77,   127,   127,    47,    77,    77,    77,    77,    77,    77,
      77,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    58,    78,    80,    82,    84,    86,    88,    90,
      92,    94,     0,     0,     0,     0,    77,     0,     0,     0,
       0,     0,     0,   327,   327,   327,    63,    77,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    74,    77,    77,
      77,    77,    77,    77,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   230,     0,     0,
       0,     0,     0,     0,   254,   242,     8,   281,   281,   281,
     281,   281,   281,   281,   281,   281,     0,     0,     0,     0,
       0,     0,    21,     0,     0,     0,     0,     0,     0,    12,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   334,
      15,     0,     0,     0,     0,    18,   474,   474,   474,   474,
     474,   474,   521,   521,   521,   521,   521,   521,   521,   487,
     487,   487,   487,   487,   487,    34,    28,    38,     0,     0,
       0,     0,     0,     0,    31,    40,     0,    60,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    42,    44,    46,
      49,    51,    53,    57,   157,   159,   161,   163,   169,   171,
     173,   167,   177,   165,   175,   104,   104,   104,   104,   104,
     104,   104,   104,   104,     0,     0,     0,     0,    62,   180,
     182,   184,   186,   188,   190,     0,     0,     0,     0,    65,
     488,   490,   496,   498,   500,   502,   492,   494,   504,    67,
      71,    73,    69,    55,    76,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   242,     0,
       0,     0,     0,   243,   239,   262,   241,   264,   266,   270,
     268,   272,   276,   274,   280,   278,     0,     0,   455,   458,
       0,   446,     0,     0,   294,     0,     0,   283,     0,     0,
       0,     0,     0,   352,   427,     0,     0,     0,     0,     0,
     343,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   329,   337,   332,   336,     0,   438,
     441,   433,   463,   465,   467,   469,   471,   473,   510,   508,
     512,   514,   516,   518,   520,   476,   478,   480,   482,   484,
     486,    37,     0,     0,  1274,     0,     0,  1237,     0,     0,
       0,     0,     0,   121,     0,     0,   112,   112,   179,   179,
     179,   179,   179,   179,   179,   179,   179,   179,   179,    79,
      81,    83,    85,    87,    89,    91,    93,    95,    96,    98,
     100,   102,   201,   201,   201,   201,   201,   201,     0,   193,
     196,   199,   506,   506,   506,   506,   506,   506,   506,   506,
     506,   202,   204,   206,   216,   218,   210,   208,   214,   212,
     222,   220,   226,   224,   231,   228,   232,   234,   236,   253,
     242,     0,     0,     0,     0,     0,   430,   310,     0,   448,
       0,     0,   310,     0,     0,   285,   404,   405,   406,   407,
     408,     0,     0,     0,     0,     0,   403,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   336,   339,   336,
     335,     0,   430,   310,   435,     0,     0,     0,  1284,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1239,     0,     0,     0,     0,     0,   156,
       0,     0,   109,   111,   158,   160,   162,   164,   170,   172,
     174,   168,   178,   166,   176,   104,   104,   104,   104,   181,
     183,   185,   187,   189,   191,     0,     0,     0,     0,     0,
       0,     0,     0,   201,   201,   201,   489,   491,   497,   499,
     501,   503,   493,   495,   505,   242,   242,   242,   242,   242,
     242,   242,   242,   242,   242,   242,   242,   242,   242,   242,
     242,   242,     0,     0,     0,     0,   240,     0,     0,   255,
     449,   451,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   430,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   587,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   585,   574,
     575,   576,   577,   578,   579,   580,   581,   588,   582,   583,
     584,   586,   589,   590,   591,   592,   593,   594,   595,     0,
       0,     0,     0,   447,   286,   288,     0,   292,     0,   284,
     344,   346,   350,   354,   348,     0,     0,   409,   412,   415,
     418,     0,   424,   400,   356,   358,   360,   363,   365,   340,
     400,   382,   378,   380,   384,     0,     0,     0,     0,   376,
     388,   386,   390,   392,   394,   396,   398,   330,   338,   333,
     436,     0,     0,   434,  1240,  1270,  1272,     0,     0,     0,
    1242,  1244,  1252,  1260,  1254,  1248,  1246,  1250,  1256,  1258,
    1268,  1262,  1264,  1266,  1238,     0,   113,   115,   117,   119,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   123,   125,    97,    99,   101,
     103,   311,   313,   315,   317,   319,   321,   323,   325,   194,
     197,   200,   203,   205,   207,   217,   219,   211,   209,   215,
     213,   223,   221,   227,   225,   229,   233,   235,   237,     0,
       0,     0,   244,     0,     0,   257,   461,   461,   596,   431,
     627,   629,   631,   633,   635,   640,   642,   644,   653,   696,
     698,   700,   702,   704,   706,   708,   710,   712,   714,   727,
     738,   740,   749,   758,   760,   767,   772,   787,   789,   791,
     793,   795,   818,   829,   840,   847,   856,   865,   897,   902,
     933,   966,   968,   979,  1040,  1042,  1044,  1046,  1063,  1079,
    1086,  1088,  1093,  1098,  1100,  1107,  1124,  1184,  1186,  1197,
    1074,  1218,   886,  1153,  1223,  1225,  1227,  1229,  1234,  1285,
    1287,   456,   428,   298,   303,   459,     0,   297,   297,   295,
     297,     0,   400,   400,   400,   400,   400,     0,   400,   430,
     430,   430,   430,   421,     0,   362,   400,   400,   400,   400,
     400,   400,   367,   400,   400,   400,   400,     0,     0,     0,
       0,   400,   400,   400,   400,   400,   400,   400,   400,   444,
     439,   442,  1277,  1277,  1277,     0,     0,  1275,  1277,  1277,
    1277,  1277,  1277,  1277,  1277,  1277,  1277,  1277,  1277,  1277,
    1277,  1277,     0,   127,   127,   127,   127,   128,   130,   132,
     134,   136,   138,   140,   142,   144,   146,   148,   150,   152,
     154,   127,   127,   127,   327,   327,   327,   327,   327,   327,
     327,   327,     0,     0,     0,   246,   260,   258,   256,   450,
     452,   626,     0,     0,     0,     0,     0,   639,     0,     0,
     652,   695,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   726,   737,     0,   748,   757,     0,   766,   771,   786,
       0,     0,     0,     0,   817,   828,   839,   846,   855,   864,
     885,   901,   932,   965,     0,   978,  1039,     0,     0,     0,
    1062,  1073,  1085,     0,  1092,  1097,     0,  1106,  1123,  1152,
       0,  1196,  1217,  1078,  1222,   896,  1183,     0,     0,     0,
    1233,     0,     0,     0,   461,     0,     0,   461,   453,   287,
     289,   297,   293,   290,   345,   347,   351,   355,   349,     0,
     353,     0,     0,     0,     0,   430,     0,   357,   359,   361,
     364,   366,     0,   383,   379,   381,   385,   368,   370,   372,
     374,   377,   389,   387,   391,   393,   395,   397,   399,   437,
     444,   444,  1241,  1271,  1273,     0,     0,     0,  1277,  1243,
    1245,  1253,  1261,  1255,  1249,  1247,  1251,  1257,  1259,  1269,
    1263,  1265,  1267,   105,   114,   116,   118,   120,   156,   156,
     156,   156,   156,   156,   156,   156,   156,   156,   156,   156,
     156,   156,   122,   124,   126,   312,   314,   316,   318,   320,
     322,   324,   326,   251,     0,     0,   245,   262,   262,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     430,   628,   630,   632,   634,     0,     0,   641,   643,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   697,   699,   701,   703,   705,   707,
     709,   711,   713,     0,     0,     0,     0,     0,   739,     0,
       0,     0,     0,     0,     0,     0,     0,   759,     0,     0,
       0,     0,     0,     0,     0,     0,   788,   790,   792,   794,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   967,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1041,
    1043,  1045,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1087,     0,     0,
       0,     0,  1099,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1185,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1224,  1226,  1228,     0,
       0,  1235,  1286,  1288,   457,     0,     0,   460,   461,   296,
     297,   401,   410,   413,   416,   419,     0,     0,   341,   400,
     400,   400,   400,   440,   443,  1278,  1280,  1282,  1276,   107,
     129,   131,   133,   135,   137,   139,   141,   143,   145,   147,
     149,   151,   153,   155,   253,     0,     0,   261,   259,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   597,
     429,     0,   636,     0,   645,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   654,     0,     0,
     715,     0,   728,     0,     0,     0,   741,     0,     0,     0,
     750,     0,   761,     0,   768,     0,     0,     0,   773,     0,
       0,     0,     0,     0,     0,   796,     0,     0,     0,     0,
     819,     0,   830,     0,   841,     0,     0,     0,   848,     0,
     857,     0,     0,     0,     0,     0,     0,   866,     0,   898,
       0,     0,   903,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   934,     0,     0,     0,     0,   969,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   980,     0,     0,     0,
       0,     0,     0,     0,  1047,     0,     0,     0,  1064,     0,
       0,  1080,     0,  1089,     0,  1094,     0,     0,  1101,     0,
    1108,  1126,  1128,  1130,  1132,  1134,  1136,  1138,  1140,  1142,
       0,     0,     0,     0,  1125,     0,     0,  1187,     0,     0,
       0,     0,     0,  1198,     0,  1075,     0,  1219,     0,     0,
       0,     0,   887,  1155,  1157,  1159,  1161,  1163,  1165,  1167,
    1169,  1171,  1173,  1175,  1177,  1179,  1181,  1154,     0,  1230,
       0,     0,   454,   291,   403,   427,   427,   427,   427,   422,
       0,   343,   369,   371,   373,   375,  1284,  1284,  1284,   106,
     252,   247,   249,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1152,  1152,  1152,
    1152,  1152,  1152,  1152,  1152,  1152,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1183,
    1183,  1183,  1183,  1183,  1183,  1183,  1183,  1183,  1183,  1183,
    1183,  1183,  1183,     0,     0,     0,   402,   411,   414,   417,
     420,   427,     0,   342,  1279,  1281,  1283,   253,   253,   598,
     600,   602,   604,   612,   606,   608,   610,   614,   616,   618,
     620,   622,   624,   637,   646,   648,   650,   655,   657,   659,
     661,   663,   665,   671,   667,   669,   673,   675,   677,   683,
     679,   681,   687,   689,   691,   685,   693,   716,   718,   720,
     722,   724,   729,   731,   733,   735,   742,   744,   746,   751,
     753,   755,   762,   764,   769,   774,   776,   778,   780,   782,
     784,   809,   797,   805,   799,   801,   803,   807,   813,   811,
     815,   820,   822,   824,   826,   831,   833,   835,   837,   842,
     844,   849,   853,   851,   858,   860,   862,   883,   871,   873,
     867,   869,   877,   875,   879,   881,   899,   904,   906,   914,
     922,   916,   910,   908,   912,   918,   920,   930,   924,   926,
     928,   935,   937,   939,   941,   943,   945,   947,   949,   951,
     953,   957,   955,   959,   961,   963,   974,   976,   970,   972,
     981,   983,   985,   987,   989,   991,   993,   995,   997,   999,
    1011,  1001,  1003,  1005,  1007,  1009,  1013,  1015,  1017,  1019,
    1021,  1023,  1025,  1027,  1029,  1031,  1033,  1035,  1037,  1048,
    1050,  1052,  1054,  1056,  1058,  1060,  1065,  1067,  1069,  1071,
    1081,  1083,  1090,  1095,  1104,  1102,  1109,  1111,  1113,  1115,
    1117,  1119,  1121,  1127,  1129,  1131,  1133,  1135,  1137,  1139,
    1141,  1143,  1144,  1146,  1148,  1150,  1188,  1190,  1192,  1194,
    1199,  1201,  1203,  1205,  1207,  1209,  1211,  1213,  1215,  1076,
    1220,   892,   894,   888,   890,  1156,  1158,  1160,  1162,  1164,
    1166,  1168,  1170,  1172,  1174,  1176,  1178,  1180,  1182,  1231,
     299,   304,   423,     0,   248,   250,   626,   626,   626,   626,
     626,   626,   626,   626,   626,   626,   626,   626,   626,   626,
     639,   652,   652,   652,   695,   695,   695,   695,   695,   695,
     695,   695,   695,   695,   695,   695,   695,   695,   695,   695,
     695,   695,   695,   695,   726,   726,   726,   726,   726,   737,
     737,   737,   737,   748,   748,   748,   757,   757,   757,   766,
     766,   771,   786,   786,   786,   786,   786,   786,   817,   817,
     817,   817,   817,   817,   817,   817,   817,   817,   828,   828,
     828,   828,   839,   839,   839,   839,   846,   846,   855,   855,
     855,   864,   864,   864,   885,   885,   885,   885,   885,   885,
     885,   885,   885,   901,   932,   932,   932,   932,   932,   932,
     932,   932,   932,   932,   932,   932,   932,   932,   965,   965,
     965,   965,   965,   965,   965,   965,   965,   965,   965,   965,
     965,   965,   965,   978,   978,   978,   978,  1039,  1039,  1039,
    1039,  1039,  1039,  1039,  1039,  1039,  1039,  1039,  1039,  1039,
    1039,  1039,  1039,  1039,  1039,  1039,  1039,  1039,  1039,  1039,
    1039,  1039,  1039,  1039,  1039,  1039,  1062,  1062,  1062,  1062,
    1062,  1062,  1062,  1073,  1073,  1073,  1073,  1085,  1085,  1092,
    1097,  1106,  1106,  1123,  1123,  1123,  1123,  1123,  1123,  1123,
    1152,  1152,  1152,  1152,  1196,  1196,  1196,  1196,  1217,  1217,
    1217,  1217,  1217,  1217,  1217,  1217,  1217,  1078,  1222,   896,
     896,   896,   896,  1233,   327,   327,   430,   599,   601,   603,
     605,   613,   607,   609,   611,   615,   617,   619,   621,   623,
     625,   638,   647,   649,   651,   656,   658,   660,   662,   664,
     666,   672,   668,   670,   674,   676,   678,   684,   680,   682,
     688,   690,   692,   686,   694,   717,   719,   721,   723,   725,
     730,   732,   734,   736,   743,   745,   747,   752,   754,   756,
     763,   765,   770,   775,   777,   779,   781,   783,   785,   810,
     798,   806,   800,   802,   804,   808,   814,   812,   816,   821,
     823,   825,   827,   832,   834,   836,   838,   843,   845,   850,
     854,   852,   859,   861,   863,   884,   872,   874,   868,   870,
     878,   876,   880,   882,   900,   905,   907,   915,   923,   917,
     911,   909,   913,   919,   921,   931,   925,   927,   929,   936,
     938,   940,   942,   944,   946,   948,   950,   952,   954,   958,
     956,   960,   962,   964,   975,   977,   971,   973,   982,   984,
     986,   988,   990,   992,   994,   996,   998,  1000,  1012,  1002,
    1004,  1006,  1008,  1010,  1014,  1016,  1018,  1020,  1022,  1024,
    1026,  1028,  1030,  1032,  1034,  1036,  1038,  1049,  1051,  1053,
    1055,  1057,  1059,  1061,  1066,  1068,  1070,  1072,  1082,  1084,
    1091,  1096,  1105,  1103,  1110,  1112,  1114,  1116,  1118,  1120,
    1122,  1145,  1147,  1149,  1151,  1189,  1191,  1193,  1195,  1200,
    1202,  1204,  1206,  1208,  1210,  1212,  1214,  1216,  1077,  1221,
     893,   895,   889,   891,  1232,   300,   305,     0,     0,     0,
       0,   301,     0,   425,   310,     0,   427,   302,     0,   426,
     306,   327,   307,     0,   308,   310,   309
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -2371, -2371, -2371, -2371,    -5, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,  1688,
   -2371,  1413, -2371,   393, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371,  -526, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371,   104, -2371,  -466, -2371, -2371,
    -418, -2371, -2371, -2371, -2371, -2371, -2371, -2371,  -620, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371,    99, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371,  -278, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,  -486, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,   539,
   -2371, -2371, -1867, -2371, -2371, -2371,   720, -2371, -2371, -1253,
   -2371, -2371,   425, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371,  1151, -2371, -2371, -1350, -2371, -2371, -2371, -2371,
   -2371, -2371,  -850, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371,  -464, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371,  -604, -2371, -2371, -2371, -2371, -2371,  1144, -2371,
    -107, -2371, -2371, -1159, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371,   -71, -2371, -2371, -2105, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371,  -894, -2371,  1140,
   -2371, -2371, -1339, -2371, -2371, -2371, -2371, -2371,  1196, -2371,
   -2371, -1271, -2371, -2371, -2371, -2371, -2371, -2371, -2371,   277,
   -2371, -2371, -2371, -2371, -2371, -2371,   275, -2371, -2371, -2371,
   -2371, -2371, -2371,   263, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371,   370, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371,  -102, -2371, -2371, -2371, -1597, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
    -584, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -1938, -2371,
   -2371, -2371, -2371, -2371, -1679, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -1519, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -1792, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -1862, -2371, -2371, -2371, -2371, -2371, -1852, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2259, -2371, -2371, -2371,
   -2371,  -624, -2371, -2371, -2371, -1548, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -1614, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -1547, -2371, -2371, -2371, -2371,
   -2371, -2371, -1546, -2371, -2371, -2371, -2371, -2371, -2371, -2283,
   -2371, -2371, -2371, -2371, -1778, -2371, -2371, -2371, -2371, -2371,
   -1689, -2371, -2371, -2371, -2371, -2371, -1620, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -1669, -2371,
   -2371, -2371, -2371, -2371, -2371,  -665, -2371, -2371, -2371, -1678,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -1753, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -1589, -2371, -2371, -2371,
   -2371, -2371, -2371, -1856, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -1666, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -1625, -2371, -2371, -2371, -2371, -2371, -2371,  -768, -2371,
   -2371, -2371, -2370, -2371, -2371, -2371, -2371, -2371, -2371,  -739,
   -2371, -2371, -2371,  -738, -2371, -2371, -2371, -2371, -2371, -2276,
   -2371, -2371, -2371, -2371, -1676, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2294, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -1299, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -1642,
   -2371, -2371, -2371, -2371, -2371, -2371, -1715, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,  -767, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,  -770, -2371,
   -2371, -2371,  1134, -2371, -2371,  -710, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371, -2371, -2371,  -960, -2371, -2371, -2371, -2371,
   -2371, -2371, -2371
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
       0,     1,     2,    11,    25,    60,   244,    67,   387,    68,
     391,    69,   393,    66,   385,    89,   414,    92,   417,   170,
     413,    91,   587,    59,   418,   424,   425,   426,   427,   428,
     429,   482,   430,   176,   196,   467,   478,   481,   479,   480,
     483,   326,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   945,   946,   947,   948,   295,  1899,   179,   296,   297,
     605,  1433,  1434,  1435,  1436,   929,  1452,  1453,  1244,  1618,
    1619,  1620,  1621,  1622,  1623,  1624,  1625,  1626,  1627,  1628,
    1629,  1630,  1631,   195,   778,   779,   780,   781,   787,   785,
     782,   783,   784,   788,   786,   205,   802,   803,   804,   805,
     806,   807,   463,   963,   464,   964,   465,   965,   134,   975,
     976,   977,   981,   980,   983,   982,   978,   979,   985,   984,
     987,   986,   988,   678,   989,   990,   991,   371,   840,   503,
     839,  1465,   995,  2377,  2378,  1914,   373,   685,  1285,   843,
    1648,  1647,    65,   507,   508,   510,   509,   511,   513,   512,
     515,   514,   143,   386,   855,   528,  1367,  1368,  1880,  1370,
     852,  1551,  1151,  1545,  2824,  3038,  3044,  1546,  2825,  3039,
    3051,  3053,  3055,   646,  1454,  1455,  1456,  1457,  1458,  1459,
    1460,  1461,   147,   388,   897,   389,   899,   737,   558,   898,
     880,  1391,  2121,   556,  1372,  1373,  1376,  1374,   866,  1375,
    1386,  1387,  1388,  1389,  1390,  1889,  1890,  1891,  1892,  1401,
    1394,  1395,  1393,  1396,  1403,  1402,  1404,  1405,  1406,  1407,
    1408,  1166,  2114,   861,   873,  1379,  2115,  1380,  2116,  1381,
    2117,  1382,  2118,  1565,  2371,  1384,  3046,  1075,  1472,   149,
     392,   904,   564,  1409,   902,  1590,   903,  1591,   141,   384,
     849,   521,  1286,  1287,  1878,   846,  1544,   847,  1547,    76,
     566,   567,   568,   569,   570,   571,    88,   579,   580,   581,
     582,   583,   584,   216,   812,   813,   818,   819,   814,   815,
     816,   817,   820,    81,   573,   572,   574,   575,   576,   577,
     578,   188,  1076,  1077,  1471,  1659,  2616,  2617,  2618,  2619,
    2621,  2622,  2623,  2620,  2624,  2625,  2626,  2627,  2628,  2629,
    1078,  1473,  1079,  1474,  1080,  1475,  1081,  1476,  1082,  1477,
    1666,  2630,  1083,  1478,  1084,  1479,  1085,  1480,  1670,  2631,
    2632,  2633,  1086,  1481,  1683,  2634,  2635,  2636,  2637,  2638,
    2639,  2641,  2642,  2640,  2643,  2644,  2645,  2647,  2648,  2646,
    2652,  2649,  2650,  2651,  2653,  1087,  1482,  1088,  1483,  1089,
    1484,  1090,  1485,  1091,  1486,  1092,  1487,  1093,  1488,  1094,
    1489,  1095,  1490,  1096,  1491,  1695,  2654,  2655,  2656,  2657,
    2658,  1097,  1492,  1697,  2659,  2660,  2661,  2662,  1098,  1493,
    1099,  1494,  1702,  2663,  2664,  2665,  1100,  1495,  1706,  2666,
    2667,  2668,  1101,  1496,  1102,  1497,  1709,  2669,  2670,  1103,
    1498,  1711,  2671,  1104,  1499,  1715,  2672,  2673,  2674,  2675,
    2676,  2677,  1105,  1500,  1106,  1501,  1107,  1502,  1108,  1503,
    1109,  1504,  1726,  2679,  2681,  2682,  2683,  2680,  2684,  2678,
    2686,  2685,  2687,  1110,  1505,  1731,  2688,  2689,  2690,  2691,
    1111,  1506,  1733,  2692,  2693,  2694,  2695,  1112,  1507,  1735,
    2696,  2697,  1113,  1508,  1739,  2698,  2700,  2699,  1114,  1509,
    1741,  2701,  2702,  2703,  1115,  1510,  1748,  2707,  2708,  2705,
    2706,  2710,  2709,  2711,  2712,  2704,  1116,  1535,  1850,  2821,
    2822,  2819,  2820,  1117,  1511,  1750,  2713,  1118,  1512,  1753,
    2714,  2715,  2720,  2719,  2721,  2716,  2718,  2722,  2723,  2717,
    2725,  2726,  2727,  2724,  1119,  1513,  1763,  2728,  2729,  2730,
    2731,  2732,  2733,  2734,  2735,  2736,  2737,  2739,  2738,  2740,
    2741,  2742,  1120,  1514,  1121,  1515,  1769,  2745,  2746,  2743,
    2744,  1122,  1516,  1788,  2747,  2748,  2749,  2750,  2751,  2752,
    2753,  2754,  2755,  2756,  2758,  2759,  2760,  2761,  2762,  2757,
    2763,  2764,  2765,  2766,  2767,  2768,  2769,  2770,  2771,  2772,
    2773,  2774,  2775,  1123,  1517,  1124,  1518,  1125,  1519,  1126,
    1520,  1799,  2776,  2777,  2778,  2779,  2780,  2781,  2782,  1127,
    1521,  1803,  2783,  2784,  2785,  2786,  1128,  1533,  1843,  2817,
    1129,  1522,  1806,  2787,  2788,  1130,  1523,  1131,  1524,  1809,
    2789,  1132,  1525,  1811,  2790,  1133,  1526,  1134,  1527,  1815,
    2792,  2791,  1135,  1528,  1817,  2793,  2794,  2795,  2796,  2797,
    2798,  2799,  1136,  1529,  1831,  2317,  2318,  2319,  2320,  2321,
    2322,  2323,  2324,  2325,  2800,  2801,  2802,  2803,  1137,  1536,
    1865,  2349,  2350,  2351,  2352,  2353,  2354,  2355,  2356,  2357,
    2358,  2359,  2360,  2361,  2362,  1138,  1530,  1139,  1531,  1835,
    2804,  2805,  2806,  2807,  1140,  1532,  1841,  2808,  2809,  2810,
    2811,  2812,  2813,  2814,  2815,  2816,  1141,  1534,  1845,  2818,
    1142,  1537,  1143,  1538,  1144,  1539,  1145,  1540,  1870,  2823,
    1146,  1541,   174,   416,   923,   593,  1412,  1418,  1419,  1424,
    1423,  1425,  1420,  1422,  1426,  1427,  1421,  1429,  1430,  1431,
    1428,  1413,  1414,   908,  1598,  1209,  2126,  2127,  2128,  1147,
    1542,  1148,  1543
};

/* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule whose
   number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     647,   648,  1156,   206,   606,   217,   218,   219,  1201,   221,
    2367,  2368,  2369,  2370,  1385,  1469,  1470,  1549,  1550,   686,
    1552,  1392,  1720,  2563,  2564,  2565,  2566,  2567,  2568,  2569,
    2570,  2571,    61,    62,   881,   460,   598,   599,   600,   601,
     602,  1833,  2163,  2164,  1699,   841,  1693,  2130,   909,   910,
     911,   912,   913,  1202,   914,   915,   916,   144,   278,  1230,
    1231,  1232,  1233,  1234,  1235,  1236,  1237,  1238,  2186,   289,
    1589,  1703,  2226,  2160,   145,     4,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     992,   272,  2227,  1727,   247,   248,  1813,  2337,  1742,   789,
     790,   791,   792,   793,   794,   795,   796,   797,   223,   906,
    1671,  1672,  1673,  1674,  1675,  1676,  1677,   435,   436,  1678,
    1149,  1679,  2176,  2177,  1207,  1800,   867,   868,   869,   870,
     871,  1728,  2302,   900,   254,     5,   250,   251,   993,   177,
     178,   431,   432,   433,  2189,  2190,  2157,   273,   274,   275,
       3,   271,   561,   562,   563,  1150,   279,  1770,  1736,   390,
    1737,   183,   184,   286,  1694,  2209,  2210,   290,     6,  2231,
    2232,  2233,  2234,  2235,     7,  2236,  2237,  2238,     8,  1738,
    1729,     9,  1362,    26,  1721,   842,    10,  1722,    27,  1723,
      28,  1814,   834,  2161,   186,   187,  2228,  2229,  2187,    90,
    1724,  1879,   882,   883,    29,   907,   438,   439,  2303,   884,
    1804,  1805,  1730,  1554,  1555,  1556,  1557,  1558,    30,  1560,
    2338,  2339,  1596,  1597,  1834,  1801,  1802,  1567,  1568,  1569,
    1570,  1571,  1572,    31,  1573,  1574,  1575,  1576,   437,  1208,
     473,  1743,  1581,  1582,  1583,  1584,  1585,  1586,  1587,  1588,
     249,  1893,  1894,  2213,  2214,    12,    13,    32,  1744,   461,
    2165,   994,   434,  2158,  2159,   146,  2612,   603,   920,   921,
     922,   917,   918,  1874,    39,    40,  1877,    41,  1745,  1746,
     128,  1700,  1239,  1240,  1241,  1701,    33,   516,   517,   518,
     519,  1725,   252,  1197,    34,  1199,    42,    43,    44,    45,
      46,    47,    48,    35,  2178,  2179,    93,    14,  1704,    15,
     932,   933,  1705,    36,    16,    37,    17,  1851,  1852,  1853,
    1854,  1855,  1856,  1857,  1858,  1859,  2191,  2192,  1712,   129,
     130,   131,  1002,    38,  1680,    18,    94,    19,  1713,  1714,
    1681,    95,   313,    96,    20,   314,   132,  2211,  2212,   253,
     634,   635,  1771,   637,   996,  1682,   872,    97,   315,  1772,
    1773,  1774,  1775,  1776,  1777,  1778,  1779,  1780,    98,   506,
     102,  1781,  1782,  1783,  1784,  1785,  1786,  2218,  2219,  2220,
     522,    99,   529,  1751,  1752,  1792,   560,   520,   565,  2255,
    2256,   919,  2239,  2240,  1917,  1918,  2136,  1242,   189,   190,
     191,   192,  1243,  2242,  2243,  2244,  1003,   604,   100,   586,
    2880,  2881,   594,  2907,  2908,    63,    64,  2998,  2999,  1247,
    1248,  1249,  1250,   101,   133,   103,  1649,  1650,  1651,  1652,
     104,  2137,  1653,   105,  1654,  1655,  1004,  1005,  1006,  1007,
    1008,  1009,  1010,  1011,  1012,  1013,  1014,  1015,  1016,  1017,
    1018,  1019,  1020,  1021,  1022,  1023,  1024,  1025,  1026,  1027,
    1028,  1029,  1030,  1031,  1032,  1033,  1034,  1035,  1036,  1037,
    1038,  1039,  1040,  1041,  1042,  1043,  1044,  1045,  1046,  1793,
    1794,  1795,  1796,  1797,  2148,  1561,  1562,  1563,  1564,  1262,
    1263,  1264,  1265,  1266,  1267,  1268,  1269,  1270,  1271,  1272,
    1273,  1274,  1275,  1276,  1277,  1278,  3011,  3012,  3013,  3014,
    2614,  2615,  2241,   107,  1787,  3002,  3003,   193,   194,  1747,
     106,   588,    49,   113,   949,   950,   951,   952,   953,   954,
    2113,  2138,  2139,   108,  2140,   139,  1656,  1047,   530,   109,
    1860,  1861,  1862,  1818,   110,  1765,  1819,  1846,   316,   317,
     318,   319,   320,   321,    50,   322,   323,   324,   325,  1820,
     111,   112,  1766,   140,  1847,  1048,   135,   136,  1798,   137,
     523,   524,   138,   525,   142,   526,    51,   531,   148,  1836,
    2149,  2150,  1767,  1768,  1848,  1849,  1049,  1050,   150,   532,
     533,   534,   535,   536,  1837,   151,    21,  1838,   152,  1051,
     153,  1839,   154,  1840,   156,  1052,    77,  2112,   863,   864,
      78,    79,    80,   874,   875,   876,  1053,   878,    52,  2252,
    2253,  2254,  1054,  1055,  1056,   890,    22,   892,   893,   894,
     895,   589,   161,  1057,  1058,    53,  1657,   168,    23,    70,
      71,    72,    73,    74,    75,  1658,   155,   157,  1059,    54,
    2283,  2284,  2285,   590,   158,  1863,   169,  1060,   159,  1061,
    1864,   591,   592,  2330,  2331,  2332,    55,   925,  1754,   927,
     527,  1886,   930,   931,   160,  1755,   162,   537,   538,   539,
      24,   172,  1756,   163,    56,  1259,  1260,  1261,   164,   165,
    2196,   423,  1062,  2842,  2843,  2844,    57,   166,  1063,   167,
    1064,   171,  1592,  1593,  1594,   442,    58,  1065,  1599,  1600,
    1601,  1602,  1603,  1604,  1605,  1606,  1607,  1608,  1609,  1610,
    1611,  1612,   175,   173,  1066,  2197,   242,   180,   466,   181,
    2122,  2123,  2124,  2125,  2334,  2335,  2336,  1067,   182,   477,
     185,  1068,   220,  1069,  1070,  1071,   222,  1072,   224,  1821,
    1822,  1823,  1824,  1825,  1826,  1073,  1827,  1828,  1829,  1830,
      82,    83,    84,    85,    86,    87,  1930,  2166,  2167,  2168,
    2169,  1074,  2172,  2173,  2174,  2175,   540,   541,   542,   225,
     243,   543,   226,   227,   544,   545,   546,   547,   548,  2264,
    2265,  2266,  2267,  2268,  2269,  2270,  2271,  2272,   228,  1757,
    1758,  2874,  2875,  2876,  1759,   229,   230,  1760,  1761,  1762,
     231,   595,   245,   597,  2877,  2878,  2879,   607,   608,   609,
     610,   611,   612,   613,   246,  2198,  2199,   232,  2200,   207,
     208,   209,   210,   211,   212,   197,   198,   199,   200,   233,
     234,   213,   214,   742,   743,   744,   745,   746,   747,   638,
     201,   202,   203,   204,   755,   756,   757,   758,   759,   760,
     649,   235,   236,   549,   550,   551,   552,  2870,  2871,  2872,
    2873,   659,   660,   661,   662,   663,   664,   934,   935,   936,
     937,   938,   939,   940,   941,   942,   943,   944,  1898,   237,
     215,  2958,  2959,  2960,  2961,  2962,  2963,  2964,  2965,  2966,
    2967,  2968,  2969,  2970,  2971,  2972,  2973,  2974,  2975,  2976,
    2977,  2978,  2979,  2980,  2981,  2982,  2983,  2984,  2985,  2986,
    2909,  2910,  2911,   553,  2310,  2311,  2312,  2313,  2314,  2315,
    2316,   554,   687,   688,   689,   690,   691,   692,   693,   694,
     695,  3049,   748,   749,   750,   751,   752,   753,   754,   555,
    2246,  2247,  2248,  2249,  2273,  2845,  2846,  2847,  2848,  2849,
    2850,  2851,  2852,  2853,  2854,  2855,  2856,  2857,  2858,  2859,
    2860,  2861,  2862,  2863,  2864,  2939,  2940,  2941,  2942,  2943,
    2944,  2945,  2946,  2947,  2948,  2949,  2950,  2951,  2952,  2953,
    1635,  1636,  1637,  1638,  1639,  1640,  1641,  1642,  1900,  1901,
    1902,  1903,  1904,  1905,  1906,  1907,  1908,  1909,  1910,  1911,
    1912,  1913,  2912,  2913,  2914,  1614,  1615,  1616,  1617,  2827,
    2828,  2829,  2830,  2831,  2832,  2833,  2834,  2835,  2836,  2837,
    2838,  2839,  2840,  1632,  1633,  1634,  2925,  2926,  2927,  2928,
    2929,  2930,  2931,  2932,  2933,  2934,  2935,  2936,  2937,  2938,
    2595,  2596,  2597,  2598,  2599,  2600,  2601,  2602,  2603,  2604,
    2605,  2606,  2607,  2608,  2889,  2890,  2891,  2892,  2893,  2894,
    2895,  2896,  2897,  2898,   238,   966,   967,   968,   969,   970,
     971,   972,   973,   974,  2915,  2916,  2917,  2918,  2919,  2920,
    2921,  2922,  2923,  3019,  3020,  3021,  3022,  3023,  3024,  3025,
    3026,  3027,   955,   956,   957,   958,   959,   960,   961,   962,
    2987,  2988,  2989,  2990,  2991,  2992,  2993,  3004,  3005,  3006,
    3007,  3008,  3009,  3010,  2883,  2884,  2885,  2886,  2887,  2888,
     856,   857,   858,   859,   860,  2865,  2866,  2867,  2868,  2869,
     239,  2899,  2900,  2901,  2902,   240,  2903,  2904,  2905,  2906,
    3030,  3031,  3032,  3033,  2954,  2955,  2956,  2957,  2994,  2995,
    2996,  2997,  3015,  3016,  3017,  3018,  2374,  2375,  2376,   241,
     255,   261,   256,   257,   265,   258,   259,   260,   266,   262,
     263,   267,   264,   268,   269,   270,   288,   276,   277,   280,
     287,   281,   282,   283,   284,   285,   291,   440,   292,   293,
     294,   298,   306,   299,   300,   301,   302,   303,   304,   305,
     312,   307,   308,   309,   310,   311,   327,   328,   329,   330,
     331,   332,   333,   334,   336,   335,   337,   338,   339,   340,
     341,   346,   342,   343,   344,   345,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     372,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     415,   420,   419,   421,   422,   441,   443,   444,   456,   445,
     446,   447,   448,   449,   450,   451,   502,   452,   453,   454,
     455,   457,   458,   459,   462,   468,   469,   470,   504,   471,
     472,   474,   475,   505,   476,   683,   645,   684,   698,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   557,   499,   500,   501,   559,   596,
     614,   699,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   636,   639,   701,   640,   641,   642,   643,   644,
     650,   651,   652,   653,   654,   655,   656,   657,   658,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   679,   680,   681,   682,   704,   879,   707,   696,
     697,   700,   702,   703,   705,   706,   708,   709,   710,   711,
     712,   713,   714,   715,   716,   717,   718,   719,   720,   721,
     722,   723,   724,   725,   726,   727,   728,   729,   730,   731,
     732,   733,   734,   735,   736,   738,   739,   740,   762,   741,
     763,   764,   765,   766,   767,   768,   769,   770,   771,   772,
     773,   844,   774,   775,   776,   777,   798,   799,   800,   801,
     809,   808,   810,   811,   821,   822,   823,   824,   825,   826,
     827,   828,   829,   830,   831,   832,   833,   835,   836,   837,
     838,   845,   997,   848,   850,   851,   853,   999,   854,   862,
     865,   877,   998,   885,   886,   887,   888,   889,   891,  1000,
     896,   901,   905,  1001,   924,   926,   928,  1167,  1168,  1165,
    1154,  1152,  1155,  1157,  1169,  1170,  1158,  1160,  1161,  1162,
    1163,  1164,  1171,  1172,  1185,  1173,  1174,  1175,  1176,  1177,
    1178,  1179,  1181,  1180,  1182,  1183,  1184,  1282,  1283,  1186,
    1187,  1188,  1189,  1190,  1191,  1192,  1193,  1194,  1195,  1196,
    1200,  1204,  1205,  1206,  1210,  1211,  1212,  1213,  1214,  1215,
    1216,  1217,  1218,  1219,  1220,  1221,  1222,  1223,  1284,  1226,
    1225,  1227,  1228,  1229,  1245,  1246,  1251,  1252,  1253,  1254,
    1255,  1256,  1257,  1258,  1288,  1279,  1280,  1281,  1289,  1290,
    1291,  1292,  1293,  1294,  1295,  1296,  1297,  1298,  1299,  1300,
    1301,  1302,  1303,  1304,  1305,  1306,  1307,  1308,  1309,  1310,
    1311,  1312,  1313,  1314,  1315,  1316,  1317,  1318,  1319,  1320,
    1321,  1322,  1323,  1324,  1325,  1326,  1327,  1328,  1329,  1330,
    1331,  1332,  1333,  1334,  1335,  1336,  1337,  1338,  1339,  1340,
    1341,  1342,  1343,  1344,  1345,  1346,  1347,  1348,  1349,  1350,
    1351,  1352,  1353,  1354,  1355,  1356,  1357,  1358,  1359,  1360,
    1366,  1361,  1363,  1364,  1371,  1365,  1369,  1378,  1377,  1383,
    1415,  1410,  1411,  1417,  1397,  1398,  1399,  1400,  1451,  1660,
    1432,  1661,  1416,  1437,  1438,  1439,  1440,  1441,  1442,  1443,
    1444,  1445,  1446,  1447,  1448,  1449,  1450,  1462,  1466,  1463,
    1464,  1566,  1662,  1467,  1548,  1553,  1559,  1577,  1644,  1578,
    1595,  1579,  1580,  1663,  1613,  1643,  1664,  1665,  1645,  1667,
    1668,  1669,  1684,  1685,  1686,  1687,  1688,  1689,  1690,  1691,
    1692,  1696,  1698,  1707,  1708,  1710,  1716,  1717,  1718,  1719,
    1732,  1734,  1740,  1749,  1764,  1789,  1790,  1791,  1807,  1808,
    1810,  1812,  1816,  1832,  1842,  1844,  1866,  1867,  1868,  1869,
    1871,  1872,  1873,  1881,  1882,  1883,  1875,  1876,  1884,  1885,
    1887,  1888,  1919,  1895,  1896,  1929,  1932,  1897,  1915,  1916,
    1920,  1934,  1947,  1921,  1950,  1922,  1923,  1924,  1925,  1926,
    1952,  1927,  1928,  1931,  1933,  1935,  1936,  1937,  1938,  1939,
    1940,  1941,  1956,  1960,  1942,  1943,  1944,  1945,  1946,  1948,
    1949,  1951,  1953,  1954,  1962,  1955,  1957,  1958,  2134,  2135,
    1959,  1961,  2142,  2143,  2144,  2145,  2146,  1963,  1964,  1965,
    1968,  1966,  1967,  2151,  2152,  2153,  2154,  2155,  2156,  1969,
    1970,  2162,  1971,  1972,  2170,  1973,  1974,  1975,  1980,  1976,
    1977,  1978,  2181,  2182,  1979,  1981,  2184,  2185,  1982,  1983,
    1984,  2188,  1988,  1990,  2193,  2194,  1985,  2195,  1986,  1997,
    2202,  2203,  2204,  1987,  2205,  2206,  2207,  2208,  1989,  1991,
    1999,  1992,  2002,  2215,  2216,  2217,  1993,  2012,  2017,  2036,
    2222,  2223,  2224,  2225,  2044,  1994,  1995,  1996,  1998,  2000,
    2001,  2245,  2048,  2003,  2051,  2053,  2004,  2257,  2258,  2259,
    2055,  2260,  2261,  2262,  2263,  2005,  2006,  2007,  2275,  2276,
    2277,  2278,  2008,  2009,  2010,  2011,  2013,  2286,  2287,  2288,
    2289,  2014,  3037,  2015,  2016,  2293,  2018,  2058,  2019,  2297,
    2298,  2020,  2021,  2300,  2022,  2023,  2024,  2025,  2305,  2026,
    2306,  2027,  2028,  2029,  2030,  2309,  2031,  2032,  2060,  2074,
    2033,  2034,  2035,  2037,  2038,  2077,  2083,  2039,  2326,  2327,
    2040,  2329,  2041,  2042,  2085,  2087,  2043,  2045,  2340,  2341,
    2342,  2046,  2092,  2061,  2344,  2047,  2345,  2346,  2347,  2348,
    2107,  2049,  2050,  2052,  2054,  2109,  2056,  2119,  2120,  2057,
     761,  2059,  2062,  2129,  1646,  1468,  1159,  2063,  2064,  2065,
    2066,  2067,  2068,  2069,  2373,  2070,  2071,  2072,  2073,  2075,
    2076,  2078,  2079,  2080,  2081,  2082,  2084,  2086,  2088,  2089,
    2090,  2091,  2093,  2094,  2826,  2095,  2096,  2097,  3040,  3041,
    3043,  3054,  1198,  2366,  1203,  1153,  2841,  2882,  2924,  3028,
    3000,  3029,  3001,  3034,     0,     0,     0,  1224,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2613,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   585,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2098,     0,     0,     0,     0,     0,  3042,     0,     0,
       0,     0,     0,  2099,  2100,  2101,  2102,     0,     0,  2103,
       0,  2104,  2105,  2106,     0,  2133,  2108,  2110,  2111,  2131,
    2132,  2141,  2372,  2147,  2171,  2180,  2183,  2201,     0,  2221,
    2230,  2250,  2251,  2274,     0,  2279,  2280,  2281,  2282,  3045,
    2290,  2291,     0,  2292,  2294,     0,     0,  2295,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2296,     0,     0,
    2299,  2301,     0,     0,     0,     0,  2304,  2307,  2308,     0,
    2328,     0,     0,     0,  3047,     0,  2333,     0,  2343,  2379,
    2363,  2364,     0,     0,     0,  3056,     0,     0,  2380,  2365,
       0,     0,     0,     0,     0,  2381,  2382,     0,     0,  2383,
       0,  2384,  2385,  2386,     0,     0,  2387,  2388,  2389,  2390,
       0,     0,  2391,     0,  2392,  2393,  2394,  2395,  2396,     0,
    2397,  2398,  2399,  2400,  2401,  2402,  2403,  2404,  2405,  2406,
    2407,     0,     0,  2408,  2409,  2410,  2411,  2412,  2413,  2414,
    2415,  2416,  2417,     0,  2418,  2419,  2420,  2421,  2422,  2423,
    2424,  2425,  2426,  2427,  2428,  2429,  2430,     0,  2431,     0,
    2432,  2433,  2434,  2435,  2436,  2437,  2438,  2439,  2440,  2441,
    2442,  2443,  2444,  2445,  2446,  2447,     0,     0,  2448,  2449,
    2450,  2451,  2452,  2453,  2454,  2455,  2456,     0,  2457,     0,
    2458,     0,     0,  2459,  2460,  2461,  2462,  2463,     0,  2464,
    2465,  2466,  2467,  2468,  2469,  2470,  2471,  2472,  2473,     0,
    2474,     0,  2475,  2476,  2477,  2478,     0,     0,     0,  2479,
    2480,  2481,  2482,     0,  2483,  2484,  2485,  2486,  2487,  2488,
    2489,     0,  2490,     0,     0,  2491,  2492,  2493,  2494,     0,
    3035,  3036,  2495,  2496,  2497,  2498,  2499,  2500,  2501,  2502,
    2503,  2504,  2505,  2506,  2507,  2508,  2509,  2510,  2511,  2512,
    2513,  2514,  2515,  2516,  2517,  2518,     0,  2519,  2520,  2521,
    2522,  2523,  2524,  2525,  2526,  2527,  2528,  2529,  2530,  2531,
    2532,  2533,  2534,  2535,  2536,  2537,  2538,     0,     0,  2539,
    2540,  2541,  2542,  2543,     0,     0,  2544,  2545,  2546,  2547,
    2548,  2549,  2550,     0,     0,  2551,  2552,  2553,  2554,  2555,
    2556,     0,  2557,  2558,  2559,  2560,  2561,  2562,  2572,     0,
    2573,  2574,  2575,  2576,     0,  2577,     0,  2578,  2579,  2580,
    2581,  2582,  2583,  2584,  2585,  2586,  2587,  2588,  2589,  2590,
    2591,  2592,  2593,  2594,  2609,  2610,  2611,  3048,     0,  3050,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3052
};

static const yytype_int16 yycheck[] =
{
     464,   465,   852,   105,   422,   107,   108,   109,   902,   111,
    2115,  2116,  2117,  2118,  1173,  1286,  1287,  1367,  1368,   505,
    1370,  1180,     5,  2317,  2318,  2319,  2320,  2321,  2322,  2323,
    2324,  2325,    13,    14,    98,    68,    15,    16,    17,    18,
      19,   190,   185,   186,   197,    20,    72,  1914,    20,    21,
      22,    23,    24,   903,    26,    27,    28,    67,   160,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    68,   171,
    1409,   197,   321,    68,    84,   156,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      20,    40,   341,   248,   185,   186,   217,   318,    23,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   113,    80,
     178,   179,   180,   181,   182,   183,   184,    36,    37,   187,
      68,   189,    13,    14,    75,   183,    78,    79,    80,    81,
      82,   286,   191,   737,   139,   451,   185,   186,    68,    13,
      14,    36,    37,    38,    13,    14,    68,    96,    97,    98,
       0,   156,    61,    62,    63,   103,   161,    22,   181,   261,
     183,    36,    37,   168,   190,    13,    14,   172,   452,    20,
      21,    22,    23,    24,   451,    26,    27,    28,   452,   202,
     335,   451,  1076,     3,   167,   160,   453,   170,     3,   172,
       3,   312,   678,   188,    11,    12,   445,   446,   198,   387,
     183,  1551,   266,   267,     3,   176,   308,   309,   267,   273,
     294,   295,   367,  1372,  1373,  1374,  1375,  1376,     3,  1378,
     441,   442,   210,   211,   373,   283,   284,  1386,  1387,  1388,
    1389,  1390,  1391,     3,  1393,  1394,  1395,  1396,   157,   190,
     342,   166,  1401,  1402,  1403,  1404,  1405,  1406,  1407,  1408,
     341,  1590,  1591,    13,    14,     5,     6,     3,   183,   292,
     403,   191,   157,   185,   186,   275,  2371,   246,   207,   208,
     209,   243,   244,  1544,     7,     8,  1547,    10,   203,   204,
     247,   434,   243,   244,   245,   438,     3,    60,    61,    62,
      63,   274,   341,   897,     3,   899,    29,    30,    31,    32,
      33,    34,    35,     3,   195,   196,   454,    57,   434,    59,
     776,   777,   438,     3,    64,     3,    66,    20,    21,    22,
      23,    24,    25,    26,    27,    28,   195,   196,   190,   296,
     297,   298,     9,     3,   402,    85,     3,    87,   200,   201,
     408,     3,    43,   454,    94,    46,   313,   195,   196,   398,
     452,   453,   217,   455,   840,   423,   308,   454,    59,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   454,   374,
       3,   236,   237,   238,   239,   240,   241,   404,   405,   406,
     385,   454,   387,   205,   206,   183,   391,   160,   393,   320,
     321,   363,   243,   244,  1647,  1648,    33,   358,    39,    40,
      41,    42,   363,   207,   208,   209,    83,   386,   454,   414,
    2669,  2670,   417,  2696,  2697,   396,   397,  2787,  2788,   945,
     946,   947,   948,   454,   391,     3,   164,   165,   166,   167,
       3,    68,   170,   454,   172,   173,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   277,
     278,   279,   280,   281,    80,  1379,  1380,  1381,  1382,   975,
     976,   977,   978,   979,   980,   981,   982,   983,   984,   985,
     986,   987,   988,   989,   990,   991,  2800,  2801,  2802,  2803,
    2377,  2378,   363,   454,   379,  2791,  2792,   158,   159,   444,
       3,    65,   255,     4,   802,   803,   804,   805,   806,   807,
    1880,   168,   169,   454,   171,     4,   274,   214,    22,   454,
     243,   244,   245,    43,   454,   166,    46,   166,   249,   250,
     251,   252,   253,   254,   287,   256,   257,   258,   259,    59,
     454,   454,   183,    58,   183,   242,   454,   454,   366,   454,
      60,    61,   454,    63,    65,    65,   309,    61,    86,   425,
     176,   177,   203,   204,   203,   204,   263,   264,   454,    73,
      74,    75,    76,    77,   440,   454,   346,   443,   454,   276,
     454,   447,   454,   449,     4,   282,    95,  1878,   710,   711,
      99,   100,   101,   715,   716,   717,   293,   719,   351,   316,
     317,   318,   299,   300,   301,   727,   376,   729,   730,   731,
     732,   175,     4,   310,   311,   368,   374,     4,   388,    88,
      89,    90,    91,    92,    93,   383,   454,   454,   325,   382,
     233,   234,   235,   197,   454,   358,   450,   334,   454,   336,
     363,   205,   206,   370,   371,   372,   399,   769,   183,   771,
     160,  1565,   774,   775,   454,   190,   454,   161,   162,   163,
     430,     4,   197,   454,   417,   963,   964,   965,   454,   454,
      33,   298,   369,  2631,  2632,  2633,   429,   454,   375,   454,
     377,   454,  1412,  1413,  1414,   312,   439,   384,  1418,  1419,
    1420,  1421,  1422,  1423,  1424,  1425,  1426,  1427,  1428,  1429,
    1430,  1431,   450,   431,   401,    68,     3,   451,   335,   451,
    1889,  1890,  1891,  1892,   426,   427,   428,   414,   451,   346,
     450,   418,   416,   420,   421,   422,   450,   424,   454,   249,
     250,   251,   252,   253,   254,   432,   256,   257,   258,   259,
      88,    89,    90,    91,    92,    93,  1660,   409,   410,   411,
     412,   448,   191,   192,   193,   194,   260,   261,   262,   454,
       3,   265,   454,   454,   268,   269,   270,   271,   272,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   454,   314,
     315,  2663,  2664,  2665,   319,   454,   454,   322,   323,   324,
     454,   418,   450,   420,  2666,  2667,  2668,   424,   425,   426,
     427,   428,   429,   430,   450,   168,   169,   454,   171,   352,
     353,   354,   355,   356,   357,   288,   289,   290,   291,   454,
     454,   364,   365,   566,   567,   568,   569,   570,   571,   456,
     303,   304,   305,   306,   579,   580,   581,   582,   583,   584,
     467,   454,   454,   347,   348,   349,   350,  2659,  2660,  2661,
    2662,   478,   479,   480,   481,   482,   483,   778,   779,   780,
     781,   782,   783,   784,   785,   786,   787,   788,  1598,   454,
     413,  2747,  2748,  2749,  2750,  2751,  2752,  2753,  2754,  2755,
    2756,  2757,  2758,  2759,  2760,  2761,  2762,  2763,  2764,  2765,
    2766,  2767,  2768,  2769,  2770,  2771,  2772,  2773,  2774,  2775,
    2698,  2699,  2700,   407,   327,   328,   329,   330,   331,   332,
     333,   415,   507,   508,   509,   510,   511,   512,   513,   514,
     515,  3046,   572,   573,   574,   575,   576,   577,   578,   433,
     210,   211,   212,   213,   380,  2634,  2635,  2636,  2637,  2638,
    2639,  2640,  2641,  2642,  2643,  2644,  2645,  2646,  2647,  2648,
    2649,  2650,  2651,  2652,  2653,  2728,  2729,  2730,  2731,  2732,
    2733,  2734,  2735,  2736,  2737,  2738,  2739,  2740,  2741,  2742,
    1454,  1455,  1456,  1457,  1458,  1459,  1460,  1461,  1618,  1619,
    1620,  1621,  1622,  1623,  1624,  1625,  1626,  1627,  1628,  1629,
    1630,  1631,  2701,  2702,  2703,  1433,  1434,  1435,  1436,  2616,
    2617,  2618,  2619,  2620,  2621,  2622,  2623,  2624,  2625,  2626,
    2627,  2628,  2629,  1451,  1452,  1453,  2714,  2715,  2716,  2717,
    2718,  2719,  2720,  2721,  2722,  2723,  2724,  2725,  2726,  2727,
    2349,  2350,  2351,  2352,  2353,  2354,  2355,  2356,  2357,  2358,
    2359,  2360,  2361,  2362,  2678,  2679,  2680,  2681,  2682,  2683,
    2684,  2685,  2686,  2687,   454,   812,   813,   814,   815,   816,
     817,   818,   819,   820,  2704,  2705,  2706,  2707,  2708,  2709,
    2710,  2711,  2712,  2808,  2809,  2810,  2811,  2812,  2813,  2814,
    2815,  2816,   105,   106,   107,   108,   109,   110,   111,   112,
    2776,  2777,  2778,  2779,  2780,  2781,  2782,  2793,  2794,  2795,
    2796,  2797,  2798,  2799,  2672,  2673,  2674,  2675,  2676,  2677,
      68,    69,    70,    71,    72,  2654,  2655,  2656,  2657,  2658,
     454,  2688,  2689,  2690,  2691,   454,  2692,  2693,  2694,  2695,
    2819,  2820,  2821,  2822,  2743,  2744,  2745,  2746,  2783,  2784,
    2785,  2786,  2804,  2805,  2806,  2807,  2126,  2127,  2128,   454,
       3,   454,     4,     3,   450,     4,     3,     3,   450,     4,
       3,   450,     4,   450,   450,   450,     4,   451,   450,   450,
     453,   450,   450,   450,   450,   450,     3,   450,     4,   453,
     451,     4,   454,   453,   453,   453,   453,   453,   453,   453,
       4,   454,   454,   454,   454,   454,   454,   454,   454,   454,
     454,     3,     3,     3,   453,     4,   454,   454,   454,   454,
     454,     4,   454,   454,   454,   454,   453,   453,   453,   453,
     453,   453,   451,   451,   451,   451,   451,   451,   451,   451,
     451,   451,   451,   451,   451,   451,   451,   451,   451,   451,
     392,     4,   453,   453,   453,   453,   453,   453,   453,   453,
     453,   453,   453,   453,   453,   453,   453,   453,   453,   453,
     453,   453,   453,   453,   453,   453,   453,   453,   453,   453,
     453,     4,   454,     3,     3,   450,   453,   453,     4,   453,
     453,   453,   453,   453,   453,   453,   160,   454,   454,   454,
     454,   451,   451,   451,   451,   450,   450,   450,     3,   450,
     450,   450,   450,     4,   451,     3,   104,     4,     3,   455,
     455,   455,   455,   455,   455,   455,   455,   455,   455,   455,
     455,   455,   453,   455,   450,   455,   455,   455,   453,   451,
     453,     3,   453,   453,   453,   453,   453,   453,   453,   453,
     453,   453,   451,   453,     4,   453,   453,   453,   453,   453,
     453,   453,   453,   453,   453,   453,   453,   453,   453,   451,
     451,   451,   451,   451,   451,   451,   451,   451,   451,   451,
     451,   451,   451,   451,   451,   451,     3,    67,     4,   454,
     454,   454,   454,   454,   454,   454,   454,   454,   454,   454,
     454,     3,     3,   454,   454,   454,   454,   454,     3,   454,
     454,   454,   454,   454,   454,   454,   454,   454,   454,   454,
     454,   454,     4,   453,     4,   454,     3,     3,   454,     4,
     454,     3,   454,   454,     4,   455,   454,   454,   454,   454,
       3,   451,   454,   454,     4,     4,   453,   453,   453,   453,
       4,   454,     4,     4,   453,   453,   453,   453,   453,   453,
     453,   453,   453,   453,   453,   453,   453,   453,   453,   453,
     453,   450,   454,   451,   451,   450,   450,     4,   451,   450,
     450,   450,   454,   451,   451,   451,   451,   450,   450,   453,
     451,   450,   450,   453,   451,   451,   451,     3,     3,   451,
     453,   455,   453,   453,     3,     3,   455,   453,   453,   453,
     453,   453,   451,     3,   455,     4,   453,   453,   453,   453,
     453,     3,   453,     4,   453,   453,   453,     4,   450,   455,
     455,   455,   453,   453,   453,   453,   453,   453,   453,   453,
     453,   453,   453,   453,   453,   453,   453,   453,   453,   453,
     453,   453,   453,   453,   453,   453,   453,   453,   451,   453,
     455,   453,   453,   453,   453,   453,   453,   453,   453,   453,
     453,   453,   453,   453,     3,   454,   454,   454,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
     451,     4,     3,     3,   451,     4,     4,     4,   454,     3,
     454,     4,     4,     4,   451,   451,   451,   451,     4,     4,
     451,     4,   454,   453,   453,   453,   453,   453,   453,   453,
     453,   453,   453,   453,   453,   453,   453,   450,   453,   451,
     451,    20,     4,   453,   453,   453,   451,   453,   455,   453,
     450,   453,   453,     4,   453,   453,     4,   174,   455,     4,
       4,   175,     4,     4,     4,     4,     4,     4,     4,     4,
       4,   190,     4,     4,   190,   199,     4,     4,     4,     4,
     190,   190,   190,   190,     4,     4,     4,     4,     4,   400,
     302,     4,   326,     4,   378,   419,     4,     4,     4,   379,
       4,     4,     4,   453,     4,     4,   102,   102,     4,     4,
     454,     4,   454,   453,   453,     4,     4,   453,   451,   451,
     454,     4,     4,   454,     4,   454,   454,   454,   454,   454,
       4,   454,   454,   454,   454,   454,   454,   454,   454,   454,
     454,   454,     4,     4,   454,   454,   454,   454,   454,   454,
     454,   454,   454,   454,     4,   454,   454,   454,  1920,  1921,
     454,   454,  1924,  1925,  1926,  1927,  1928,   454,     4,   454,
       4,   454,   454,  1935,  1936,  1937,  1938,  1939,  1940,   454,
     454,  1943,   454,   454,  1946,   454,   454,     4,     4,   454,
     454,   454,  1954,  1955,   454,   454,  1958,  1959,     4,   454,
       4,  1963,     4,     4,  1966,  1967,   454,  1969,   454,     4,
    1972,  1973,  1974,   454,  1976,  1977,  1978,  1979,   454,   454,
       4,   454,     4,  1985,  1986,  1987,   454,     4,     4,     4,
    1992,  1993,  1994,  1995,     4,   454,   454,   454,   454,   454,
     454,  2003,     4,   454,     4,     4,   454,  2009,  2010,  2011,
       4,  2013,  2014,  2015,  2016,   454,   454,   454,  2020,  2021,
    2022,  2023,   454,   454,   454,   454,   454,  2029,  2030,  2031,
    2032,   454,  2826,   454,   454,  2037,   454,     4,   454,  2041,
    2042,   454,   454,  2045,   454,   454,   454,   454,  2050,   454,
    2052,   454,   454,   454,   454,  2057,   454,   454,     4,     4,
     454,   454,   454,   454,   454,     4,     4,   454,  2070,  2071,
     454,  2073,   454,   454,     4,     4,   454,   454,  2080,  2081,
    2082,   454,     4,   453,  2086,   454,  2088,  2089,  2090,  2091,
       4,   454,   454,   454,   454,     4,   454,     4,   450,   454,
     587,   454,   453,  1899,  1465,  1285,   855,   453,   453,   453,
     453,   453,   453,   453,  2121,   454,   454,   454,   454,   454,
     454,   454,   454,   454,   454,   454,   454,   454,   454,   454,
     454,   454,   453,   453,     3,   453,   453,   453,     4,     4,
       4,     4,   898,  2114,   904,   849,  2630,  2671,  2713,  2817,
    2789,  2818,  2790,  2823,    -1,    -1,    -1,   923,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    62,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   413,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   453,    -1,    -1,    -1,    -1,    -1,   102,    -1,    -1,
      -1,    -1,    -1,   453,   453,   453,   453,    -1,    -1,   453,
      -1,   453,   453,   453,    -1,   450,   454,   454,   454,   453,
     453,   450,   453,   451,   450,   450,   450,   450,    -1,   450,
     450,   450,   450,   450,    -1,   451,   450,   450,   450,   454,
     450,   450,    -1,   450,   450,    -1,    -1,   450,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   450,    -1,    -1,
     450,   450,    -1,    -1,    -1,    -1,   450,   450,   450,    -1,
     451,    -1,    -1,    -1,  3044,    -1,   451,    -1,   450,   453,
     450,   450,    -1,    -1,    -1,  3055,    -1,    -1,   453,   450,
      -1,    -1,    -1,    -1,    -1,   453,   453,    -1,    -1,   453,
      -1,   453,   453,   453,    -1,    -1,   453,   453,   453,   453,
      -1,    -1,   453,    -1,   453,   453,   453,   453,   453,    -1,
     453,   453,   453,   453,   453,   453,   453,   453,   453,   453,
     453,    -1,    -1,   453,   453,   453,   453,   453,   453,   453,
     453,   453,   453,    -1,   453,   453,   453,   453,   453,   453,
     453,   453,   453,   453,   453,   453,   453,    -1,   453,    -1,
     453,   453,   453,   453,   453,   453,   453,   453,   453,   453,
     453,   453,   453,   453,   453,   453,    -1,    -1,   453,   453,
     453,   453,   453,   453,   453,   453,   453,    -1,   453,    -1,
     453,    -1,    -1,   453,   453,   453,   453,   453,    -1,   453,
     453,   453,   453,   453,   453,   453,   453,   453,   453,    -1,
     453,    -1,   453,   453,   453,   453,    -1,    -1,    -1,   453,
     453,   453,   453,    -1,   453,   453,   453,   453,   453,   453,
     453,    -1,   453,    -1,    -1,   453,   453,   453,   453,    -1,
    2824,  2825,   453,   453,   453,   453,   453,   453,   453,   453,
     453,   453,   453,   453,   453,   453,   453,   453,   453,   453,
     453,   453,   453,   453,   453,   453,    -1,   453,   453,   453,
     453,   453,   453,   453,   453,   453,   453,   453,   453,   453,
     453,   453,   453,   453,   453,   453,   453,    -1,    -1,   453,
     453,   453,   453,   453,    -1,    -1,   453,   453,   453,   453,
     453,   453,   453,    -1,    -1,   453,   453,   453,   453,   453,
     453,    -1,   453,   453,   453,   453,   453,   453,   453,    -1,
     453,   453,   453,   453,    -1,   453,    -1,   453,   453,   453,
     453,   453,   453,   453,   453,   453,   453,   453,   453,   453,
     453,   453,   453,   453,   453,   453,   453,   450,    -1,   453,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3051
};

/* YYSTOS[STATE-NUM] -- The symbol kind of the accessing symbol of
   state STATE-NUM.  */
static const yytype_int16 yystos[] =
{
       0,   457,   458,     0,   156,   451,   452,   451,   452,   451,
     453,   459,     5,     6,    57,    59,    64,    66,    85,    87,
      94,   346,   376,   388,   430,   460,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     7,
       8,    10,    29,    30,    31,    32,    33,    34,    35,   255,
     287,   309,   351,   368,   382,   399,   417,   429,   439,   479,
     461,    13,    14,   396,   397,   598,   469,   463,   465,   467,
      88,    89,    90,    91,    92,    93,   715,    95,    99,   100,
     101,   739,    88,    89,    90,    91,    92,    93,   722,   471,
     387,   477,   473,   454,     3,     3,   454,   454,   454,   454,
     454,   454,     3,     3,     3,   454,     3,   454,   454,   454,
     454,   454,   454,     4,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,   247,   296,
     297,   298,   313,   391,   564,   454,   454,   454,   454,     4,
      58,   704,    65,   608,    67,    84,   275,   638,    86,   695,
     454,   454,   454,   454,   454,   454,     4,   454,   454,   454,
     454,     4,   454,   454,   454,   454,   454,   454,     4,   450,
     475,   454,     4,   431,  1158,   450,   489,    13,    14,   513,
     451,   451,   451,    36,    37,   450,    11,    12,   747,    39,
      40,    41,    42,   158,   159,   539,   490,   288,   289,   290,
     291,   303,   304,   305,   306,   551,   747,   352,   353,   354,
     355,   356,   357,   364,   365,   413,   729,   747,   747,   747,
     416,   747,   450,   460,   454,   454,   454,   454,   454,   454,
     454,   454,   454,   454,   454,   454,   454,   454,   454,   454,
     454,   454,     3,     3,   462,   450,   450,   185,   186,   341,
     185,   186,   341,   398,   460,     3,     4,     3,     4,     3,
       3,   454,     4,     3,     4,   450,   450,   450,   450,   450,
     450,   460,    40,    96,    97,    98,   451,   450,   747,   460,
     450,   450,   450,   450,   450,   450,   460,   453,     4,   747,
     460,     3,     4,   453,   451,   511,   514,   515,     4,   453,
     453,   453,   453,   453,   453,   453,   454,   454,   454,   454,
     454,   454,     4,    43,    46,    59,   249,   250,   251,   252,
     253,   254,   256,   257,   258,   259,   497,   454,   454,   454,
     454,   454,     3,     3,     3,     4,   453,   454,   454,   454,
     454,   454,   454,   454,   454,   454,     4,   453,   453,   453,
     453,   453,   453,   451,   451,   451,   451,   451,   451,   451,
     451,   451,   451,   451,   451,   451,   451,   451,   451,   451,
     451,   583,   392,   592,     4,   453,   453,   453,   453,   453,
     453,   453,   453,   453,   705,   470,   609,   464,   639,   641,
     747,   466,   696,   468,   453,   453,   453,   453,   453,   453,
     453,   453,   453,   453,   453,   453,   453,   453,   453,   453,
     453,   453,   453,   476,   472,   453,  1159,   474,   480,   454,
       4,     3,     3,   479,   481,   482,   483,   484,   485,   486,
     488,    36,    37,    38,   157,    36,    37,   157,   747,   747,
     450,   450,   479,   453,   453,   453,   453,   453,   453,   453,
     453,   453,   454,   454,   454,   454,     4,   451,   451,   451,
      68,   292,   451,   558,   560,   562,   479,   491,   450,   450,
     450,   450,   450,   747,   450,   450,   451,   479,   492,   494,
     495,   493,   487,   496,   455,   455,   455,   455,   455,   455,
     455,   455,   455,   455,   455,   455,   455,   453,   455,   455,
     455,   455,   160,   585,     3,     4,   460,   599,   600,   602,
     601,   603,   605,   604,   607,   606,    60,    61,    62,    63,
     160,   707,   460,    60,    61,    63,    65,   160,   611,   460,
      22,    61,    73,    74,    75,    76,    77,   161,   162,   163,
     260,   261,   262,   265,   268,   269,   270,   271,   272,   347,
     348,   349,   350,   407,   415,   433,   649,   450,   644,   453,
     460,    61,    62,    63,   698,   460,   716,   717,   718,   719,
     720,   721,   741,   740,   742,   743,   744,   745,   746,   723,
     724,   725,   726,   727,   728,   475,   460,   478,    65,   175,
     197,   205,   206,  1161,   460,   479,   451,   479,    15,    16,
      17,    18,    19,   246,   386,   516,   516,   479,   479,   479,
     479,   479,   479,   479,   453,   453,   453,   453,   453,   453,
     453,   453,   453,   453,   453,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   747,   747,   451,   747,   479,   453,
     453,   453,   453,   453,   453,   104,   629,   629,   629,   479,
     453,   453,   453,   453,   453,   453,   453,   453,   453,   479,
     479,   479,   479,   479,   479,   451,   451,   451,   451,   451,
     451,   451,   451,   451,   451,   451,   451,   451,   579,   451,
     451,   451,   451,     3,     4,   593,   564,   598,   598,   598,
     598,   598,   598,   598,   598,   598,   454,   454,     3,     3,
     454,     4,   454,   454,     3,   454,   454,     4,   454,   454,
     454,   454,   454,     3,     3,   454,   454,   454,   454,   454,
       3,   454,   454,   454,   454,   454,   454,   454,   454,   454,
     454,   454,   454,   454,     4,   453,     4,   643,   454,     3,
       3,     4,   715,   715,   715,   715,   715,   715,   739,   739,
     739,   739,   739,   739,   739,   722,   722,   722,   722,   722,
     722,   477,   454,   454,     3,   454,   454,     4,   455,   454,
     454,   454,   454,     3,   454,   454,     4,     4,   540,   541,
     542,   543,   546,   547,   548,   545,   550,   544,   549,   497,
     497,   497,   497,   497,   497,   497,   497,   497,   453,   453,
     453,   453,   552,   553,   554,   555,   556,   557,   454,     4,
       4,     4,   730,   731,   734,   735,   736,   737,   732,   733,
     738,   453,   453,   453,   453,   453,   453,   453,   453,   453,
     453,   453,   453,   453,   564,   453,   453,   453,   453,   586,
     584,    20,   160,   595,   451,   450,   711,   713,   451,   706,
     451,   450,   616,   450,   451,   610,    68,    69,    70,    71,
      72,   679,   450,   747,   747,   450,   654,    78,    79,    80,
      81,    82,   308,   680,   747,   747,   747,   450,   747,    67,
     646,    98,   266,   267,   273,   451,   451,   451,   451,   450,
     747,   450,   747,   747,   747,   747,   451,   640,   645,   642,
     638,   450,   700,   702,   697,   450,    80,   176,  1179,    20,
      21,    22,    23,    24,    26,    27,    28,   243,   244,   363,
     207,   208,   209,  1160,   451,   747,   451,   747,   451,   521,
     747,   747,   513,   513,   539,   539,   539,   539,   539,   539,
     539,   539,   539,   539,   539,   507,   508,   509,   510,   551,
     551,   551,   551,   551,   551,   105,   106,   107,   108,   109,
     110,   111,   112,   559,   561,   563,   729,   729,   729,   729,
     729,   729,   729,   729,   729,   565,   566,   567,   572,   573,
     569,   568,   571,   570,   575,   574,   577,   576,   578,   580,
     581,   582,    20,    68,   191,   588,   564,   454,   454,     4,
     453,   453,     9,    83,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   214,   242,   263,
     264,   276,   282,   293,   299,   300,   301,   310,   311,   325,
     334,   336,   369,   375,   377,   384,   401,   414,   418,   420,
     421,   422,   424,   432,   448,   693,   748,   749,   766,   768,
     770,   772,   774,   778,   780,   782,   788,   811,   813,   815,
     817,   819,   821,   823,   825,   827,   829,   837,   844,   846,
     852,   858,   860,   865,   869,   878,   880,   882,   884,   886,
     899,   906,   913,   918,   924,   930,   942,   949,   953,   970,
     988,   990,   997,  1029,  1031,  1033,  1035,  1045,  1052,  1056,
    1061,  1063,  1067,  1071,  1073,  1078,  1088,  1104,  1121,  1123,
    1130,  1142,  1146,  1148,  1150,  1152,  1156,  1185,  1187,    68,
     103,   618,   455,   704,   453,   453,   618,   453,   455,   608,
     453,   453,   453,   453,   453,   451,   677,     3,     3,     3,
       3,   451,     3,     4,   453,   453,   453,   453,   453,     3,
       4,   453,   453,   453,   453,   455,   455,   455,   455,   453,
     453,   453,   453,   453,   453,   453,   453,   638,   644,   638,
     453,   693,   618,   695,   453,   453,   453,    75,   190,  1181,
     453,   453,   453,   453,   453,   453,   453,   453,   453,   453,
     453,   453,   453,   453,  1158,   455,   453,   453,   453,   453,
      20,    21,    22,    23,    24,    25,    26,    27,    28,   243,
     244,   245,   358,   363,   524,   453,   453,   497,   497,   497,
     497,   453,   453,   453,   453,   453,   453,   453,   453,   551,
     551,   551,   564,   564,   564,   564,   564,   564,   564,   564,
     564,   564,   564,   564,   564,   564,   564,   564,   564,   454,
     454,   454,     4,   450,   451,   594,   708,   709,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     4,   693,     3,     3,     4,   451,   612,   613,     4,
     615,   451,   650,   651,   653,   655,   652,   454,     4,   681,
     683,   685,   687,     3,   691,   649,   656,   657,   658,   659,
     660,   647,   649,   668,   666,   667,   669,   451,   451,   451,
     451,   665,   671,   670,   672,   673,   674,   675,   676,   699,
       4,     4,  1162,  1177,  1178,   454,   454,     4,  1163,  1164,
    1168,  1172,  1169,  1166,  1165,  1167,  1170,  1171,  1176,  1173,
    1174,  1175,   451,   517,   518,   519,   520,   453,   453,   453,
     453,   453,   453,   453,   453,   453,   453,   453,   453,   453,
     453,     4,   522,   523,   630,   631,   632,   633,   634,   635,
     636,   637,   450,   451,   451,   587,   453,   453,   592,   707,
     707,   750,   694,   767,   769,   771,   773,   775,   779,   781,
     783,   789,   812,   814,   816,   818,   820,   822,   824,   826,
     828,   830,   838,   845,   847,   853,   859,   861,   866,   870,
     879,   881,   883,   885,   887,   900,   907,   914,   919,   925,
     931,   950,   954,   971,   989,   991,   998,  1030,  1032,  1034,
    1036,  1046,  1057,  1062,  1064,  1068,  1072,  1074,  1079,  1089,
    1122,  1124,  1131,  1053,  1143,   943,  1105,  1147,  1149,  1151,
    1153,  1157,  1186,  1188,   712,   619,   623,   714,   453,   611,
     611,   617,   611,   453,   649,   649,   649,   649,   649,   451,
     649,   693,   693,   693,   693,   689,    20,   649,   649,   649,
     649,   649,   649,   649,   649,   649,   649,   453,   453,   453,
     453,   649,   649,   649,   649,   649,   649,   649,   649,   698,
     701,   703,  1161,  1161,  1161,   450,   210,   211,  1180,  1161,
    1161,  1161,  1161,  1161,  1161,  1161,  1161,  1161,  1161,  1161,
    1161,  1161,  1161,   453,   516,   516,   516,   516,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   516,   516,   516,   629,   629,   629,   629,   629,
     629,   629,   629,   453,   455,   455,   585,   597,   596,   164,
     165,   166,   167,   170,   172,   173,   274,   374,   383,   751,
       4,     4,     4,     4,     4,   174,   776,     4,     4,   175,
     784,   178,   179,   180,   181,   182,   183,   184,   187,   189,
     402,   408,   423,   790,     4,     4,     4,     4,     4,     4,
       4,     4,     4,    72,   190,   831,   190,   839,     4,   197,
     434,   438,   848,   197,   434,   438,   854,     4,   190,   862,
     199,   867,   190,   200,   201,   871,     4,     4,     4,     4,
       5,   167,   170,   172,   183,   274,   888,   248,   286,   335,
     367,   901,   190,   908,   190,   915,   181,   183,   202,   920,
     190,   926,    23,   166,   183,   203,   204,   444,   932,   190,
     951,   205,   206,   955,   183,   190,   197,   314,   315,   319,
     322,   323,   324,   972,     4,   166,   183,   203,   204,   992,
      22,   217,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   236,   237,   238,   239,   240,   241,   379,   999,     4,
       4,     4,   183,   277,   278,   279,   280,   281,   366,  1037,
     183,   283,   284,  1047,   294,   295,  1058,     4,   400,  1065,
     302,  1069,     4,   217,   312,  1075,   326,  1080,    43,    46,
      59,   249,   250,   251,   252,   253,   254,   256,   257,   258,
     259,  1090,     4,   190,   373,  1125,   425,   440,   443,   447,
     449,  1132,   378,  1054,   419,  1144,   166,   183,   203,   204,
     944,    20,    21,    22,    23,    24,    25,    26,    27,    28,
     243,   244,   245,   358,   363,  1106,     4,     4,     4,   379,
    1154,     4,     4,     4,   707,   102,   102,   707,   710,   611,
     614,   453,     4,     4,     4,     4,   693,   454,     4,   661,
     662,   663,   664,   698,   698,   453,   453,   453,  1161,   512,
     524,   524,   524,   524,   524,   524,   524,   524,   524,   524,
     524,   524,   524,   524,   591,   451,   451,   595,   595,   454,
     454,   454,   454,   454,   454,   454,   454,   454,   454,     4,
     693,   454,     4,   454,     4,   454,   454,   454,   454,   454,
     454,   454,   454,   454,   454,   454,   454,     4,   454,   454,
       4,   454,     4,   454,   454,   454,     4,   454,   454,   454,
       4,   454,     4,   454,     4,   454,   454,   454,     4,   454,
     454,   454,   454,   454,   454,     4,   454,   454,   454,   454,
       4,   454,     4,   454,     4,   454,   454,   454,     4,   454,
       4,   454,   454,   454,   454,   454,   454,     4,   454,     4,
     454,   454,     4,   454,   454,   454,   454,   454,   454,   454,
     454,   454,     4,   454,   454,   454,   454,     4,   454,   454,
     454,   454,   454,   454,   454,   454,   454,   454,   454,   454,
     454,   454,   454,   454,   454,   454,     4,   454,   454,   454,
     454,   454,   454,   454,     4,   454,   454,   454,     4,   454,
     454,     4,   454,     4,   454,     4,   454,   454,     4,   454,
       4,   453,   453,   453,   453,   453,   453,   453,   453,   453,
     454,   454,   454,   454,     4,   454,   454,     4,   454,   454,
     454,   454,   454,     4,   454,     4,   454,     4,   454,   454,
     454,   454,     4,   453,   453,   453,   453,   453,   453,   453,
     453,   453,   453,   453,   453,   453,   453,     4,   454,     4,
     454,   454,   707,   611,   678,   682,   684,   686,   688,     4,
     450,   648,   649,   649,   649,   649,  1182,  1183,  1184,   511,
     588,   453,   453,   450,   747,   747,    33,    68,   168,   169,
     171,   450,   747,   747,   747,   747,   747,   451,    80,   176,
     177,   747,   747,   747,   747,   747,   747,    68,   185,   186,
      68,   188,   747,   185,   186,   403,   409,   410,   411,   412,
     747,   450,   191,   192,   193,   194,    13,    14,   195,   196,
     450,   747,   747,   450,   747,   747,    68,   198,   747,    13,
      14,   195,   196,   747,   747,   747,    33,    68,   168,   169,
     171,   450,   747,   747,   747,   747,   747,   747,   747,    13,
      14,   195,   196,    13,    14,   747,   747,   747,   404,   405,
     406,   450,   747,   747,   747,   747,   321,   341,   445,   446,
     450,    20,    21,    22,    23,    24,    26,    27,    28,   243,
     244,   363,   207,   208,   209,   747,   210,   211,   212,   213,
     450,   450,   316,   317,   318,   320,   321,   747,   747,   747,
     747,   747,   747,   747,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   380,   450,   747,   747,   747,   747,   451,
     450,   450,   450,   233,   234,   235,   747,   747,   747,   747,
     450,   450,   450,   747,   450,   450,   450,   747,   747,   450,
     747,   450,   191,   267,   450,   747,   747,   450,   450,   747,
     327,   328,   329,   330,   331,   332,   333,  1091,  1092,  1093,
    1094,  1095,  1096,  1097,  1098,  1099,   747,   747,   451,   747,
     370,   371,   372,   451,   426,   427,   428,   318,   441,   442,
     747,   747,   747,   450,   747,   747,   747,   747,   747,  1107,
    1108,  1109,  1110,  1111,  1112,  1113,  1114,  1115,  1116,  1117,
    1118,  1119,  1120,   450,   450,   450,   677,   680,   680,   680,
     680,   690,   453,   646,  1181,  1181,  1181,   589,   590,   453,
     453,   453,   453,   453,   453,   453,   453,   453,   453,   453,
     453,   453,   453,   453,   453,   453,   453,   453,   453,   453,
     453,   453,   453,   453,   453,   453,   453,   453,   453,   453,
     453,   453,   453,   453,   453,   453,   453,   453,   453,   453,
     453,   453,   453,   453,   453,   453,   453,   453,   453,   453,
     453,   453,   453,   453,   453,   453,   453,   453,   453,   453,
     453,   453,   453,   453,   453,   453,   453,   453,   453,   453,
     453,   453,   453,   453,   453,   453,   453,   453,   453,   453,
     453,   453,   453,   453,   453,   453,   453,   453,   453,   453,
     453,   453,   453,   453,   453,   453,   453,   453,   453,   453,
     453,   453,   453,   453,   453,   453,   453,   453,   453,   453,
     453,   453,   453,   453,   453,   453,   453,   453,   453,   453,
     453,   453,   453,   453,   453,   453,   453,   453,   453,   453,
     453,   453,   453,   453,   453,   453,   453,   453,   453,   453,
     453,   453,   453,   453,   453,   453,   453,   453,   453,   453,
     453,   453,   453,   453,   453,   453,   453,   453,   453,   453,
     453,   453,   453,   453,   453,   453,   453,   453,   453,   453,
     453,   453,   453,   453,   453,   453,   453,   453,   453,   453,
     453,   453,   453,  1090,  1090,  1090,  1090,  1090,  1090,  1090,
    1090,  1090,   453,   453,   453,   453,   453,   453,   453,   453,
     453,   453,   453,   453,   453,   453,   453,   453,   453,   453,
     453,   453,   453,   453,   453,  1106,  1106,  1106,  1106,  1106,
    1106,  1106,  1106,  1106,  1106,  1106,  1106,  1106,  1106,   453,
     453,   453,   680,    62,   588,   588,   752,   753,   754,   755,
     759,   756,   757,   758,   760,   761,   762,   763,   764,   765,
     777,   785,   786,   787,   791,   792,   793,   794,   795,   796,
     799,   797,   798,   800,   801,   802,   805,   803,   804,   807,
     808,   809,   806,   810,   832,   833,   834,   835,   836,   840,
     841,   842,   843,   849,   850,   851,   855,   856,   857,   863,
     864,   868,   872,   873,   874,   875,   876,   877,   895,   889,
     893,   890,   891,   892,   894,   897,   896,   898,   902,   903,
     904,   905,   909,   910,   911,   912,   916,   917,   921,   923,
     922,   927,   928,   929,   941,   935,   936,   933,   934,   938,
     937,   939,   940,   952,   956,   957,   961,   965,   962,   959,
     958,   960,   963,   964,   969,   966,   967,   968,   973,   974,
     975,   976,   977,   978,   979,   980,   981,   982,   984,   983,
     985,   986,   987,   995,   996,   993,   994,  1000,  1001,  1002,
    1003,  1004,  1005,  1006,  1007,  1008,  1009,  1015,  1010,  1011,
    1012,  1013,  1014,  1016,  1017,  1018,  1019,  1020,  1021,  1022,
    1023,  1024,  1025,  1026,  1027,  1028,  1038,  1039,  1040,  1041,
    1042,  1043,  1044,  1048,  1049,  1050,  1051,  1059,  1060,  1066,
    1070,  1077,  1076,  1081,  1082,  1083,  1084,  1085,  1086,  1087,
    1100,  1101,  1102,  1103,  1126,  1127,  1128,  1129,  1133,  1134,
    1135,  1136,  1137,  1138,  1139,  1140,  1141,  1055,  1145,   947,
     948,   945,   946,  1155,   620,   624,     3,   751,   751,   751,
     751,   751,   751,   751,   751,   751,   751,   751,   751,   751,
     751,   776,   784,   784,   784,   790,   790,   790,   790,   790,
     790,   790,   790,   790,   790,   790,   790,   790,   790,   790,
     790,   790,   790,   790,   790,   831,   831,   831,   831,   831,
     839,   839,   839,   839,   848,   848,   848,   854,   854,   854,
     862,   862,   867,   871,   871,   871,   871,   871,   871,   888,
     888,   888,   888,   888,   888,   888,   888,   888,   888,   901,
     901,   901,   901,   908,   908,   908,   908,   915,   915,   920,
     920,   920,   926,   926,   926,   932,   932,   932,   932,   932,
     932,   932,   932,   932,   951,   955,   955,   955,   955,   955,
     955,   955,   955,   955,   955,   955,   955,   955,   955,   972,
     972,   972,   972,   972,   972,   972,   972,   972,   972,   972,
     972,   972,   972,   972,   992,   992,   992,   992,   999,   999,
     999,   999,   999,   999,   999,   999,   999,   999,   999,   999,
     999,   999,   999,   999,   999,   999,   999,   999,   999,   999,
     999,   999,   999,   999,   999,   999,   999,  1037,  1037,  1037,
    1037,  1037,  1037,  1037,  1047,  1047,  1047,  1047,  1058,  1058,
    1065,  1069,  1075,  1075,  1080,  1080,  1080,  1080,  1080,  1080,
    1080,  1090,  1090,  1090,  1090,  1125,  1125,  1125,  1125,  1132,
    1132,  1132,  1132,  1132,  1132,  1132,  1132,  1132,  1054,  1144,
     944,   944,   944,   944,  1154,   629,   629,   693,   621,   625,
       4,     4,   102,     4,   622,   454,   692,   618,   450,   680,
     453,   626,   629,   627,     4,   628,   618
};

/* YYR1[RULE-NUM] -- Symbol kind of the left-hand side of rule RULE-NUM.  */
static const yytype_int16 yyr1[] =
{
       0,   456,   458,   459,   457,   460,   461,   462,   460,   460,
     463,   464,   460,   465,   466,   460,   467,   468,   460,   469,
     470,   460,   460,   460,   460,   460,   471,   472,   460,   473,
     474,   460,   460,   476,   475,   475,   478,   477,   477,   480,
     479,   481,   479,   482,   479,   483,   479,   479,   484,   479,
     485,   479,   486,   479,   487,   479,   488,   479,   479,   489,
     479,   490,   479,   479,   491,   479,   492,   479,   493,   479,
     494,   479,   495,   479,   479,   496,   479,   479,   498,   497,
     499,   497,   500,   497,   501,   497,   502,   497,   503,   497,
     504,   497,   505,   497,   506,   497,   507,   497,   508,   497,
     509,   497,   510,   497,   497,   512,   511,   511,   514,   513,
     515,   513,   513,   517,   516,   518,   516,   519,   516,   520,
     516,   521,   516,   522,   516,   523,   516,   516,   525,   524,
     526,   524,   527,   524,   528,   524,   529,   524,   530,   524,
     531,   524,   532,   524,   533,   524,   534,   524,   535,   524,
     536,   524,   537,   524,   538,   524,   524,   540,   539,   541,
     539,   542,   539,   543,   539,   544,   539,   545,   539,   546,
     539,   547,   539,   548,   539,   549,   539,   550,   539,   539,
     552,   551,   553,   551,   554,   551,   555,   551,   556,   551,
     557,   551,   558,   559,   551,   560,   561,   551,   562,   563,
     551,   551,   565,   564,   566,   564,   567,   564,   568,   564,
     569,   564,   570,   564,   571,   564,   572,   564,   573,   564,
     574,   564,   575,   564,   576,   564,   577,   564,   578,   564,
     579,   564,   580,   564,   581,   564,   582,   564,   583,   584,
     564,   564,   564,   586,   587,   585,   585,   589,   588,   590,
     588,   591,   588,   588,   593,   594,   592,   592,   596,   595,
     597,   595,   595,   599,   598,   600,   598,   601,   598,   602,
     598,   603,   598,   604,   598,   605,   598,   606,   598,   607,
     598,   598,   609,   610,   608,   608,   612,   611,   613,   611,
     614,   611,   615,   611,   616,   617,   611,   611,   619,   620,
     621,   622,   618,   623,   624,   625,   626,   627,   628,   618,
     618,   630,   629,   631,   629,   632,   629,   633,   629,   634,
     629,   635,   629,   636,   629,   637,   629,   629,   639,   640,
     638,   641,   642,   638,   643,   638,   638,   645,   644,   644,
     647,   648,   646,   646,   650,   649,   651,   649,   652,   649,
     653,   649,   654,   649,   655,   649,   656,   649,   657,   649,
     658,   649,   649,   659,   649,   660,   649,   649,   661,   649,
     662,   649,   663,   649,   664,   649,   665,   649,   666,   649,
     667,   649,   668,   649,   669,   649,   670,   649,   671,   649,
     672,   649,   673,   649,   674,   649,   675,   649,   676,   649,
     649,   678,   677,   677,   679,   679,   679,   679,   679,   681,
     682,   680,   683,   684,   680,   685,   686,   680,   687,   688,
     680,   689,   690,   680,   691,   692,   680,   680,   693,   693,
     693,   694,   696,   697,   695,   695,   699,   698,   700,   701,
     698,   702,   703,   698,   698,   705,   706,   704,   704,   708,
     707,   709,   707,   710,   707,   711,   712,   707,   713,   714,
     707,   707,   716,   715,   717,   715,   718,   715,   719,   715,
     720,   715,   721,   715,   715,   723,   722,   724,   722,   725,
     722,   726,   722,   727,   722,   728,   722,   722,   730,   729,
     731,   729,   732,   729,   733,   729,   734,   729,   735,   729,
     736,   729,   737,   729,   738,   729,   729,   740,   739,   741,
     739,   742,   739,   743,   739,   744,   739,   745,   739,   746,
     739,   739,   747,   747,   748,   748,   748,   748,   748,   748,
     748,   748,   748,   748,   748,   748,   748,   748,   748,   748,
     748,   748,   748,   748,   748,   748,   748,   748,   748,   748,
     748,   748,   748,   748,   748,   748,   748,   748,   748,   748,
     748,   748,   748,   748,   748,   748,   748,   748,   748,   748,
     748,   748,   748,   748,   748,   748,   748,   748,   748,   748,
     748,   748,   748,   748,   748,   748,   748,   748,   748,   748,
     748,   748,   748,   748,   748,   748,   750,   749,   752,   751,
     753,   751,   754,   751,   755,   751,   756,   751,   757,   751,
     758,   751,   759,   751,   760,   751,   761,   751,   762,   751,
     763,   751,   764,   751,   765,   751,   751,   767,   766,   769,
     768,   771,   770,   773,   772,   775,   774,   777,   776,   776,
     779,   778,   781,   780,   783,   782,   785,   784,   786,   784,
     787,   784,   784,   789,   788,   791,   790,   792,   790,   793,
     790,   794,   790,   795,   790,   796,   790,   797,   790,   798,
     790,   799,   790,   800,   790,   801,   790,   802,   790,   803,
     790,   804,   790,   805,   790,   806,   790,   807,   790,   808,
     790,   809,   790,   810,   790,   790,   812,   811,   814,   813,
     816,   815,   818,   817,   820,   819,   822,   821,   824,   823,
     826,   825,   828,   827,   830,   829,   832,   831,   833,   831,
     834,   831,   835,   831,   836,   831,   831,   838,   837,   840,
     839,   841,   839,   842,   839,   843,   839,   839,   845,   844,
     847,   846,   849,   848,   850,   848,   851,   848,   848,   853,
     852,   855,   854,   856,   854,   857,   854,   854,   859,   858,
     861,   860,   863,   862,   864,   862,   862,   866,   865,   868,
     867,   867,   870,   869,   872,   871,   873,   871,   874,   871,
     875,   871,   876,   871,   877,   871,   871,   879,   878,   881,
     880,   883,   882,   885,   884,   887,   886,   889,   888,   890,
     888,   891,   888,   892,   888,   893,   888,   894,   888,   895,
     888,   896,   888,   897,   888,   898,   888,   888,   900,   899,
     902,   901,   903,   901,   904,   901,   905,   901,   901,   907,
     906,   909,   908,   910,   908,   911,   908,   912,   908,   908,
     914,   913,   916,   915,   917,   915,   915,   919,   918,   921,
     920,   922,   920,   923,   920,   920,   925,   924,   927,   926,
     928,   926,   929,   926,   926,   931,   930,   933,   932,   934,
     932,   935,   932,   936,   932,   937,   932,   938,   932,   939,
     932,   940,   932,   941,   932,   932,   943,   942,   945,   944,
     946,   944,   947,   944,   948,   944,   944,   950,   949,   952,
     951,   951,   954,   953,   956,   955,   957,   955,   958,   955,
     959,   955,   960,   955,   961,   955,   962,   955,   963,   955,
     964,   955,   965,   955,   966,   955,   967,   955,   968,   955,
     969,   955,   955,   971,   970,   973,   972,   974,   972,   975,
     972,   976,   972,   977,   972,   978,   972,   979,   972,   980,
     972,   981,   972,   982,   972,   983,   972,   984,   972,   985,
     972,   986,   972,   987,   972,   972,   989,   988,   991,   990,
     993,   992,   994,   992,   995,   992,   996,   992,   992,   998,
     997,  1000,   999,  1001,   999,  1002,   999,  1003,   999,  1004,
     999,  1005,   999,  1006,   999,  1007,   999,  1008,   999,  1009,
     999,  1010,   999,  1011,   999,  1012,   999,  1013,   999,  1014,
     999,  1015,   999,  1016,   999,  1017,   999,  1018,   999,  1019,
     999,  1020,   999,  1021,   999,  1022,   999,  1023,   999,  1024,
     999,  1025,   999,  1026,   999,  1027,   999,  1028,   999,   999,
    1030,  1029,  1032,  1031,  1034,  1033,  1036,  1035,  1038,  1037,
    1039,  1037,  1040,  1037,  1041,  1037,  1042,  1037,  1043,  1037,
    1044,  1037,  1037,  1046,  1045,  1048,  1047,  1049,  1047,  1050,
    1047,  1051,  1047,  1047,  1053,  1052,  1055,  1054,  1054,  1057,
    1056,  1059,  1058,  1060,  1058,  1058,  1062,  1061,  1064,  1063,
    1066,  1065,  1065,  1068,  1067,  1070,  1069,  1069,  1072,  1071,
    1074,  1073,  1076,  1075,  1077,  1075,  1075,  1079,  1078,  1081,
    1080,  1082,  1080,  1083,  1080,  1084,  1080,  1085,  1080,  1086,
    1080,  1087,  1080,  1080,  1089,  1088,  1091,  1090,  1092,  1090,
    1093,  1090,  1094,  1090,  1095,  1090,  1096,  1090,  1097,  1090,
    1098,  1090,  1099,  1090,  1100,  1090,  1101,  1090,  1102,  1090,
    1103,  1090,  1090,  1105,  1104,  1107,  1106,  1108,  1106,  1109,
    1106,  1110,  1106,  1111,  1106,  1112,  1106,  1113,  1106,  1114,
    1106,  1115,  1106,  1116,  1106,  1117,  1106,  1118,  1106,  1119,
    1106,  1120,  1106,  1106,  1122,  1121,  1124,  1123,  1126,  1125,
    1127,  1125,  1128,  1125,  1129,  1125,  1125,  1131,  1130,  1133,
    1132,  1134,  1132,  1135,  1132,  1136,  1132,  1137,  1132,  1138,
    1132,  1139,  1132,  1140,  1132,  1141,  1132,  1132,  1143,  1142,
    1145,  1144,  1144,  1147,  1146,  1149,  1148,  1151,  1150,  1153,
    1152,  1155,  1154,  1154,  1157,  1156,  1159,  1160,  1158,  1158,
    1162,  1161,  1163,  1161,  1164,  1161,  1165,  1161,  1166,  1161,
    1167,  1161,  1168,  1161,  1169,  1161,  1170,  1161,  1171,  1161,
    1172,  1161,  1173,  1161,  1174,  1161,  1175,  1161,  1176,  1161,
    1177,  1161,  1178,  1161,  1179,  1180,  1161,  1161,  1182,  1181,
    1183,  1181,  1184,  1181,  1181,  1186,  1185,  1188,  1187
};

/* YYR2[RULE-NUM] -- Number of symbols on the right-hand side of rule RULE-NUM.  */
static const yytype_int8 yyr2[] =
{
       0,     2,     0,     0,    10,     5,     0,     0,     7,     5,
       0,     0,     7,     0,     0,     7,     0,     0,     7,     0,
       0,     7,     5,     5,     5,     5,     0,     0,     7,     0,
       0,     7,     0,     0,     4,     0,     0,     6,     0,     0,
       6,     0,     6,     0,     6,     0,     6,     5,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     5,     0,
       6,     0,     6,     5,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     5,     0,     6,     0,     0,     4,
       0,     4,     0,     4,     0,     4,     0,     4,     0,     4,
       0,     4,     0,     4,     0,     4,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     0,    10,     0,     0,     6,
       0,     6,     0,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     0,     4,
       0,     4,     0,     4,     0,     4,     0,     4,     0,     4,
       0,     4,     0,     4,     0,     4,     0,     4,     0,     4,
       0,     4,     0,     4,     0,     4,     0,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     0,     7,     0,     0,     7,     0,     0,
       7,     0,     0,     8,     0,     8,     0,     8,     0,     8,
       0,     8,     0,     8,     0,     8,     0,     8,     0,     8,
       0,     8,     0,     8,     0,     8,     0,     8,     0,     8,
       0,     6,     0,     8,     0,     8,     0,     8,     0,     0,
       7,     5,     0,     0,     0,     7,     0,     0,     8,     0,
       8,     0,     6,     0,     0,     0,     7,     0,     0,     6,
       0,     6,     0,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     0,     0,     7,     0,     0,     6,     0,     6,
       0,     8,     0,     6,     0,     0,     7,     0,     0,     0,
       0,     0,    13,     0,     0,     0,     0,     0,     0,    20,
       0,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     0,     0,
       7,     0,     0,     7,     0,     6,     0,     0,     4,     0,
       0,     0,     7,     0,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     5,     0,     6,     0,     6,     5,     0,     8,
       0,     8,     0,     8,     0,     8,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     0,     6,     0,     1,     1,     1,     1,     1,     0,
       0,     7,     0,     0,     7,     0,     0,     7,     0,     0,
       7,     0,     0,     8,     0,     0,    14,     0,     2,     5,
       0,     0,     0,     0,     7,     0,     0,     6,     0,     0,
       7,     0,     0,     7,     0,     0,     0,     7,     0,     0,
       6,     0,     6,     0,     8,     0,     0,     7,     0,     0,
       7,     0,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     0,     5,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     0,     4,     0,
       4,     0,     4,     0,     4,     0,     5,     0,     6,     0,
       0,     4,     0,     4,     0,     5,     0,     6,     0,     6,
       0,     6,     0,     0,     5,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     0,     4,     0,     4,
       0,     4,     0,     4,     0,     4,     0,     4,     0,     4,
       0,     4,     0,     4,     0,     5,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     0,     5,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     0,     4,
       0,     5,     0,     6,     0,     6,     0,     6,     0,     0,
       5,     0,     6,     0,     6,     0,     6,     0,     0,     4,
       0,     5,     0,     6,     0,     6,     0,     0,     5,     0,
       6,     0,     0,     5,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     0,     4,     0,
       4,     0,     4,     0,     4,     0,     5,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     0,     5,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     0,
       5,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       0,     5,     0,     6,     0,     6,     0,     0,     5,     0,
       6,     0,     6,     0,     6,     0,     0,     5,     0,     6,
       0,     6,     0,     6,     0,     0,     5,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     0,     5,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     0,     5,     0,
       6,     0,     0,     5,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     0,     5,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     0,     4,     0,     5,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     0,
       5,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       0,     4,     0,     4,     0,     4,     0,     5,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     0,     5,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     0,     5,     0,     6,     0,     0,
       5,     0,     6,     0,     6,     0,     0,     4,     0,     5,
       0,     6,     0,     0,     5,     0,     6,     0,     0,     4,
       0,     5,     0,     6,     0,     6,     0,     0,     5,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     0,     5,     0,     4,     0,     4,
       0,     4,     0,     4,     0,     4,     0,     4,     0,     4,
       0,     4,     0,     4,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     0,     5,     0,     4,     0,     4,     0,
       4,     0,     4,     0,     4,     0,     4,     0,     4,     0,
       4,     0,     4,     0,     4,     0,     4,     0,     4,     0,
       4,     0,     4,     0,     0,     4,     0,     5,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     0,     5,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     0,     5,
       0,     6,     0,     0,     4,     0,     4,     0,     4,     0,
       5,     0,     6,     0,     0,     4,     0,     0,     7,     0,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     0,     7,     0,     0,     6,
       0,     6,     0,     6,     0,     0,     4,     0,     4
};


enum { YYENOMEM = -2 };

#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab
#define YYNOMEM         goto yyexhaustedlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                    \
  do                                                              \
    if (yychar == YYEMPTY)                                        \
      {                                                           \
        yychar = (Token);                                         \
        yylval = (Value);                                         \
        YYPOPSTACK (yylen);                                       \
        yystate = *yyssp;                                         \
        goto yybackup;                                            \
      }                                                           \
    else                                                          \
      {                                                           \
        yyerror (YY_("syntax error: cannot back up")); \
        YYERROR;                                                  \
      }                                                           \
  while (0)

/* Backward compatibility with an undocumented macro.
   Use YYerror or YYUNDEF. */
#define YYERRCODE YYUNDEF


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)




# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Kind, Value); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*-----------------------------------.
| Print this symbol's value on YYO.  |
`-----------------------------------*/

static void
yy_symbol_value_print (FILE *yyo,
                       yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep)
{
  FILE *yyoutput = yyo;
  YY_USE (yyoutput);
  if (!yyvaluep)
    return;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/*---------------------------.
| Print this symbol on YYO.  |
`---------------------------*/

static void
yy_symbol_print (FILE *yyo,
                 yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep)
{
  YYFPRINTF (yyo, "%s %s (",
             yykind < YYNTOKENS ? "token" : "nterm", yysymbol_name (yykind));

  yy_symbol_value_print (yyo, yykind, yyvaluep);
  YYFPRINTF (yyo, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yy_state_t *yybottom, yy_state_t *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yy_state_t *yyssp, YYSTYPE *yyvsp,
                 int yyrule)
{
  int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %d):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       YY_ACCESSING_SYMBOL (+yyssp[yyi + 1 - yynrhs]),
                       &yyvsp[(yyi + 1) - (yynrhs)]);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args) ((void) 0)
# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif






/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg,
            yysymbol_kind_t yykind, YYSTYPE *yyvaluep)
{
  YY_USE (yyvaluep);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yykind, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/* Lookahead token kind.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Number of syntax errors so far.  */
int yynerrs;




/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    yy_state_fast_t yystate = 0;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus = 0;

    /* Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* Their size.  */
    YYPTRDIFF_T yystacksize = YYINITDEPTH;

    /* The state stack: array, bottom, top.  */
    yy_state_t yyssa[YYINITDEPTH];
    yy_state_t *yyss = yyssa;
    yy_state_t *yyssp = yyss;

    /* The semantic value stack: array, bottom, top.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs = yyvsa;
    YYSTYPE *yyvsp = yyvs;

  int yyn;
  /* The return value of yyparse.  */
  int yyresult;
  /* Lookahead symbol kind.  */
  yysymbol_kind_t yytoken = YYSYMBOL_YYEMPTY;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;



#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yychar = YYEMPTY; /* Cause a token to be read.  */

  goto yysetstate;


/*------------------------------------------------------------.
| yynewstate -- push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;


/*--------------------------------------------------------------------.
| yysetstate -- set current state (the top of the stack) to yystate.  |
`--------------------------------------------------------------------*/
yysetstate:
  YYDPRINTF ((stderr, "Entering state %d\n", yystate));
  YY_ASSERT (0 <= yystate && yystate < YYNSTATES);
  YY_IGNORE_USELESS_CAST_BEGIN
  *yyssp = YY_CAST (yy_state_t, yystate);
  YY_IGNORE_USELESS_CAST_END
  YY_STACK_PRINT (yyss, yyssp);

  if (yyss + yystacksize - 1 <= yyssp)
#if !defined yyoverflow && !defined YYSTACK_RELOCATE
    YYNOMEM;
#else
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYPTRDIFF_T yysize = yyssp - yyss + 1;

# if defined yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        yy_state_t *yyss1 = yyss;
        YYSTYPE *yyvs1 = yyvs;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * YYSIZEOF (*yyssp),
                    &yyvs1, yysize * YYSIZEOF (*yyvsp),
                    &yystacksize);
        yyss = yyss1;
        yyvs = yyvs1;
      }
# else /* defined YYSTACK_RELOCATE */
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        YYNOMEM;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yy_state_t *yyss1 = yyss;
        union yyalloc *yyptr =
          YY_CAST (union yyalloc *,
                   YYSTACK_ALLOC (YY_CAST (YYSIZE_T, YYSTACK_BYTES (yystacksize))));
        if (! yyptr)
          YYNOMEM;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;

      YY_IGNORE_USELESS_CAST_BEGIN
      YYDPRINTF ((stderr, "Stack size increased to %ld\n",
                  YY_CAST (long, yystacksize)));
      YY_IGNORE_USELESS_CAST_END

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }
#endif /* !defined yyoverflow && !defined YYSTACK_RELOCATE */


  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;


/*-----------.
| yybackup.  |
`-----------*/
yybackup:
  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either empty, or end-of-input, or a valid lookahead.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token\n"));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = YYEOF;
      yytoken = YYSYMBOL_YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else if (yychar == YYerror)
    {
      /* The scanner already issued an error message, process directly
         to error recovery.  But do not keep the error token as
         lookahead, it is too special and may lead us to an endless
         loop in error recovery. */
      yychar = YYUNDEF;
      yytoken = YYSYMBOL_YYerror;
      goto yyerrlab1;
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);
  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  /* Discard the shifted token.  */
  yychar = YYEMPTY;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
  case 2: /* $@1: %empty  */
#line 332 "configparser.yy"
  { lconfig_parseinit();}
#line 5635 "configparser.cc"
    break;

  case 3: /* $@2: %empty  */
#line 332 "configparser.yy"
                                                                        { lconfig->setLoadedVersion( (yyvsp[-5].num), (yyvsp[-3].num), (yyvsp[-1].num) ); }
#line 5641 "configparser.cc"
    break;

  case 6: /* $@3: %empty  */
#line 336 "configparser.yy"
                               { lconfig_faces_list.clear(); }
#line 5647 "configparser.cc"
    break;

  case 7: /* $@4: %empty  */
#line 337 "configparser.yy"
      {
        lconfig->applyNewFacesFromList( lconfig_faces_list );
      }
#line 5655 "configparser.cc"
    break;

  case 10: /* $@5: %empty  */
#line 341 "configparser.yy"
                              { lconfig_listp = new List(); }
#line 5661 "configparser.cc"
    break;

  case 11: /* $@6: %empty  */
#line 342 "configparser.yy"
                           { lconfig->setPaths( lconfig_listp );
                             lconfig_id = lconfig_listp->initEnum();
                             lconfig_p1 = (WCPath*)lconfig_listp->getFirstElement( lconfig_id );
                             while ( lconfig_p1 != NULL ) {
                               delete lconfig_p1;
                               lconfig_p1 = (WCPath*)lconfig_listp->getNextElement( lconfig_id );
                             }
                             lconfig_listp->closeEnum( lconfig_id );
                             delete lconfig_listp;
                             lconfig_listp = NULL;
                           }
#line 5677 "configparser.cc"
    break;

  case 13: /* $@7: %empty  */
#line 353 "configparser.yy"
                                  { lconfig_listft = new List(); }
#line 5683 "configparser.cc"
    break;

  case 14: /* $@8: %empty  */
#line 354 "configparser.yy"
                               { lconfig->setFiletypes( lconfig_listft );
                                 lconfig_id = lconfig_listft->initEnum();
                                 lconfig_ft1 = (WCFiletype*)lconfig_listft->getFirstElement( lconfig_id );
                                 while ( lconfig_ft1 != NULL ) {
                                   delete lconfig_ft1;
                                   lconfig_ft1 = (WCFiletype*)lconfig_listft->getNextElement( lconfig_id );
                                 }
                                 lconfig_listft->closeEnum( lconfig_id );
                                 delete lconfig_listft;
                                 lconfig_listft = NULL;
                               }
#line 5699 "configparser.cc"
    break;

  case 16: /* $@9: %empty  */
#line 365 "configparser.yy"
                                { lconfig_listh = new List(); }
#line 5705 "configparser.cc"
    break;

  case 17: /* $@10: %empty  */
#line 366 "configparser.yy"
                             { lconfig->setHotkeys( lconfig_listh );
                               lconfig_id = lconfig_listh->initEnum();
                               lconfig_hk1 = (WCHotkey*)lconfig_listh->getFirstElement( lconfig_id );
                               while ( lconfig_hk1 != NULL ) {
                                 delete lconfig_hk1;
                                 lconfig_hk1 = (WCHotkey*)lconfig_listh->getNextElement( lconfig_id );
                               }
                               lconfig_listh->closeEnum( lconfig_id );
                               delete lconfig_listh;
                               lconfig_listh = NULL;
                             }
#line 5721 "configparser.cc"
    break;

  case 19: /* $@11: %empty  */
#line 377 "configparser.yy"
                                { lconfig_listb = new List(); }
#line 5727 "configparser.cc"
    break;

  case 20: /* $@12: %empty  */
#line 378 "configparser.yy"
                             { lconfig->setButtons( lconfig_listb );
                               lconfig_id = lconfig_listb->initEnum();
                               lconfig_bt1 = (WCButton*)lconfig_listb->getFirstElement( lconfig_id );
                               while ( lconfig_bt1 != NULL ) {
                                 delete lconfig_bt1;
                                 lconfig_bt1 = (WCButton*)lconfig_listb->getNextElement( lconfig_id );
                               }
                               lconfig_listb->closeEnum( lconfig_id );
                               delete lconfig_listb;
                               lconfig_listb = NULL;
                             }
#line 5743 "configparser.cc"
    break;

  case 26: /* $@13: %empty  */
#line 393 "configparser.yy"
                                          { lconfig_pathjump_allow.clear(); }
#line 5749 "configparser.cc"
    break;

  case 27: /* $@14: %empty  */
#line 394 "configparser.yy"
                                 { lconfig->setPathJumpAllowDirs( lconfig_pathjump_allow );
                                   lconfig_pathjump_allow.clear();
                                 }
#line 5757 "configparser.cc"
    break;

  case 29: /* $@15: %empty  */
#line 397 "configparser.yy"
                                         { dir_presets.clear(); }
#line 5763 "configparser.cc"
    break;

  case 30: /* $@16: %empty  */
#line 398 "configparser.yy"
                                      { lconfig->setDirectoryPresets( dir_presets );
                                 }
#line 5770 "configparser.cc"
    break;

  case 33: /* $@17: %empty  */
#line 402 "configparser.yy"
                          { lconfig_pathjump_allow.push_back( (yyvsp[-1].strptr) ); }
#line 5776 "configparser.cc"
    break;

  case 36: /* $@18: %empty  */
#line 405 "configparser.yy"
                                             { lconfig->setPathJumpStoreFilesAlways( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 5782 "configparser.cc"
    break;

  case 39: /* $@19: %empty  */
#line 408 "configparser.yy"
                             { lconfig->setLang( (yyvsp[-1].strptr) ); }
#line 5788 "configparser.cc"
    break;

  case 41: /* $@20: %empty  */
#line 409 "configparser.yy"
                         { lconfig->setRows( (yyvsp[-1].num) ); }
#line 5794 "configparser.cc"
    break;

  case 43: /* $@21: %empty  */
#line 410 "configparser.yy"
                            { lconfig->setColumns( (yyvsp[-1].num) ); }
#line 5800 "configparser.cc"
    break;

  case 45: /* $@22: %empty  */
#line 411 "configparser.yy"
                              { lconfig->setCacheSize( (yyvsp[-1].num) ); }
#line 5806 "configparser.cc"
    break;

  case 48: /* $@23: %empty  */
#line 413 "configparser.yy"
                                   { lconfig->setOwnerstringtype( 0 ); }
#line 5812 "configparser.cc"
    break;

  case 50: /* $@24: %empty  */
#line 414 "configparser.yy"
                                  { lconfig->setOwnerstringtype( 1 ); }
#line 5818 "configparser.cc"
    break;

  case 52: /* $@25: %empty  */
#line 415 "configparser.yy"
                                { lconfig->setTerminalBin( (yyvsp[-1].strptr) ); }
#line 5824 "configparser.cc"
    break;

  case 54: /* $@26: %empty  */
#line 416 "configparser.yy"
                                         { lconfig->setTerminalReturnsEarly( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 5830 "configparser.cc"
    break;

  case 56: /* $@27: %empty  */
#line 417 "configparser.yy"
                                     { lconfig->setShowStringForDirSize( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 5836 "configparser.cc"
    break;

  case 59: /* $@28: %empty  */
#line 420 "configparser.yy"
                               { lconfig->resetColors(); }
#line 5842 "configparser.cc"
    break;

  case 61: /* $@29: %empty  */
#line 421 "configparser.yy"
                              { lconfig->clearLayoutOrders(); }
#line 5848 "configparser.cc"
    break;

  case 64: /* $@30: %empty  */
#line 423 "configparser.yy"
                                            { lconfig->setSaveWorkerStateOnExit( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 5854 "configparser.cc"
    break;

  case 66: /* $@31: %empty  */
#line 424 "configparser.yy"
                                             { lconfig->setUseStringCompareMode( ( ( (yyvsp[-1].num) ) == 1 ) ? StringComparator::STRING_COMPARE_VERSION : StringComparator::STRING_COMPARE_REGULAR ); }
#line 5860 "configparser.cc"
    break;

  case 68: /* $@32: %empty  */
#line 425 "configparser.yy"
                                                    { lconfig->setUseStringCompareMode( StringComparator::STRING_COMPARE_NOCASE ); }
#line 5866 "configparser.cc"
    break;

  case 70: /* $@33: %empty  */
#line 426 "configparser.yy"
                                           { lconfig->setApplyWindowDialogType( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 5872 "configparser.cc"
    break;

  case 72: /* $@34: %empty  */
#line 427 "configparser.yy"
                                     { lconfig->setUseExtendedRegEx( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 5878 "configparser.cc"
    break;

  case 75: /* $@35: %empty  */
#line 429 "configparser.yy"
                                             { lconfig->setDisableBGCheckPrefix( (yyvsp[-1].strptr) ); }
#line 5884 "configparser.cc"
    break;

  case 78: /* $@36: %empty  */
#line 432 "configparser.yy"
                       { lconfig->layoutAddEntry( LayoutSettings::LO_STATEBAR ); }
#line 5890 "configparser.cc"
    break;

  case 80: /* $@37: %empty  */
#line 433 "configparser.yy"
                       { lconfig->layoutAddEntry( LayoutSettings::LO_CLOCKBAR ); }
#line 5896 "configparser.cc"
    break;

  case 82: /* $@38: %empty  */
#line 434 "configparser.yy"
                      { lconfig->layoutAddEntry( LayoutSettings::LO_BUTTONS ); }
#line 5902 "configparser.cc"
    break;

  case 84: /* $@39: %empty  */
#line 435 "configparser.yy"
                        { lconfig->layoutAddEntry( LayoutSettings::LO_LISTVIEWS ); }
#line 5908 "configparser.cc"
    break;

  case 86: /* $@40: %empty  */
#line 436 "configparser.yy"
                  { lconfig->layoutAddEntry( LayoutSettings::LO_BLL ); }
#line 5914 "configparser.cc"
    break;

  case 88: /* $@41: %empty  */
#line 437 "configparser.yy"
                  { lconfig->layoutAddEntry( LayoutSettings::LO_LBL ); }
#line 5920 "configparser.cc"
    break;

  case 90: /* $@42: %empty  */
#line 438 "configparser.yy"
                  { lconfig->layoutAddEntry( LayoutSettings::LO_LLB ); }
#line 5926 "configparser.cc"
    break;

  case 92: /* $@43: %empty  */
#line 439 "configparser.yy"
                 { lconfig->layoutAddEntry( LayoutSettings::LO_BL ); }
#line 5932 "configparser.cc"
    break;

  case 94: /* $@44: %empty  */
#line 440 "configparser.yy"
                 { lconfig->layoutAddEntry( LayoutSettings::LO_LB ); }
#line 5938 "configparser.cc"
    break;

  case 96: /* $@45: %empty  */
#line 441 "configparser.yy"
                                { lconfig->setLayoutButtonVert( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 5944 "configparser.cc"
    break;

  case 98: /* $@46: %empty  */
#line 442 "configparser.yy"
                                  { lconfig->setLayoutListviewVert( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 5950 "configparser.cc"
    break;

  case 100: /* $@47: %empty  */
#line 443 "configparser.yy"
                                      { lconfig->setLayoutListViewWeight( (yyvsp[-1].num) ); }
#line 5956 "configparser.cc"
    break;

  case 102: /* $@48: %empty  */
#line 444 "configparser.yy"
                                   { lconfig->setLayoutWeightRelToActive( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 5962 "configparser.cc"
    break;

  case 105: /* $@49: %empty  */
#line 447 "configparser.yy"
                                            { lconfig->setColor( (yyvsp[-7].num), (yyvsp[-5].num), (yyvsp[-3].num), (yyvsp[-1].num) ); }
#line 5968 "configparser.cc"
    break;

  case 108: /* $@50: %empty  */
#line 450 "configparser.yy"
                   { lconfig_side = 0; }
#line 5974 "configparser.cc"
    break;

  case 110: /* $@51: %empty  */
#line 451 "configparser.yy"
                    { lconfig_side = 1; }
#line 5980 "configparser.cc"
    break;

  case 113: /* $@52: %empty  */
#line 454 "configparser.yy"
                                 { lconfig->setHBarTop( lconfig_side, ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 5986 "configparser.cc"
    break;

  case 115: /* $@53: %empty  */
#line 455 "configparser.yy"
                                       { lconfig->setHBarHeight( lconfig_side, (yyvsp[-1].num) ); }
#line 5992 "configparser.cc"
    break;

  case 117: /* $@54: %empty  */
#line 456 "configparser.yy"
                                  { lconfig->setVBarLeft( lconfig_side, ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 5998 "configparser.cc"
    break;

  case 119: /* $@55: %empty  */
#line 457 "configparser.yy"
                                      { lconfig->setVBarWidth( lconfig_side, (yyvsp[-1].num) ); }
#line 6004 "configparser.cc"
    break;

  case 121: /* $@56: %empty  */
#line 458 "configparser.yy"
                                          { lconfig->clearVisCols( lconfig_side ); }
#line 6010 "configparser.cc"
    break;

  case 123: /* $@57: %empty  */
#line 459 "configparser.yy"
                                    { lconfig->setShowHeader( lconfig_side, ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6016 "configparser.cc"
    break;

  case 125: /* $@58: %empty  */
#line 460 "configparser.yy"
                                        { lconfig->setPathEntryOnTop( lconfig_side, ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6022 "configparser.cc"
    break;

  case 128: /* $@59: %empty  */
#line 463 "configparser.yy"
                       { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_NAME ); }
#line 6028 "configparser.cc"
    break;

  case 130: /* $@60: %empty  */
#line 464 "configparser.yy"
                       { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_SIZE ); }
#line 6034 "configparser.cc"
    break;

  case 132: /* $@61: %empty  */
#line 465 "configparser.yy"
                       { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_TYPE ); }
#line 6040 "configparser.cc"
    break;

  case 134: /* $@62: %empty  */
#line 466 "configparser.yy"
                             { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_PERM ); }
#line 6046 "configparser.cc"
    break;

  case 136: /* $@63: %empty  */
#line 467 "configparser.yy"
                        { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_OWNER ); }
#line 6052 "configparser.cc"
    break;

  case 138: /* $@64: %empty  */
#line 468 "configparser.yy"
                              { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_DEST ); }
#line 6058 "configparser.cc"
    break;

  case 140: /* $@65: %empty  */
#line 469 "configparser.yy"
                          { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_MOD ); }
#line 6064 "configparser.cc"
    break;

  case 142: /* $@66: %empty  */
#line 470 "configparser.yy"
                          { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_ACC ); }
#line 6070 "configparser.cc"
    break;

  case 144: /* $@67: %empty  */
#line 471 "configparser.yy"
                          { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_CHANGE ); }
#line 6076 "configparser.cc"
    break;

  case 146: /* $@68: %empty  */
#line 472 "configparser.yy"
                        { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_INODE ); }
#line 6082 "configparser.cc"
    break;

  case 148: /* $@69: %empty  */
#line 473 "configparser.yy"
                        { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_NLINK ); }
#line 6088 "configparser.cc"
    break;

  case 150: /* $@70: %empty  */
#line 474 "configparser.yy"
                         { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_BLOCKS ); }
#line 6094 "configparser.cc"
    break;

  case 152: /* $@71: %empty  */
#line 475 "configparser.yy"
                        { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_SIZEH ); }
#line 6100 "configparser.cc"
    break;

  case 154: /* $@72: %empty  */
#line 476 "configparser.yy"
                            { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_EXTENSION ); }
#line 6106 "configparser.cc"
    break;

  case 157: /* $@73: %empty  */
#line 479 "configparser.yy"
                                  { lconfig->setDateFormat( 0 ); }
#line 6112 "configparser.cc"
    break;

  case 159: /* $@74: %empty  */
#line 480 "configparser.yy"
                                  { lconfig->setDateFormat( 1 ); }
#line 6118 "configparser.cc"
    break;

  case 161: /* $@75: %empty  */
#line 481 "configparser.yy"
                                  { lconfig->setDateFormat( 2 ); }
#line 6124 "configparser.cc"
    break;

  case 163: /* $@76: %empty  */
#line 482 "configparser.yy"
                                     { lconfig->setDateFormat( -1 ); }
#line 6130 "configparser.cc"
    break;

  case 165: /* $@77: %empty  */
#line 483 "configparser.yy"
                                        { lconfig->setDateFormatString( (yyvsp[-1].strptr) ); }
#line 6136 "configparser.cc"
    break;

  case 167: /* $@78: %empty  */
#line 484 "configparser.yy"
                                        { lconfig->setDateSubst( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6142 "configparser.cc"
    break;

  case 169: /* $@79: %empty  */
#line 485 "configparser.yy"
                                  { lconfig->setTimeFormat( 0 ); }
#line 6148 "configparser.cc"
    break;

  case 171: /* $@80: %empty  */
#line 486 "configparser.yy"
                                  { lconfig->setTimeFormat( 1 ); }
#line 6154 "configparser.cc"
    break;

  case 173: /* $@81: %empty  */
#line 487 "configparser.yy"
                                     { lconfig->setTimeFormat( -1 ); }
#line 6160 "configparser.cc"
    break;

  case 175: /* $@82: %empty  */
#line 488 "configparser.yy"
                                        { lconfig->setTimeFormatString( (yyvsp[-1].strptr) ); }
#line 6166 "configparser.cc"
    break;

  case 177: /* $@83: %empty  */
#line 489 "configparser.yy"
                                      { lconfig->setDateBeforeTime( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6172 "configparser.cc"
    break;

  case 180: /* $@84: %empty  */
#line 492 "configparser.yy"
                                        { lconfig->setMouseSelectButton( (yyvsp[-1].num) ); }
#line 6178 "configparser.cc"
    break;

  case 182: /* $@85: %empty  */
#line 493 "configparser.yy"
                                          { lconfig->setMouseActivateButton( (yyvsp[-1].num) ); }
#line 6184 "configparser.cc"
    break;

  case 184: /* $@86: %empty  */
#line 494 "configparser.yy"
                                        { lconfig->setMouseScrollButton( (yyvsp[-1].num) ); }
#line 6190 "configparser.cc"
    break;

  case 186: /* $@87: %empty  */
#line 495 "configparser.yy"
                                           { lconfig->setMouseSelectMethod( WConfig::MOUSECONF_NORMAL_MODE ); }
#line 6196 "configparser.cc"
    break;

  case 188: /* $@88: %empty  */
#line 496 "configparser.yy"
                                                { lconfig->setMouseSelectMethod( WConfig::MOUSECONF_ALT_MODE ); }
#line 6202 "configparser.cc"
    break;

  case 190: /* $@89: %empty  */
#line 497 "configparser.yy"
                                         { lconfig->setMouseContextButton( (yyvsp[-1].num) ); }
#line 6208 "configparser.cc"
    break;

  case 192: /* $@90: %empty  */
#line 498 "configparser.yy"
                                        { lconfig_keymod = 0; }
#line 6214 "configparser.cc"
    break;

  case 193: /* $@91: %empty  */
#line 499 "configparser.yy"
                              { lconfig->setMouseActivateMod( lconfig_keymod ); }
#line 6220 "configparser.cc"
    break;

  case 195: /* $@92: %empty  */
#line 500 "configparser.yy"
                                      { lconfig_keymod = 0; }
#line 6226 "configparser.cc"
    break;

  case 196: /* $@93: %empty  */
#line 501 "configparser.yy"
                              { lconfig->setMouseScrollMod( lconfig_keymod ); }
#line 6232 "configparser.cc"
    break;

  case 198: /* $@94: %empty  */
#line 502 "configparser.yy"
                                       { lconfig_keymod = 0; }
#line 6238 "configparser.cc"
    break;

  case 199: /* $@95: %empty  */
#line 503 "configparser.yy"
                              { lconfig->setMouseContextMod( lconfig_keymod ); }
#line 6244 "configparser.cc"
    break;

  case 202: /* $@96: %empty  */
#line 506 "configparser.yy"
                                         {
        lconfig_faces_list.push_back( std::make_pair( "statusbar-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "statusbar-bg", (yyvsp[-1].num) ) );
        }
#line 6253 "configparser.cc"
    break;

  case 204: /* $@97: %empty  */
#line 510 "configparser.yy"
                                         {
        lconfig_faces_list.push_back( std::make_pair( "lvb-active-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "lvb-active-bg", (yyvsp[-1].num) ) );
        }
#line 6262 "configparser.cc"
    break;

  case 206: /* $@98: %empty  */
#line 514 "configparser.yy"
                                           {
        lconfig_faces_list.push_back( std::make_pair( "lvb-inactive-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "lvb-inactive-bg", (yyvsp[-1].num) ) );
        }
#line 6271 "configparser.cc"
    break;

  case 208: /* $@99: %empty  */
#line 518 "configparser.yy"
                                       {
        lconfig_faces_list.push_back( std::make_pair( "dirview-dir-select-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "dirview-dir-select-bg", (yyvsp[-1].num) ) );
        }
#line 6280 "configparser.cc"
    break;

  case 210: /* $@100: %empty  */
#line 522 "configparser.yy"
                                         {
        lconfig_faces_list.push_back( std::make_pair( "dirview-dir-normal-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "dirview-dir-normal-bg", (yyvsp[-1].num) ) );
        }
#line 6289 "configparser.cc"
    break;

  case 212: /* $@101: %empty  */
#line 526 "configparser.yy"
                                        {
        lconfig_faces_list.push_back( std::make_pair( "dirview-file-select-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "dirview-file-select-bg", (yyvsp[-1].num) ) );
        }
#line 6298 "configparser.cc"
    break;

  case 214: /* $@102: %empty  */
#line 530 "configparser.yy"
                                          {
        lconfig_faces_list.push_back( std::make_pair( "dirview-file-normal-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "dirview-file-normal-bg", (yyvsp[-1].num) ) );
        }
#line 6307 "configparser.cc"
    break;

  case 216: /* $@103: %empty  */
#line 534 "configparser.yy"
                                         {
        lconfig_faces_list.push_back( std::make_pair( "clockbar-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "clockbar-bg", (yyvsp[-1].num) ) );
        }
#line 6316 "configparser.cc"
    break;

  case 218: /* $@104: %empty  */
#line 538 "configparser.yy"
                                          {
        lconfig_faces_list.push_back( std::make_pair( "request-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "request-bg", (yyvsp[-1].num) ) );
        }
#line 6325 "configparser.cc"
    break;

  case 220: /* $@105: %empty  */
#line 542 "configparser.yy"
                                          {
        lconfig_faces_list.push_back( std::make_pair( "dirview-dir-selact-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "dirview-dir-selact-bg", (yyvsp[-1].num) ) );
        }
#line 6334 "configparser.cc"
    break;

  case 222: /* $@106: %empty  */
#line 546 "configparser.yy"
                                            {
        lconfig_faces_list.push_back( std::make_pair( "dirview-dir-active-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "dirview-dir-active-bg", (yyvsp[-1].num) ) );
        }
#line 6343 "configparser.cc"
    break;

  case 224: /* $@107: %empty  */
#line 550 "configparser.yy"
                                           {
        lconfig_faces_list.push_back( std::make_pair( "dirview-file-selact-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "dirview-file-selact-bg", (yyvsp[-1].num) ) );
        }
#line 6352 "configparser.cc"
    break;

  case 226: /* $@108: %empty  */
#line 554 "configparser.yy"
                                             {
        lconfig_faces_list.push_back( std::make_pair( "dirview-file-active-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "dirview-file-active-bg", (yyvsp[-1].num) ) );
        }
#line 6361 "configparser.cc"
    break;

  case 228: /* $@109: %empty  */
#line 558 "configparser.yy"
                                         {
        lconfig_faces_list.push_back( std::make_pair( "dirview-header-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "dirview-header-bg", (yyvsp[-1].num) ) );
        }
#line 6370 "configparser.cc"
    break;

  case 230: /* $@110: %empty  */
#line 562 "configparser.yy"
                           {
        lconfig_faces_list.push_back( std::make_pair( "dirview-bg", (yyvsp[-1].num) ) );
        }
#line 6378 "configparser.cc"
    break;

  case 232: /* $@111: %empty  */
#line 565 "configparser.yy"
                                         {
        lconfig_faces_list.push_back( std::make_pair( "textview-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "textview-bg", (yyvsp[-1].num) ) );
        }
#line 6387 "configparser.cc"
    break;

  case 234: /* $@112: %empty  */
#line 569 "configparser.yy"
                                                    {
        lconfig_faces_list.push_back( std::make_pair( "textview-highlight-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "textview-highlight-bg", (yyvsp[-1].num) ) );
        }
#line 6396 "configparser.cc"
    break;

  case 236: /* $@113: %empty  */
#line 573 "configparser.yy"
                                                  {
        lconfig_faces_list.push_back( std::make_pair( "textview-selection-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "textview-selection-bg", (yyvsp[-1].num) ) );
        }
#line 6405 "configparser.cc"
    break;

  case 238: /* $@114: %empty  */
#line 577 "configparser.yy"
                                   { lconfig_labelcolors.clear(); }
#line 6411 "configparser.cc"
    break;

  case 239: /* $@115: %empty  */
#line 578 "configparser.yy"
                                   {
          WConfig::ColorDef c = lconfig->getColorDefs();
          c.setLabelColors( lconfig_labelcolors );
          lconfig->setColorDefs( c );
        }
#line 6421 "configparser.cc"
    break;

  case 243: /* $@116: %empty  */
#line 587 "configparser.yy"
                                    {
              lconfig_labelcolor.normal_fg = -1;
              lconfig_labelcolor.normal_bg = -1;
              lconfig_labelcolor.active_fg = -1;
              lconfig_labelcolor.active_bg = -1;
              lconfig_labelcolor_name = "";
            }
#line 6433 "configparser.cc"
    break;

  case 244: /* $@117: %empty  */
#line 594 "configparser.yy"
                                      {
              lconfig_labelcolors[lconfig_labelcolor_name] = lconfig_labelcolor;
            }
#line 6441 "configparser.cc"
    break;

  case 247: /* $@118: %empty  */
#line 599 "configparser.yy"
                                             {
             lconfig_labelcolor.normal_fg = (yyvsp[-3].num);
             lconfig_labelcolor.normal_bg = (yyvsp[-1].num);
            }
#line 6450 "configparser.cc"
    break;

  case 249: /* $@119: %empty  */
#line 603 "configparser.yy"
                                             {
             lconfig_labelcolor.active_fg = (yyvsp[-3].num);
             lconfig_labelcolor.active_bg = (yyvsp[-1].num);
            }
#line 6459 "configparser.cc"
    break;

  case 251: /* $@120: %empty  */
#line 607 "configparser.yy"
                                      { lconfig_labelcolor_name = (yyvsp[-1].strptr); }
#line 6465 "configparser.cc"
    break;

  case 254: /* $@121: %empty  */
#line 610 "configparser.yy"
                             {
              lconfig_face_name.clear();
              lconfig_face_color = -1;
            }
#line 6474 "configparser.cc"
    break;

  case 255: /* $@122: %empty  */
#line 614 "configparser.yy"
                                {
              lconfig_faces_list.push_back( std::make_pair( lconfig_face_name, lconfig_face_color ) );
            }
#line 6482 "configparser.cc"
    break;

  case 258: /* $@123: %empty  */
#line 619 "configparser.yy"
                            {
             lconfig_face_color = (yyvsp[-1].num);
            }
#line 6490 "configparser.cc"
    break;

  case 260: /* $@124: %empty  */
#line 622 "configparser.yy"
                                      { lconfig_face_name = (yyvsp[-1].strptr); }
#line 6496 "configparser.cc"
    break;

  case 263: /* $@125: %empty  */
#line 625 "configparser.yy"
                                 { lconfig->setStartDir( 0, (yyvsp[-1].strptr) ); }
#line 6502 "configparser.cc"
    break;

  case 265: /* $@126: %empty  */
#line 626 "configparser.yy"
                                  { lconfig->setStartDir( 1, (yyvsp[-1].strptr) ); }
#line 6508 "configparser.cc"
    break;

  case 267: /* $@127: %empty  */
#line 627 "configparser.yy"
                                             { lconfig->setRestoreTabsMode( WConfig::RESTORE_TABS_NEVER ); }
#line 6514 "configparser.cc"
    break;

  case 269: /* $@128: %empty  */
#line 628 "configparser.yy"
                                              { lconfig->setRestoreTabsMode( WConfig::RESTORE_TABS_ALWAYS ); }
#line 6520 "configparser.cc"
    break;

  case 271: /* $@129: %empty  */
#line 629 "configparser.yy"
                                           { lconfig->setRestoreTabsMode( WConfig::RESTORE_TABS_ASK ); }
#line 6526 "configparser.cc"
    break;

  case 273: /* $@130: %empty  */
#line 630 "configparser.yy"
                                           { lconfig->setStoreTabsMode( WConfig::STORE_TABS_NEVER ); }
#line 6532 "configparser.cc"
    break;

  case 275: /* $@131: %empty  */
#line 631 "configparser.yy"
                                            { lconfig->setStoreTabsMode( WConfig::STORE_TABS_ALWAYS ); }
#line 6538 "configparser.cc"
    break;

  case 277: /* $@132: %empty  */
#line 632 "configparser.yy"
                                                   { lconfig->setStoreTabsMode( WConfig::STORE_TABS_AS_EXIT_STATE ); }
#line 6544 "configparser.cc"
    break;

  case 279: /* $@133: %empty  */
#line 633 "configparser.yy"
                                         { lconfig->setStoreTabsMode( WConfig::STORE_TABS_ASK ); }
#line 6550 "configparser.cc"
    break;

  case 282: /* $@134: %empty  */
#line 636 "configparser.yy"
                             { lconfig_p1 = new WCPath(); }
#line 6556 "configparser.cc"
    break;

  case 283: /* $@135: %empty  */
#line 637 "configparser.yy"
                          { lconfig_p1->setCheck( true );
                        while ( lconfig_listp->size() < ( lconfig_pos + 1 ) ) lconfig_listp->addElement( new WCPath() );
                        lconfig_p1 = (WCPath*)lconfig_listp->exchangeElement( lconfig_pos, lconfig_p1 );
                        delete lconfig_p1;
                        lconfig_p1 = NULL;
                      }
#line 6567 "configparser.cc"
    break;

  case 286: /* $@136: %empty  */
#line 645 "configparser.yy"
                               { lconfig_pos = (yyvsp[-1].num);
                         if ( lconfig_pos < 0 ) lconfig_pos = 0;
                         if ( lconfig_pos > 10240 ) lconfig_pos = 10240;
                       }
#line 6576 "configparser.cc"
    break;

  case 288: /* $@137: %empty  */
#line 649 "configparser.yy"
                               { lconfig_p1->setName( (yyvsp[-1].strptr) ); }
#line 6582 "configparser.cc"
    break;

  case 290: /* $@138: %empty  */
#line 650 "configparser.yy"
                                      { lconfig_p1->setFG( (yyvsp[-3].num) );
                            lconfig_p1->setBG( (yyvsp[-1].num) );
                          }
#line 6590 "configparser.cc"
    break;

  case 292: /* $@139: %empty  */
#line 653 "configparser.yy"
                              { lconfig_p1->setPath( (yyvsp[-1].strptr) ); }
#line 6596 "configparser.cc"
    break;

  case 294: /* $@140: %empty  */
#line 654 "configparser.yy"
                                 { lconfig_listsk = new List(); }
#line 6602 "configparser.cc"
    break;

  case 295: /* $@141: %empty  */
#line 655 "configparser.yy"
                            { lconfig_p1->setDoubleKeys( lconfig_listsk );
                              lconfig_id = lconfig_listsk->initEnum();
                              lconfig_dk = (WCDoubleShortkey*)lconfig_listsk->getFirstElement( lconfig_id );
                              while ( lconfig_dk != NULL ) {
                                delete lconfig_dk;
                                lconfig_listsk->removeFirstElement();
                                lconfig_dk = (WCDoubleShortkey*)lconfig_listsk->getFirstElement( lconfig_id );
                              }
                              lconfig_listsk->closeEnum( lconfig_id );
                              delete lconfig_listsk;
                              lconfig_listsk = NULL;
                            }
#line 6619 "configparser.cc"
    break;

  case 298: /* $@142: %empty  */
#line 669 "configparser.yy"
                                 { lconfig_dk = new WCDoubleShortkey();
                                   lconfig_dk->setType( WCDoubleShortkey::WCDS_NORMAL );
                                 }
#line 6627 "configparser.cc"
    break;

  case 299: /* $@143: %empty  */
#line 672 "configparser.yy"
                                { lconfig_nkeysym = AGUIX::getKeySymForString( (yyvsp[-1].strptr) );
                          if ( lconfig_nkeysym != NoSymbol ) lconfig_dk->setKeySym( lconfig_nkeysym, 0 );
                          else lconfig_dk->setKeySym( 0, 0 );  /*TODO:Fehler printen?*/
                          lconfig_keymod = 0;
                        }
#line 6637 "configparser.cc"
    break;

  case 300: /* $@144: %empty  */
#line 677 "configparser.yy"
             { lconfig_dk->setMod( lconfig_keymod, 0 ); }
#line 6643 "configparser.cc"
    break;

  case 301: /* $@145: %empty  */
#line 678 "configparser.yy"
                       { lconfig_listsk->addElement( lconfig_dk ); }
#line 6649 "configparser.cc"
    break;

  case 303: /* $@146: %empty  */
#line 680 "configparser.yy"
                                 { lconfig_dk = new WCDoubleShortkey();
                                   lconfig_dk->setType( WCDoubleShortkey::WCDS_DOUBLE );
                                  }
#line 6657 "configparser.cc"
    break;

  case 304: /* $@147: %empty  */
#line 683 "configparser.yy"
                                { lconfig_nkeysym = AGUIX::getKeySymForString( (yyvsp[-1].strptr) );
                          if ( lconfig_nkeysym != NoSymbol ) lconfig_dk->setKeySym( lconfig_nkeysym, 0 );
                          else lconfig_dk->setKeySym( 0, 0 );  /*TODO:Fehler printen?*/
                          lconfig_keymod = 0;
                        }
#line 6667 "configparser.cc"
    break;

  case 305: /* $@148: %empty  */
#line 688 "configparser.yy"
             { lconfig_dk->setMod( lconfig_keymod, 0 ); /*TODO:finzt das so mit dem lconfig_keymod?*/}
#line 6673 "configparser.cc"
    break;

  case 306: /* $@149: %empty  */
#line 689 "configparser.yy"
                                { lconfig_nkeysym = AGUIX::getKeySymForString( (yyvsp[-1].strptr) );
                          if ( lconfig_nkeysym != NoSymbol ) lconfig_dk->setKeySym( lconfig_nkeysym, 1 );
                          else lconfig_dk->setKeySym( 0, 1 );  /*TODO:Fehler printen?*/
                          lconfig_keymod = 0;
                        }
#line 6683 "configparser.cc"
    break;

  case 307: /* $@150: %empty  */
#line 694 "configparser.yy"
             { lconfig_dk->setMod( lconfig_keymod, 1 ); }
#line 6689 "configparser.cc"
    break;

  case 308: /* $@151: %empty  */
#line 695 "configparser.yy"
                       { lconfig_listsk->addElement( lconfig_dk ); }
#line 6695 "configparser.cc"
    break;

  case 311: /* $@152: %empty  */
#line 699 "configparser.yy"
                              { lconfig_keymod |= ControlMask; }
#line 6701 "configparser.cc"
    break;

  case 313: /* $@153: %empty  */
#line 700 "configparser.yy"
                            { lconfig_keymod |= ShiftMask; }
#line 6707 "configparser.cc"
    break;

  case 315: /* $@154: %empty  */
#line 701 "configparser.yy"
                           { lconfig_keymod |= LockMask; }
#line 6713 "configparser.cc"
    break;

  case 317: /* $@155: %empty  */
#line 702 "configparser.yy"
                           { lconfig_keymod |= Mod1Mask; }
#line 6719 "configparser.cc"
    break;

  case 319: /* $@156: %empty  */
#line 703 "configparser.yy"
                           { lconfig_keymod |= Mod2Mask; }
#line 6725 "configparser.cc"
    break;

  case 321: /* $@157: %empty  */
#line 704 "configparser.yy"
                           { lconfig_keymod |= Mod3Mask; }
#line 6731 "configparser.cc"
    break;

  case 323: /* $@158: %empty  */
#line 705 "configparser.yy"
                           { lconfig_keymod |= Mod4Mask; }
#line 6737 "configparser.cc"
    break;

  case 325: /* $@159: %empty  */
#line 706 "configparser.yy"
                           { lconfig_keymod |= Mod5Mask; }
#line 6743 "configparser.cc"
    break;

  case 328: /* $@160: %empty  */
#line 709 "configparser.yy"
                                     { lconfig_ft1 = new WCFiletype(); }
#line 6749 "configparser.cc"
    break;

  case 329: /* $@161: %empty  */
#line 710 "configparser.yy"
                                  { lconfig_listft->addElement( lconfig_ft1 );
                                lconfig_ft1 = NULL;
                              }
#line 6757 "configparser.cc"
    break;

  case 331: /* $@162: %empty  */
#line 713 "configparser.yy"
                                       { lconfig_ignorelist = new List(); }
#line 6763 "configparser.cc"
    break;

  case 332: /* $@163: %empty  */
#line 714 "configparser.yy"
                                    { lconfig->setDontCheckDirs( lconfig_ignorelist );
                                  lconfig_id = lconfig_ignorelist->initEnum();
                                  lconfig_tstr = (char*)lconfig_ignorelist->getFirstElement( lconfig_id );
                                  while ( lconfig_tstr != NULL ) {
                                    _freesafe( lconfig_tstr );
                                    lconfig_tstr = (char*)lconfig_ignorelist->getNextElement( lconfig_id );
                                  }
                                  lconfig_ignorelist->closeEnum( lconfig_id );
                                  delete lconfig_ignorelist;
                                  lconfig_ignorelist = NULL;
                                 }
#line 6779 "configparser.cc"
    break;

  case 334: /* $@164: %empty  */
#line 725 "configparser.yy"
                                         { lconfig->setDontCheckVirtual( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6785 "configparser.cc"
    break;

  case 337: /* $@165: %empty  */
#line 728 "configparser.yy"
                         { lconfig_ignorelist->addElement( dupstring( (yyvsp[-1].strptr) ) ); }
#line 6791 "configparser.cc"
    break;

  case 340: /* $@166: %empty  */
#line 731 "configparser.yy"
                                        { filetypehier.push_back( lconfig_ft1 );
                                          lconfig_ft1 = new WCFiletype();
                                        }
#line 6799 "configparser.cc"
    break;

  case 341: /* $@167: %empty  */
#line 734 "configparser.yy"
                                     { old_lconfig_ft1 = filetypehier.back();
	                               filetypehier.pop_back();
				       if ( old_lconfig_ft1 != NULL ) {
					 old_lconfig_ft1->addSubType( lconfig_ft1 );
				       } else {
					 delete lconfig_ft1;
				       }
				       lconfig_ft1 = old_lconfig_ft1;
	                             }
#line 6813 "configparser.cc"
    break;

  case 344: /* $@168: %empty  */
#line 745 "configparser.yy"
                               { lconfig_ft1->setinternID( (yyvsp[-1].num) ); }
#line 6819 "configparser.cc"
    break;

  case 346: /* $@169: %empty  */
#line 746 "configparser.yy"
                                   { lconfig_ft1->setName( (yyvsp[-1].strptr) ); }
#line 6825 "configparser.cc"
    break;

  case 348: /* $@170: %empty  */
#line 747 "configparser.yy"
                                     { lconfig_ft1->setPattern( (yyvsp[-1].strptr) ); }
#line 6831 "configparser.cc"
    break;

  case 350: /* $@171: %empty  */
#line 748 "configparser.yy"
                                  { lconfig_ft1->setUsePattern( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6837 "configparser.cc"
    break;

  case 352: /* $@172: %empty  */
#line 749 "configparser.yy"
                                   { lconfig_ft1->clearFiledesc(); }
#line 6843 "configparser.cc"
    break;

  case 354: /* $@173: %empty  */
#line 751 "configparser.yy"
                                  { lconfig_ft1->setUseFiledesc( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6849 "configparser.cc"
    break;

  case 356: /* $@174: %empty  */
#line 752 "configparser.yy"
                                         { lconfig_ft1->setPatternIgnoreCase( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6855 "configparser.cc"
    break;

  case 358: /* $@175: %empty  */
#line 753 "configparser.yy"
                                        { lconfig_ft1->setPatternUseRegExp( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6861 "configparser.cc"
    break;

  case 360: /* $@176: %empty  */
#line 754 "configparser.yy"
                                          { lconfig_ft1->setPatternUseFullname( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6867 "configparser.cc"
    break;

  case 363: /* $@177: %empty  */
#line 756 "configparser.yy"
                                     { lconfig_ft1->setExtCond( (yyvsp[-1].strptr) ); }
#line 6873 "configparser.cc"
    break;

  case 365: /* $@178: %empty  */
#line 757 "configparser.yy"
                                  { lconfig_ft1->setUseExtCond( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6879 "configparser.cc"
    break;

  case 368: /* $@179: %empty  */
#line 759 "configparser.yy"
                                                  { lconfig_ft1->setCustomColor( 0, 0, (yyvsp[-3].num) );
	                                            lconfig_ft1->setCustomColor( 1, 0, (yyvsp[-1].num) );
                                                  }
#line 6887 "configparser.cc"
    break;

  case 370: /* $@180: %empty  */
#line 762 "configparser.yy"
                                                { lconfig_ft1->setCustomColor( 0, 1, (yyvsp[-3].num) );
	                                          lconfig_ft1->setCustomColor( 1, 1, (yyvsp[-1].num) );
                                                }
#line 6895 "configparser.cc"
    break;

  case 372: /* $@181: %empty  */
#line 765 "configparser.yy"
                                                        { lconfig_ft1->setCustomColor( 0, 2, (yyvsp[-3].num) );
	                                                  lconfig_ft1->setCustomColor( 1, 2, (yyvsp[-1].num) );
                                                        }
#line 6903 "configparser.cc"
    break;

  case 374: /* $@182: %empty  */
#line 768 "configparser.yy"
                                                      { lconfig_ft1->setCustomColor( 0, 3, (yyvsp[-3].num) );
	                                                lconfig_ft1->setCustomColor( 1, 3, (yyvsp[-1].num) );
                                                      }
#line 6911 "configparser.cc"
    break;

  case 376: /* $@183: %empty  */
#line 771 "configparser.yy"
                                             { lconfig_ft1->setColorExt( (yyvsp[-1].strptr) ); }
#line 6917 "configparser.cc"
    break;

  case 378: /* $@184: %empty  */
#line 772 "configparser.yy"
                                        { lconfig_ft1->setColorMode( WCFiletype::DEFAULTCOL ); }
#line 6923 "configparser.cc"
    break;

  case 380: /* $@185: %empty  */
#line 773 "configparser.yy"
                                       { lconfig_ft1->setColorMode( WCFiletype::CUSTOMCOL ); }
#line 6929 "configparser.cc"
    break;

  case 382: /* $@186: %empty  */
#line 774 "configparser.yy"
                                       { lconfig_ft1->setColorMode( WCFiletype::EXTERNALCOL ); }
#line 6935 "configparser.cc"
    break;

  case 384: /* $@187: %empty  */
#line 775 "configparser.yy"
                                       { lconfig_ft1->setColorMode( WCFiletype::PARENTCOL ); }
#line 6941 "configparser.cc"
    break;

  case 386: /* $@188: %empty  */
#line 776 "configparser.yy"
                                          { lconfig_ft1->setMagicPattern( (yyvsp[-1].strptr) ); }
#line 6947 "configparser.cc"
    break;

  case 388: /* $@189: %empty  */
#line 777 "configparser.yy"
                                { lconfig_ft1->setUseMagic( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6953 "configparser.cc"
    break;

  case 390: /* $@190: %empty  */
#line 778 "configparser.yy"
                                       { lconfig_ft1->setMagicCompressed( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6959 "configparser.cc"
    break;

  case 392: /* $@191: %empty  */
#line 779 "configparser.yy"
                                 { lconfig_ft1->setMagicMime( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6965 "configparser.cc"
    break;

  case 394: /* $@192: %empty  */
#line 780 "configparser.yy"
                                       { lconfig_ft1->setMagicIgnoreCase( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6971 "configparser.cc"
    break;

  case 396: /* $@193: %empty  */
#line 781 "configparser.yy"
                                               { lconfig_ft1->setPatternIsCommaSeparated( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6977 "configparser.cc"
    break;

  case 398: /* $@194: %empty  */
#line 782 "configparser.yy"
                                   { lconfig_ft1->setPriority( (yyvsp[-1].num) ); }
#line 6983 "configparser.cc"
    break;

  case 401: /* $@195: %empty  */
#line 785 "configparser.yy"
                                 { lconfig_ft1->setFiledesc( (yyvsp[-3].num), (yyvsp[-1].num) ); }
#line 6989 "configparser.cc"
    break;

  case 404: /* ft_type: NORMAL_WCP  */
#line 788 "configparser.yy"
                   { (yyval.num) = NORMALTYPE; }
#line 6995 "configparser.cc"
    break;

  case 405: /* ft_type: NOTYETCHECKED_WCP  */
#line 789 "configparser.yy"
                          { (yyval.num) = NOTYETTYPE; }
#line 7001 "configparser.cc"
    break;

  case 406: /* ft_type: UNKNOWN_WCP  */
#line 790 "configparser.yy"
                    { (yyval.num) = UNKNOWNTYPE; }
#line 7007 "configparser.cc"
    break;

  case 407: /* ft_type: NOSELECT_WCP  */
#line 791 "configparser.yy"
                     { (yyval.num) = VOIDTYPE; }
#line 7013 "configparser.cc"
    break;

  case 408: /* ft_type: DIR_WCP  */
#line 792 "configparser.yy"
                { (yyval.num) = DIRTYPE; }
#line 7019 "configparser.cc"
    break;

  case 409: /* $@196: %empty  */
#line 795 "configparser.yy"
                                 { lconfig_listcom.clear(); }
#line 7025 "configparser.cc"
    break;

  case 410: /* $@197: %empty  */
#line 796 "configparser.yy"
                                   { lconfig_ft1->setDNDActions( lconfig_listcom );
                                     lconfig_listcom.clear();
                               }
#line 7033 "configparser.cc"
    break;

  case 412: /* $@198: %empty  */
#line 799 "configparser.yy"
                                { lconfig_listcom.clear(); }
#line 7039 "configparser.cc"
    break;

  case 413: /* $@199: %empty  */
#line 800 "configparser.yy"
                                   { lconfig_ft1->setDoubleClickActions( lconfig_listcom );
                                     lconfig_listcom.clear();
                               }
#line 7047 "configparser.cc"
    break;

  case 415: /* $@200: %empty  */
#line 803 "configparser.yy"
                                  { lconfig_listcom.clear(); }
#line 7053 "configparser.cc"
    break;

  case 416: /* $@201: %empty  */
#line 804 "configparser.yy"
                                   { lconfig_ft1->setShowActions( lconfig_listcom );
                                     lconfig_listcom.clear();
                               }
#line 7061 "configparser.cc"
    break;

  case 418: /* $@202: %empty  */
#line 807 "configparser.yy"
                                     { lconfig_listcom.clear(); }
#line 7067 "configparser.cc"
    break;

  case 419: /* $@203: %empty  */
#line 808 "configparser.yy"
                                   { lconfig_ft1->setRawShowActions( lconfig_listcom );
                                     lconfig_listcom.clear();
                               }
#line 7075 "configparser.cc"
    break;

  case 421: /* $@204: %empty  */
#line 811 "configparser.yy"
                                          { lconfig_listcom.clear(); }
#line 7081 "configparser.cc"
    break;

  case 422: /* $@205: %empty  */
#line 812 "configparser.yy"
                                   { lconfig_ft1->setUserActions( (yyvsp[-4].num), lconfig_listcom );
                                     lconfig_listcom.clear();
                               }
#line 7089 "configparser.cc"
    break;

  case 424: /* $@206: %empty  */
#line 815 "configparser.yy"
                                          { lconfig_listcom.clear(); }
#line 7095 "configparser.cc"
    break;

  case 425: /* $@207: %empty  */
#line 818 "configparser.yy"
                                                  { lconfig_ft1->setCustomActions( (yyvsp[-6].strptr), lconfig_listcom );
                                                    lconfig_listcom.clear();
                               }
#line 7103 "configparser.cc"
    break;

  case 432: /* $@208: %empty  */
#line 829 "configparser.yy"
                                 { lconfig_hk1 = new WCHotkey(); }
#line 7109 "configparser.cc"
    break;

  case 433: /* $@209: %empty  */
#line 830 "configparser.yy"
                              { lconfig_listh->addElement( lconfig_hk1 );
                            lconfig_hk1 = NULL;
                          }
#line 7117 "configparser.cc"
    break;

  case 436: /* $@210: %empty  */
#line 835 "configparser.yy"
                                 { lconfig_hk1->setName( (yyvsp[-1].strptr) ); }
#line 7123 "configparser.cc"
    break;

  case 438: /* $@211: %empty  */
#line 836 "configparser.yy"
                                  { lconfig_listcom.clear(); }
#line 7129 "configparser.cc"
    break;

  case 439: /* $@212: %empty  */
#line 837 "configparser.yy"
                               { lconfig_hk1->setComs( lconfig_listcom );
                                 lconfig_listcom.clear();
                           }
#line 7137 "configparser.cc"
    break;

  case 441: /* $@213: %empty  */
#line 840 "configparser.yy"
                                   { lconfig_listsk = new List(); }
#line 7143 "configparser.cc"
    break;

  case 442: /* $@214: %empty  */
#line 841 "configparser.yy"
                              { lconfig_hk1->setDoubleKeys( lconfig_listsk );
                            lconfig_id = lconfig_listsk->initEnum();
                            lconfig_dk = (WCDoubleShortkey*)lconfig_listsk->getFirstElement( lconfig_id );
                            while ( lconfig_dk != NULL ) {
                              delete lconfig_dk;
                              lconfig_listsk->removeFirstElement();
                              lconfig_dk = (WCDoubleShortkey*)lconfig_listsk->getFirstElement( lconfig_id );
                            }
                            lconfig_listsk->closeEnum( lconfig_id );
                            delete lconfig_listsk;
                            lconfig_listsk = NULL;
                          }
#line 7160 "configparser.cc"
    break;

  case 445: /* $@215: %empty  */
#line 855 "configparser.yy"
                                 { lconfig_bt1 = new WCButton(); }
#line 7166 "configparser.cc"
    break;

  case 446: /* $@216: %empty  */
#line 856 "configparser.yy"
                              { lconfig_bt1->setCheck( true );
                            while ( lconfig_listb->size() < ( lconfig_pos + 1 ) ) lconfig_listb->addElement( new WCButton() );
                            lconfig_bt1 = (WCButton*)lconfig_listb->exchangeElement( lconfig_pos, lconfig_bt1 );
                            delete lconfig_bt1;
                            lconfig_bt1 = NULL;
                          }
#line 7177 "configparser.cc"
    break;

  case 449: /* $@217: %empty  */
#line 864 "configparser.yy"
                                 { lconfig_pos = (yyvsp[-1].num);
                           if ( lconfig_pos < 0 ) lconfig_pos = 0;
                           if ( lconfig_pos > 100000 ) lconfig_pos = 100000;
                         }
#line 7186 "configparser.cc"
    break;

  case 451: /* $@218: %empty  */
#line 868 "configparser.yy"
                                { lconfig_bt1->setText( (yyvsp[-1].strptr) ); }
#line 7192 "configparser.cc"
    break;

  case 453: /* $@219: %empty  */
#line 869 "configparser.yy"
                                        { lconfig_bt1->setFG( (yyvsp[-3].num) );
                              lconfig_bt1->setBG( (yyvsp[-1].num) );
                            }
#line 7200 "configparser.cc"
    break;

  case 455: /* $@220: %empty  */
#line 872 "configparser.yy"
                                  { lconfig_listcom.clear(); }
#line 7206 "configparser.cc"
    break;

  case 456: /* $@221: %empty  */
#line 873 "configparser.yy"
                               { lconfig_bt1->setComs( lconfig_listcom );
                                 lconfig_listcom.clear();
                           }
#line 7214 "configparser.cc"
    break;

  case 458: /* $@222: %empty  */
#line 876 "configparser.yy"
                                   { lconfig_listsk = new List(); }
#line 7220 "configparser.cc"
    break;

  case 459: /* $@223: %empty  */
#line 877 "configparser.yy"
                              { lconfig_bt1->setDoubleKeys( lconfig_listsk );
                            lconfig_id = lconfig_listsk->initEnum();
                            lconfig_dk = (WCDoubleShortkey*)lconfig_listsk->getFirstElement( lconfig_id );
                            while ( lconfig_dk != NULL ) {
                              delete lconfig_dk;
                              lconfig_listsk->removeFirstElement();
                             lconfig_dk = (WCDoubleShortkey*)lconfig_listsk->getFirstElement( lconfig_id );
                            }
                            lconfig_listsk->closeEnum( lconfig_id );
                            delete lconfig_listsk;
                            lconfig_listsk = NULL;
                          }
#line 7237 "configparser.cc"
    break;

  case 462: /* $@224: %empty  */
#line 892 "configparser.yy"
      {
#ifndef HAVE_XFT
        lconfig->setFont( 0, (yyvsp[-1].strptr) );
#endif
        lconfig->setFontName( WConfig::FONT_X11_GLOBAL, (yyvsp[-1].strptr) );
      }
#line 7248 "configparser.cc"
    break;

  case 464: /* $@225: %empty  */
#line 899 "configparser.yy"
      {
#ifndef HAVE_XFT
        lconfig->setFont( 1, (yyvsp[-1].strptr) );
#endif
        lconfig->setFontName( WConfig::FONT_X11_BUTTONS, (yyvsp[-1].strptr) );
      }
#line 7259 "configparser.cc"
    break;

  case 466: /* $@226: %empty  */
#line 906 "configparser.yy"
      {
#ifndef HAVE_XFT
        lconfig->setFont( 2, (yyvsp[-1].strptr) );
#endif
        lconfig->setFontName( WConfig::FONT_X11_LEFT, (yyvsp[-1].strptr) );
      }
#line 7270 "configparser.cc"
    break;

  case 468: /* $@227: %empty  */
#line 913 "configparser.yy"
      {
#ifndef HAVE_XFT
        lconfig->setFont( 3, (yyvsp[-1].strptr) );
#endif
        lconfig->setFontName( WConfig::FONT_X11_RIGHT, (yyvsp[-1].strptr) );
      }
#line 7281 "configparser.cc"
    break;

  case 470: /* $@228: %empty  */
#line 920 "configparser.yy"
      {
#ifndef HAVE_XFT
        lconfig->setFont( 4, (yyvsp[-1].strptr) );
#endif
        lconfig->setFontName( WConfig::FONT_X11_TEXTVIEW, (yyvsp[-1].strptr) );
      }
#line 7292 "configparser.cc"
    break;

  case 472: /* $@229: %empty  */
#line 927 "configparser.yy"
      {
#ifndef HAVE_XFT
        lconfig->setFont( 5, (yyvsp[-1].strptr) );
#endif
        lconfig->setFontName( WConfig::FONT_X11_STATEBAR, (yyvsp[-1].strptr) );
      }
#line 7303 "configparser.cc"
    break;

  case 475: /* $@230: %empty  */
#line 936 "configparser.yy"
         {
#ifdef HAVE_XFT
           lconfig->setFont( 0, (yyvsp[-1].strptr) );
#endif
           lconfig->setFontName( WConfig::FONT_XFT_GLOBAL, (yyvsp[-1].strptr) );
         }
#line 7314 "configparser.cc"
    break;

  case 477: /* $@231: %empty  */
#line 943 "configparser.yy"
         {
#ifdef HAVE_XFT
           lconfig->setFont( 1, (yyvsp[-1].strptr) );
#endif
           lconfig->setFontName( WConfig::FONT_XFT_BUTTONS, (yyvsp[-1].strptr) );
         }
#line 7325 "configparser.cc"
    break;

  case 479: /* $@232: %empty  */
#line 950 "configparser.yy"
         {
#ifdef HAVE_XFT
           lconfig->setFont( 2, (yyvsp[-1].strptr) );
#endif
           lconfig->setFontName( WConfig::FONT_XFT_LEFT, (yyvsp[-1].strptr) );
         }
#line 7336 "configparser.cc"
    break;

  case 481: /* $@233: %empty  */
#line 957 "configparser.yy"
         {
#ifdef HAVE_XFT
           lconfig->setFont( 3, (yyvsp[-1].strptr) );
#endif
           lconfig->setFontName( WConfig::FONT_XFT_RIGHT, (yyvsp[-1].strptr) );
         }
#line 7347 "configparser.cc"
    break;

  case 483: /* $@234: %empty  */
#line 964 "configparser.yy"
         {
#ifdef HAVE_XFT
           lconfig->setFont( 4, (yyvsp[-1].strptr) );
#endif
           lconfig->setFontName( WConfig::FONT_XFT_TEXTVIEW, (yyvsp[-1].strptr) );
         }
#line 7358 "configparser.cc"
    break;

  case 485: /* $@235: %empty  */
#line 971 "configparser.yy"
         {
#ifdef HAVE_XFT
           lconfig->setFont( 5, (yyvsp[-1].strptr) );
#endif
           lconfig->setFontName( WConfig::FONT_XFT_STATEBAR, (yyvsp[-1].strptr) );
         }
#line 7369 "configparser.cc"
    break;

  case 488: /* $@236: %empty  */
#line 980 "configparser.yy"
              {
                  lconfig->setVMMountCommand( (yyvsp[-1].strptr) );
              }
#line 7377 "configparser.cc"
    break;

  case 490: /* $@237: %empty  */
#line 984 "configparser.yy"
              {
                  lconfig->setVMUnmountCommand( (yyvsp[-1].strptr) );
              }
#line 7385 "configparser.cc"
    break;

  case 492: /* $@238: %empty  */
#line 988 "configparser.yy"
              {
                  lconfig->setVMEjectCommand( (yyvsp[-1].strptr) );
              }
#line 7393 "configparser.cc"
    break;

  case 494: /* $@239: %empty  */
#line 992 "configparser.yy"
              {
                  lconfig->setVMCloseTrayCommand( (yyvsp[-1].strptr) );
              }
#line 7401 "configparser.cc"
    break;

  case 496: /* $@240: %empty  */
#line 996 "configparser.yy"
              {
                  lconfig->setVMFStabFile( (yyvsp[-1].strptr) );
              }
#line 7409 "configparser.cc"
    break;

  case 498: /* $@241: %empty  */
#line 1000 "configparser.yy"
              {
                  lconfig->setVMMtabFile( (yyvsp[-1].strptr) );
              }
#line 7417 "configparser.cc"
    break;

  case 500: /* $@242: %empty  */
#line 1004 "configparser.yy"
              {
                  lconfig->setVMPartitionFile( (yyvsp[-1].strptr) );
              }
#line 7425 "configparser.cc"
    break;

  case 502: /* $@243: %empty  */
#line 1008 "configparser.yy"
              {
                  lconfig->setVMRequestAction( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false );
              }
#line 7433 "configparser.cc"
    break;

  case 504: /* $@244: %empty  */
#line 1012 "configparser.yy"
              {
                  lconfig->setVMPreferredUdisksVersion( (yyvsp[-1].num) );
              }
#line 7441 "configparser.cc"
    break;

  case 507: /* $@245: %empty  */
#line 1017 "configparser.yy"
                                          { lconfig->setClockbarMode( WConfig::CLOCKBAR_MODE_TIMERAM ); }
#line 7447 "configparser.cc"
    break;

  case 509: /* $@246: %empty  */
#line 1018 "configparser.yy"
                                     { lconfig->setClockbarMode( WConfig::CLOCKBAR_MODE_TIME ); }
#line 7453 "configparser.cc"
    break;

  case 511: /* $@247: %empty  */
#line 1019 "configparser.yy"
                                        { lconfig->setClockbarMode( WConfig::CLOCKBAR_MODE_VERSION ); }
#line 7459 "configparser.cc"
    break;

  case 513: /* $@248: %empty  */
#line 1020 "configparser.yy"
                                       { lconfig->setClockbarMode( WConfig::CLOCKBAR_MODE_EXTERN ); }
#line 7465 "configparser.cc"
    break;

  case 515: /* $@249: %empty  */
#line 1021 "configparser.yy"
                                         { lconfig->setClockbarUpdatetime( (yyvsp[-1].num) ); }
#line 7471 "configparser.cc"
    break;

  case 517: /* $@250: %empty  */
#line 1022 "configparser.yy"
                                         { lconfig->setClockbarCommand( (yyvsp[-1].strptr) ); }
#line 7477 "configparser.cc"
    break;

  case 519: /* $@251: %empty  */
#line 1023 "configparser.yy"
                                     { lconfig->setClockbarHints( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7483 "configparser.cc"
    break;

  case 522: /* bool: YES_WCP  */
#line 1026 "configparser.yy"
             { (yyval.num) = 1; }
#line 7489 "configparser.cc"
    break;

  case 523: /* bool: NO_WCP  */
#line 1027 "configparser.yy"
            { (yyval.num) = 0; }
#line 7495 "configparser.cc"
    break;

  case 596: /* $@252: %empty  */
#line 1102 "configparser.yy"
                              { lconfig_fp1 = std::make_shared< OwnOp >(); }
#line 7501 "configparser.cc"
    break;

  case 597: /* ownop: OWNOP_WCP LEFTBRACE_WCP $@252 ownopbody RIGHTBRACE_WCP  */
#line 1103 "configparser.yy"
                               { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7507 "configparser.cc"
    break;

  case 598: /* $@253: %empty  */
#line 1105 "configparser.yy"
                                  { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setComStr( (yyvsp[-1].strptr) ); }
#line 7513 "configparser.cc"
    break;

  case 600: /* $@254: %empty  */
#line 1106 "configparser.yy"
                                          { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setSeparateEachEntry( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7519 "configparser.cc"
    break;

  case 602: /* $@255: %empty  */
#line 1107 "configparser.yy"
                                  { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setRecursive( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7525 "configparser.cc"
    break;

  case 604: /* $@256: %empty  */
#line 1108 "configparser.yy"
                                      { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setOwnStart( OwnOp::OWNOP_START_IN_TERMINAL ); }
#line 7531 "configparser.cc"
    break;

  case 606: /* $@257: %empty  */
#line 1109 "configparser.yy"
                                          { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setOwnStart( OwnOp::OWNOP_START_IN_TERMINAL_AND_WAIT4KEY ); }
#line 7537 "configparser.cc"
    break;

  case 608: /* $@258: %empty  */
#line 1110 "configparser.yy"
                                        { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setOwnStart( OwnOp::OWNOP_SHOW_OUTPUT ); }
#line 7543 "configparser.cc"
    break;

  case 610: /* $@259: %empty  */
#line 1111 "configparser.yy"
                                           { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setOwnStart( OwnOp::OWNOP_SHOW_OUTPUT_INT ); }
#line 7549 "configparser.cc"
    break;

  case 612: /* $@260: %empty  */
#line 1112 "configparser.yy"
                                    { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setOwnStart( OwnOp::OWNOP_START_NORMAL ); }
#line 7555 "configparser.cc"
    break;

  case 614: /* $@261: %empty  */
#line 1113 "configparser.yy"
                                      { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setViewStr( (yyvsp[-1].strptr) ); }
#line 7561 "configparser.cc"
    break;

  case 616: /* $@262: %empty  */
#line 1114 "configparser.yy"
                                     { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setInBackground( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7567 "configparser.cc"
    break;

  case 618: /* $@263: %empty  */
#line 1115 "configparser.yy"
                                 { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setTakeDirs( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7573 "configparser.cc"
    break;

  case 620: /* $@264: %empty  */
#line 1116 "configparser.yy"
                               { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setDontCD( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7579 "configparser.cc"
    break;

  case 622: /* $@265: %empty  */
#line 1117 "configparser.yy"
                                                { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setUseVirtualTempCopies( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7585 "configparser.cc"
    break;

  case 624: /* $@266: %empty  */
#line 1118 "configparser.yy"
                                                      { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setFlagsAreRelativeToBaseDir( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7591 "configparser.cc"
    break;

  case 627: /* $@267: %empty  */
#line 1121 "configparser.yy"
                                      { lconfig_fp1 = std::make_shared<DNDAction>(); }
#line 7597 "configparser.cc"
    break;

  case 628: /* dndaction: DNDACTION_WCP LEFTBRACE_WCP $@267 RIGHTBRACE_WCP  */
#line 1122 "configparser.yy"
                         { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7603 "configparser.cc"
    break;

  case 629: /* $@268: %empty  */
#line 1124 "configparser.yy"
                                    { lconfig_fp1 = std::make_shared<DoubleClickAction>(); }
#line 7609 "configparser.cc"
    break;

  case 630: /* dcaction: DCACTION_WCP LEFTBRACE_WCP $@268 RIGHTBRACE_WCP  */
#line 1125 "configparser.yy"
                        { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7615 "configparser.cc"
    break;

  case 631: /* $@269: %empty  */
#line 1127 "configparser.yy"
                                        { lconfig_fp1 = std::make_shared<ShowAction>(); }
#line 7621 "configparser.cc"
    break;

  case 632: /* showaction: SHOWACTION_WCP LEFTBRACE_WCP $@269 RIGHTBRACE_WCP  */
#line 1128 "configparser.yy"
                          { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7627 "configparser.cc"
    break;

  case 633: /* $@270: %empty  */
#line 1130 "configparser.yy"
                                          { lconfig_fp1 = std::make_shared<RawShowAction>(); }
#line 7633 "configparser.cc"
    break;

  case 634: /* rshowaction: RSHOWACTION_WCP LEFTBRACE_WCP $@270 RIGHTBRACE_WCP  */
#line 1131 "configparser.yy"
                           { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7639 "configparser.cc"
    break;

  case 635: /* $@271: %empty  */
#line 1133 "configparser.yy"
                                        { lconfig_fp1 = std::make_shared<UserAction>(); }
#line 7645 "configparser.cc"
    break;

  case 636: /* useraction: USERACTION_WCP LEFTBRACE_WCP $@271 useractionbody RIGHTBRACE_WCP  */
#line 1134 "configparser.yy"
                                         { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7651 "configparser.cc"
    break;

  case 637: /* $@272: %empty  */
#line 1136 "configparser.yy"
                                             { std::dynamic_pointer_cast<UserAction>(lconfig_fp1)->setNr( (yyvsp[-1].num) ); }
#line 7657 "configparser.cc"
    break;

  case 640: /* $@273: %empty  */
#line 1139 "configparser.yy"
                              { auto tfp = std::make_shared< ScriptOp >();
                                tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                tfp->setCommandStr( "up" );
                                lconfig_fp1 = tfp;
                              }
#line 7667 "configparser.cc"
    break;

  case 641: /* rowup: ROWUP_WCP LEFTBRACE_WCP $@273 RIGHTBRACE_WCP  */
#line 1144 "configparser.yy"
                     { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7673 "configparser.cc"
    break;

  case 642: /* $@274: %empty  */
#line 1146 "configparser.yy"
                                  { auto tfp = std::make_shared< ScriptOp >();
                                    tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                    tfp->setCommandStr( "down" );
                                    lconfig_fp1 = tfp;
                                  }
#line 7683 "configparser.cc"
    break;

  case 643: /* rowdown: ROWDOWN_WCP LEFTBRACE_WCP $@274 RIGHTBRACE_WCP  */
#line 1151 "configparser.yy"
                       { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7689 "configparser.cc"
    break;

  case 644: /* $@275: %empty  */
#line 1153 "configparser.yy"
                                                    { lconfig_fp1 = std::make_shared<ChangeHiddenFlag>(); }
#line 7695 "configparser.cc"
    break;

  case 645: /* changehiddenflag: CHANGEHIDDENFLAG_WCP LEFTBRACE_WCP $@275 changehiddenflagbody RIGHTBRACE_WCP  */
#line 1154 "configparser.yy"
                                                     { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7701 "configparser.cc"
    break;

  case 646: /* $@276: %empty  */
#line 1156 "configparser.yy"
                                                   { std::dynamic_pointer_cast<ChangeHiddenFlag>(lconfig_fp1)->setMode( 2 ); }
#line 7707 "configparser.cc"
    break;

  case 648: /* $@277: %empty  */
#line 1157 "configparser.yy"
                                                   { std::dynamic_pointer_cast<ChangeHiddenFlag>(lconfig_fp1)->setMode( 1 ); }
#line 7713 "configparser.cc"
    break;

  case 650: /* $@278: %empty  */
#line 1158 "configparser.yy"
                                                     { std::dynamic_pointer_cast<ChangeHiddenFlag>(lconfig_fp1)->setMode( 0 ); }
#line 7719 "configparser.cc"
    break;

  case 653: /* $@279: %empty  */
#line 1161 "configparser.yy"
                                { lconfig_fp1 = std::make_shared<CopyOp>(); }
#line 7725 "configparser.cc"
    break;

  case 654: /* copyop: COPYOP_WCP LEFTBRACE_WCP $@279 copyopbody RIGHTBRACE_WCP  */
#line 1162 "configparser.yy"
                                 { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7731 "configparser.cc"
    break;

  case 655: /* $@280: %empty  */
#line 1164 "configparser.yy"
                                        { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setFollowSymlinks( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7737 "configparser.cc"
    break;

  case 657: /* $@281: %empty  */
#line 1165 "configparser.yy"
                              { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setMove( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7743 "configparser.cc"
    break;

  case 659: /* $@282: %empty  */
#line 1166 "configparser.yy"
                                { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setRename( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7749 "configparser.cc"
    break;

  case 661: /* $@283: %empty  */
#line 1167 "configparser.yy"
                                 { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setSameDir( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7755 "configparser.cc"
    break;

  case 663: /* $@284: %empty  */
#line 1168 "configparser.yy"
                                     { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setRequestDest( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7761 "configparser.cc"
    break;

  case 665: /* $@285: %empty  */
#line 1169 "configparser.yy"
                                      { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setRequestParameters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7767 "configparser.cc"
    break;

  case 667: /* $@286: %empty  */
#line 1170 "configparser.yy"
                                         { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setOverwrite( CopyOp::COPYOP_OVERWRITE_ALWAYS ); }
#line 7773 "configparser.cc"
    break;

  case 669: /* $@287: %empty  */
#line 1171 "configparser.yy"
                                        { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setOverwrite( CopyOp::COPYOP_OVERWRITE_NEVER ); }
#line 7779 "configparser.cc"
    break;

  case 671: /* $@288: %empty  */
#line 1172 "configparser.yy"
                                         { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setOverwrite( CopyOp::COPYOP_OVERWRITE_NORMAL ); }
#line 7785 "configparser.cc"
    break;

  case 673: /* $@289: %empty  */
#line 1173 "configparser.yy"
                                        {}
#line 7791 "configparser.cc"
    break;

  case 675: /* $@290: %empty  */
#line 1174 "configparser.yy"
                                      {}
#line 7797 "configparser.cc"
    break;

  case 677: /* $@291: %empty  */
#line 1175 "configparser.yy"
                                      { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setPreserveAttr( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7803 "configparser.cc"
    break;

  case 679: /* $@292: %empty  */
#line 1176 "configparser.yy"
                                                     { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setAdjustRelativeSymlinks( CopyOp::COPYOP_ADJUST_SYMLINK_NEVER ); }
#line 7809 "configparser.cc"
    break;

  case 681: /* $@293: %empty  */
#line 1177 "configparser.yy"
                                                       { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setAdjustRelativeSymlinks( CopyOp::COPYOP_ADJUST_SYMLINK_OUTSIDE ); }
#line 7815 "configparser.cc"
    break;

  case 683: /* $@294: %empty  */
#line 1178 "configparser.yy"
                                                      { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setAdjustRelativeSymlinks( CopyOp::COPYOP_ADJUST_SYMLINK_ALWAYS ); }
#line 7821 "configparser.cc"
    break;

  case 685: /* $@295: %empty  */
#line 1179 "configparser.yy"
                                                                 { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setEnsureFilePermissions( LEAVE_PERMISSIONS_UNMODIFIED ); }
#line 7827 "configparser.cc"
    break;

  case 687: /* $@296: %empty  */
#line 1180 "configparser.yy"
                                                        { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setEnsureFilePermissions( ENSURE_USER_RW_PERMISSION ); }
#line 7833 "configparser.cc"
    break;

  case 689: /* $@297: %empty  */
#line 1181 "configparser.yy"
                                                                { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setEnsureFilePermissions( ENSURE_USER_RW_GROUP_R_PERMISSION ); }
#line 7839 "configparser.cc"
    break;

  case 691: /* $@298: %empty  */
#line 1182 "configparser.yy"
                                                              { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setEnsureFilePermissions( ENSURE_USER_RW_ALL_R_PERMISSION ); }
#line 7845 "configparser.cc"
    break;

  case 693: /* $@299: %empty  */
#line 1183 "configparser.yy"
                                                     { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setVdirPreserveDirStructure( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7851 "configparser.cc"
    break;

  case 696: /* $@300: %empty  */
#line 1186 "configparser.yy"
                                    { auto tfp = std::make_shared< ScriptOp >();
                                      tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                      tfp->setCommandStr( "first" );
                                      lconfig_fp1 = tfp;
                                    }
#line 7861 "configparser.cc"
    break;

  case 697: /* firstrow: FIRSTROW_WCP LEFTBRACE_WCP $@300 RIGHTBRACE_WCP  */
#line 1191 "configparser.yy"
                        { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7867 "configparser.cc"
    break;

  case 698: /* $@301: %empty  */
#line 1193 "configparser.yy"
                                  { auto tfp = std::make_shared< ScriptOp >();
                                    tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                    tfp->setCommandStr( "last" );
                                    lconfig_fp1 = tfp;
                                  }
#line 7877 "configparser.cc"
    break;

  case 699: /* lastrow: LASTROW_WCP LEFTBRACE_WCP $@301 RIGHTBRACE_WCP  */
#line 1198 "configparser.yy"
                       { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7883 "configparser.cc"
    break;

  case 700: /* $@302: %empty  */
#line 1200 "configparser.yy"
                                { auto tfp = std::make_shared< ScriptOp >();
                                  tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                  tfp->setCommandStr( "pageup" );
                                  lconfig_fp1 = tfp;
                                }
#line 7893 "configparser.cc"
    break;

  case 701: /* pageup: PAGEUP_WCP LEFTBRACE_WCP $@302 RIGHTBRACE_WCP  */
#line 1205 "configparser.yy"
                      { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7899 "configparser.cc"
    break;

  case 702: /* $@303: %empty  */
#line 1207 "configparser.yy"
                                    { auto tfp = std::make_shared< ScriptOp >();
                                      tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                      tfp->setCommandStr( "pagedown" );
                                      lconfig_fp1 = tfp;
                                    }
#line 7909 "configparser.cc"
    break;

  case 703: /* pagedown: PAGEDOWN_WCP LEFTBRACE_WCP $@303 RIGHTBRACE_WCP  */
#line 1212 "configparser.yy"
                        { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7915 "configparser.cc"
    break;

  case 704: /* $@304: %empty  */
#line 1214 "configparser.yy"
                                    { auto tfp = std::make_shared< ScriptOp >();
                                      tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                      tfp->setCommandStr( "selectentry" );
                                      lconfig_fp1 = tfp;
                                    }
#line 7925 "configparser.cc"
    break;

  case 705: /* selectop: SELECTOP_WCP LEFTBRACE_WCP $@304 RIGHTBRACE_WCP  */
#line 1219 "configparser.yy"
                        { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7931 "configparser.cc"
    break;

  case 706: /* $@305: %empty  */
#line 1221 "configparser.yy"
                                          { auto tfp = std::make_shared< ScriptOp >();
                                            tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                            tfp->setCommandStr( "selectall" );
                                            lconfig_fp1 = tfp;
                                          }
#line 7941 "configparser.cc"
    break;

  case 707: /* selectallop: SELECTALLOP_WCP LEFTBRACE_WCP $@305 RIGHTBRACE_WCP  */
#line 1226 "configparser.yy"
                           { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7947 "configparser.cc"
    break;

  case 708: /* $@306: %empty  */
#line 1228 "configparser.yy"
                                            { auto tfp = std::make_shared< ScriptOp >();
                                              tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                              tfp->setCommandStr( "selectnone" );
                                              lconfig_fp1 = tfp;
                                            }
#line 7957 "configparser.cc"
    break;

  case 709: /* selectnoneop: SELECTNONEOP_WCP LEFTBRACE_WCP $@306 RIGHTBRACE_WCP  */
#line 1233 "configparser.yy"
                            { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7963 "configparser.cc"
    break;

  case 710: /* $@307: %empty  */
#line 1235 "configparser.yy"
                                          { auto tfp = std::make_shared< ScriptOp >();
                                            tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                            tfp->setCommandStr( "invertall" );
                                            lconfig_fp1 = tfp;
                                          }
#line 7973 "configparser.cc"
    break;

  case 711: /* invertallop: INVERTALLOP_WCP LEFTBRACE_WCP $@307 RIGHTBRACE_WCP  */
#line 1240 "configparser.yy"
                           { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7979 "configparser.cc"
    break;

  case 712: /* $@308: %empty  */
#line 1242 "configparser.yy"
                                          { auto tfp = std::make_shared< ScriptOp >();
                                            tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                            tfp->setCommandStr( "parentdir" );
                                            lconfig_fp1 = tfp;
                                          }
#line 7989 "configparser.cc"
    break;

  case 713: /* parentdirop: PARENTDIROP_WCP LEFTBRACE_WCP $@308 RIGHTBRACE_WCP  */
#line 1247 "configparser.yy"
                           { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7995 "configparser.cc"
    break;

  case 714: /* $@309: %empty  */
#line 1249 "configparser.yy"
                                        { lconfig_fp1 = std::make_shared<EnterDirOp>(); }
#line 8001 "configparser.cc"
    break;

  case 715: /* enterdirop: ENTERDIROP_WCP LEFTBRACE_WCP $@309 enterdiropbody RIGHTBRACE_WCP  */
#line 1250 "configparser.yy"
                                         { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8007 "configparser.cc"
    break;

  case 716: /* $@310: %empty  */
#line 1252 "configparser.yy"
                                       { std::dynamic_pointer_cast<EnterDirOp>(lconfig_fp1)->setDir( (yyvsp[-1].strptr) ); }
#line 8013 "configparser.cc"
    break;

  case 718: /* $@311: %empty  */
#line 1253 "configparser.yy"
                                        { std::dynamic_pointer_cast<EnterDirOp>(lconfig_fp1)->setMode( EnterDirOp::ENTERDIROP_ACTIVE ); }
#line 8019 "configparser.cc"
    break;

  case 720: /* $@312: %empty  */
#line 1254 "configparser.yy"
                                              { std::dynamic_pointer_cast<EnterDirOp>(lconfig_fp1)->setMode( EnterDirOp::ENTERDIROP_ACTIVE2OTHER ); }
#line 8025 "configparser.cc"
    break;

  case 722: /* $@313: %empty  */
#line 1255 "configparser.yy"
                                         { std::dynamic_pointer_cast<EnterDirOp>(lconfig_fp1)->setMode( EnterDirOp::ENTERDIROP_SPECIAL ); }
#line 8031 "configparser.cc"
    break;

  case 724: /* $@314: %empty  */
#line 1256 "configparser.yy"
                                         { std::dynamic_pointer_cast<EnterDirOp>(lconfig_fp1)->setMode( EnterDirOp::ENTERDIROP_REQUEST ); }
#line 8037 "configparser.cc"
    break;

  case 727: /* $@315: %empty  */
#line 1259 "configparser.yy"
                                                      { lconfig_fp1 = std::make_shared<ChangeListerSetOp>(); }
#line 8043 "configparser.cc"
    break;

  case 728: /* changelistersetop: CHANGELISTERSETOP_WCP LEFTBRACE_WCP $@315 changelistersetopbody RIGHTBRACE_WCP  */
#line 1260 "configparser.yy"
                                                       { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8049 "configparser.cc"
    break;

  case 729: /* $@316: %empty  */
#line 1262 "configparser.yy"
                                             { std::dynamic_pointer_cast<ChangeListerSetOp>(lconfig_fp1)->setMode( ChangeListerSetOp::CLS_LEFT_LISTER ); }
#line 8055 "configparser.cc"
    break;

  case 731: /* $@317: %empty  */
#line 1263 "configparser.yy"
                                              { std::dynamic_pointer_cast<ChangeListerSetOp>(lconfig_fp1)->setMode( ChangeListerSetOp::CLS_RIGHT_LISTER ); }
#line 8061 "configparser.cc"
    break;

  case 733: /* $@318: %empty  */
#line 1264 "configparser.yy"
                                                { std::dynamic_pointer_cast<ChangeListerSetOp>(lconfig_fp1)->setMode( ChangeListerSetOp::CLS_CURRENT_LISTER ); }
#line 8067 "configparser.cc"
    break;

  case 735: /* $@319: %empty  */
#line 1265 "configparser.yy"
                                              { std::dynamic_pointer_cast<ChangeListerSetOp>(lconfig_fp1)->setMode( ChangeListerSetOp::CLS_OTHER_LISTER ); }
#line 8073 "configparser.cc"
    break;

  case 738: /* $@320: %empty  */
#line 1268 "configparser.yy"
                                                { lconfig_fp1 = std::make_shared<SwitchListerOp>(); }
#line 8079 "configparser.cc"
    break;

  case 739: /* switchlisterop: SWITCHLISTEROP_WCP LEFTBRACE_WCP $@320 RIGHTBRACE_WCP  */
#line 1269 "configparser.yy"
                              { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8085 "configparser.cc"
    break;

  case 740: /* $@321: %empty  */
#line 1271 "configparser.yy"
                                                { lconfig_fp1 = std::make_shared<FilterSelectOp>(); }
#line 8091 "configparser.cc"
    break;

  case 741: /* filterselectop: FILTERSELECTOP_WCP LEFTBRACE_WCP $@321 filterselectopbody RIGHTBRACE_WCP  */
#line 1272 "configparser.yy"
                                                 { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8097 "configparser.cc"
    break;

  case 742: /* $@322: %empty  */
#line 1274 "configparser.yy"
                                              { std::dynamic_pointer_cast<FilterSelectOp>(lconfig_fp1)->setFilter( (yyvsp[-1].strptr) ); }
#line 8103 "configparser.cc"
    break;

  case 744: /* $@323: %empty  */
#line 1275 "configparser.yy"
                                            { std::dynamic_pointer_cast<FilterSelectOp>(lconfig_fp1)->setAutoFilter( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8109 "configparser.cc"
    break;

  case 746: /* $@324: %empty  */
#line 1276 "configparser.yy"
                                                        { std::dynamic_pointer_cast<FilterSelectOp>(lconfig_fp1)->setImmediateFilterApply( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8115 "configparser.cc"
    break;

  case 749: /* $@325: %empty  */
#line 1279 "configparser.yy"
                                                    { lconfig_fp1 = std::make_shared<FilterUnSelectOp>(); }
#line 8121 "configparser.cc"
    break;

  case 750: /* filterunselectop: FILTERUNSELECTOP_WCP LEFTBRACE_WCP $@325 filterunselectopbody RIGHTBRACE_WCP  */
#line 1280 "configparser.yy"
                                                     { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8127 "configparser.cc"
    break;

  case 751: /* $@326: %empty  */
#line 1282 "configparser.yy"
                                                { std::dynamic_pointer_cast<FilterUnSelectOp>(lconfig_fp1)->setFilter( (yyvsp[-1].strptr) ); }
#line 8133 "configparser.cc"
    break;

  case 753: /* $@327: %empty  */
#line 1283 "configparser.yy"
                                              { std::dynamic_pointer_cast<FilterUnSelectOp>(lconfig_fp1)->setAutoFilter( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8139 "configparser.cc"
    break;

  case 755: /* $@328: %empty  */
#line 1284 "configparser.yy"
                                                          { std::dynamic_pointer_cast<FilterUnSelectOp>(lconfig_fp1)->setImmediateFilterApply( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8145 "configparser.cc"
    break;

  case 758: /* $@329: %empty  */
#line 1287 "configparser.yy"
                                                      { lconfig_fp1 = std::make_shared<Path2OSideOp>(); }
#line 8151 "configparser.cc"
    break;

  case 759: /* pathtoothersideop: PATHTOOTHERSIDEOP_WCP LEFTBRACE_WCP $@329 RIGHTBRACE_WCP  */
#line 1288 "configparser.yy"
                                 { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8157 "configparser.cc"
    break;

  case 760: /* $@330: %empty  */
#line 1290 "configparser.yy"
                                { lconfig_fp1 = std::make_shared<QuitOp>(); }
#line 8163 "configparser.cc"
    break;

  case 761: /* quitop: QUITOP_WCP LEFTBRACE_WCP $@330 quitopbody RIGHTBRACE_WCP  */
#line 1291 "configparser.yy"
                                 { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8169 "configparser.cc"
    break;

  case 762: /* $@331: %empty  */
#line 1293 "configparser.yy"
                                    { std::dynamic_pointer_cast<QuitOp>(lconfig_fp1)->setMode( QuitOp::Q_NORMAL_QUIT ); }
#line 8175 "configparser.cc"
    break;

  case 764: /* $@332: %empty  */
#line 1294 "configparser.yy"
                                   { std::dynamic_pointer_cast<QuitOp>(lconfig_fp1)->setMode( QuitOp::Q_QUICK_QUIT ); }
#line 8181 "configparser.cc"
    break;

  case 767: /* $@333: %empty  */
#line 1297 "configparser.yy"
                                    { lconfig_fp1 = std::make_shared<DeleteOp>(); }
#line 8187 "configparser.cc"
    break;

  case 768: /* deleteop: DELETEOP_WCP LEFTBRACE_WCP $@333 deleteopbody RIGHTBRACE_WCP  */
#line 1298 "configparser.yy"
                                     { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8193 "configparser.cc"
    break;

  case 769: /* $@334: %empty  */
#line 1300 "configparser.yy"
                                      { std::dynamic_pointer_cast<DeleteOp>(lconfig_fp1)->setAlsoActive( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8199 "configparser.cc"
    break;

  case 772: /* $@335: %empty  */
#line 1303 "configparser.yy"
                                    { lconfig_fp1 = std::make_shared<ReloadOp>(); }
#line 8205 "configparser.cc"
    break;

  case 773: /* reloadop: RELOADOP_WCP LEFTBRACE_WCP $@335 reloadopbody RIGHTBRACE_WCP  */
#line 1304 "configparser.yy"
                                     { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8211 "configparser.cc"
    break;

  case 774: /* $@336: %empty  */
#line 1306 "configparser.yy"
                                    { std::dynamic_pointer_cast<ReloadOp>(lconfig_fp1)->setReloadside( ReloadOp::RELOADOP_LEFTSIDE ); }
#line 8217 "configparser.cc"
    break;

  case 776: /* $@337: %empty  */
#line 1307 "configparser.yy"
                                     { std::dynamic_pointer_cast<ReloadOp>(lconfig_fp1)->setReloadside( ReloadOp::RELOADOP_RIGHTSIDE ); }
#line 8223 "configparser.cc"
    break;

  case 778: /* $@338: %empty  */
#line 1308 "configparser.yy"
                                       { std::dynamic_pointer_cast<ReloadOp>(lconfig_fp1)->setReloadside( ReloadOp::RELOADOP_THISSIDE ); }
#line 8229 "configparser.cc"
    break;

  case 780: /* $@339: %empty  */
#line 1309 "configparser.yy"
                                     { std::dynamic_pointer_cast<ReloadOp>(lconfig_fp1)->setReloadside( ReloadOp::RELOADOP_OTHERSIDE ); }
#line 8235 "configparser.cc"
    break;

  case 782: /* $@340: %empty  */
#line 1310 "configparser.yy"
                                         { std::dynamic_pointer_cast<ReloadOp>(lconfig_fp1)->setResetDirSizes( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8241 "configparser.cc"
    break;

  case 784: /* $@341: %empty  */
#line 1311 "configparser.yy"
                                         { std::dynamic_pointer_cast<ReloadOp>(lconfig_fp1)->setKeepFiletypes( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8247 "configparser.cc"
    break;

  case 787: /* $@342: %empty  */
#line 1314 "configparser.yy"
                                      { lconfig_fp1 = std::make_shared<MakeDirOp>(); }
#line 8253 "configparser.cc"
    break;

  case 788: /* makedirop: MAKEDIROP_WCP LEFTBRACE_WCP $@342 RIGHTBRACE_WCP  */
#line 1315 "configparser.yy"
                         { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8259 "configparser.cc"
    break;

  case 789: /* $@343: %empty  */
#line 1317 "configparser.yy"
                                    { lconfig_fp1 = std::make_shared<RenameOp>(); }
#line 8265 "configparser.cc"
    break;

  case 790: /* renameop: RENAMEOP_WCP LEFTBRACE_WCP $@343 RIGHTBRACE_WCP  */
#line 1318 "configparser.yy"
                        { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8271 "configparser.cc"
    break;

  case 791: /* $@344: %empty  */
#line 1320 "configparser.yy"
                                      { lconfig_fp1 = std::make_shared<DirSizeOp>(); }
#line 8277 "configparser.cc"
    break;

  case 792: /* dirsizeop: DIRSIZEOP_WCP LEFTBRACE_WCP $@344 RIGHTBRACE_WCP  */
#line 1321 "configparser.yy"
                         { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8283 "configparser.cc"
    break;

  case 793: /* $@345: %empty  */
#line 1323 "configparser.yy"
                                  { auto tfp = std::make_shared< ScriptOp >();
                                    tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                    tfp->setCommandStr( "simulate_doubleclick" );
                                    lconfig_fp1 = tfp;
                                  }
#line 8293 "configparser.cc"
    break;

  case 794: /* simddop: SIMDDOP_WCP LEFTBRACE_WCP $@345 RIGHTBRACE_WCP  */
#line 1328 "configparser.yy"
                       { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8299 "configparser.cc"
    break;

  case 795: /* $@346: %empty  */
#line 1330 "configparser.yy"
                                          { lconfig_fp1 = std::make_shared<StartProgOp>(); }
#line 8305 "configparser.cc"
    break;

  case 796: /* startprogop: STARTPROGOP_WCP LEFTBRACE_WCP $@346 startprogopbody RIGHTBRACE_WCP  */
#line 1331 "configparser.yy"
                                           { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8311 "configparser.cc"
    break;

  case 797: /* $@347: %empty  */
#line 1333 "configparser.yy"
                                            { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setStart( StartProgOp::STARTPROGOP_START_IN_TERMINAL ); }
#line 8317 "configparser.cc"
    break;

  case 799: /* $@348: %empty  */
#line 1334 "configparser.yy"
                                                { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setStart( StartProgOp::STARTPROGOP_START_IN_TERMINAL_AND_WAIT4KEY ); }
#line 8323 "configparser.cc"
    break;

  case 801: /* $@349: %empty  */
#line 1335 "configparser.yy"
                                              { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setStart( StartProgOp::STARTPROGOP_SHOW_OUTPUT ); }
#line 8329 "configparser.cc"
    break;

  case 803: /* $@350: %empty  */
#line 1336 "configparser.yy"
                                                 { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setStart( StartProgOp::STARTPROGOP_SHOW_OUTPUT_INT ); }
#line 8335 "configparser.cc"
    break;

  case 805: /* $@351: %empty  */
#line 1337 "configparser.yy"
                                          { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setStart( StartProgOp::STARTPROGOP_START_NORMAL ); }
#line 8341 "configparser.cc"
    break;

  case 807: /* $@352: %empty  */
#line 1338 "configparser.yy"
                                            { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setViewStr( (yyvsp[-1].strptr) ); }
#line 8347 "configparser.cc"
    break;

  case 809: /* $@353: %empty  */
#line 1339 "configparser.yy"
                                     { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setGlobal( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8353 "configparser.cc"
    break;

  case 811: /* $@354: %empty  */
#line 1340 "configparser.yy"
                                           { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setRequestParameters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8359 "configparser.cc"
    break;

  case 813: /* $@355: %empty  */
#line 1341 "configparser.yy"
                                           { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setInBackground( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8365 "configparser.cc"
    break;

  case 815: /* $@356: %empty  */
#line 1342 "configparser.yy"
                                     { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setDontCD( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8371 "configparser.cc"
    break;

  case 818: /* $@357: %empty  */
#line 1345 "configparser.yy"
                                              { lconfig_fp1 = std::make_shared<SearchEntryOp>(); }
#line 8377 "configparser.cc"
    break;

  case 819: /* searchentryop: SEARCHENTRYOP_WCP LEFTBRACE_WCP $@357 searchentryopbody RIGHTBRACE_WCP  */
#line 1346 "configparser.yy"
                                               { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8383 "configparser.cc"
    break;

  case 820: /* $@358: %empty  */
#line 1348 "configparser.yy"
                                           { std::dynamic_pointer_cast<SearchEntryOp>(lconfig_fp1)->setIgnoreCase( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8389 "configparser.cc"
    break;

  case 822: /* $@359: %empty  */
#line 1349 "configparser.yy"
                                              { std::dynamic_pointer_cast<SearchEntryOp>(lconfig_fp1)->setReverseSearch( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8395 "configparser.cc"
    break;

  case 824: /* $@360: %empty  */
#line 1350 "configparser.yy"
                                            { std::dynamic_pointer_cast<SearchEntryOp>(lconfig_fp1)->setInfixSearch( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8401 "configparser.cc"
    break;

  case 826: /* $@361: %empty  */
#line 1351 "configparser.yy"
                                              { std::dynamic_pointer_cast<SearchEntryOp>(lconfig_fp1)->setFlexibleMatch( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8407 "configparser.cc"
    break;

  case 829: /* $@362: %empty  */
#line 1354 "configparser.yy"
                                          { lconfig_fp1 = std::make_shared<EnterPathOp>(); }
#line 8413 "configparser.cc"
    break;

  case 830: /* enterpathop: ENTERPATHOP_WCP LEFTBRACE_WCP $@362 enterpathopbody RIGHTBRACE_WCP  */
#line 1355 "configparser.yy"
                                           { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8419 "configparser.cc"
    break;

  case 831: /* $@363: %empty  */
#line 1357 "configparser.yy"
                                       { std::dynamic_pointer_cast<EnterPathOp>(lconfig_fp1)->setSide( EnterPathOp::ENTERPATHOP_LEFTSIDE ); }
#line 8425 "configparser.cc"
    break;

  case 833: /* $@364: %empty  */
#line 1358 "configparser.yy"
                                        { std::dynamic_pointer_cast<EnterPathOp>(lconfig_fp1)->setSide( EnterPathOp::ENTERPATHOP_RIGHTSIDE ); }
#line 8431 "configparser.cc"
    break;

  case 835: /* $@365: %empty  */
#line 1359 "configparser.yy"
                                          { std::dynamic_pointer_cast<EnterPathOp>(lconfig_fp1)->setSide( EnterPathOp::ENTERPATHOP_THISSIDE ); }
#line 8437 "configparser.cc"
    break;

  case 837: /* $@366: %empty  */
#line 1360 "configparser.yy"
                                        { std::dynamic_pointer_cast<EnterPathOp>(lconfig_fp1)->setSide( EnterPathOp::ENTERPATHOP_OTHERSIDE ); }
#line 8443 "configparser.cc"
    break;

  case 840: /* $@367: %empty  */
#line 1363 "configparser.yy"
                                                { lconfig_fp1 = std::make_shared<ScrollListerOp>(); }
#line 8449 "configparser.cc"
    break;

  case 841: /* scrolllisterop: SCROLLLISTEROP_WCP LEFTBRACE_WCP $@367 scrolllisteropbody RIGHTBRACE_WCP  */
#line 1364 "configparser.yy"
                                                 { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8455 "configparser.cc"
    break;

  case 842: /* $@368: %empty  */
#line 1366 "configparser.yy"
                                          { std::dynamic_pointer_cast<ScrollListerOp>(lconfig_fp1)->setDir( ScrollListerOp::SCROLLLISTEROP_LEFT ); }
#line 8461 "configparser.cc"
    break;

  case 844: /* $@369: %empty  */
#line 1367 "configparser.yy"
                                           { std::dynamic_pointer_cast<ScrollListerOp>(lconfig_fp1)->setDir( ScrollListerOp::SCROLLLISTEROP_RIGHT ); }
#line 8467 "configparser.cc"
    break;

  case 847: /* $@370: %empty  */
#line 1370 "configparser.yy"
                                                  { lconfig_fp1 = std::make_shared<CreateSymlinkOp>(); }
#line 8473 "configparser.cc"
    break;

  case 848: /* createsymlinkop: CREATESYMLINKOP_WCP LEFTBRACE_WCP $@370 createsymlinkopbody RIGHTBRACE_WCP  */
#line 1371 "configparser.yy"
                                                   { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8479 "configparser.cc"
    break;

  case 849: /* $@371: %empty  */
#line 1373 "configparser.yy"
                                          { std::dynamic_pointer_cast<CreateSymlinkOp>(lconfig_fp1)->setSameDir( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8485 "configparser.cc"
    break;

  case 851: /* $@372: %empty  */
#line 1374 "configparser.yy"
                                           { std::dynamic_pointer_cast<CreateSymlinkOp>(lconfig_fp1)->setLocal( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8491 "configparser.cc"
    break;

  case 853: /* $@373: %empty  */
#line 1375 "configparser.yy"
                                               { std::dynamic_pointer_cast<CreateSymlinkOp>(lconfig_fp1)->setRequestParameters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8497 "configparser.cc"
    break;

  case 856: /* $@374: %empty  */
#line 1378 "configparser.yy"
                                                  { lconfig_fp1 = std::make_shared<ChangeSymlinkOp>(); }
#line 8503 "configparser.cc"
    break;

  case 857: /* changesymlinkop: CHANGESYMLINKOP_WCP LEFTBRACE_WCP $@374 changesymlinkopbody RIGHTBRACE_WCP  */
#line 1379 "configparser.yy"
                                                   { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8509 "configparser.cc"
    break;

  case 858: /* $@375: %empty  */
#line 1381 "configparser.yy"
                                           { std::dynamic_pointer_cast<ChangeSymlinkOp>(lconfig_fp1)->setMode( ChangeSymlinkOp::CHANGESYMLINK_EDIT ); }
#line 8515 "configparser.cc"
    break;

  case 860: /* $@376: %empty  */
#line 1382 "configparser.yy"
                                                   { std::dynamic_pointer_cast<ChangeSymlinkOp>(lconfig_fp1)->setMode( ChangeSymlinkOp::CHANGESYMLINK_MAKE_ABSOLUTE ); }
#line 8521 "configparser.cc"
    break;

  case 862: /* $@377: %empty  */
#line 1383 "configparser.yy"
                                                   { std::dynamic_pointer_cast<ChangeSymlinkOp>(lconfig_fp1)->setMode( ChangeSymlinkOp::CHANGESYMLINK_MAKE_RELATIVE ); }
#line 8527 "configparser.cc"
    break;

  case 865: /* $@378: %empty  */
#line 1386 "configparser.yy"
                                  { lconfig_fp1 = std::make_shared<ChModOp>(); }
#line 8533 "configparser.cc"
    break;

  case 866: /* chmodop: CHMODOP_WCP LEFTBRACE_WCP $@378 chmodopbody RIGHTBRACE_WCP  */
#line 1387 "configparser.yy"
                                   { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8539 "configparser.cc"
    break;

  case 867: /* $@379: %empty  */
#line 1389 "configparser.yy"
                                  { std::dynamic_pointer_cast<ChModOp>(lconfig_fp1)->setOnFiles( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8545 "configparser.cc"
    break;

  case 869: /* $@380: %empty  */
#line 1390 "configparser.yy"
                                 { std::dynamic_pointer_cast<ChModOp>(lconfig_fp1)->setOnDirs( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8551 "configparser.cc"
    break;

  case 871: /* $@381: %empty  */
#line 1391 "configparser.yy"
                                    { std::dynamic_pointer_cast<ChModOp>(lconfig_fp1)->setRecursive( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8557 "configparser.cc"
    break;

  case 873: /* $@382: %empty  */
#line 1392 "configparser.yy"
                                       { std::dynamic_pointer_cast<ChModOp>(lconfig_fp1)->setRequestParameters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8563 "configparser.cc"
    break;

  case 875: /* $@383: %empty  */
#line 1393 "configparser.yy"
                                       { std::dynamic_pointer_cast<ChModOp>(lconfig_fp1)->setApplyMode( CHMOD_ASK_PERMISSIONS ); }
#line 8569 "configparser.cc"
    break;

  case 877: /* $@384: %empty  */
#line 1394 "configparser.yy"
                                       { std::dynamic_pointer_cast<ChModOp>(lconfig_fp1)->setApplyMode( CHMOD_SET_PERMISSIONS ); }
#line 8575 "configparser.cc"
    break;

  case 879: /* $@385: %empty  */
#line 1395 "configparser.yy"
                                       { std::dynamic_pointer_cast<ChModOp>(lconfig_fp1)->setApplyMode( CHMOD_ADD_PERMISSIONS ); }
#line 8581 "configparser.cc"
    break;

  case 881: /* $@386: %empty  */
#line 1396 "configparser.yy"
                                          { std::dynamic_pointer_cast<ChModOp>(lconfig_fp1)->setApplyMode( CHMOD_REMOVE_PERMISSIONS ); }
#line 8587 "configparser.cc"
    break;

  case 883: /* $@387: %empty  */
#line 1397 "configparser.yy"
                                           { std::dynamic_pointer_cast<ChModOp>(lconfig_fp1)->setPermissions( (yyvsp[-1].strptr) ); }
#line 8593 "configparser.cc"
    break;

  case 886: /* $@388: %empty  */
#line 1400 "configparser.yy"
                                    { lconfig_fp1 = std::make_shared<ChTimeOp>(); }
#line 8599 "configparser.cc"
    break;

  case 887: /* chtimeop: CHTIMEOP_WCP LEFTBRACE_WCP $@388 chtimeopbody RIGHTBRACE_WCP  */
#line 1401 "configparser.yy"
                                     { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8605 "configparser.cc"
    break;

  case 888: /* $@389: %empty  */
#line 1403 "configparser.yy"
                                   { std::dynamic_pointer_cast<ChTimeOp>(lconfig_fp1)->setOnFiles( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8611 "configparser.cc"
    break;

  case 890: /* $@390: %empty  */
#line 1404 "configparser.yy"
                                  { std::dynamic_pointer_cast<ChTimeOp>(lconfig_fp1)->setOnDirs( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8617 "configparser.cc"
    break;

  case 892: /* $@391: %empty  */
#line 1405 "configparser.yy"
                                     { std::dynamic_pointer_cast<ChTimeOp>(lconfig_fp1)->setRecursive( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8623 "configparser.cc"
    break;

  case 894: /* $@392: %empty  */
#line 1406 "configparser.yy"
                                        { std::dynamic_pointer_cast<ChTimeOp>(lconfig_fp1)->setRequestParameters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8629 "configparser.cc"
    break;

  case 897: /* $@393: %empty  */
#line 1409 "configparser.yy"
                                                        { lconfig_fp1 = std::make_shared<ToggleListermodeOp>(); }
#line 8635 "configparser.cc"
    break;

  case 898: /* togglelistermodeop: TOGGLELISTERMODEOP_WCP LEFTBRACE_WCP $@393 togglelistermodeopbody RIGHTBRACE_WCP  */
#line 1410 "configparser.yy"
                                                         { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8641 "configparser.cc"
    break;

  case 899: /* $@394: %empty  */
#line 1412 "configparser.yy"
                                                { std::dynamic_pointer_cast<ToggleListermodeOp>(lconfig_fp1)->setMode( Worker::getID4Name( (yyvsp[-1].strptr) ) ); }
#line 8647 "configparser.cc"
    break;

  case 902: /* $@395: %empty  */
#line 1415 "configparser.yy"
                                              { lconfig_fp1 = std::make_shared<SetSortmodeOp>();
                                        std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setMode( 0 );
                                      }
#line 8655 "configparser.cc"
    break;

  case 903: /* setsortmodeop: SETSORTMODEOP_WCP LEFTBRACE_WCP $@395 setsortmodeopbody RIGHTBRACE_WCP  */
#line 1418 "configparser.yy"
                                               { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8661 "configparser.cc"
    break;

  case 904: /* $@396: %empty  */
#line 1420 "configparser.yy"
                                           { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_NAME ); }
#line 8667 "configparser.cc"
    break;

  case 906: /* $@397: %empty  */
#line 1421 "configparser.yy"
                                           { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_SIZE ); }
#line 8673 "configparser.cc"
    break;

  case 908: /* $@398: %empty  */
#line 1422 "configparser.yy"
                                              { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_ACCTIME ); }
#line 8679 "configparser.cc"
    break;

  case 910: /* $@399: %empty  */
#line 1423 "configparser.yy"
                                              { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_MODTIME ); }
#line 8685 "configparser.cc"
    break;

  case 912: /* $@400: %empty  */
#line 1424 "configparser.yy"
                                              { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_CHGTIME ); }
#line 8691 "configparser.cc"
    break;

  case 914: /* $@401: %empty  */
#line 1425 "configparser.yy"
                                           { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_TYPE ); }
#line 8697 "configparser.cc"
    break;

  case 916: /* $@402: %empty  */
#line 1426 "configparser.yy"
                                            { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_OWNER ); }
#line 8703 "configparser.cc"
    break;

  case 918: /* $@403: %empty  */
#line 1427 "configparser.yy"
                                            { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_INODE ); }
#line 8709 "configparser.cc"
    break;

  case 920: /* $@404: %empty  */
#line 1428 "configparser.yy"
                                            { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_NLINK ); }
#line 8715 "configparser.cc"
    break;

  case 922: /* $@405: %empty  */
#line 1429 "configparser.yy"
                                                 { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_PERMISSION ); }
#line 8721 "configparser.cc"
    break;

  case 924: /* $@406: %empty  */
#line 1430 "configparser.yy"
                                                { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortFlag( SORT_REVERSE ); }
#line 8727 "configparser.cc"
    break;

  case 926: /* $@407: %empty  */
#line 1431 "configparser.yy"
                                                { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortFlag( SORT_DIRLAST ); }
#line 8733 "configparser.cc"
    break;

  case 928: /* $@408: %empty  */
#line 1432 "configparser.yy"
                                                 { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortFlag( SORT_DIRMIXED ); }
#line 8739 "configparser.cc"
    break;

  case 930: /* $@409: %empty  */
#line 1433 "configparser.yy"
                                                { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_EXTENSION ); }
#line 8745 "configparser.cc"
    break;

  case 933: /* $@410: %empty  */
#line 1436 "configparser.yy"
                                          { lconfig_fp1 = std::make_shared<SetFilterOp>(); }
#line 8751 "configparser.cc"
    break;

  case 934: /* setfilterop: SETFILTEROP_WCP LEFTBRACE_WCP $@410 setfilteropbody RIGHTBRACE_WCP  */
#line 1437 "configparser.yy"
                                           { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8757 "configparser.cc"
    break;

  case 935: /* $@411: %empty  */
#line 1439 "configparser.yy"
                                           { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setRequestParameters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8763 "configparser.cc"
    break;

  case 937: /* $@412: %empty  */
#line 1440 "configparser.yy"
                                          { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setFiltermode( SetFilterOp::EXCLUDE_FILTER ); }
#line 8769 "configparser.cc"
    break;

  case 939: /* $@413: %empty  */
#line 1441 "configparser.yy"
                                          { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setFiltermode( SetFilterOp::INCLUDE_FILTER ); }
#line 8775 "configparser.cc"
    break;

  case 941: /* $@414: %empty  */
#line 1442 "configparser.yy"
                                        { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setFiltermode( SetFilterOp::UNSET_FILTER ); }
#line 8781 "configparser.cc"
    break;

  case 943: /* $@415: %empty  */
#line 1443 "configparser.yy"
                                           { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setFiltermode( SetFilterOp::UNSET_ALL ); }
#line 8787 "configparser.cc"
    break;

  case 945: /* $@416: %empty  */
#line 1444 "configparser.yy"
                                           { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setFilter( (yyvsp[-1].strptr) ); }
#line 8793 "configparser.cc"
    break;

  case 947: /* $@417: %empty  */
#line 1445 "configparser.yy"
                                                  { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setBookmarkLabel( (yyvsp[-1].strptr) ); }
#line 8799 "configparser.cc"
    break;

  case 949: /* $@418: %empty  */
#line 1446 "configparser.yy"
                                                              { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setBookmarkFilter( DirFilterSettings::SHOW_ONLY_BOOKMARKS ); }
#line 8805 "configparser.cc"
    break;

  case 951: /* $@419: %empty  */
#line 1447 "configparser.yy"
                                                          { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setBookmarkFilter( DirFilterSettings::SHOW_ONLY_LABEL ); }
#line 8811 "configparser.cc"
    break;

  case 953: /* $@420: %empty  */
#line 1448 "configparser.yy"
                                                    { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setBookmarkFilter( DirFilterSettings::SHOW_ALL ); }
#line 8817 "configparser.cc"
    break;

  case 955: /* $@421: %empty  */
#line 1449 "configparser.yy"
                                            { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setOptionMode( SetFilterOp::SET_OPTION ); }
#line 8823 "configparser.cc"
    break;

  case 957: /* $@422: %empty  */
#line 1450 "configparser.yy"
                                               { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setOptionMode( SetFilterOp::INVERT_OPTION ); }
#line 8829 "configparser.cc"
    break;

  case 959: /* $@423: %empty  */
#line 1451 "configparser.yy"
                                            { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setChangeFilters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8835 "configparser.cc"
    break;

  case 961: /* $@424: %empty  */
#line 1452 "configparser.yy"
                                              { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setChangeBookmarks( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8841 "configparser.cc"
    break;

  case 963: /* $@425: %empty  */
#line 1453 "configparser.yy"
                                         { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setQueryLabel( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8847 "configparser.cc"
    break;

  case 966: /* $@426: %empty  */
#line 1456 "configparser.yy"
                                                        { lconfig_fp1 = std::make_shared<ShortkeyFromListOp>(); }
#line 8853 "configparser.cc"
    break;

  case 967: /* shortkeyfromlistop: SHORTKEYFROMLISTOP_WCP LEFTBRACE_WCP $@426 RIGHTBRACE_WCP  */
#line 1457 "configparser.yy"
                                  { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8859 "configparser.cc"
    break;

  case 968: /* $@427: %empty  */
#line 1459 "configparser.yy"
                                  { lconfig_fp1 = std::make_shared<ChOwnOp>(); }
#line 8865 "configparser.cc"
    break;

  case 969: /* chownop: CHOWNOP_WCP LEFTBRACE_WCP $@427 chownopbody RIGHTBRACE_WCP  */
#line 1460 "configparser.yy"
                                   { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8871 "configparser.cc"
    break;

  case 970: /* $@428: %empty  */
#line 1462 "configparser.yy"
                                  { std::dynamic_pointer_cast<ChOwnOp>(lconfig_fp1)->setOnFiles( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8877 "configparser.cc"
    break;

  case 972: /* $@429: %empty  */
#line 1463 "configparser.yy"
                                 { std::dynamic_pointer_cast<ChOwnOp>(lconfig_fp1)->setOnDirs( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8883 "configparser.cc"
    break;

  case 974: /* $@430: %empty  */
#line 1464 "configparser.yy"
                                    { std::dynamic_pointer_cast<ChOwnOp>(lconfig_fp1)->setRecursive( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8889 "configparser.cc"
    break;

  case 976: /* $@431: %empty  */
#line 1465 "configparser.yy"
                                       { std::dynamic_pointer_cast<ChOwnOp>(lconfig_fp1)->setRequestParameters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8895 "configparser.cc"
    break;

  case 979: /* $@432: %empty  */
#line 1468 "configparser.yy"
                                    { lconfig_fp1 = std::make_shared<ScriptOp>(); }
#line 8901 "configparser.cc"
    break;

  case 980: /* scriptop: SCRIPTOP_WCP LEFTBRACE_WCP $@432 scriptopbody RIGHTBRACE_WCP  */
#line 1469 "configparser.yy"
                                     { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8907 "configparser.cc"
    break;

  case 981: /* $@433: %empty  */
#line 1471 "configparser.yy"
                                   { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_NOP ); }
#line 8913 "configparser.cc"
    break;

  case 983: /* $@434: %empty  */
#line 1472 "configparser.yy"
                                    { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_PUSH ); }
#line 8919 "configparser.cc"
    break;

  case 985: /* $@435: %empty  */
#line 1473 "configparser.yy"
                                     { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_LABEL ); }
#line 8925 "configparser.cc"
    break;

  case 987: /* $@436: %empty  */
#line 1474 "configparser.yy"
                                  { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_IF ); }
#line 8931 "configparser.cc"
    break;

  case 989: /* $@437: %empty  */
#line 1475 "configparser.yy"
                                   { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_END ); }
#line 8937 "configparser.cc"
    break;

  case 991: /* $@438: %empty  */
#line 1476 "configparser.yy"
                                   { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_POP ); }
#line 8943 "configparser.cc"
    break;

  case 993: /* $@439: %empty  */
#line 1477 "configparser.yy"
                                        { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_SETTINGS ); }
#line 8949 "configparser.cc"
    break;

  case 995: /* $@440: %empty  */
#line 1478 "configparser.yy"
                                      { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_WINDOW ); }
#line 8955 "configparser.cc"
    break;

  case 997: /* $@441: %empty  */
#line 1479 "configparser.yy"
                                    { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_GOTO ); }
#line 8961 "configparser.cc"
    break;

  case 999: /* $@442: %empty  */
#line 1480 "configparser.yy"
                                           { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_EVALCOMMAND ); }
#line 8967 "configparser.cc"
    break;

  case 1001: /* $@443: %empty  */
#line 1481 "configparser.yy"
                                         { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setPushUseOutput( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8973 "configparser.cc"
    break;

  case 1003: /* $@444: %empty  */
#line 1482 "configparser.yy"
                                   { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setDoDebug( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8979 "configparser.cc"
    break;

  case 1005: /* $@445: %empty  */
#line 1483 "configparser.yy"
                                        { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setWPURecursive( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8985 "configparser.cc"
    break;

  case 1007: /* $@446: %empty  */
#line 1484 "configparser.yy"
                                       { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setWPUTakeDirs( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8991 "configparser.cc"
    break;

  case 1009: /* $@447: %empty  */
#line 1485 "configparser.yy"
                                      { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setStackNr( (yyvsp[-1].num) ); }
#line 8997 "configparser.cc"
    break;

  case 1011: /* $@448: %empty  */
#line 1486 "configparser.yy"
                                       { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setLabel( (yyvsp[-1].strptr) ); }
#line 9003 "configparser.cc"
    break;

  case 1013: /* $@449: %empty  */
#line 1487 "configparser.yy"
                                            { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setPushString( (yyvsp[-1].strptr) ); }
#line 9009 "configparser.cc"
    break;

  case 1015: /* $@450: %empty  */
#line 1488 "configparser.yy"
                                        { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setIfTest( (yyvsp[-1].strptr) ); }
#line 9015 "configparser.cc"
    break;

  case 1017: /* $@451: %empty  */
#line 1489 "configparser.yy"
                                         { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setIfLabel( (yyvsp[-1].strptr) ); }
#line 9021 "configparser.cc"
    break;

  case 1019: /* $@452: %empty  */
#line 1490 "configparser.yy"
                                       { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setWinType( ScriptOp::SCRIPT_WINDOW_OPEN ); }
#line 9027 "configparser.cc"
    break;

  case 1021: /* $@453: %empty  */
#line 1491 "configparser.yy"
                                        { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setWinType( ScriptOp::SCRIPT_WINDOW_CLOSE ); }
#line 9033 "configparser.cc"
    break;

  case 1023: /* $@454: %empty  */
#line 1492 "configparser.yy"
                                        { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setWinType( ScriptOp::SCRIPT_WINDOW_LEAVE ); }
#line 9039 "configparser.cc"
    break;

  case 1025: /* $@455: %empty  */
#line 1493 "configparser.yy"
                                          { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setChangeProgress( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9045 "configparser.cc"
    break;

  case 1027: /* $@456: %empty  */
#line 1494 "configparser.yy"
                                      { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setChangeText( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9051 "configparser.cc"
    break;

  case 1029: /* $@457: %empty  */
#line 1495 "configparser.yy"
                                             { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setProgressUseOutput( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9057 "configparser.cc"
    break;

  case 1031: /* $@458: %empty  */
#line 1496 "configparser.yy"
                                            { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setWinTextUseOutput( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9063 "configparser.cc"
    break;

  case 1033: /* $@459: %empty  */
#line 1497 "configparser.yy"
                                          { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setProgress( (yyvsp[-1].strptr) ); }
#line 9069 "configparser.cc"
    break;

  case 1035: /* $@460: %empty  */
#line 1498 "configparser.yy"
                                         { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setWinText( (yyvsp[-1].strptr) ); }
#line 9075 "configparser.cc"
    break;

  case 1037: /* $@461: %empty  */
#line 1499 "configparser.yy"
                                               { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setCommandStr( (yyvsp[-1].strptr) ); }
#line 9081 "configparser.cc"
    break;

  case 1040: /* $@462: %empty  */
#line 1502 "configparser.yy"
                                                { lconfig_fp1 = std::make_shared<ShowDirCacheOp>(); }
#line 9087 "configparser.cc"
    break;

  case 1041: /* showdircacheop: SHOWDIRCACHEOP_WCP LEFTBRACE_WCP $@462 RIGHTBRACE_WCP  */
#line 1503 "configparser.yy"
                              { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9093 "configparser.cc"
    break;

  case 1042: /* $@463: %empty  */
#line 1505 "configparser.yy"
                                                { lconfig_fp1 = std::make_shared<ParentActionOp>(); }
#line 9099 "configparser.cc"
    break;

  case 1043: /* parentactionop: PARENTACTIONOP_WCP LEFTBRACE_WCP $@463 RIGHTBRACE_WCP  */
#line 1506 "configparser.yy"
                              { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9105 "configparser.cc"
    break;

  case 1044: /* $@464: %empty  */
#line 1508 "configparser.yy"
                                              { lconfig_fp1 = std::make_shared<NoOperationOp>(); }
#line 9111 "configparser.cc"
    break;

  case 1045: /* nooperationop: NOOPERATIONOP_WCP LEFTBRACE_WCP $@464 RIGHTBRACE_WCP  */
#line 1509 "configparser.yy"
                             { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9117 "configparser.cc"
    break;

  case 1046: /* $@465: %empty  */
#line 1511 "configparser.yy"
                                  { lconfig_fp1 = std::make_shared<GoFTPOp>(); }
#line 9123 "configparser.cc"
    break;

  case 1047: /* goftpop: GOFTPOP_WCP LEFTBRACE_WCP $@465 goftpopbody RIGHTBRACE_WCP  */
#line 1512 "configparser.yy"
                                   { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9129 "configparser.cc"
    break;

  case 1048: /* $@466: %empty  */
#line 1514 "configparser.yy"
                                       { std::dynamic_pointer_cast<GoFTPOp>(lconfig_fp1)->setRequestParameters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9135 "configparser.cc"
    break;

  case 1050: /* $@467: %empty  */
#line 1515 "configparser.yy"
                                         { std::dynamic_pointer_cast<GoFTPOp>(lconfig_fp1)->setHost( (yyvsp[-1].strptr) ); }
#line 9141 "configparser.cc"
    break;

  case 1052: /* $@468: %empty  */
#line 1516 "configparser.yy"
                                         { std::dynamic_pointer_cast<GoFTPOp>(lconfig_fp1)->setUser( (yyvsp[-1].strptr) ); }
#line 9147 "configparser.cc"
    break;

  case 1054: /* $@469: %empty  */
#line 1517 "configparser.yy"
                                         { std::dynamic_pointer_cast<GoFTPOp>(lconfig_fp1)->setPass( (yyvsp[-1].strptr) ); }
#line 9153 "configparser.cc"
    break;

  case 1056: /* $@470: %empty  */
#line 1518 "configparser.yy"
                                       { std::dynamic_pointer_cast<GoFTPOp>(lconfig_fp1)->setDontEnterFTP( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9159 "configparser.cc"
    break;

  case 1058: /* $@471: %empty  */
#line 1519 "configparser.yy"
                                        { std::dynamic_pointer_cast<GoFTPOp>(lconfig_fp1)->setAlwaysStorePW( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9165 "configparser.cc"
    break;

  case 1060: /* $@472: %empty  */
#line 1520 "configparser.yy"
                                           { std::dynamic_pointer_cast<GoFTPOp>(lconfig_fp1)->setAVFSModule( (yyvsp[-1].strptr) ); }
#line 9171 "configparser.cc"
    break;

  case 1063: /* $@473: %empty  */
#line 1523 "configparser.yy"
                                                { lconfig_fp1 = std::make_shared<InternalViewOp>(); }
#line 9177 "configparser.cc"
    break;

  case 1064: /* internalviewop: INTERNALVIEWOP_WCP LEFTBRACE_WCP $@473 internalviewopbody RIGHTBRACE_WCP  */
#line 1524 "configparser.yy"
                                                 { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9183 "configparser.cc"
    break;

  case 1065: /* $@474: %empty  */
#line 1526 "configparser.yy"
                                              { std::dynamic_pointer_cast<InternalViewOp>(lconfig_fp1)->setRequestParameters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9189 "configparser.cc"
    break;

  case 1067: /* $@475: %empty  */
#line 1527 "configparser.yy"
                                            { std::dynamic_pointer_cast<InternalViewOp>(lconfig_fp1)->setCustomFiles( (yyvsp[-1].strptr) ); }
#line 9195 "configparser.cc"
    break;

  case 1069: /* $@476: %empty  */
#line 1528 "configparser.yy"
                                         { std::dynamic_pointer_cast<InternalViewOp>(lconfig_fp1)->setShowFileMode( InternalViewOp::SHOW_ACTIVE_FILE ); }
#line 9201 "configparser.cc"
    break;

  case 1071: /* $@477: %empty  */
#line 1529 "configparser.yy"
                                         { std::dynamic_pointer_cast<InternalViewOp>(lconfig_fp1)->setShowFileMode( InternalViewOp::SHOW_CUSTOM_FILES ); }
#line 9207 "configparser.cc"
    break;

  case 1074: /* $@478: %empty  */
#line 1533 "configparser.yy"
                                          { lconfig_fp1 = std::make_shared<ClipboardOp>(); }
#line 9213 "configparser.cc"
    break;

  case 1075: /* clipboardop: CLIPBOARDOP_WCP LEFTBRACE_WCP $@478 clipboardopbody RIGHTBRACE_WCP  */
#line 1534 "configparser.yy"
                                           { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9219 "configparser.cc"
    break;

  case 1076: /* $@479: %empty  */
#line 1536 "configparser.yy"
                                                    { std::dynamic_pointer_cast<ClipboardOp>(lconfig_fp1)->setClipboardString( (yyvsp[-1].strptr) ); }
#line 9225 "configparser.cc"
    break;

  case 1079: /* $@480: %empty  */
#line 1539 "configparser.yy"
                                    { lconfig_fp1 = std::make_shared<SearchOp>(); }
#line 9231 "configparser.cc"
    break;

  case 1080: /* searchop: SEARCHOP_WCP LEFTBRACE_WCP $@480 searchopbody RIGHTBRACE_WCP  */
#line 1540 "configparser.yy"
                                     { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9237 "configparser.cc"
    break;

  case 1081: /* $@481: %empty  */
#line 1542 "configparser.yy"
                                             { std::dynamic_pointer_cast<SearchOp>(lconfig_fp1)->setEditCommand( (yyvsp[-1].strptr) ); }
#line 9243 "configparser.cc"
    break;

  case 1083: /* $@482: %empty  */
#line 1543 "configparser.yy"
                                           { std::dynamic_pointer_cast<SearchOp>(lconfig_fp1)->setShowPrevResults( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9249 "configparser.cc"
    break;

  case 1086: /* $@483: %empty  */
#line 1546 "configparser.yy"
                                              { lconfig_fp1 = std::make_shared<DirBookmarkOp>(); }
#line 9255 "configparser.cc"
    break;

  case 1087: /* dirbookmarkop: DIRBOOKMARKOP_WCP LEFTBRACE_WCP $@483 RIGHTBRACE_WCP  */
#line 1547 "configparser.yy"
                             { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9261 "configparser.cc"
    break;

  case 1088: /* $@484: %empty  */
#line 1549 "configparser.yy"
                                                      { lconfig_fp1 = std::make_shared<OpenContextMenuOp>(); }
#line 9267 "configparser.cc"
    break;

  case 1089: /* opencontextmenuop: OPENCONTEXTMENUOP_WCP LEFTBRACE_WCP $@484 opencontextmenuopbody RIGHTBRACE_WCP  */
#line 1550 "configparser.yy"
                                                       { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9273 "configparser.cc"
    break;

  case 1090: /* $@485: %empty  */
#line 1552 "configparser.yy"
                                                          { std::dynamic_pointer_cast<OpenContextMenuOp>(lconfig_fp1)->setHighlightUserAction( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9279 "configparser.cc"
    break;

  case 1093: /* $@486: %empty  */
#line 1555 "configparser.yy"
                                                  { lconfig_fp1 = std::make_shared<RunCustomAction>(); }
#line 9285 "configparser.cc"
    break;

  case 1094: /* runcustomaction: RUNCUSTOMACTION_WCP LEFTBRACE_WCP $@486 runcustomactionbody RIGHTBRACE_WCP  */
#line 1556 "configparser.yy"
                                                   { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9291 "configparser.cc"
    break;

  case 1095: /* $@487: %empty  */
#line 1558 "configparser.yy"
                                                   { std::dynamic_pointer_cast<RunCustomAction>(lconfig_fp1)->setCustomName( (yyvsp[-1].strptr) ); }
#line 9297 "configparser.cc"
    break;

  case 1098: /* $@488: %empty  */
#line 1561 "configparser.yy"
                                                    { lconfig_fp1 = std::make_shared<OpenWorkerMenuOp>(); }
#line 9303 "configparser.cc"
    break;

  case 1099: /* openworkermenuop: OPENWORKERMENUOP_WCP LEFTBRACE_WCP $@488 RIGHTBRACE_WCP  */
#line 1562 "configparser.yy"
                                { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9309 "configparser.cc"
    break;

  case 1100: /* $@489: %empty  */
#line 1564 "configparser.yy"
                                              { lconfig_fp1 = std::make_shared<ChangeLabelOp>(); }
#line 9315 "configparser.cc"
    break;

  case 1101: /* changelabelop: CHANGELABELOP_WCP LEFTBRACE_WCP $@489 changelabelopbody RIGHTBRACE_WCP  */
#line 1565 "configparser.yy"
                                               { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9321 "configparser.cc"
    break;

  case 1102: /* $@490: %empty  */
#line 1567 "configparser.yy"
                                            { std::dynamic_pointer_cast<ChangeLabelOp>(lconfig_fp1)->setAskForLabel( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9327 "configparser.cc"
    break;

  case 1104: /* $@491: %empty  */
#line 1568 "configparser.yy"
                                            { std::dynamic_pointer_cast<ChangeLabelOp>(lconfig_fp1)->setLabel( (yyvsp[-1].strptr) ); }
#line 9333 "configparser.cc"
    break;

  case 1107: /* $@492: %empty  */
#line 1571 "configparser.yy"
                                            { lconfig_fp1 = std::make_shared<ModifyTabsOp>(); }
#line 9339 "configparser.cc"
    break;

  case 1108: /* modifytabsop: MODIFYTABSOP_WCP LEFTBRACE_WCP $@492 modifytabsopbody RIGHTBRACE_WCP  */
#line 1572 "configparser.yy"
                                             { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9345 "configparser.cc"
    break;

  case 1109: /* $@493: %empty  */
#line 1574 "configparser.yy"
                                               { std::dynamic_pointer_cast<ModifyTabsOp>(lconfig_fp1)->setTabAction( ModifyTabsOp::NEW_TAB ); }
#line 9351 "configparser.cc"
    break;

  case 1111: /* $@494: %empty  */
#line 1575 "configparser.yy"
                                                        { std::dynamic_pointer_cast<ModifyTabsOp>(lconfig_fp1)->setTabAction( ModifyTabsOp::CLOSE_CURRENT_TAB ); }
#line 9357 "configparser.cc"
    break;

  case 1113: /* $@495: %empty  */
#line 1576 "configparser.yy"
                                                { std::dynamic_pointer_cast<ModifyTabsOp>(lconfig_fp1)->setTabAction( ModifyTabsOp::NEXT_TAB ); }
#line 9363 "configparser.cc"
    break;

  case 1115: /* $@496: %empty  */
#line 1577 "configparser.yy"
                                                { std::dynamic_pointer_cast<ModifyTabsOp>(lconfig_fp1)->setTabAction( ModifyTabsOp::PREV_TAB ); }
#line 9369 "configparser.cc"
    break;

  case 1117: /* $@497: %empty  */
#line 1578 "configparser.yy"
                                                        { std::dynamic_pointer_cast<ModifyTabsOp>(lconfig_fp1)->setTabAction( ModifyTabsOp::TOGGLE_LOCK_STATE ); }
#line 9375 "configparser.cc"
    break;

  case 1119: /* $@498: %empty  */
#line 1579 "configparser.yy"
                                                    { std::dynamic_pointer_cast<ModifyTabsOp>(lconfig_fp1)->setTabAction( ModifyTabsOp::MOVE_TAB_LEFT ); }
#line 9381 "configparser.cc"
    break;

  case 1121: /* $@499: %empty  */
#line 1580 "configparser.yy"
                                                     { std::dynamic_pointer_cast<ModifyTabsOp>(lconfig_fp1)->setTabAction( ModifyTabsOp::MOVE_TAB_RIGHT ); }
#line 9387 "configparser.cc"
    break;

  case 1124: /* $@500: %empty  */
#line 1583 "configparser.yy"
                                                {
                 lconfig_fp1 = std::make_shared<ChangeLayoutOp>();
                 layout_sets = LayoutSettings();
             }
#line 9396 "configparser.cc"
    break;

  case 1125: /* changelayoutop: CHANGELAYOUTOP_WCP LEFTBRACE_WCP $@500 changelayoutopbody RIGHTBRACE_WCP  */
#line 1586 "configparser.yy"
                                                 {
                 std::dynamic_pointer_cast<ChangeLayoutOp>(lconfig_fp1)->setLayout( layout_sets );
                 lconfig_listcom.push_back( lconfig_fp1 );
             }
#line 9405 "configparser.cc"
    break;

  case 1126: /* $@501: %empty  */
#line 1591 "configparser.yy"
                                   { layout_sets.pushBackOrder( LayoutSettings::LO_STATEBAR ); }
#line 9411 "configparser.cc"
    break;

  case 1128: /* $@502: %empty  */
#line 1592 "configparser.yy"
                                   { layout_sets.pushBackOrder( LayoutSettings::LO_CLOCKBAR ); }
#line 9417 "configparser.cc"
    break;

  case 1130: /* $@503: %empty  */
#line 1593 "configparser.yy"
                                  { layout_sets.pushBackOrder( LayoutSettings::LO_BUTTONS ); }
#line 9423 "configparser.cc"
    break;

  case 1132: /* $@504: %empty  */
#line 1594 "configparser.yy"
                                    { layout_sets.pushBackOrder( LayoutSettings::LO_LISTVIEWS ); }
#line 9429 "configparser.cc"
    break;

  case 1134: /* $@505: %empty  */
#line 1595 "configparser.yy"
                              { layout_sets.pushBackOrder( LayoutSettings::LO_BLL ); }
#line 9435 "configparser.cc"
    break;

  case 1136: /* $@506: %empty  */
#line 1596 "configparser.yy"
                              { layout_sets.pushBackOrder( LayoutSettings::LO_LBL ); }
#line 9441 "configparser.cc"
    break;

  case 1138: /* $@507: %empty  */
#line 1597 "configparser.yy"
                              { layout_sets.pushBackOrder( LayoutSettings::LO_LLB ); }
#line 9447 "configparser.cc"
    break;

  case 1140: /* $@508: %empty  */
#line 1598 "configparser.yy"
                             { layout_sets.pushBackOrder( LayoutSettings::LO_BL ); }
#line 9453 "configparser.cc"
    break;

  case 1142: /* $@509: %empty  */
#line 1599 "configparser.yy"
                             { layout_sets.pushBackOrder( LayoutSettings::LO_LB ); }
#line 9459 "configparser.cc"
    break;

  case 1144: /* $@510: %empty  */
#line 1600 "configparser.yy"
                                            { layout_sets.setButtonVert( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9465 "configparser.cc"
    break;

  case 1146: /* $@511: %empty  */
#line 1601 "configparser.yy"
                                              { layout_sets.setListViewVert( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9471 "configparser.cc"
    break;

  case 1148: /* $@512: %empty  */
#line 1602 "configparser.yy"
                                                  { layout_sets.setListViewWeight( (yyvsp[-1].num) ); }
#line 9477 "configparser.cc"
    break;

  case 1150: /* $@513: %empty  */
#line 1603 "configparser.yy"
                                               { layout_sets.setWeightRelToActive( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9483 "configparser.cc"
    break;

  case 1153: /* $@514: %empty  */
#line 1606 "configparser.yy"
                                                  {
                  lconfig_fp1 = std::make_shared<ChangeColumnsOp>();
                  columns.clear();
                }
#line 9492 "configparser.cc"
    break;

  case 1154: /* changecolumnsop: CHANGECOLUMNSOP_WCP LEFTBRACE_WCP $@514 changecolumnsopbody RIGHTBRACE_WCP  */
#line 1609 "configparser.yy"
                                                     {
                  std::dynamic_pointer_cast<ChangeColumnsOp>(lconfig_fp1)->setColumns( columns );
                  lconfig_listcom.push_back( lconfig_fp1 );
                }
#line 9501 "configparser.cc"
    break;

  case 1155: /* $@515: %empty  */
#line 1614 "configparser.yy"
                               { columns.push_back( WorkerTypes::LISTCOL_NAME ); }
#line 9507 "configparser.cc"
    break;

  case 1157: /* $@516: %empty  */
#line 1615 "configparser.yy"
                               { columns.push_back( WorkerTypes::LISTCOL_SIZE ); }
#line 9513 "configparser.cc"
    break;

  case 1159: /* $@517: %empty  */
#line 1616 "configparser.yy"
                               { columns.push_back( WorkerTypes::LISTCOL_TYPE ); }
#line 9519 "configparser.cc"
    break;

  case 1161: /* $@518: %empty  */
#line 1617 "configparser.yy"
                                     { columns.push_back( WorkerTypes::LISTCOL_PERM ); }
#line 9525 "configparser.cc"
    break;

  case 1163: /* $@519: %empty  */
#line 1618 "configparser.yy"
                                { columns.push_back( WorkerTypes::LISTCOL_OWNER ); }
#line 9531 "configparser.cc"
    break;

  case 1165: /* $@520: %empty  */
#line 1619 "configparser.yy"
                                      { columns.push_back( WorkerTypes::LISTCOL_DEST ); }
#line 9537 "configparser.cc"
    break;

  case 1167: /* $@521: %empty  */
#line 1620 "configparser.yy"
                                  { columns.push_back( WorkerTypes::LISTCOL_MOD ); }
#line 9543 "configparser.cc"
    break;

  case 1169: /* $@522: %empty  */
#line 1621 "configparser.yy"
                                  { columns.push_back( WorkerTypes::LISTCOL_ACC ); }
#line 9549 "configparser.cc"
    break;

  case 1171: /* $@523: %empty  */
#line 1622 "configparser.yy"
                                  { columns.push_back( WorkerTypes::LISTCOL_CHANGE ); }
#line 9555 "configparser.cc"
    break;

  case 1173: /* $@524: %empty  */
#line 1623 "configparser.yy"
                                { columns.push_back( WorkerTypes::LISTCOL_INODE ); }
#line 9561 "configparser.cc"
    break;

  case 1175: /* $@525: %empty  */
#line 1624 "configparser.yy"
                                { columns.push_back( WorkerTypes::LISTCOL_NLINK ); }
#line 9567 "configparser.cc"
    break;

  case 1177: /* $@526: %empty  */
#line 1625 "configparser.yy"
                                 { columns.push_back( WorkerTypes::LISTCOL_BLOCKS ); }
#line 9573 "configparser.cc"
    break;

  case 1179: /* $@527: %empty  */
#line 1626 "configparser.yy"
                                { columns.push_back( WorkerTypes::LISTCOL_SIZEH ); }
#line 9579 "configparser.cc"
    break;

  case 1181: /* $@528: %empty  */
#line 1627 "configparser.yy"
                                    { columns.push_back( WorkerTypes::LISTCOL_EXTENSION ); }
#line 9585 "configparser.cc"
    break;

  case 1184: /* $@529: %empty  */
#line 1630 "configparser.yy"
                                                  { lconfig_fp1 = std::make_shared<VolumeManagerOp>(); }
#line 9591 "configparser.cc"
    break;

  case 1185: /* volumemanagerop: VOLUMEMANAGEROP_WCP LEFTBRACE_WCP $@529 RIGHTBRACE_WCP  */
#line 1631 "configparser.yy"
                               { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9597 "configparser.cc"
    break;

  case 1186: /* $@530: %empty  */
#line 1633 "configparser.yy"
                                                        { lconfig_fp1 = std::make_shared<SwitchButtonBankOp>(); }
#line 9603 "configparser.cc"
    break;

  case 1187: /* switchbuttonbankop: SWITCHBUTTONBANKOP_WCP LEFTBRACE_WCP $@530 switchbuttonbankopbody RIGHTBRACE_WCP  */
#line 1634 "configparser.yy"
                                                         { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9609 "configparser.cc"
    break;

  case 1188: /* $@531: %empty  */
#line 1636 "configparser.yy"
                                                          { std::dynamic_pointer_cast<SwitchButtonBankOp>(lconfig_fp1)->setSwitchMode( SwitchButtonBankOp::SWITCH_TO_NEXT_BANK ); }
#line 9615 "configparser.cc"
    break;

  case 1190: /* $@532: %empty  */
#line 1637 "configparser.yy"
                                                          { std::dynamic_pointer_cast<SwitchButtonBankOp>(lconfig_fp1)->setSwitchMode( SwitchButtonBankOp::SWITCH_TO_PREV_BANK ); }
#line 9621 "configparser.cc"
    break;

  case 1192: /* $@533: %empty  */
#line 1638 "configparser.yy"
                                                        { std::dynamic_pointer_cast<SwitchButtonBankOp>(lconfig_fp1)->setSwitchMode( SwitchButtonBankOp::SWITCH_TO_BANK_NR ); }
#line 9627 "configparser.cc"
    break;

  case 1194: /* $@534: %empty  */
#line 1639 "configparser.yy"
                                              { std::dynamic_pointer_cast<SwitchButtonBankOp>(lconfig_fp1)->setBankNr( (yyvsp[-1].num) ); }
#line 9633 "configparser.cc"
    break;

  case 1197: /* $@535: %empty  */
#line 1642 "configparser.yy"
                                        { lconfig_fp1 = std::make_shared<PathJumpOp>(); }
#line 9639 "configparser.cc"
    break;

  case 1198: /* pathjumpop: PATHJUMPOP_WCP LEFTBRACE_WCP $@535 pathjumpopbody RIGHTBRACE_WCP  */
#line 1643 "configparser.yy"
                                         { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9645 "configparser.cc"
    break;

  case 1199: /* $@536: %empty  */
#line 1645 "configparser.yy"
                                                  { std::dynamic_pointer_cast<PathJumpOp>(lconfig_fp1)->setInitialTab( PathJumpOp::SHOW_BY_TIME ); }
#line 9651 "configparser.cc"
    break;

  case 1201: /* $@537: %empty  */
#line 1646 "configparser.yy"
                                                    { std::dynamic_pointer_cast<PathJumpOp>(lconfig_fp1)->setInitialTab( PathJumpOp::SHOW_BY_FILTER ); }
#line 9657 "configparser.cc"
    break;

  case 1203: /* $@538: %empty  */
#line 1647 "configparser.yy"
                                                     { std::dynamic_pointer_cast<PathJumpOp>(lconfig_fp1)->setInitialTab( PathJumpOp::SHOW_BY_PROGRAM ); }
#line 9663 "configparser.cc"
    break;

  case 1205: /* $@539: %empty  */
#line 1648 "configparser.yy"
                                                { std::dynamic_pointer_cast<PathJumpOp>(lconfig_fp1)->setDisplayMode( PathJumpOp::SHOW_ALL ); }
#line 9669 "configparser.cc"
    break;

  case 1207: /* $@540: %empty  */
#line 1649 "configparser.yy"
                                                    { std::dynamic_pointer_cast<PathJumpOp>(lconfig_fp1)->setDisplayMode( PathJumpOp::SHOW_SUBDIRS ); }
#line 9675 "configparser.cc"
    break;

  case 1209: /* $@541: %empty  */
#line 1650 "configparser.yy"
                                                          { std::dynamic_pointer_cast<PathJumpOp>(lconfig_fp1)->setDisplayMode( PathJumpOp::SHOW_DIRECT_SUBDIRS ); }
#line 9681 "configparser.cc"
    break;

  case 1211: /* $@542: %empty  */
#line 1651 "configparser.yy"
                                        { std::dynamic_pointer_cast<PathJumpOp>(lconfig_fp1)->setIncludeAllData( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9687 "configparser.cc"
    break;

  case 1213: /* $@543: %empty  */
#line 1652 "configparser.yy"
                                             { std::dynamic_pointer_cast<PathJumpOp>(lconfig_fp1)->setHideNonExisting( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9693 "configparser.cc"
    break;

  case 1215: /* $@544: %empty  */
#line 1653 "configparser.yy"
                                              { std::dynamic_pointer_cast<PathJumpOp>(lconfig_fp1)->setLockOnCurrentDir( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9699 "configparser.cc"
    break;

  case 1218: /* $@545: %empty  */
#line 1656 "configparser.yy"
                                              { lconfig_fp1 = std::make_shared<CommandMenuOp>(); }
#line 9705 "configparser.cc"
    break;

  case 1219: /* commandmenuop: COMMANDMENUOP_WCP LEFTBRACE_WCP $@545 commandmenuopbody RIGHTBRACE_WCP  */
#line 1657 "configparser.yy"
                                               { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9711 "configparser.cc"
    break;

  case 1220: /* $@546: %empty  */
#line 1659 "configparser.yy"
                                           { std::dynamic_pointer_cast<CommandMenuOp>(lconfig_fp1)->setShowRecentlyUsed( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9717 "configparser.cc"
    break;

  case 1223: /* $@547: %empty  */
#line 1662 "configparser.yy"
                                                      { lconfig_fp1 = std::make_shared<ViewNewestFilesOp>(); }
#line 9723 "configparser.cc"
    break;

  case 1224: /* viewnewestfilesop: VIEWNEWESTFILESOP_WCP LEFTBRACE_WCP $@547 RIGHTBRACE_WCP  */
#line 1663 "configparser.yy"
                                 { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9729 "configparser.cc"
    break;

  case 1225: /* $@548: %empty  */
#line 1665 "configparser.yy"
                                            { lconfig_fp1 = std::make_shared<DirCompareOp>(); }
#line 9735 "configparser.cc"
    break;

  case 1226: /* dircompareop: DIRCOMPAREOP_WCP LEFTBRACE_WCP $@548 RIGHTBRACE_WCP  */
#line 1666 "configparser.yy"
                            { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9741 "configparser.cc"
    break;

  case 1227: /* $@549: %empty  */
#line 1668 "configparser.yy"
                                              { lconfig_fp1 = std::make_shared<TabProfilesOp>(); }
#line 9747 "configparser.cc"
    break;

  case 1228: /* tabprofilesop: TABPROFILESOP_WCP LEFTBRACE_WCP $@549 RIGHTBRACE_WCP  */
#line 1669 "configparser.yy"
                             { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9753 "configparser.cc"
    break;

  case 1229: /* $@550: %empty  */
#line 1671 "configparser.yy"
                                                { lconfig_fp1 = std::make_shared<ExternalVDirOp>(); }
#line 9759 "configparser.cc"
    break;

  case 1230: /* externalvdirop: EXTERNALVDIROP_WCP LEFTBRACE_WCP $@550 externalvdiropbody RIGHTBRACE_WCP  */
#line 1672 "configparser.yy"
                                                 { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9765 "configparser.cc"
    break;

  case 1231: /* $@551: %empty  */
#line 1674 "configparser.yy"
                                                     { std::dynamic_pointer_cast<ExternalVDirOp>(lconfig_fp1)->setCommandString( (yyvsp[-1].strptr) ); }
#line 9771 "configparser.cc"
    break;

  case 1234: /* $@552: %empty  */
#line 1677 "configparser.yy"
                                              { auto tfp = std::make_shared< ScriptOp >();
                                                tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                                tfp->setCommandStr( "open_current_tab_menu" );
                                                lconfig_fp1 = tfp;
                                              }
#line 9781 "configparser.cc"
    break;

  case 1235: /* opentabmenuop: OPENTABMENUOP_WCP LEFTBRACE_WCP $@552 RIGHTBRACE_WCP  */
#line 1682 "configparser.yy"
                             { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9787 "configparser.cc"
    break;

  case 1236: /* $@553: %empty  */
#line 1684 "configparser.yy"
                                                    { dir_preset = directory_presets(); }
#line 9793 "configparser.cc"
    break;

  case 1237: /* $@554: %empty  */
#line 1685 "configparser.yy"
                                                 { dir_presets[path] = dir_preset;
                                                 }
#line 9800 "configparser.cc"
    break;

  case 1240: /* $@555: %empty  */
#line 1689 "configparser.yy"
                                          { path  = (yyvsp[-1].strptr); }
#line 9806 "configparser.cc"
    break;

  case 1242: /* $@556: %empty  */
#line 1690 "configparser.yy"
                                          { dir_preset.sortmode = SORT_NAME; }
#line 9812 "configparser.cc"
    break;

  case 1244: /* $@557: %empty  */
#line 1691 "configparser.yy"
                                          { dir_preset.sortmode = SORT_SIZE; }
#line 9818 "configparser.cc"
    break;

  case 1246: /* $@558: %empty  */
#line 1692 "configparser.yy"
                                             { dir_preset.sortmode = SORT_ACCTIME; }
#line 9824 "configparser.cc"
    break;

  case 1248: /* $@559: %empty  */
#line 1693 "configparser.yy"
                                             { dir_preset.sortmode = SORT_MODTIME; }
#line 9830 "configparser.cc"
    break;

  case 1250: /* $@560: %empty  */
#line 1694 "configparser.yy"
                                             { dir_preset.sortmode = SORT_CHGTIME; }
#line 9836 "configparser.cc"
    break;

  case 1252: /* $@561: %empty  */
#line 1695 "configparser.yy"
                                          { dir_preset.sortmode = SORT_TYPE; }
#line 9842 "configparser.cc"
    break;

  case 1254: /* $@562: %empty  */
#line 1696 "configparser.yy"
                                           { dir_preset.sortmode = SORT_OWNER; }
#line 9848 "configparser.cc"
    break;

  case 1256: /* $@563: %empty  */
#line 1697 "configparser.yy"
                                           { dir_preset.sortmode = SORT_INODE; }
#line 9854 "configparser.cc"
    break;

  case 1258: /* $@564: %empty  */
#line 1698 "configparser.yy"
                                           { dir_preset.sortmode = SORT_NLINK; }
#line 9860 "configparser.cc"
    break;

  case 1260: /* $@565: %empty  */
#line 1699 "configparser.yy"
                                                { dir_preset.sortmode = SORT_PERMISSION; }
#line 9866 "configparser.cc"
    break;

  case 1262: /* $@566: %empty  */
#line 1700 "configparser.yy"
                                               { dir_preset.sortmode |= SORT_REVERSE; }
#line 9872 "configparser.cc"
    break;

  case 1264: /* $@567: %empty  */
#line 1701 "configparser.yy"
                                               { dir_preset.sortmode |= SORT_DIRLAST; }
#line 9878 "configparser.cc"
    break;

  case 1266: /* $@568: %empty  */
#line 1702 "configparser.yy"
                                                { dir_preset.sortmode |= SORT_DIRMIXED; }
#line 9884 "configparser.cc"
    break;

  case 1268: /* $@569: %empty  */
#line 1703 "configparser.yy"
                                               { dir_preset.sortmode = SORT_EXTENSION; }
#line 9890 "configparser.cc"
    break;

  case 1270: /* $@570: %empty  */
#line 1704 "configparser.yy"
                                               { dir_preset.show_hidden = true; }
#line 9896 "configparser.cc"
    break;

  case 1272: /* $@571: %empty  */
#line 1705 "configparser.yy"
                                               { dir_preset.show_hidden = false; }
#line 9902 "configparser.cc"
    break;

  case 1274: /* $@572: %empty  */
#line 1706 "configparser.yy"
                                          { dir_preset_filter = NM_Filter(); }
#line 9908 "configparser.cc"
    break;

  case 1275: /* $@573: %empty  */
#line 1707 "configparser.yy"
                                                       { dir_preset.filters.push_back( dir_preset_filter ); }
#line 9914 "configparser.cc"
    break;

  case 1278: /* $@574: %empty  */
#line 1710 "configparser.yy"
                                                    { dir_preset_filter.setPattern( (yyvsp[-1].strptr) ); }
#line 9920 "configparser.cc"
    break;

  case 1280: /* $@575: %empty  */
#line 1711 "configparser.yy"
                                                  { dir_preset_filter.setCheck( NM_Filter::EXCLUDE ); }
#line 9926 "configparser.cc"
    break;

  case 1282: /* $@576: %empty  */
#line 1712 "configparser.yy"
                                                  { dir_preset_filter.setCheck( NM_Filter::INCLUDE ); }
#line 9932 "configparser.cc"
    break;

  case 1285: /* $@577: %empty  */
#line 1715 "configparser.yy"
                                { auto tfp = std::make_shared< HelpOp >();
                                  lconfig_fp1 = tfp;
                                }
#line 9940 "configparser.cc"
    break;

  case 1286: /* helpop: HELPOP_WCP LEFTBRACE_WCP $@577 RIGHTBRACE_WCP  */
#line 1718 "configparser.yy"
                      { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9946 "configparser.cc"
    break;

  case 1287: /* $@578: %empty  */
#line 1720 "configparser.yy"
                                                    { auto tfp = std::make_shared< ViewCommandLogOp >();
                                                      lconfig_fp1 = tfp;
                                                    }
#line 9954 "configparser.cc"
    break;

  case 1288: /* viewcommandlogop: VIEWCOMMANDLOGOP_WCP LEFTBRACE_WCP $@578 RIGHTBRACE_WCP  */
#line 1723 "configparser.yy"
                                 { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9960 "configparser.cc"
    break;


#line 9964 "configparser.cc"

      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", YY_CAST (yysymbol_kind_t, yyr1[yyn]), &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;

  *++yyvsp = yyval;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */
  {
    const int yylhs = yyr1[yyn] - YYNTOKENS;
    const int yyi = yypgoto[yylhs] + *yyssp;
    yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyssp
               ? yytable[yyi]
               : yydefgoto[yylhs]);
  }

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYSYMBOL_YYEMPTY : YYTRANSLATE (yychar);
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
      yyerror (YY_("syntax error"));
    }

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:
  /* Pacify compilers when the user code never invokes YYERROR and the
     label yyerrorlab therefore never appears in user code.  */
  if (0)
    YYERROR;
  ++yynerrs;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  /* Pop stack until we find a state that shifts the error token.  */
  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYSYMBOL_YYerror;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYSYMBOL_YYerror)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;


      yydestruct ("Error: popping",
                  YY_ACCESSING_SYMBOL (yystate), yyvsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END


  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", YY_ACCESSING_SYMBOL (yyn), yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturnlab;


/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturnlab;


/*-----------------------------------------------------------.
| yyexhaustedlab -- YYNOMEM (memory exhaustion) comes here.  |
`-----------------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  goto yyreturnlab;


/*----------------------------------------------------------.
| yyreturnlab -- parsing is finished, clean up and return.  |
`----------------------------------------------------------*/
yyreturnlab:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  YY_ACCESSING_SYMBOL (+*yyssp), yyvsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif

  return yyresult;
}

#line 1725 "configparser.yy"

/**/
int yymyparse(void)
{
  int erg;

  lconfig_error[0] = '\0';
  lconfig_linenr = 0;
  erg = yyparse();
  /* free all strings found by the lexer
     we don't need them anymore */
  lexer_cleanup();
  return erg;
}

int yyerror( const char *s )
{
  lconfig_cleanup();
  /* the following isn't really needed because yyerror is called inside the parser
     which itselve was started with yymyparse which will call it again
     but it doesn't hurt...*/
  lexer_cleanup();
  snprintf( lconfig_error, sizeof( lconfig_error ), "%s", s );
  return 0;
}
